/* A Bison parser, made by GNU Bison 3.7.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2020 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30704

/* Bison version string.  */
#define YYBISON_VERSION "3.7.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         nft_parse
#define yylex           nft_lex
#define yyerror         nft_error
#define yydebug         nft_debug
#define yynerrs         nft_nerrs

/* First part of user prologue.  */
#line 11 "parser_bison.y"

#include <nft.h>

#include <ctype.h>
#include <stddef.h>
#include <stdio.h>
#include <inttypes.h>
#include <syslog.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <netinet/if_ether.h>
#include <linux/netfilter.h>
#include <linux/netfilter/nf_tables.h>
#include <linux/netfilter/nf_conntrack_tuple_common.h>
#include <linux/netfilter/nf_nat.h>
#include <linux/netfilter/nf_log.h>
#include <linux/netfilter/nfnetlink_osf.h>
#include <linux/netfilter/nf_synproxy.h>
#include <linux/xfrm.h>
#include <netinet/ip_icmp.h>
#include <netinet/icmp6.h>
#include <libnftnl/common.h>
#include <libnftnl/set.h>
#include <libnftnl/udata.h>

#include <rule.h>
#include <statement.h>
#include <expression.h>
#include <headers.h>
#include <utils.h>
#include <parser.h>
#include <erec.h>
#include <sctp_chunk.h>

#include "parser_bison.h"

void parser_init(struct nft_ctx *nft, struct parser_state *state,
		 struct list_head *msgs, struct list_head *cmds,
		 struct scope *top_scope)
{
	memset(state, 0, sizeof(*state));
	state->msgs = msgs;
	state->cmds = cmds;
	state->scopes[0] = scope_init(top_scope, NULL);
	init_list_head(&state->indesc_list);
}

static void yyerror(struct location *loc, struct nft_ctx *nft, void *scanner,
		    struct parser_state *state, const char *s)
{
	erec_queue(error(loc, "%s", s), state->msgs);
}

static struct scope *current_scope(const struct parser_state *state)
{
	return state->scopes[state->scope];
}

static int open_scope(struct parser_state *state, struct scope *scope)
{
	if (state->scope >= array_size(state->scopes) - 1) {
		state->scope_err = true;
		return -1;
	}

	scope_init(scope, current_scope(state));
	state->scopes[++state->scope] = scope;

	return 0;
}

static void close_scope(struct parser_state *state)
{
	if (state->scope_err || state->scope == 0) {
		state->scope_err = false;
		return;
	}

	state->scope--;
}

static void location_init(void *scanner, struct parser_state *state,
			  struct location *loc)
{
	memset(loc, 0, sizeof(*loc));
	loc->indesc = state->indesc;
}

static void location_update(struct location *loc, struct location *rhs, int n)
{
	if (n) {
		loc->indesc       = rhs[n].indesc;
		loc->token_offset = rhs[1].token_offset;
		loc->line_offset  = rhs[1].line_offset;
		loc->first_line   = rhs[1].first_line;
		loc->first_column = rhs[1].first_column;
		loc->last_line    = rhs[n].last_line;
		loc->last_column  = rhs[n].last_column;
	} else {
		loc->indesc       = rhs[0].indesc;
		loc->token_offset = rhs[0].token_offset;
		loc->line_offset  = rhs[0].line_offset;
		loc->first_line   = loc->last_line   = rhs[0].last_line;
		loc->first_column = loc->last_column = rhs[0].last_column;
	}
}

static struct expr *handle_concat_expr(const struct location *loc,
					 struct expr *expr,
					 struct expr *expr_l, struct expr *expr_r,
					 struct location loc_rhs[3])
{
	if (expr->etype != EXPR_CONCAT) {
		expr = concat_expr_alloc(loc);
		compound_expr_add(expr, expr_l);
	} else {
		location_update(&expr_r->location, loc_rhs, 2);

		expr = expr_l;
		expr->location = *loc;
	}

	compound_expr_add(expr, expr_r);
	return expr;
}

static bool already_set(const void *attr, const struct location *loc,
			struct parser_state *state)
{
	if (!attr)
		return false;

	erec_queue(error(loc, "You can only specify this once. This statement is duplicated."),
		   state->msgs);
	return true;
}

static struct expr *ifname_expr_alloc(const struct location *location,
				      struct list_head *queue,
				      const char *name)
{
	unsigned int length = strlen(name);
	struct expr *expr;

	if (length == 0) {
		xfree(name);
		erec_queue(error(location, "empty interface name"), queue);
		return NULL;
	}

	if (length > 16) {
		xfree(name);
		erec_queue(error(location, "interface name too long"), queue);
		return NULL;
	}

	expr = constant_expr_alloc(location, &ifname_type, BYTEORDER_HOST_ENDIAN,
				   length * BITS_PER_BYTE, name);

	xfree(name);

	return expr;
}

#define YYLLOC_DEFAULT(Current, Rhs, N)	location_update(&Current, Rhs, N)

#define symbol_value(loc, str) \
	symbol_expr_alloc(loc, SYMBOL_VALUE, current_scope(state), str)

/* Declare those here to avoid compiler warnings */
void nft_set_debug(int, void *);
int nft_lex(void *, void *, void *);

#line 250 "parser_bison.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_NFT_PARSER_BISON_H_INCLUDED
# define YY_NFT_PARSER_BISON_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int nft_debug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    TOKEN_EOF = 0,                 /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    JUNK = 258,                    /* "junk"  */
    NEWLINE = 259,                 /* "newline"  */
    COLON = 260,                   /* "colon"  */
    SEMICOLON = 261,               /* "semicolon"  */
    COMMA = 262,                   /* "comma"  */
    DOT = 263,                     /* "."  */
    EQ = 264,                      /* "=="  */
    NEQ = 265,                     /* "!="  */
    LT = 266,                      /* "<"  */
    GT = 267,                      /* ">"  */
    GTE = 268,                     /* ">="  */
    LTE = 269,                     /* "<="  */
    LSHIFT = 270,                  /* "<<"  */
    RSHIFT = 271,                  /* ">>"  */
    AMPERSAND = 272,               /* "&"  */
    CARET = 273,                   /* "^"  */
    NOT = 274,                     /* "!"  */
    SLASH = 275,                   /* "/"  */
    ASTERISK = 276,                /* "*"  */
    DASH = 277,                    /* "-"  */
    AT = 278,                      /* "@"  */
    VMAP = 279,                    /* "vmap"  */
    PLUS = 280,                    /* "+"  */
    INCLUDE = 281,                 /* "include"  */
    DEFINE = 282,                  /* "define"  */
    REDEFINE = 283,                /* "redefine"  */
    UNDEFINE = 284,                /* "undefine"  */
    FIB = 285,                     /* "fib"  */
    SOCKET = 286,                  /* "socket"  */
    TRANSPARENT = 287,             /* "transparent"  */
    WILDCARD = 288,                /* "wildcard"  */
    CGROUPV2 = 289,                /* "cgroupv2"  */
    TPROXY = 290,                  /* "tproxy"  */
    OSF = 291,                     /* "osf"  */
    SYNPROXY = 292,                /* "synproxy"  */
    MSS = 293,                     /* "mss"  */
    WSCALE = 294,                  /* "wscale"  */
    TYPEOF = 295,                  /* "typeof"  */
    HOOK = 296,                    /* "hook"  */
    HOOKS = 297,                   /* "hooks"  */
    DEVICE = 298,                  /* "device"  */
    DEVICES = 299,                 /* "devices"  */
    TABLE = 300,                   /* "table"  */
    TABLES = 301,                  /* "tables"  */
    CHAIN = 302,                   /* "chain"  */
    CHAINS = 303,                  /* "chains"  */
    RULE = 304,                    /* "rule"  */
    RULES = 305,                   /* "rules"  */
    SETS = 306,                    /* "sets"  */
    SET = 307,                     /* "set"  */
    ELEMENT = 308,                 /* "element"  */
    MAP = 309,                     /* "map"  */
    MAPS = 310,                    /* "maps"  */
    FLOWTABLE = 311,               /* "flowtable"  */
    HANDLE = 312,                  /* "handle"  */
    RULESET = 313,                 /* "ruleset"  */
    TRACE = 314,                   /* "trace"  */
    INET = 315,                    /* "inet"  */
    NETDEV = 316,                  /* "netdev"  */
    ADD = 317,                     /* "add"  */
    UPDATE = 318,                  /* "update"  */
    REPLACE = 319,                 /* "replace"  */
    CREATE = 320,                  /* "create"  */
    INSERT = 321,                  /* "insert"  */
    DELETE = 322,                  /* "delete"  */
    GET = 323,                     /* "get"  */
    LIST = 324,                    /* "list"  */
    RESET = 325,                   /* "reset"  */
    FLUSH = 326,                   /* "flush"  */
    RENAME = 327,                  /* "rename"  */
    DESCRIBE = 328,                /* "describe"  */
    IMPORT = 329,                  /* "import"  */
    EXPORT = 330,                  /* "export"  */
    DESTROY = 331,                 /* "destroy"  */
    MONITOR = 332,                 /* "monitor"  */
    ALL = 333,                     /* "all"  */
    ACCEPT = 334,                  /* "accept"  */
    DROP = 335,                    /* "drop"  */
    CONTINUE = 336,                /* "continue"  */
    JUMP = 337,                    /* "jump"  */
    GOTO = 338,                    /* "goto"  */
    RETURN = 339,                  /* "return"  */
    TO = 340,                      /* "to"  */
    CONSTANT = 341,                /* "constant"  */
    INTERVAL = 342,                /* "interval"  */
    DYNAMIC = 343,                 /* "dynamic"  */
    AUTOMERGE = 344,               /* "auto-merge"  */
    TIMEOUT = 345,                 /* "timeout"  */
    GC_INTERVAL = 346,             /* "gc-interval"  */
    ELEMENTS = 347,                /* "elements"  */
    EXPIRES = 348,                 /* "expires"  */
    POLICY = 349,                  /* "policy"  */
    MEMORY = 350,                  /* "memory"  */
    PERFORMANCE = 351,             /* "performance"  */
    SIZE = 352,                    /* "size"  */
    FLOW = 353,                    /* "flow"  */
    OFFLOAD = 354,                 /* "offload"  */
    METER = 355,                   /* "meter"  */
    METERS = 356,                  /* "meters"  */
    FLOWTABLES = 357,              /* "flowtables"  */
    NUM = 358,                     /* "number"  */
    STRING = 359,                  /* "string"  */
    QUOTED_STRING = 360,           /* "quoted string"  */
    ASTERISK_STRING = 361,         /* "string with a trailing asterisk"  */
    LL_HDR = 362,                  /* "ll"  */
    NETWORK_HDR = 363,             /* "nh"  */
    TRANSPORT_HDR = 364,           /* "th"  */
    BRIDGE = 365,                  /* "bridge"  */
    ETHER = 366,                   /* "ether"  */
    SADDR = 367,                   /* "saddr"  */
    DADDR = 368,                   /* "daddr"  */
    TYPE = 369,                    /* "type"  */
    VLAN = 370,                    /* "vlan"  */
    ID = 371,                      /* "id"  */
    CFI = 372,                     /* "cfi"  */
    DEI = 373,                     /* "dei"  */
    PCP = 374,                     /* "pcp"  */
    ARP = 375,                     /* "arp"  */
    HTYPE = 376,                   /* "htype"  */
    PTYPE = 377,                   /* "ptype"  */
    HLEN = 378,                    /* "hlen"  */
    PLEN = 379,                    /* "plen"  */
    OPERATION = 380,               /* "operation"  */
    IP = 381,                      /* "ip"  */
    HDRVERSION = 382,              /* "version"  */
    HDRLENGTH = 383,               /* "hdrlength"  */
    DSCP = 384,                    /* "dscp"  */
    ECN = 385,                     /* "ecn"  */
    LENGTH = 386,                  /* "length"  */
    FRAG_OFF = 387,                /* "frag-off"  */
    TTL = 388,                     /* "ttl"  */
    PROTOCOL = 389,                /* "protocol"  */
    CHECKSUM = 390,                /* "checksum"  */
    PTR = 391,                     /* "ptr"  */
    VALUE = 392,                   /* "value"  */
    LSRR = 393,                    /* "lsrr"  */
    RR = 394,                      /* "rr"  */
    SSRR = 395,                    /* "ssrr"  */
    RA = 396,                      /* "ra"  */
    ICMP = 397,                    /* "icmp"  */
    CODE = 398,                    /* "code"  */
    SEQUENCE = 399,                /* "seq"  */
    GATEWAY = 400,                 /* "gateway"  */
    MTU = 401,                     /* "mtu"  */
    IGMP = 402,                    /* "igmp"  */
    MRT = 403,                     /* "mrt"  */
    OPTIONS = 404,                 /* "options"  */
    IP6 = 405,                     /* "ip6"  */
    PRIORITY = 406,                /* "priority"  */
    FLOWLABEL = 407,               /* "flowlabel"  */
    NEXTHDR = 408,                 /* "nexthdr"  */
    HOPLIMIT = 409,                /* "hoplimit"  */
    ICMP6 = 410,                   /* "icmpv6"  */
    PPTR = 411,                    /* "param-problem"  */
    MAXDELAY = 412,                /* "max-delay"  */
    TADDR = 413,                   /* "taddr"  */
    AH = 414,                      /* "ah"  */
    RESERVED = 415,                /* "reserved"  */
    SPI = 416,                     /* "spi"  */
    ESP = 417,                     /* "esp"  */
    COMP = 418,                    /* "comp"  */
    FLAGS = 419,                   /* "flags"  */
    CPI = 420,                     /* "cpi"  */
    PORT = 421,                    /* "port"  */
    UDP = 422,                     /* "udp"  */
    SPORT = 423,                   /* "sport"  */
    DPORT = 424,                   /* "dport"  */
    UDPLITE = 425,                 /* "udplite"  */
    CSUMCOV = 426,                 /* "csumcov"  */
    TCP = 427,                     /* "tcp"  */
    ACKSEQ = 428,                  /* "ackseq"  */
    DOFF = 429,                    /* "doff"  */
    WINDOW = 430,                  /* "window"  */
    URGPTR = 431,                  /* "urgptr"  */
    OPTION = 432,                  /* "option"  */
    ECHO = 433,                    /* "echo"  */
    EOL = 434,                     /* "eol"  */
    MPTCP = 435,                   /* "mptcp"  */
    NOP = 436,                     /* "nop"  */
    SACK = 437,                    /* "sack"  */
    SACK0 = 438,                   /* "sack0"  */
    SACK1 = 439,                   /* "sack1"  */
    SACK2 = 440,                   /* "sack2"  */
    SACK3 = 441,                   /* "sack3"  */
    SACK_PERM = 442,               /* "sack-permitted"  */
    FASTOPEN = 443,                /* "fastopen"  */
    MD5SIG = 444,                  /* "md5sig"  */
    TIMESTAMP = 445,               /* "timestamp"  */
    COUNT = 446,                   /* "count"  */
    LEFT = 447,                    /* "left"  */
    RIGHT = 448,                   /* "right"  */
    TSVAL = 449,                   /* "tsval"  */
    TSECR = 450,                   /* "tsecr"  */
    SUBTYPE = 451,                 /* "subtype"  */
    DCCP = 452,                    /* "dccp"  */
    VXLAN = 453,                   /* "vxlan"  */
    VNI = 454,                     /* "vni"  */
    GRE = 455,                     /* "gre"  */
    GRETAP = 456,                  /* "gretap"  */
    GENEVE = 457,                  /* "geneve"  */
    SCTP = 458,                    /* "sctp"  */
    CHUNK = 459,                   /* "chunk"  */
    DATA = 460,                    /* "data"  */
    INIT = 461,                    /* "init"  */
    INIT_ACK = 462,                /* "init-ack"  */
    HEARTBEAT = 463,               /* "heartbeat"  */
    HEARTBEAT_ACK = 464,           /* "heartbeat-ack"  */
    ABORT = 465,                   /* "abort"  */
    SHUTDOWN = 466,                /* "shutdown"  */
    SHUTDOWN_ACK = 467,            /* "shutdown-ack"  */
    ERROR = 468,                   /* "error"  */
    COOKIE_ECHO = 469,             /* "cookie-echo"  */
    COOKIE_ACK = 470,              /* "cookie-ack"  */
    ECNE = 471,                    /* "ecne"  */
    CWR = 472,                     /* "cwr"  */
    SHUTDOWN_COMPLETE = 473,       /* "shutdown-complete"  */
    ASCONF_ACK = 474,              /* "asconf-ack"  */
    FORWARD_TSN = 475,             /* "forward-tsn"  */
    ASCONF = 476,                  /* "asconf"  */
    TSN = 477,                     /* "tsn"  */
    STREAM = 478,                  /* "stream"  */
    SSN = 479,                     /* "ssn"  */
    PPID = 480,                    /* "ppid"  */
    INIT_TAG = 481,                /* "init-tag"  */
    A_RWND = 482,                  /* "a-rwnd"  */
    NUM_OSTREAMS = 483,            /* "num-outbound-streams"  */
    NUM_ISTREAMS = 484,            /* "num-inbound-streams"  */
    INIT_TSN = 485,                /* "initial-tsn"  */
    CUM_TSN_ACK = 486,             /* "cum-tsn-ack"  */
    NUM_GACK_BLOCKS = 487,         /* "num-gap-ack-blocks"  */
    NUM_DUP_TSNS = 488,            /* "num-dup-tsns"  */
    LOWEST_TSN = 489,              /* "lowest-tsn"  */
    SEQNO = 490,                   /* "seqno"  */
    NEW_CUM_TSN = 491,             /* "new-cum-tsn"  */
    VTAG = 492,                    /* "vtag"  */
    RT = 493,                      /* "rt"  */
    RT0 = 494,                     /* "rt0"  */
    RT2 = 495,                     /* "rt2"  */
    RT4 = 496,                     /* "srh"  */
    SEG_LEFT = 497,                /* "seg-left"  */
    ADDR = 498,                    /* "addr"  */
    LAST_ENT = 499,                /* "last-entry"  */
    TAG = 500,                     /* "tag"  */
    SID = 501,                     /* "sid"  */
    HBH = 502,                     /* "hbh"  */
    FRAG = 503,                    /* "frag"  */
    RESERVED2 = 504,               /* "reserved2"  */
    MORE_FRAGMENTS = 505,          /* "more-fragments"  */
    DST = 506,                     /* "dst"  */
    MH = 507,                      /* "mh"  */
    META = 508,                    /* "meta"  */
    MARK = 509,                    /* "mark"  */
    IIF = 510,                     /* "iif"  */
    IIFNAME = 511,                 /* "iifname"  */
    IIFTYPE = 512,                 /* "iiftype"  */
    OIF = 513,                     /* "oif"  */
    OIFNAME = 514,                 /* "oifname"  */
    OIFTYPE = 515,                 /* "oiftype"  */
    SKUID = 516,                   /* "skuid"  */
    SKGID = 517,                   /* "skgid"  */
    NFTRACE = 518,                 /* "nftrace"  */
    RTCLASSID = 519,               /* "rtclassid"  */
    IBRIPORT = 520,                /* "ibriport"  */
    OBRIPORT = 521,                /* "obriport"  */
    IBRIDGENAME = 522,             /* "ibrname"  */
    OBRIDGENAME = 523,             /* "obrname"  */
    PKTTYPE = 524,                 /* "pkttype"  */
    CPU = 525,                     /* "cpu"  */
    IIFGROUP = 526,                /* "iifgroup"  */
    OIFGROUP = 527,                /* "oifgroup"  */
    CGROUP = 528,                  /* "cgroup"  */
    TIME = 529,                    /* "time"  */
    CLASSID = 530,                 /* "classid"  */
    NEXTHOP = 531,                 /* "nexthop"  */
    CT = 532,                      /* "ct"  */
    L3PROTOCOL = 533,              /* "l3proto"  */
    PROTO_SRC = 534,               /* "proto-src"  */
    PROTO_DST = 535,               /* "proto-dst"  */
    ZONE = 536,                    /* "zone"  */
    DIRECTION = 537,               /* "direction"  */
    EVENT = 538,                   /* "event"  */
    EXPECTATION = 539,             /* "expectation"  */
    EXPIRATION = 540,              /* "expiration"  */
    HELPER = 541,                  /* "helper"  */
    LABEL = 542,                   /* "label"  */
    STATE = 543,                   /* "state"  */
    STATUS = 544,                  /* "status"  */
    ORIGINAL = 545,                /* "original"  */
    REPLY = 546,                   /* "reply"  */
    COUNTER = 547,                 /* "counter"  */
    NAME = 548,                    /* "name"  */
    PACKETS = 549,                 /* "packets"  */
    BYTES = 550,                   /* "bytes"  */
    AVGPKT = 551,                  /* "avgpkt"  */
    LAST = 552,                    /* "last"  */
    NEVER = 553,                   /* "never"  */
    COUNTERS = 554,                /* "counters"  */
    QUOTAS = 555,                  /* "quotas"  */
    LIMITS = 556,                  /* "limits"  */
    SYNPROXYS = 557,               /* "synproxys"  */
    HELPERS = 558,                 /* "helpers"  */
    LOG = 559,                     /* "log"  */
    PREFIX = 560,                  /* "prefix"  */
    GROUP = 561,                   /* "group"  */
    SNAPLEN = 562,                 /* "snaplen"  */
    QUEUE_THRESHOLD = 563,         /* "queue-threshold"  */
    LEVEL = 564,                   /* "level"  */
    LIMIT = 565,                   /* "limit"  */
    RATE = 566,                    /* "rate"  */
    BURST = 567,                   /* "burst"  */
    OVER = 568,                    /* "over"  */
    UNTIL = 569,                   /* "until"  */
    QUOTA = 570,                   /* "quota"  */
    USED = 571,                    /* "used"  */
    SECMARK = 572,                 /* "secmark"  */
    SECMARKS = 573,                /* "secmarks"  */
    SECOND = 574,                  /* "second"  */
    MINUTE = 575,                  /* "minute"  */
    HOUR = 576,                    /* "hour"  */
    DAY = 577,                     /* "day"  */
    WEEK = 578,                    /* "week"  */
    _REJECT = 579,                 /* "reject"  */
    WITH = 580,                    /* "with"  */
    ICMPX = 581,                   /* "icmpx"  */
    SNAT = 582,                    /* "snat"  */
    DNAT = 583,                    /* "dnat"  */
    MASQUERADE = 584,              /* "masquerade"  */
    REDIRECT = 585,                /* "redirect"  */
    RANDOM = 586,                  /* "random"  */
    FULLY_RANDOM = 587,            /* "fully-random"  */
    PERSISTENT = 588,              /* "persistent"  */
    QUEUE = 589,                   /* "queue"  */
    QUEUENUM = 590,                /* "num"  */
    BYPASS = 591,                  /* "bypass"  */
    FANOUT = 592,                  /* "fanout"  */
    DUP = 593,                     /* "dup"  */
    FWD = 594,                     /* "fwd"  */
    NUMGEN = 595,                  /* "numgen"  */
    INC = 596,                     /* "inc"  */
    MOD = 597,                     /* "mod"  */
    OFFSET = 598,                  /* "offset"  */
    JHASH = 599,                   /* "jhash"  */
    SYMHASH = 600,                 /* "symhash"  */
    SEED = 601,                    /* "seed"  */
    POSITION = 602,                /* "position"  */
    INDEX = 603,                   /* "index"  */
    COMMENT = 604,                 /* "comment"  */
    XML = 605,                     /* "xml"  */
    JSON = 606,                    /* "json"  */
    VM = 607,                      /* "vm"  */
    NOTRACK = 608,                 /* "notrack"  */
    EXISTS = 609,                  /* "exists"  */
    MISSING = 610,                 /* "missing"  */
    EXTHDR = 611,                  /* "exthdr"  */
    IPSEC = 612,                   /* "ipsec"  */
    REQID = 613,                   /* "reqid"  */
    SPNUM = 614,                   /* "spnum"  */
    IN = 615,                      /* "in"  */
    OUT = 616,                     /* "out"  */
    XT = 617                       /* "xt"  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define TOKEN_EOF 0
#define YYerror 256
#define YYUNDEF 257
#define JUNK 258
#define NEWLINE 259
#define COLON 260
#define SEMICOLON 261
#define COMMA 262
#define DOT 263
#define EQ 264
#define NEQ 265
#define LT 266
#define GT 267
#define GTE 268
#define LTE 269
#define LSHIFT 270
#define RSHIFT 271
#define AMPERSAND 272
#define CARET 273
#define NOT 274
#define SLASH 275
#define ASTERISK 276
#define DASH 277
#define AT 278
#define VMAP 279
#define PLUS 280
#define INCLUDE 281
#define DEFINE 282
#define REDEFINE 283
#define UNDEFINE 284
#define FIB 285
#define SOCKET 286
#define TRANSPARENT 287
#define WILDCARD 288
#define CGROUPV2 289
#define TPROXY 290
#define OSF 291
#define SYNPROXY 292
#define MSS 293
#define WSCALE 294
#define TYPEOF 295
#define HOOK 296
#define HOOKS 297
#define DEVICE 298
#define DEVICES 299
#define TABLE 300
#define TABLES 301
#define CHAIN 302
#define CHAINS 303
#define RULE 304
#define RULES 305
#define SETS 306
#define SET 307
#define ELEMENT 308
#define MAP 309
#define MAPS 310
#define FLOWTABLE 311
#define HANDLE 312
#define RULESET 313
#define TRACE 314
#define INET 315
#define NETDEV 316
#define ADD 317
#define UPDATE 318
#define REPLACE 319
#define CREATE 320
#define INSERT 321
#define DELETE 322
#define GET 323
#define LIST 324
#define RESET 325
#define FLUSH 326
#define RENAME 327
#define DESCRIBE 328
#define IMPORT 329
#define EXPORT 330
#define DESTROY 331
#define MONITOR 332
#define ALL 333
#define ACCEPT 334
#define DROP 335
#define CONTINUE 336
#define JUMP 337
#define GOTO 338
#define RETURN 339
#define TO 340
#define CONSTANT 341
#define INTERVAL 342
#define DYNAMIC 343
#define AUTOMERGE 344
#define TIMEOUT 345
#define GC_INTERVAL 346
#define ELEMENTS 347
#define EXPIRES 348
#define POLICY 349
#define MEMORY 350
#define PERFORMANCE 351
#define SIZE 352
#define FLOW 353
#define OFFLOAD 354
#define METER 355
#define METERS 356
#define FLOWTABLES 357
#define NUM 358
#define STRING 359
#define QUOTED_STRING 360
#define ASTERISK_STRING 361
#define LL_HDR 362
#define NETWORK_HDR 363
#define TRANSPORT_HDR 364
#define BRIDGE 365
#define ETHER 366
#define SADDR 367
#define DADDR 368
#define TYPE 369
#define VLAN 370
#define ID 371
#define CFI 372
#define DEI 373
#define PCP 374
#define ARP 375
#define HTYPE 376
#define PTYPE 377
#define HLEN 378
#define PLEN 379
#define OPERATION 380
#define IP 381
#define HDRVERSION 382
#define HDRLENGTH 383
#define DSCP 384
#define ECN 385
#define LENGTH 386
#define FRAG_OFF 387
#define TTL 388
#define PROTOCOL 389
#define CHECKSUM 390
#define PTR 391
#define VALUE 392
#define LSRR 393
#define RR 394
#define SSRR 395
#define RA 396
#define ICMP 397
#define CODE 398
#define SEQUENCE 399
#define GATEWAY 400
#define MTU 401
#define IGMP 402
#define MRT 403
#define OPTIONS 404
#define IP6 405
#define PRIORITY 406
#define FLOWLABEL 407
#define NEXTHDR 408
#define HOPLIMIT 409
#define ICMP6 410
#define PPTR 411
#define MAXDELAY 412
#define TADDR 413
#define AH 414
#define RESERVED 415
#define SPI 416
#define ESP 417
#define COMP 418
#define FLAGS 419
#define CPI 420
#define PORT 421
#define UDP 422
#define SPORT 423
#define DPORT 424
#define UDPLITE 425
#define CSUMCOV 426
#define TCP 427
#define ACKSEQ 428
#define DOFF 429
#define WINDOW 430
#define URGPTR 431
#define OPTION 432
#define ECHO 433
#define EOL 434
#define MPTCP 435
#define NOP 436
#define SACK 437
#define SACK0 438
#define SACK1 439
#define SACK2 440
#define SACK3 441
#define SACK_PERM 442
#define FASTOPEN 443
#define MD5SIG 444
#define TIMESTAMP 445
#define COUNT 446
#define LEFT 447
#define RIGHT 448
#define TSVAL 449
#define TSECR 450
#define SUBTYPE 451
#define DCCP 452
#define VXLAN 453
#define VNI 454
#define GRE 455
#define GRETAP 456
#define GENEVE 457
#define SCTP 458
#define CHUNK 459
#define DATA 460
#define INIT 461
#define INIT_ACK 462
#define HEARTBEAT 463
#define HEARTBEAT_ACK 464
#define ABORT 465
#define SHUTDOWN 466
#define SHUTDOWN_ACK 467
#define ERROR 468
#define COOKIE_ECHO 469
#define COOKIE_ACK 470
#define ECNE 471
#define CWR 472
#define SHUTDOWN_COMPLETE 473
#define ASCONF_ACK 474
#define FORWARD_TSN 475
#define ASCONF 476
#define TSN 477
#define STREAM 478
#define SSN 479
#define PPID 480
#define INIT_TAG 481
#define A_RWND 482
#define NUM_OSTREAMS 483
#define NUM_ISTREAMS 484
#define INIT_TSN 485
#define CUM_TSN_ACK 486
#define NUM_GACK_BLOCKS 487
#define NUM_DUP_TSNS 488
#define LOWEST_TSN 489
#define SEQNO 490
#define NEW_CUM_TSN 491
#define VTAG 492
#define RT 493
#define RT0 494
#define RT2 495
#define RT4 496
#define SEG_LEFT 497
#define ADDR 498
#define LAST_ENT 499
#define TAG 500
#define SID 501
#define HBH 502
#define FRAG 503
#define RESERVED2 504
#define MORE_FRAGMENTS 505
#define DST 506
#define MH 507
#define META 508
#define MARK 509
#define IIF 510
#define IIFNAME 511
#define IIFTYPE 512
#define OIF 513
#define OIFNAME 514
#define OIFTYPE 515
#define SKUID 516
#define SKGID 517
#define NFTRACE 518
#define RTCLASSID 519
#define IBRIPORT 520
#define OBRIPORT 521
#define IBRIDGENAME 522
#define OBRIDGENAME 523
#define PKTTYPE 524
#define CPU 525
#define IIFGROUP 526
#define OIFGROUP 527
#define CGROUP 528
#define TIME 529
#define CLASSID 530
#define NEXTHOP 531
#define CT 532
#define L3PROTOCOL 533
#define PROTO_SRC 534
#define PROTO_DST 535
#define ZONE 536
#define DIRECTION 537
#define EVENT 538
#define EXPECTATION 539
#define EXPIRATION 540
#define HELPER 541
#define LABEL 542
#define STATE 543
#define STATUS 544
#define ORIGINAL 545
#define REPLY 546
#define COUNTER 547
#define NAME 548
#define PACKETS 549
#define BYTES 550
#define AVGPKT 551
#define LAST 552
#define NEVER 553
#define COUNTERS 554
#define QUOTAS 555
#define LIMITS 556
#define SYNPROXYS 557
#define HELPERS 558
#define LOG 559
#define PREFIX 560
#define GROUP 561
#define SNAPLEN 562
#define QUEUE_THRESHOLD 563
#define LEVEL 564
#define LIMIT 565
#define RATE 566
#define BURST 567
#define OVER 568
#define UNTIL 569
#define QUOTA 570
#define USED 571
#define SECMARK 572
#define SECMARKS 573
#define SECOND 574
#define MINUTE 575
#define HOUR 576
#define DAY 577
#define WEEK 578
#define _REJECT 579
#define WITH 580
#define ICMPX 581
#define SNAT 582
#define DNAT 583
#define MASQUERADE 584
#define REDIRECT 585
#define RANDOM 586
#define FULLY_RANDOM 587
#define PERSISTENT 588
#define QUEUE 589
#define QUEUENUM 590
#define BYPASS 591
#define FANOUT 592
#define DUP 593
#define FWD 594
#define NUMGEN 595
#define INC 596
#define MOD 597
#define OFFSET 598
#define JHASH 599
#define SYMHASH 600
#define SEED 601
#define POSITION 602
#define INDEX 603
#define COMMENT 604
#define XML 605
#define JSON 606
#define VM 607
#define NOTRACK 608
#define EXISTS 609
#define MISSING 610
#define EXTHDR 611
#define IPSEC 612
#define REQID 613
#define SPNUM 614
#define IN 615
#define OUT 616
#define XT 617

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 205 "parser_bison.y"

	uint64_t		val;
	uint32_t		val32;
	uint8_t			val8;
	const char *		string;

	struct list_head	*list;
	struct cmd		*cmd;
	struct handle		handle;
	struct table		*table;
	struct chain		*chain;
	struct rule		*rule;
	struct stmt		*stmt;
	struct expr		*expr;
	struct set		*set;
	struct obj		*obj;
	struct flowtable	*flowtable;
	struct ct		*ct;
	const struct datatype	*datatype;
	struct handle_spec	handle_spec;
	struct position_spec	position_spec;
	struct prio_spec	prio_spec;
	struct limit_rate	limit_rate;
	struct tcp_kind_field {
		uint16_t kind; /* must allow > 255 for SACK1, 2.. hack */
		uint8_t field;
	} tcp_kind_field;

#line 1056 "parser_bison.c"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int nft_parse (struct nft_ctx *nft, void *scanner, struct parser_state *state);

#endif /* !YY_NFT_PARSER_BISON_H_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_JUNK = 3,                       /* "junk"  */
  YYSYMBOL_NEWLINE = 4,                    /* "newline"  */
  YYSYMBOL_COLON = 5,                      /* "colon"  */
  YYSYMBOL_SEMICOLON = 6,                  /* "semicolon"  */
  YYSYMBOL_COMMA = 7,                      /* "comma"  */
  YYSYMBOL_DOT = 8,                        /* "."  */
  YYSYMBOL_EQ = 9,                         /* "=="  */
  YYSYMBOL_NEQ = 10,                       /* "!="  */
  YYSYMBOL_LT = 11,                        /* "<"  */
  YYSYMBOL_GT = 12,                        /* ">"  */
  YYSYMBOL_GTE = 13,                       /* ">="  */
  YYSYMBOL_LTE = 14,                       /* "<="  */
  YYSYMBOL_LSHIFT = 15,                    /* "<<"  */
  YYSYMBOL_RSHIFT = 16,                    /* ">>"  */
  YYSYMBOL_AMPERSAND = 17,                 /* "&"  */
  YYSYMBOL_CARET = 18,                     /* "^"  */
  YYSYMBOL_NOT = 19,                       /* "!"  */
  YYSYMBOL_SLASH = 20,                     /* "/"  */
  YYSYMBOL_ASTERISK = 21,                  /* "*"  */
  YYSYMBOL_DASH = 22,                      /* "-"  */
  YYSYMBOL_AT = 23,                        /* "@"  */
  YYSYMBOL_VMAP = 24,                      /* "vmap"  */
  YYSYMBOL_PLUS = 25,                      /* "+"  */
  YYSYMBOL_INCLUDE = 26,                   /* "include"  */
  YYSYMBOL_DEFINE = 27,                    /* "define"  */
  YYSYMBOL_REDEFINE = 28,                  /* "redefine"  */
  YYSYMBOL_UNDEFINE = 29,                  /* "undefine"  */
  YYSYMBOL_FIB = 30,                       /* "fib"  */
  YYSYMBOL_SOCKET = 31,                    /* "socket"  */
  YYSYMBOL_TRANSPARENT = 32,               /* "transparent"  */
  YYSYMBOL_WILDCARD = 33,                  /* "wildcard"  */
  YYSYMBOL_CGROUPV2 = 34,                  /* "cgroupv2"  */
  YYSYMBOL_TPROXY = 35,                    /* "tproxy"  */
  YYSYMBOL_OSF = 36,                       /* "osf"  */
  YYSYMBOL_SYNPROXY = 37,                  /* "synproxy"  */
  YYSYMBOL_MSS = 38,                       /* "mss"  */
  YYSYMBOL_WSCALE = 39,                    /* "wscale"  */
  YYSYMBOL_TYPEOF = 40,                    /* "typeof"  */
  YYSYMBOL_HOOK = 41,                      /* "hook"  */
  YYSYMBOL_HOOKS = 42,                     /* "hooks"  */
  YYSYMBOL_DEVICE = 43,                    /* "device"  */
  YYSYMBOL_DEVICES = 44,                   /* "devices"  */
  YYSYMBOL_TABLE = 45,                     /* "table"  */
  YYSYMBOL_TABLES = 46,                    /* "tables"  */
  YYSYMBOL_CHAIN = 47,                     /* "chain"  */
  YYSYMBOL_CHAINS = 48,                    /* "chains"  */
  YYSYMBOL_RULE = 49,                      /* "rule"  */
  YYSYMBOL_RULES = 50,                     /* "rules"  */
  YYSYMBOL_SETS = 51,                      /* "sets"  */
  YYSYMBOL_SET = 52,                       /* "set"  */
  YYSYMBOL_ELEMENT = 53,                   /* "element"  */
  YYSYMBOL_MAP = 54,                       /* "map"  */
  YYSYMBOL_MAPS = 55,                      /* "maps"  */
  YYSYMBOL_FLOWTABLE = 56,                 /* "flowtable"  */
  YYSYMBOL_HANDLE = 57,                    /* "handle"  */
  YYSYMBOL_RULESET = 58,                   /* "ruleset"  */
  YYSYMBOL_TRACE = 59,                     /* "trace"  */
  YYSYMBOL_INET = 60,                      /* "inet"  */
  YYSYMBOL_NETDEV = 61,                    /* "netdev"  */
  YYSYMBOL_ADD = 62,                       /* "add"  */
  YYSYMBOL_UPDATE = 63,                    /* "update"  */
  YYSYMBOL_REPLACE = 64,                   /* "replace"  */
  YYSYMBOL_CREATE = 65,                    /* "create"  */
  YYSYMBOL_INSERT = 66,                    /* "insert"  */
  YYSYMBOL_DELETE = 67,                    /* "delete"  */
  YYSYMBOL_GET = 68,                       /* "get"  */
  YYSYMBOL_LIST = 69,                      /* "list"  */
  YYSYMBOL_RESET = 70,                     /* "reset"  */
  YYSYMBOL_FLUSH = 71,                     /* "flush"  */
  YYSYMBOL_RENAME = 72,                    /* "rename"  */
  YYSYMBOL_DESCRIBE = 73,                  /* "describe"  */
  YYSYMBOL_IMPORT = 74,                    /* "import"  */
  YYSYMBOL_EXPORT = 75,                    /* "export"  */
  YYSYMBOL_DESTROY = 76,                   /* "destroy"  */
  YYSYMBOL_MONITOR = 77,                   /* "monitor"  */
  YYSYMBOL_ALL = 78,                       /* "all"  */
  YYSYMBOL_ACCEPT = 79,                    /* "accept"  */
  YYSYMBOL_DROP = 80,                      /* "drop"  */
  YYSYMBOL_CONTINUE = 81,                  /* "continue"  */
  YYSYMBOL_JUMP = 82,                      /* "jump"  */
  YYSYMBOL_GOTO = 83,                      /* "goto"  */
  YYSYMBOL_RETURN = 84,                    /* "return"  */
  YYSYMBOL_TO = 85,                        /* "to"  */
  YYSYMBOL_CONSTANT = 86,                  /* "constant"  */
  YYSYMBOL_INTERVAL = 87,                  /* "interval"  */
  YYSYMBOL_DYNAMIC = 88,                   /* "dynamic"  */
  YYSYMBOL_AUTOMERGE = 89,                 /* "auto-merge"  */
  YYSYMBOL_TIMEOUT = 90,                   /* "timeout"  */
  YYSYMBOL_GC_INTERVAL = 91,               /* "gc-interval"  */
  YYSYMBOL_ELEMENTS = 92,                  /* "elements"  */
  YYSYMBOL_EXPIRES = 93,                   /* "expires"  */
  YYSYMBOL_POLICY = 94,                    /* "policy"  */
  YYSYMBOL_MEMORY = 95,                    /* "memory"  */
  YYSYMBOL_PERFORMANCE = 96,               /* "performance"  */
  YYSYMBOL_SIZE = 97,                      /* "size"  */
  YYSYMBOL_FLOW = 98,                      /* "flow"  */
  YYSYMBOL_OFFLOAD = 99,                   /* "offload"  */
  YYSYMBOL_METER = 100,                    /* "meter"  */
  YYSYMBOL_METERS = 101,                   /* "meters"  */
  YYSYMBOL_FLOWTABLES = 102,               /* "flowtables"  */
  YYSYMBOL_NUM = 103,                      /* "number"  */
  YYSYMBOL_STRING = 104,                   /* "string"  */
  YYSYMBOL_QUOTED_STRING = 105,            /* "quoted string"  */
  YYSYMBOL_ASTERISK_STRING = 106,          /* "string with a trailing asterisk"  */
  YYSYMBOL_LL_HDR = 107,                   /* "ll"  */
  YYSYMBOL_NETWORK_HDR = 108,              /* "nh"  */
  YYSYMBOL_TRANSPORT_HDR = 109,            /* "th"  */
  YYSYMBOL_BRIDGE = 110,                   /* "bridge"  */
  YYSYMBOL_ETHER = 111,                    /* "ether"  */
  YYSYMBOL_SADDR = 112,                    /* "saddr"  */
  YYSYMBOL_DADDR = 113,                    /* "daddr"  */
  YYSYMBOL_TYPE = 114,                     /* "type"  */
  YYSYMBOL_VLAN = 115,                     /* "vlan"  */
  YYSYMBOL_ID = 116,                       /* "id"  */
  YYSYMBOL_CFI = 117,                      /* "cfi"  */
  YYSYMBOL_DEI = 118,                      /* "dei"  */
  YYSYMBOL_PCP = 119,                      /* "pcp"  */
  YYSYMBOL_ARP = 120,                      /* "arp"  */
  YYSYMBOL_HTYPE = 121,                    /* "htype"  */
  YYSYMBOL_PTYPE = 122,                    /* "ptype"  */
  YYSYMBOL_HLEN = 123,                     /* "hlen"  */
  YYSYMBOL_PLEN = 124,                     /* "plen"  */
  YYSYMBOL_OPERATION = 125,                /* "operation"  */
  YYSYMBOL_IP = 126,                       /* "ip"  */
  YYSYMBOL_HDRVERSION = 127,               /* "version"  */
  YYSYMBOL_HDRLENGTH = 128,                /* "hdrlength"  */
  YYSYMBOL_DSCP = 129,                     /* "dscp"  */
  YYSYMBOL_ECN = 130,                      /* "ecn"  */
  YYSYMBOL_LENGTH = 131,                   /* "length"  */
  YYSYMBOL_FRAG_OFF = 132,                 /* "frag-off"  */
  YYSYMBOL_TTL = 133,                      /* "ttl"  */
  YYSYMBOL_PROTOCOL = 134,                 /* "protocol"  */
  YYSYMBOL_CHECKSUM = 135,                 /* "checksum"  */
  YYSYMBOL_PTR = 136,                      /* "ptr"  */
  YYSYMBOL_VALUE = 137,                    /* "value"  */
  YYSYMBOL_LSRR = 138,                     /* "lsrr"  */
  YYSYMBOL_RR = 139,                       /* "rr"  */
  YYSYMBOL_SSRR = 140,                     /* "ssrr"  */
  YYSYMBOL_RA = 141,                       /* "ra"  */
  YYSYMBOL_ICMP = 142,                     /* "icmp"  */
  YYSYMBOL_CODE = 143,                     /* "code"  */
  YYSYMBOL_SEQUENCE = 144,                 /* "seq"  */
  YYSYMBOL_GATEWAY = 145,                  /* "gateway"  */
  YYSYMBOL_MTU = 146,                      /* "mtu"  */
  YYSYMBOL_IGMP = 147,                     /* "igmp"  */
  YYSYMBOL_MRT = 148,                      /* "mrt"  */
  YYSYMBOL_OPTIONS = 149,                  /* "options"  */
  YYSYMBOL_IP6 = 150,                      /* "ip6"  */
  YYSYMBOL_PRIORITY = 151,                 /* "priority"  */
  YYSYMBOL_FLOWLABEL = 152,                /* "flowlabel"  */
  YYSYMBOL_NEXTHDR = 153,                  /* "nexthdr"  */
  YYSYMBOL_HOPLIMIT = 154,                 /* "hoplimit"  */
  YYSYMBOL_ICMP6 = 155,                    /* "icmpv6"  */
  YYSYMBOL_PPTR = 156,                     /* "param-problem"  */
  YYSYMBOL_MAXDELAY = 157,                 /* "max-delay"  */
  YYSYMBOL_TADDR = 158,                    /* "taddr"  */
  YYSYMBOL_AH = 159,                       /* "ah"  */
  YYSYMBOL_RESERVED = 160,                 /* "reserved"  */
  YYSYMBOL_SPI = 161,                      /* "spi"  */
  YYSYMBOL_ESP = 162,                      /* "esp"  */
  YYSYMBOL_COMP = 163,                     /* "comp"  */
  YYSYMBOL_FLAGS = 164,                    /* "flags"  */
  YYSYMBOL_CPI = 165,                      /* "cpi"  */
  YYSYMBOL_PORT = 166,                     /* "port"  */
  YYSYMBOL_UDP = 167,                      /* "udp"  */
  YYSYMBOL_SPORT = 168,                    /* "sport"  */
  YYSYMBOL_DPORT = 169,                    /* "dport"  */
  YYSYMBOL_UDPLITE = 170,                  /* "udplite"  */
  YYSYMBOL_CSUMCOV = 171,                  /* "csumcov"  */
  YYSYMBOL_TCP = 172,                      /* "tcp"  */
  YYSYMBOL_ACKSEQ = 173,                   /* "ackseq"  */
  YYSYMBOL_DOFF = 174,                     /* "doff"  */
  YYSYMBOL_WINDOW = 175,                   /* "window"  */
  YYSYMBOL_URGPTR = 176,                   /* "urgptr"  */
  YYSYMBOL_OPTION = 177,                   /* "option"  */
  YYSYMBOL_ECHO = 178,                     /* "echo"  */
  YYSYMBOL_EOL = 179,                      /* "eol"  */
  YYSYMBOL_MPTCP = 180,                    /* "mptcp"  */
  YYSYMBOL_NOP = 181,                      /* "nop"  */
  YYSYMBOL_SACK = 182,                     /* "sack"  */
  YYSYMBOL_SACK0 = 183,                    /* "sack0"  */
  YYSYMBOL_SACK1 = 184,                    /* "sack1"  */
  YYSYMBOL_SACK2 = 185,                    /* "sack2"  */
  YYSYMBOL_SACK3 = 186,                    /* "sack3"  */
  YYSYMBOL_SACK_PERM = 187,                /* "sack-permitted"  */
  YYSYMBOL_FASTOPEN = 188,                 /* "fastopen"  */
  YYSYMBOL_MD5SIG = 189,                   /* "md5sig"  */
  YYSYMBOL_TIMESTAMP = 190,                /* "timestamp"  */
  YYSYMBOL_COUNT = 191,                    /* "count"  */
  YYSYMBOL_LEFT = 192,                     /* "left"  */
  YYSYMBOL_RIGHT = 193,                    /* "right"  */
  YYSYMBOL_TSVAL = 194,                    /* "tsval"  */
  YYSYMBOL_TSECR = 195,                    /* "tsecr"  */
  YYSYMBOL_SUBTYPE = 196,                  /* "subtype"  */
  YYSYMBOL_DCCP = 197,                     /* "dccp"  */
  YYSYMBOL_VXLAN = 198,                    /* "vxlan"  */
  YYSYMBOL_VNI = 199,                      /* "vni"  */
  YYSYMBOL_GRE = 200,                      /* "gre"  */
  YYSYMBOL_GRETAP = 201,                   /* "gretap"  */
  YYSYMBOL_GENEVE = 202,                   /* "geneve"  */
  YYSYMBOL_SCTP = 203,                     /* "sctp"  */
  YYSYMBOL_CHUNK = 204,                    /* "chunk"  */
  YYSYMBOL_DATA = 205,                     /* "data"  */
  YYSYMBOL_INIT = 206,                     /* "init"  */
  YYSYMBOL_INIT_ACK = 207,                 /* "init-ack"  */
  YYSYMBOL_HEARTBEAT = 208,                /* "heartbeat"  */
  YYSYMBOL_HEARTBEAT_ACK = 209,            /* "heartbeat-ack"  */
  YYSYMBOL_ABORT = 210,                    /* "abort"  */
  YYSYMBOL_SHUTDOWN = 211,                 /* "shutdown"  */
  YYSYMBOL_SHUTDOWN_ACK = 212,             /* "shutdown-ack"  */
  YYSYMBOL_ERROR = 213,                    /* "error"  */
  YYSYMBOL_COOKIE_ECHO = 214,              /* "cookie-echo"  */
  YYSYMBOL_COOKIE_ACK = 215,               /* "cookie-ack"  */
  YYSYMBOL_ECNE = 216,                     /* "ecne"  */
  YYSYMBOL_CWR = 217,                      /* "cwr"  */
  YYSYMBOL_SHUTDOWN_COMPLETE = 218,        /* "shutdown-complete"  */
  YYSYMBOL_ASCONF_ACK = 219,               /* "asconf-ack"  */
  YYSYMBOL_FORWARD_TSN = 220,              /* "forward-tsn"  */
  YYSYMBOL_ASCONF = 221,                   /* "asconf"  */
  YYSYMBOL_TSN = 222,                      /* "tsn"  */
  YYSYMBOL_STREAM = 223,                   /* "stream"  */
  YYSYMBOL_SSN = 224,                      /* "ssn"  */
  YYSYMBOL_PPID = 225,                     /* "ppid"  */
  YYSYMBOL_INIT_TAG = 226,                 /* "init-tag"  */
  YYSYMBOL_A_RWND = 227,                   /* "a-rwnd"  */
  YYSYMBOL_NUM_OSTREAMS = 228,             /* "num-outbound-streams"  */
  YYSYMBOL_NUM_ISTREAMS = 229,             /* "num-inbound-streams"  */
  YYSYMBOL_INIT_TSN = 230,                 /* "initial-tsn"  */
  YYSYMBOL_CUM_TSN_ACK = 231,              /* "cum-tsn-ack"  */
  YYSYMBOL_NUM_GACK_BLOCKS = 232,          /* "num-gap-ack-blocks"  */
  YYSYMBOL_NUM_DUP_TSNS = 233,             /* "num-dup-tsns"  */
  YYSYMBOL_LOWEST_TSN = 234,               /* "lowest-tsn"  */
  YYSYMBOL_SEQNO = 235,                    /* "seqno"  */
  YYSYMBOL_NEW_CUM_TSN = 236,              /* "new-cum-tsn"  */
  YYSYMBOL_VTAG = 237,                     /* "vtag"  */
  YYSYMBOL_RT = 238,                       /* "rt"  */
  YYSYMBOL_RT0 = 239,                      /* "rt0"  */
  YYSYMBOL_RT2 = 240,                      /* "rt2"  */
  YYSYMBOL_RT4 = 241,                      /* "srh"  */
  YYSYMBOL_SEG_LEFT = 242,                 /* "seg-left"  */
  YYSYMBOL_ADDR = 243,                     /* "addr"  */
  YYSYMBOL_LAST_ENT = 244,                 /* "last-entry"  */
  YYSYMBOL_TAG = 245,                      /* "tag"  */
  YYSYMBOL_SID = 246,                      /* "sid"  */
  YYSYMBOL_HBH = 247,                      /* "hbh"  */
  YYSYMBOL_FRAG = 248,                     /* "frag"  */
  YYSYMBOL_RESERVED2 = 249,                /* "reserved2"  */
  YYSYMBOL_MORE_FRAGMENTS = 250,           /* "more-fragments"  */
  YYSYMBOL_DST = 251,                      /* "dst"  */
  YYSYMBOL_MH = 252,                       /* "mh"  */
  YYSYMBOL_META = 253,                     /* "meta"  */
  YYSYMBOL_MARK = 254,                     /* "mark"  */
  YYSYMBOL_IIF = 255,                      /* "iif"  */
  YYSYMBOL_IIFNAME = 256,                  /* "iifname"  */
  YYSYMBOL_IIFTYPE = 257,                  /* "iiftype"  */
  YYSYMBOL_OIF = 258,                      /* "oif"  */
  YYSYMBOL_OIFNAME = 259,                  /* "oifname"  */
  YYSYMBOL_OIFTYPE = 260,                  /* "oiftype"  */
  YYSYMBOL_SKUID = 261,                    /* "skuid"  */
  YYSYMBOL_SKGID = 262,                    /* "skgid"  */
  YYSYMBOL_NFTRACE = 263,                  /* "nftrace"  */
  YYSYMBOL_RTCLASSID = 264,                /* "rtclassid"  */
  YYSYMBOL_IBRIPORT = 265,                 /* "ibriport"  */
  YYSYMBOL_OBRIPORT = 266,                 /* "obriport"  */
  YYSYMBOL_IBRIDGENAME = 267,              /* "ibrname"  */
  YYSYMBOL_OBRIDGENAME = 268,              /* "obrname"  */
  YYSYMBOL_PKTTYPE = 269,                  /* "pkttype"  */
  YYSYMBOL_CPU = 270,                      /* "cpu"  */
  YYSYMBOL_IIFGROUP = 271,                 /* "iifgroup"  */
  YYSYMBOL_OIFGROUP = 272,                 /* "oifgroup"  */
  YYSYMBOL_CGROUP = 273,                   /* "cgroup"  */
  YYSYMBOL_TIME = 274,                     /* "time"  */
  YYSYMBOL_CLASSID = 275,                  /* "classid"  */
  YYSYMBOL_NEXTHOP = 276,                  /* "nexthop"  */
  YYSYMBOL_CT = 277,                       /* "ct"  */
  YYSYMBOL_L3PROTOCOL = 278,               /* "l3proto"  */
  YYSYMBOL_PROTO_SRC = 279,                /* "proto-src"  */
  YYSYMBOL_PROTO_DST = 280,                /* "proto-dst"  */
  YYSYMBOL_ZONE = 281,                     /* "zone"  */
  YYSYMBOL_DIRECTION = 282,                /* "direction"  */
  YYSYMBOL_EVENT = 283,                    /* "event"  */
  YYSYMBOL_EXPECTATION = 284,              /* "expectation"  */
  YYSYMBOL_EXPIRATION = 285,               /* "expiration"  */
  YYSYMBOL_HELPER = 286,                   /* "helper"  */
  YYSYMBOL_LABEL = 287,                    /* "label"  */
  YYSYMBOL_STATE = 288,                    /* "state"  */
  YYSYMBOL_STATUS = 289,                   /* "status"  */
  YYSYMBOL_ORIGINAL = 290,                 /* "original"  */
  YYSYMBOL_REPLY = 291,                    /* "reply"  */
  YYSYMBOL_COUNTER = 292,                  /* "counter"  */
  YYSYMBOL_NAME = 293,                     /* "name"  */
  YYSYMBOL_PACKETS = 294,                  /* "packets"  */
  YYSYMBOL_BYTES = 295,                    /* "bytes"  */
  YYSYMBOL_AVGPKT = 296,                   /* "avgpkt"  */
  YYSYMBOL_LAST = 297,                     /* "last"  */
  YYSYMBOL_NEVER = 298,                    /* "never"  */
  YYSYMBOL_COUNTERS = 299,                 /* "counters"  */
  YYSYMBOL_QUOTAS = 300,                   /* "quotas"  */
  YYSYMBOL_LIMITS = 301,                   /* "limits"  */
  YYSYMBOL_SYNPROXYS = 302,                /* "synproxys"  */
  YYSYMBOL_HELPERS = 303,                  /* "helpers"  */
  YYSYMBOL_LOG = 304,                      /* "log"  */
  YYSYMBOL_PREFIX = 305,                   /* "prefix"  */
  YYSYMBOL_GROUP = 306,                    /* "group"  */
  YYSYMBOL_SNAPLEN = 307,                  /* "snaplen"  */
  YYSYMBOL_QUEUE_THRESHOLD = 308,          /* "queue-threshold"  */
  YYSYMBOL_LEVEL = 309,                    /* "level"  */
  YYSYMBOL_LIMIT = 310,                    /* "limit"  */
  YYSYMBOL_RATE = 311,                     /* "rate"  */
  YYSYMBOL_BURST = 312,                    /* "burst"  */
  YYSYMBOL_OVER = 313,                     /* "over"  */
  YYSYMBOL_UNTIL = 314,                    /* "until"  */
  YYSYMBOL_QUOTA = 315,                    /* "quota"  */
  YYSYMBOL_USED = 316,                     /* "used"  */
  YYSYMBOL_SECMARK = 317,                  /* "secmark"  */
  YYSYMBOL_SECMARKS = 318,                 /* "secmarks"  */
  YYSYMBOL_SECOND = 319,                   /* "second"  */
  YYSYMBOL_MINUTE = 320,                   /* "minute"  */
  YYSYMBOL_HOUR = 321,                     /* "hour"  */
  YYSYMBOL_DAY = 322,                      /* "day"  */
  YYSYMBOL_WEEK = 323,                     /* "week"  */
  YYSYMBOL__REJECT = 324,                  /* "reject"  */
  YYSYMBOL_WITH = 325,                     /* "with"  */
  YYSYMBOL_ICMPX = 326,                    /* "icmpx"  */
  YYSYMBOL_SNAT = 327,                     /* "snat"  */
  YYSYMBOL_DNAT = 328,                     /* "dnat"  */
  YYSYMBOL_MASQUERADE = 329,               /* "masquerade"  */
  YYSYMBOL_REDIRECT = 330,                 /* "redirect"  */
  YYSYMBOL_RANDOM = 331,                   /* "random"  */
  YYSYMBOL_FULLY_RANDOM = 332,             /* "fully-random"  */
  YYSYMBOL_PERSISTENT = 333,               /* "persistent"  */
  YYSYMBOL_QUEUE = 334,                    /* "queue"  */
  YYSYMBOL_QUEUENUM = 335,                 /* "num"  */
  YYSYMBOL_BYPASS = 336,                   /* "bypass"  */
  YYSYMBOL_FANOUT = 337,                   /* "fanout"  */
  YYSYMBOL_DUP = 338,                      /* "dup"  */
  YYSYMBOL_FWD = 339,                      /* "fwd"  */
  YYSYMBOL_NUMGEN = 340,                   /* "numgen"  */
  YYSYMBOL_INC = 341,                      /* "inc"  */
  YYSYMBOL_MOD = 342,                      /* "mod"  */
  YYSYMBOL_OFFSET = 343,                   /* "offset"  */
  YYSYMBOL_JHASH = 344,                    /* "jhash"  */
  YYSYMBOL_SYMHASH = 345,                  /* "symhash"  */
  YYSYMBOL_SEED = 346,                     /* "seed"  */
  YYSYMBOL_POSITION = 347,                 /* "position"  */
  YYSYMBOL_INDEX = 348,                    /* "index"  */
  YYSYMBOL_COMMENT = 349,                  /* "comment"  */
  YYSYMBOL_XML = 350,                      /* "xml"  */
  YYSYMBOL_JSON = 351,                     /* "json"  */
  YYSYMBOL_VM = 352,                       /* "vm"  */
  YYSYMBOL_NOTRACK = 353,                  /* "notrack"  */
  YYSYMBOL_EXISTS = 354,                   /* "exists"  */
  YYSYMBOL_MISSING = 355,                  /* "missing"  */
  YYSYMBOL_EXTHDR = 356,                   /* "exthdr"  */
  YYSYMBOL_IPSEC = 357,                    /* "ipsec"  */
  YYSYMBOL_REQID = 358,                    /* "reqid"  */
  YYSYMBOL_SPNUM = 359,                    /* "spnum"  */
  YYSYMBOL_IN = 360,                       /* "in"  */
  YYSYMBOL_OUT = 361,                      /* "out"  */
  YYSYMBOL_XT = 362,                       /* "xt"  */
  YYSYMBOL_363_ = 363,                     /* '='  */
  YYSYMBOL_364_ = 364,                     /* '{'  */
  YYSYMBOL_365_ = 365,                     /* '}'  */
  YYSYMBOL_366_ = 366,                     /* '('  */
  YYSYMBOL_367_ = 367,                     /* ')'  */
  YYSYMBOL_368_ = 368,                     /* '|'  */
  YYSYMBOL_369_ = 369,                     /* '$'  */
  YYSYMBOL_370_ = 370,                     /* '['  */
  YYSYMBOL_371_ = 371,                     /* ']'  */
  YYSYMBOL_YYACCEPT = 372,                 /* $accept  */
  YYSYMBOL_input = 373,                    /* input  */
  YYSYMBOL_stmt_separator = 374,           /* stmt_separator  */
  YYSYMBOL_opt_newline = 375,              /* opt_newline  */
  YYSYMBOL_close_scope_ah = 376,           /* close_scope_ah  */
  YYSYMBOL_close_scope_arp = 377,          /* close_scope_arp  */
  YYSYMBOL_close_scope_at = 378,           /* close_scope_at  */
  YYSYMBOL_close_scope_comp = 379,         /* close_scope_comp  */
  YYSYMBOL_close_scope_ct = 380,           /* close_scope_ct  */
  YYSYMBOL_close_scope_counter = 381,      /* close_scope_counter  */
  YYSYMBOL_close_scope_last = 382,         /* close_scope_last  */
  YYSYMBOL_close_scope_dccp = 383,         /* close_scope_dccp  */
  YYSYMBOL_close_scope_destroy = 384,      /* close_scope_destroy  */
  YYSYMBOL_close_scope_dst = 385,          /* close_scope_dst  */
  YYSYMBOL_close_scope_dup = 386,          /* close_scope_dup  */
  YYSYMBOL_close_scope_esp = 387,          /* close_scope_esp  */
  YYSYMBOL_close_scope_eth = 388,          /* close_scope_eth  */
  YYSYMBOL_close_scope_export = 389,       /* close_scope_export  */
  YYSYMBOL_close_scope_fib = 390,          /* close_scope_fib  */
  YYSYMBOL_close_scope_frag = 391,         /* close_scope_frag  */
  YYSYMBOL_close_scope_fwd = 392,          /* close_scope_fwd  */
  YYSYMBOL_close_scope_gre = 393,          /* close_scope_gre  */
  YYSYMBOL_close_scope_hash = 394,         /* close_scope_hash  */
  YYSYMBOL_close_scope_hbh = 395,          /* close_scope_hbh  */
  YYSYMBOL_close_scope_ip = 396,           /* close_scope_ip  */
  YYSYMBOL_close_scope_ip6 = 397,          /* close_scope_ip6  */
  YYSYMBOL_close_scope_vlan = 398,         /* close_scope_vlan  */
  YYSYMBOL_close_scope_icmp = 399,         /* close_scope_icmp  */
  YYSYMBOL_close_scope_igmp = 400,         /* close_scope_igmp  */
  YYSYMBOL_close_scope_import = 401,       /* close_scope_import  */
  YYSYMBOL_close_scope_ipsec = 402,        /* close_scope_ipsec  */
  YYSYMBOL_close_scope_list = 403,         /* close_scope_list  */
  YYSYMBOL_close_scope_limit = 404,        /* close_scope_limit  */
  YYSYMBOL_close_scope_meta = 405,         /* close_scope_meta  */
  YYSYMBOL_close_scope_mh = 406,           /* close_scope_mh  */
  YYSYMBOL_close_scope_monitor = 407,      /* close_scope_monitor  */
  YYSYMBOL_close_scope_nat = 408,          /* close_scope_nat  */
  YYSYMBOL_close_scope_numgen = 409,       /* close_scope_numgen  */
  YYSYMBOL_close_scope_osf = 410,          /* close_scope_osf  */
  YYSYMBOL_close_scope_policy = 411,       /* close_scope_policy  */
  YYSYMBOL_close_scope_quota = 412,        /* close_scope_quota  */
  YYSYMBOL_close_scope_queue = 413,        /* close_scope_queue  */
  YYSYMBOL_close_scope_reject = 414,       /* close_scope_reject  */
  YYSYMBOL_close_scope_reset = 415,        /* close_scope_reset  */
  YYSYMBOL_close_scope_rt = 416,           /* close_scope_rt  */
  YYSYMBOL_close_scope_sctp = 417,         /* close_scope_sctp  */
  YYSYMBOL_close_scope_sctp_chunk = 418,   /* close_scope_sctp_chunk  */
  YYSYMBOL_close_scope_secmark = 419,      /* close_scope_secmark  */
  YYSYMBOL_close_scope_socket = 420,       /* close_scope_socket  */
  YYSYMBOL_close_scope_tcp = 421,          /* close_scope_tcp  */
  YYSYMBOL_close_scope_tproxy = 422,       /* close_scope_tproxy  */
  YYSYMBOL_close_scope_type = 423,         /* close_scope_type  */
  YYSYMBOL_close_scope_th = 424,           /* close_scope_th  */
  YYSYMBOL_close_scope_udp = 425,          /* close_scope_udp  */
  YYSYMBOL_close_scope_udplite = 426,      /* close_scope_udplite  */
  YYSYMBOL_close_scope_log = 427,          /* close_scope_log  */
  YYSYMBOL_close_scope_synproxy = 428,     /* close_scope_synproxy  */
  YYSYMBOL_close_scope_xt = 429,           /* close_scope_xt  */
  YYSYMBOL_common_block = 430,             /* common_block  */
  YYSYMBOL_line = 431,                     /* line  */
  YYSYMBOL_base_cmd = 432,                 /* base_cmd  */
  YYSYMBOL_add_cmd = 433,                  /* add_cmd  */
  YYSYMBOL_replace_cmd = 434,              /* replace_cmd  */
  YYSYMBOL_create_cmd = 435,               /* create_cmd  */
  YYSYMBOL_insert_cmd = 436,               /* insert_cmd  */
  YYSYMBOL_table_or_id_spec = 437,         /* table_or_id_spec  */
  YYSYMBOL_chain_or_id_spec = 438,         /* chain_or_id_spec  */
  YYSYMBOL_set_or_id_spec = 439,           /* set_or_id_spec  */
  YYSYMBOL_obj_or_id_spec = 440,           /* obj_or_id_spec  */
  YYSYMBOL_delete_cmd = 441,               /* delete_cmd  */
  YYSYMBOL_destroy_cmd = 442,              /* destroy_cmd  */
  YYSYMBOL_get_cmd = 443,                  /* get_cmd  */
  YYSYMBOL_list_cmd = 444,                 /* list_cmd  */
  YYSYMBOL_basehook_device_name = 445,     /* basehook_device_name  */
  YYSYMBOL_basehook_spec = 446,            /* basehook_spec  */
  YYSYMBOL_reset_cmd = 447,                /* reset_cmd  */
  YYSYMBOL_flush_cmd = 448,                /* flush_cmd  */
  YYSYMBOL_rename_cmd = 449,               /* rename_cmd  */
  YYSYMBOL_import_cmd = 450,               /* import_cmd  */
  YYSYMBOL_export_cmd = 451,               /* export_cmd  */
  YYSYMBOL_monitor_cmd = 452,              /* monitor_cmd  */
  YYSYMBOL_monitor_event = 453,            /* monitor_event  */
  YYSYMBOL_monitor_object = 454,           /* monitor_object  */
  YYSYMBOL_monitor_format = 455,           /* monitor_format  */
  YYSYMBOL_markup_format = 456,            /* markup_format  */
  YYSYMBOL_describe_cmd = 457,             /* describe_cmd  */
  YYSYMBOL_table_block_alloc = 458,        /* table_block_alloc  */
  YYSYMBOL_table_options = 459,            /* table_options  */
  YYSYMBOL_table_flags = 460,              /* table_flags  */
  YYSYMBOL_table_flag = 461,               /* table_flag  */
  YYSYMBOL_table_block = 462,              /* table_block  */
  YYSYMBOL_chain_block_alloc = 463,        /* chain_block_alloc  */
  YYSYMBOL_chain_block = 464,              /* chain_block  */
  YYSYMBOL_subchain_block = 465,           /* subchain_block  */
  YYSYMBOL_typeof_data_expr = 466,         /* typeof_data_expr  */
  YYSYMBOL_typeof_expr = 467,              /* typeof_expr  */
  YYSYMBOL_set_block_alloc = 468,          /* set_block_alloc  */
  YYSYMBOL_set_block = 469,                /* set_block  */
  YYSYMBOL_set_block_expr = 470,           /* set_block_expr  */
  YYSYMBOL_set_flag_list = 471,            /* set_flag_list  */
  YYSYMBOL_set_flag = 472,                 /* set_flag  */
  YYSYMBOL_map_block_alloc = 473,          /* map_block_alloc  */
  YYSYMBOL_map_block_obj_type = 474,       /* map_block_obj_type  */
  YYSYMBOL_map_block_data_interval = 475,  /* map_block_data_interval  */
  YYSYMBOL_map_block = 476,                /* map_block  */
  YYSYMBOL_set_mechanism = 477,            /* set_mechanism  */
  YYSYMBOL_set_policy_spec = 478,          /* set_policy_spec  */
  YYSYMBOL_flowtable_block_alloc = 479,    /* flowtable_block_alloc  */
  YYSYMBOL_flowtable_block = 480,          /* flowtable_block  */
  YYSYMBOL_flowtable_expr = 481,           /* flowtable_expr  */
  YYSYMBOL_flowtable_list_expr = 482,      /* flowtable_list_expr  */
  YYSYMBOL_flowtable_expr_member = 483,    /* flowtable_expr_member  */
  YYSYMBOL_data_type_atom_expr = 484,      /* data_type_atom_expr  */
  YYSYMBOL_data_type_expr = 485,           /* data_type_expr  */
  YYSYMBOL_obj_block_alloc = 486,          /* obj_block_alloc  */
  YYSYMBOL_counter_block = 487,            /* counter_block  */
  YYSYMBOL_quota_block = 488,              /* quota_block  */
  YYSYMBOL_ct_helper_block = 489,          /* ct_helper_block  */
  YYSYMBOL_ct_timeout_block = 490,         /* ct_timeout_block  */
  YYSYMBOL_ct_expect_block = 491,          /* ct_expect_block  */
  YYSYMBOL_limit_block = 492,              /* limit_block  */
  YYSYMBOL_secmark_block = 493,            /* secmark_block  */
  YYSYMBOL_synproxy_block = 494,           /* synproxy_block  */
  YYSYMBOL_type_identifier = 495,          /* type_identifier  */
  YYSYMBOL_hook_spec = 496,                /* hook_spec  */
  YYSYMBOL_prio_spec = 497,                /* prio_spec  */
  YYSYMBOL_extended_prio_name = 498,       /* extended_prio_name  */
  YYSYMBOL_extended_prio_spec = 499,       /* extended_prio_spec  */
  YYSYMBOL_int_num = 500,                  /* int_num  */
  YYSYMBOL_dev_spec = 501,                 /* dev_spec  */
  YYSYMBOL_flags_spec = 502,               /* flags_spec  */
  YYSYMBOL_policy_spec = 503,              /* policy_spec  */
  YYSYMBOL_policy_expr = 504,              /* policy_expr  */
  YYSYMBOL_chain_policy = 505,             /* chain_policy  */
  YYSYMBOL_identifier = 506,               /* identifier  */
  YYSYMBOL_string = 507,                   /* string  */
  YYSYMBOL_time_spec = 508,                /* time_spec  */
  YYSYMBOL_time_spec_or_num_s = 509,       /* time_spec_or_num_s  */
  YYSYMBOL_family_spec = 510,              /* family_spec  */
  YYSYMBOL_family_spec_explicit = 511,     /* family_spec_explicit  */
  YYSYMBOL_table_spec = 512,               /* table_spec  */
  YYSYMBOL_tableid_spec = 513,             /* tableid_spec  */
  YYSYMBOL_chain_spec = 514,               /* chain_spec  */
  YYSYMBOL_chainid_spec = 515,             /* chainid_spec  */
  YYSYMBOL_chain_identifier = 516,         /* chain_identifier  */
  YYSYMBOL_set_spec = 517,                 /* set_spec  */
  YYSYMBOL_setid_spec = 518,               /* setid_spec  */
  YYSYMBOL_set_identifier = 519,           /* set_identifier  */
  YYSYMBOL_flowtable_spec = 520,           /* flowtable_spec  */
  YYSYMBOL_flowtableid_spec = 521,         /* flowtableid_spec  */
  YYSYMBOL_flowtable_identifier = 522,     /* flowtable_identifier  */
  YYSYMBOL_obj_spec = 523,                 /* obj_spec  */
  YYSYMBOL_objid_spec = 524,               /* objid_spec  */
  YYSYMBOL_obj_identifier = 525,           /* obj_identifier  */
  YYSYMBOL_handle_spec = 526,              /* handle_spec  */
  YYSYMBOL_position_spec = 527,            /* position_spec  */
  YYSYMBOL_index_spec = 528,               /* index_spec  */
  YYSYMBOL_rule_position = 529,            /* rule_position  */
  YYSYMBOL_ruleid_spec = 530,              /* ruleid_spec  */
  YYSYMBOL_comment_spec = 531,             /* comment_spec  */
  YYSYMBOL_ruleset_spec = 532,             /* ruleset_spec  */
  YYSYMBOL_rule = 533,                     /* rule  */
  YYSYMBOL_rule_alloc = 534,               /* rule_alloc  */
  YYSYMBOL_stmt_list = 535,                /* stmt_list  */
  YYSYMBOL_stateful_stmt_list = 536,       /* stateful_stmt_list  */
  YYSYMBOL_stateful_stmt = 537,            /* stateful_stmt  */
  YYSYMBOL_stmt = 538,                     /* stmt  */
  YYSYMBOL_xt_stmt = 539,                  /* xt_stmt  */
  YYSYMBOL_chain_stmt_type = 540,          /* chain_stmt_type  */
  YYSYMBOL_chain_stmt = 541,               /* chain_stmt  */
  YYSYMBOL_verdict_stmt = 542,             /* verdict_stmt  */
  YYSYMBOL_verdict_map_stmt = 543,         /* verdict_map_stmt  */
  YYSYMBOL_verdict_map_expr = 544,         /* verdict_map_expr  */
  YYSYMBOL_verdict_map_list_expr = 545,    /* verdict_map_list_expr  */
  YYSYMBOL_verdict_map_list_member_expr = 546, /* verdict_map_list_member_expr  */
  YYSYMBOL_connlimit_stmt = 547,           /* connlimit_stmt  */
  YYSYMBOL_counter_stmt = 548,             /* counter_stmt  */
  YYSYMBOL_counter_stmt_alloc = 549,       /* counter_stmt_alloc  */
  YYSYMBOL_counter_args = 550,             /* counter_args  */
  YYSYMBOL_counter_arg = 551,              /* counter_arg  */
  YYSYMBOL_last_stmt = 552,                /* last_stmt  */
  YYSYMBOL_log_stmt = 553,                 /* log_stmt  */
  YYSYMBOL_log_stmt_alloc = 554,           /* log_stmt_alloc  */
  YYSYMBOL_log_args = 555,                 /* log_args  */
  YYSYMBOL_log_arg = 556,                  /* log_arg  */
  YYSYMBOL_level_type = 557,               /* level_type  */
  YYSYMBOL_log_flags = 558,                /* log_flags  */
  YYSYMBOL_log_flags_tcp = 559,            /* log_flags_tcp  */
  YYSYMBOL_log_flag_tcp = 560,             /* log_flag_tcp  */
  YYSYMBOL_limit_stmt = 561,               /* limit_stmt  */
  YYSYMBOL_quota_mode = 562,               /* quota_mode  */
  YYSYMBOL_quota_unit = 563,               /* quota_unit  */
  YYSYMBOL_quota_used = 564,               /* quota_used  */
  YYSYMBOL_quota_stmt = 565,               /* quota_stmt  */
  YYSYMBOL_limit_mode = 566,               /* limit_mode  */
  YYSYMBOL_limit_burst_pkts = 567,         /* limit_burst_pkts  */
  YYSYMBOL_limit_rate_pkts = 568,          /* limit_rate_pkts  */
  YYSYMBOL_limit_burst_bytes = 569,        /* limit_burst_bytes  */
  YYSYMBOL_limit_rate_bytes = 570,         /* limit_rate_bytes  */
  YYSYMBOL_limit_bytes = 571,              /* limit_bytes  */
  YYSYMBOL_time_unit = 572,                /* time_unit  */
  YYSYMBOL_reject_stmt = 573,              /* reject_stmt  */
  YYSYMBOL_reject_stmt_alloc = 574,        /* reject_stmt_alloc  */
  YYSYMBOL_reject_with_expr = 575,         /* reject_with_expr  */
  YYSYMBOL_reject_opts = 576,              /* reject_opts  */
  YYSYMBOL_nat_stmt = 577,                 /* nat_stmt  */
  YYSYMBOL_nat_stmt_alloc = 578,           /* nat_stmt_alloc  */
  YYSYMBOL_tproxy_stmt = 579,              /* tproxy_stmt  */
  YYSYMBOL_synproxy_stmt = 580,            /* synproxy_stmt  */
  YYSYMBOL_synproxy_stmt_alloc = 581,      /* synproxy_stmt_alloc  */
  YYSYMBOL_synproxy_args = 582,            /* synproxy_args  */
  YYSYMBOL_synproxy_arg = 583,             /* synproxy_arg  */
  YYSYMBOL_synproxy_config = 584,          /* synproxy_config  */
  YYSYMBOL_synproxy_obj = 585,             /* synproxy_obj  */
  YYSYMBOL_synproxy_ts = 586,              /* synproxy_ts  */
  YYSYMBOL_synproxy_sack = 587,            /* synproxy_sack  */
  YYSYMBOL_primary_stmt_expr = 588,        /* primary_stmt_expr  */
  YYSYMBOL_shift_stmt_expr = 589,          /* shift_stmt_expr  */
  YYSYMBOL_and_stmt_expr = 590,            /* and_stmt_expr  */
  YYSYMBOL_exclusive_or_stmt_expr = 591,   /* exclusive_or_stmt_expr  */
  YYSYMBOL_inclusive_or_stmt_expr = 592,   /* inclusive_or_stmt_expr  */
  YYSYMBOL_basic_stmt_expr = 593,          /* basic_stmt_expr  */
  YYSYMBOL_concat_stmt_expr = 594,         /* concat_stmt_expr  */
  YYSYMBOL_map_stmt_expr_set = 595,        /* map_stmt_expr_set  */
  YYSYMBOL_map_stmt_expr = 596,            /* map_stmt_expr  */
  YYSYMBOL_prefix_stmt_expr = 597,         /* prefix_stmt_expr  */
  YYSYMBOL_range_stmt_expr = 598,          /* range_stmt_expr  */
  YYSYMBOL_multiton_stmt_expr = 599,       /* multiton_stmt_expr  */
  YYSYMBOL_stmt_expr = 600,                /* stmt_expr  */
  YYSYMBOL_nat_stmt_args = 601,            /* nat_stmt_args  */
  YYSYMBOL_masq_stmt = 602,                /* masq_stmt  */
  YYSYMBOL_masq_stmt_alloc = 603,          /* masq_stmt_alloc  */
  YYSYMBOL_masq_stmt_args = 604,           /* masq_stmt_args  */
  YYSYMBOL_redir_stmt = 605,               /* redir_stmt  */
  YYSYMBOL_redir_stmt_alloc = 606,         /* redir_stmt_alloc  */
  YYSYMBOL_redir_stmt_arg = 607,           /* redir_stmt_arg  */
  YYSYMBOL_dup_stmt = 608,                 /* dup_stmt  */
  YYSYMBOL_fwd_stmt = 609,                 /* fwd_stmt  */
  YYSYMBOL_nf_nat_flags = 610,             /* nf_nat_flags  */
  YYSYMBOL_nf_nat_flag = 611,              /* nf_nat_flag  */
  YYSYMBOL_queue_stmt = 612,               /* queue_stmt  */
  YYSYMBOL_queue_stmt_compat = 613,        /* queue_stmt_compat  */
  YYSYMBOL_queue_stmt_alloc = 614,         /* queue_stmt_alloc  */
  YYSYMBOL_queue_stmt_args = 615,          /* queue_stmt_args  */
  YYSYMBOL_queue_stmt_arg = 616,           /* queue_stmt_arg  */
  YYSYMBOL_queue_expr = 617,               /* queue_expr  */
  YYSYMBOL_queue_stmt_expr_simple = 618,   /* queue_stmt_expr_simple  */
  YYSYMBOL_queue_stmt_expr = 619,          /* queue_stmt_expr  */
  YYSYMBOL_queue_stmt_flags = 620,         /* queue_stmt_flags  */
  YYSYMBOL_queue_stmt_flag = 621,          /* queue_stmt_flag  */
  YYSYMBOL_set_elem_expr_stmt = 622,       /* set_elem_expr_stmt  */
  YYSYMBOL_set_elem_expr_stmt_alloc = 623, /* set_elem_expr_stmt_alloc  */
  YYSYMBOL_set_stmt = 624,                 /* set_stmt  */
  YYSYMBOL_set_stmt_op = 625,              /* set_stmt_op  */
  YYSYMBOL_map_stmt = 626,                 /* map_stmt  */
  YYSYMBOL_meter_stmt = 627,               /* meter_stmt  */
  YYSYMBOL_flow_stmt_legacy_alloc = 628,   /* flow_stmt_legacy_alloc  */
  YYSYMBOL_flow_stmt_opts = 629,           /* flow_stmt_opts  */
  YYSYMBOL_flow_stmt_opt = 630,            /* flow_stmt_opt  */
  YYSYMBOL_meter_stmt_alloc = 631,         /* meter_stmt_alloc  */
  YYSYMBOL_match_stmt = 632,               /* match_stmt  */
  YYSYMBOL_variable_expr = 633,            /* variable_expr  */
  YYSYMBOL_symbol_expr = 634,              /* symbol_expr  */
  YYSYMBOL_set_ref_expr = 635,             /* set_ref_expr  */
  YYSYMBOL_set_ref_symbol_expr = 636,      /* set_ref_symbol_expr  */
  YYSYMBOL_integer_expr = 637,             /* integer_expr  */
  YYSYMBOL_primary_expr = 638,             /* primary_expr  */
  YYSYMBOL_fib_expr = 639,                 /* fib_expr  */
  YYSYMBOL_fib_result = 640,               /* fib_result  */
  YYSYMBOL_fib_flag = 641,                 /* fib_flag  */
  YYSYMBOL_fib_tuple = 642,                /* fib_tuple  */
  YYSYMBOL_osf_expr = 643,                 /* osf_expr  */
  YYSYMBOL_osf_ttl = 644,                  /* osf_ttl  */
  YYSYMBOL_shift_expr = 645,               /* shift_expr  */
  YYSYMBOL_and_expr = 646,                 /* and_expr  */
  YYSYMBOL_exclusive_or_expr = 647,        /* exclusive_or_expr  */
  YYSYMBOL_inclusive_or_expr = 648,        /* inclusive_or_expr  */
  YYSYMBOL_basic_expr = 649,               /* basic_expr  */
  YYSYMBOL_concat_expr = 650,              /* concat_expr  */
  YYSYMBOL_prefix_rhs_expr = 651,          /* prefix_rhs_expr  */
  YYSYMBOL_range_rhs_expr = 652,           /* range_rhs_expr  */
  YYSYMBOL_multiton_rhs_expr = 653,        /* multiton_rhs_expr  */
  YYSYMBOL_map_expr = 654,                 /* map_expr  */
  YYSYMBOL_expr = 655,                     /* expr  */
  YYSYMBOL_set_expr = 656,                 /* set_expr  */
  YYSYMBOL_set_list_expr = 657,            /* set_list_expr  */
  YYSYMBOL_set_list_member_expr = 658,     /* set_list_member_expr  */
  YYSYMBOL_meter_key_expr = 659,           /* meter_key_expr  */
  YYSYMBOL_meter_key_expr_alloc = 660,     /* meter_key_expr_alloc  */
  YYSYMBOL_set_elem_expr = 661,            /* set_elem_expr  */
  YYSYMBOL_set_elem_key_expr = 662,        /* set_elem_key_expr  */
  YYSYMBOL_set_elem_expr_alloc = 663,      /* set_elem_expr_alloc  */
  YYSYMBOL_set_elem_options = 664,         /* set_elem_options  */
  YYSYMBOL_set_elem_option = 665,          /* set_elem_option  */
  YYSYMBOL_set_elem_expr_options = 666,    /* set_elem_expr_options  */
  YYSYMBOL_set_elem_stmt_list = 667,       /* set_elem_stmt_list  */
  YYSYMBOL_set_elem_stmt = 668,            /* set_elem_stmt  */
  YYSYMBOL_set_elem_expr_option = 669,     /* set_elem_expr_option  */
  YYSYMBOL_set_lhs_expr = 670,             /* set_lhs_expr  */
  YYSYMBOL_set_rhs_expr = 671,             /* set_rhs_expr  */
  YYSYMBOL_initializer_expr = 672,         /* initializer_expr  */
  YYSYMBOL_counter_config = 673,           /* counter_config  */
  YYSYMBOL_counter_obj = 674,              /* counter_obj  */
  YYSYMBOL_quota_config = 675,             /* quota_config  */
  YYSYMBOL_quota_obj = 676,                /* quota_obj  */
  YYSYMBOL_secmark_config = 677,           /* secmark_config  */
  YYSYMBOL_secmark_obj = 678,              /* secmark_obj  */
  YYSYMBOL_ct_obj_type = 679,              /* ct_obj_type  */
  YYSYMBOL_ct_cmd_type = 680,              /* ct_cmd_type  */
  YYSYMBOL_ct_l4protoname = 681,           /* ct_l4protoname  */
  YYSYMBOL_ct_helper_config = 682,         /* ct_helper_config  */
  YYSYMBOL_timeout_states = 683,           /* timeout_states  */
  YYSYMBOL_timeout_state = 684,            /* timeout_state  */
  YYSYMBOL_ct_timeout_config = 685,        /* ct_timeout_config  */
  YYSYMBOL_ct_expect_config = 686,         /* ct_expect_config  */
  YYSYMBOL_ct_obj_alloc = 687,             /* ct_obj_alloc  */
  YYSYMBOL_limit_config = 688,             /* limit_config  */
  YYSYMBOL_limit_obj = 689,                /* limit_obj  */
  YYSYMBOL_relational_expr = 690,          /* relational_expr  */
  YYSYMBOL_list_rhs_expr = 691,            /* list_rhs_expr  */
  YYSYMBOL_rhs_expr = 692,                 /* rhs_expr  */
  YYSYMBOL_shift_rhs_expr = 693,           /* shift_rhs_expr  */
  YYSYMBOL_and_rhs_expr = 694,             /* and_rhs_expr  */
  YYSYMBOL_exclusive_or_rhs_expr = 695,    /* exclusive_or_rhs_expr  */
  YYSYMBOL_inclusive_or_rhs_expr = 696,    /* inclusive_or_rhs_expr  */
  YYSYMBOL_basic_rhs_expr = 697,           /* basic_rhs_expr  */
  YYSYMBOL_concat_rhs_expr = 698,          /* concat_rhs_expr  */
  YYSYMBOL_boolean_keys = 699,             /* boolean_keys  */
  YYSYMBOL_boolean_expr = 700,             /* boolean_expr  */
  YYSYMBOL_keyword_expr = 701,             /* keyword_expr  */
  YYSYMBOL_primary_rhs_expr = 702,         /* primary_rhs_expr  */
  YYSYMBOL_relational_op = 703,            /* relational_op  */
  YYSYMBOL_verdict_expr = 704,             /* verdict_expr  */
  YYSYMBOL_chain_expr = 705,               /* chain_expr  */
  YYSYMBOL_meta_expr = 706,                /* meta_expr  */
  YYSYMBOL_meta_key = 707,                 /* meta_key  */
  YYSYMBOL_meta_key_qualified = 708,       /* meta_key_qualified  */
  YYSYMBOL_meta_key_unqualified = 709,     /* meta_key_unqualified  */
  YYSYMBOL_meta_stmt = 710,                /* meta_stmt  */
  YYSYMBOL_socket_expr = 711,              /* socket_expr  */
  YYSYMBOL_socket_key = 712,               /* socket_key  */
  YYSYMBOL_offset_opt = 713,               /* offset_opt  */
  YYSYMBOL_numgen_type = 714,              /* numgen_type  */
  YYSYMBOL_numgen_expr = 715,              /* numgen_expr  */
  YYSYMBOL_xfrm_spnum = 716,               /* xfrm_spnum  */
  YYSYMBOL_xfrm_dir = 717,                 /* xfrm_dir  */
  YYSYMBOL_xfrm_state_key = 718,           /* xfrm_state_key  */
  YYSYMBOL_xfrm_state_proto_key = 719,     /* xfrm_state_proto_key  */
  YYSYMBOL_xfrm_expr = 720,                /* xfrm_expr  */
  YYSYMBOL_hash_expr = 721,                /* hash_expr  */
  YYSYMBOL_nf_key_proto = 722,             /* nf_key_proto  */
  YYSYMBOL_rt_expr = 723,                  /* rt_expr  */
  YYSYMBOL_rt_key = 724,                   /* rt_key  */
  YYSYMBOL_ct_expr = 725,                  /* ct_expr  */
  YYSYMBOL_ct_dir = 726,                   /* ct_dir  */
  YYSYMBOL_ct_key = 727,                   /* ct_key  */
  YYSYMBOL_ct_key_dir = 728,               /* ct_key_dir  */
  YYSYMBOL_ct_key_proto_field = 729,       /* ct_key_proto_field  */
  YYSYMBOL_ct_key_dir_optional = 730,      /* ct_key_dir_optional  */
  YYSYMBOL_symbol_stmt_expr = 731,         /* symbol_stmt_expr  */
  YYSYMBOL_list_stmt_expr = 732,           /* list_stmt_expr  */
  YYSYMBOL_ct_stmt = 733,                  /* ct_stmt  */
  YYSYMBOL_payload_stmt = 734,             /* payload_stmt  */
  YYSYMBOL_payload_expr = 735,             /* payload_expr  */
  YYSYMBOL_payload_raw_expr = 736,         /* payload_raw_expr  */
  YYSYMBOL_payload_base_spec = 737,        /* payload_base_spec  */
  YYSYMBOL_eth_hdr_expr = 738,             /* eth_hdr_expr  */
  YYSYMBOL_eth_hdr_field = 739,            /* eth_hdr_field  */
  YYSYMBOL_vlan_hdr_expr = 740,            /* vlan_hdr_expr  */
  YYSYMBOL_vlan_hdr_field = 741,           /* vlan_hdr_field  */
  YYSYMBOL_arp_hdr_expr = 742,             /* arp_hdr_expr  */
  YYSYMBOL_arp_hdr_field = 743,            /* arp_hdr_field  */
  YYSYMBOL_ip_hdr_expr = 744,              /* ip_hdr_expr  */
  YYSYMBOL_ip_hdr_field = 745,             /* ip_hdr_field  */
  YYSYMBOL_ip_option_type = 746,           /* ip_option_type  */
  YYSYMBOL_ip_option_field = 747,          /* ip_option_field  */
  YYSYMBOL_icmp_hdr_expr = 748,            /* icmp_hdr_expr  */
  YYSYMBOL_icmp_hdr_field = 749,           /* icmp_hdr_field  */
  YYSYMBOL_igmp_hdr_expr = 750,            /* igmp_hdr_expr  */
  YYSYMBOL_igmp_hdr_field = 751,           /* igmp_hdr_field  */
  YYSYMBOL_ip6_hdr_expr = 752,             /* ip6_hdr_expr  */
  YYSYMBOL_ip6_hdr_field = 753,            /* ip6_hdr_field  */
  YYSYMBOL_icmp6_hdr_expr = 754,           /* icmp6_hdr_expr  */
  YYSYMBOL_icmp6_hdr_field = 755,          /* icmp6_hdr_field  */
  YYSYMBOL_auth_hdr_expr = 756,            /* auth_hdr_expr  */
  YYSYMBOL_auth_hdr_field = 757,           /* auth_hdr_field  */
  YYSYMBOL_esp_hdr_expr = 758,             /* esp_hdr_expr  */
  YYSYMBOL_esp_hdr_field = 759,            /* esp_hdr_field  */
  YYSYMBOL_comp_hdr_expr = 760,            /* comp_hdr_expr  */
  YYSYMBOL_comp_hdr_field = 761,           /* comp_hdr_field  */
  YYSYMBOL_udp_hdr_expr = 762,             /* udp_hdr_expr  */
  YYSYMBOL_udp_hdr_field = 763,            /* udp_hdr_field  */
  YYSYMBOL_udplite_hdr_expr = 764,         /* udplite_hdr_expr  */
  YYSYMBOL_udplite_hdr_field = 765,        /* udplite_hdr_field  */
  YYSYMBOL_tcp_hdr_expr = 766,             /* tcp_hdr_expr  */
  YYSYMBOL_inner_inet_expr = 767,          /* inner_inet_expr  */
  YYSYMBOL_inner_eth_expr = 768,           /* inner_eth_expr  */
  YYSYMBOL_inner_expr = 769,               /* inner_expr  */
  YYSYMBOL_vxlan_hdr_expr = 770,           /* vxlan_hdr_expr  */
  YYSYMBOL_vxlan_hdr_field = 771,          /* vxlan_hdr_field  */
  YYSYMBOL_geneve_hdr_expr = 772,          /* geneve_hdr_expr  */
  YYSYMBOL_geneve_hdr_field = 773,         /* geneve_hdr_field  */
  YYSYMBOL_gre_hdr_expr = 774,             /* gre_hdr_expr  */
  YYSYMBOL_gre_hdr_field = 775,            /* gre_hdr_field  */
  YYSYMBOL_gretap_hdr_expr = 776,          /* gretap_hdr_expr  */
  YYSYMBOL_optstrip_stmt = 777,            /* optstrip_stmt  */
  YYSYMBOL_tcp_hdr_field = 778,            /* tcp_hdr_field  */
  YYSYMBOL_tcp_hdr_option_kind_and_field = 779, /* tcp_hdr_option_kind_and_field  */
  YYSYMBOL_tcp_hdr_option_sack = 780,      /* tcp_hdr_option_sack  */
  YYSYMBOL_tcp_hdr_option_type = 781,      /* tcp_hdr_option_type  */
  YYSYMBOL_tcpopt_field_sack = 782,        /* tcpopt_field_sack  */
  YYSYMBOL_tcpopt_field_window = 783,      /* tcpopt_field_window  */
  YYSYMBOL_tcpopt_field_tsopt = 784,       /* tcpopt_field_tsopt  */
  YYSYMBOL_tcpopt_field_maxseg = 785,      /* tcpopt_field_maxseg  */
  YYSYMBOL_tcpopt_field_mptcp = 786,       /* tcpopt_field_mptcp  */
  YYSYMBOL_dccp_hdr_expr = 787,            /* dccp_hdr_expr  */
  YYSYMBOL_dccp_hdr_field = 788,           /* dccp_hdr_field  */
  YYSYMBOL_sctp_chunk_type = 789,          /* sctp_chunk_type  */
  YYSYMBOL_sctp_chunk_common_field = 790,  /* sctp_chunk_common_field  */
  YYSYMBOL_sctp_chunk_data_field = 791,    /* sctp_chunk_data_field  */
  YYSYMBOL_sctp_chunk_init_field = 792,    /* sctp_chunk_init_field  */
  YYSYMBOL_sctp_chunk_sack_field = 793,    /* sctp_chunk_sack_field  */
  YYSYMBOL_sctp_chunk_alloc = 794,         /* sctp_chunk_alloc  */
  YYSYMBOL_sctp_hdr_expr = 795,            /* sctp_hdr_expr  */
  YYSYMBOL_sctp_hdr_field = 796,           /* sctp_hdr_field  */
  YYSYMBOL_th_hdr_expr = 797,              /* th_hdr_expr  */
  YYSYMBOL_th_hdr_field = 798,             /* th_hdr_field  */
  YYSYMBOL_exthdr_expr = 799,              /* exthdr_expr  */
  YYSYMBOL_hbh_hdr_expr = 800,             /* hbh_hdr_expr  */
  YYSYMBOL_hbh_hdr_field = 801,            /* hbh_hdr_field  */
  YYSYMBOL_rt_hdr_expr = 802,              /* rt_hdr_expr  */
  YYSYMBOL_rt_hdr_field = 803,             /* rt_hdr_field  */
  YYSYMBOL_rt0_hdr_expr = 804,             /* rt0_hdr_expr  */
  YYSYMBOL_rt0_hdr_field = 805,            /* rt0_hdr_field  */
  YYSYMBOL_rt2_hdr_expr = 806,             /* rt2_hdr_expr  */
  YYSYMBOL_rt2_hdr_field = 807,            /* rt2_hdr_field  */
  YYSYMBOL_rt4_hdr_expr = 808,             /* rt4_hdr_expr  */
  YYSYMBOL_rt4_hdr_field = 809,            /* rt4_hdr_field  */
  YYSYMBOL_frag_hdr_expr = 810,            /* frag_hdr_expr  */
  YYSYMBOL_frag_hdr_field = 811,           /* frag_hdr_field  */
  YYSYMBOL_dst_hdr_expr = 812,             /* dst_hdr_expr  */
  YYSYMBOL_dst_hdr_field = 813,            /* dst_hdr_field  */
  YYSYMBOL_mh_hdr_expr = 814,              /* mh_hdr_expr  */
  YYSYMBOL_mh_hdr_field = 815,             /* mh_hdr_field  */
  YYSYMBOL_exthdr_exists_expr = 816,       /* exthdr_exists_expr  */
  YYSYMBOL_exthdr_key = 817                /* exthdr_key  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   8872

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  372
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  446
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1371
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2357

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   617


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,   369,     2,     2,     2,
     366,   367,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   363,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   370,     2,   371,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   364,   368,   365,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   980,   980,   981,   990,   991,   994,   995,   998,   999,
    1000,  1001,  1002,  1003,  1004,  1005,  1006,  1007,  1008,  1009,
    1010,  1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,  1019,
    1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,  1028,  1029,
    1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1050,
    1051,  1052,  1054,  1062,  1077,  1084,  1096,  1104,  1105,  1106,
    1107,  1127,  1128,  1129,  1130,  1131,  1132,  1133,  1134,  1135,
    1136,  1137,  1138,  1139,  1140,  1141,  1142,  1145,  1149,  1156,
    1160,  1168,  1172,  1176,  1183,  1190,  1194,  1201,  1210,  1214,
    1218,  1222,  1226,  1230,  1234,  1238,  1242,  1246,  1250,  1254,
    1258,  1264,  1270,  1274,  1281,  1285,  1293,  1300,  1307,  1311,
    1318,  1327,  1331,  1335,  1339,  1343,  1347,  1351,  1355,  1361,
    1367,  1368,  1371,  1372,  1375,  1376,  1379,  1380,  1383,  1387,
    1391,  1398,  1402,  1406,  1410,  1414,  1418,  1422,  1429,  1433,
    1437,  1443,  1447,  1451,  1457,  1461,  1465,  1469,  1473,  1477,
    1481,  1485,  1489,  1496,  1500,  1504,  1510,  1514,  1518,  1525,
    1531,  1535,  1539,  1543,  1547,  1551,  1555,  1559,  1563,  1567,
    1571,  1575,  1579,  1583,  1587,  1591,  1595,  1599,  1603,  1607,
    1611,  1615,  1619,  1623,  1627,  1631,  1635,  1639,  1643,  1647,
    1651,  1655,  1659,  1663,  1669,  1675,  1679,  1689,  1693,  1697,
    1702,  1706,  1710,  1714,  1719,  1723,  1727,  1731,  1736,  1740,
    1745,  1749,  1753,  1757,  1763,  1767,  1771,  1775,  1779,  1783,
    1787,  1793,  1800,  1806,  1814,  1820,  1828,  1837,  1838,  1841,
    1842,  1843,  1844,  1845,  1846,  1847,  1848,  1851,  1852,  1855,
    1856,  1857,  1860,  1869,  1879,  1883,  1893,  1894,  1899,  1911,
    1912,  1913,  1914,  1915,  1926,  1936,  1947,  1957,  1968,  1979,
    1988,  1997,  2006,  2017,  2028,  2042,  2052,  2053,  2054,  2055,
    2056,  2057,  2058,  2063,  2072,  2082,  2083,  2084,  2091,  2112,
    2123,  2134,  2147,  2152,  2153,  2154,  2155,  2160,  2166,  2171,
    2176,  2181,  2187,  2192,  2197,  2198,  2209,  2210,  2213,  2217,
    2220,  2221,  2222,  2223,  2227,  2232,  2233,  2234,  2235,  2236,
    2239,  2240,  2243,  2244,  2245,  2246,  2251,  2256,  2267,  2278,
    2290,  2299,  2304,  2310,  2315,  2324,  2327,  2331,  2337,  2338,
    2342,  2347,  2348,  2349,  2350,  2364,  2368,  2372,  2378,  2383,
    2390,  2395,  2400,  2403,  2412,  2421,  2428,  2441,  2448,  2449,
    2461,  2466,  2467,  2468,  2469,  2473,  2483,  2484,  2485,  2486,
    2490,  2500,  2501,  2502,  2503,  2507,  2518,  2522,  2523,  2524,
    2528,  2538,  2539,  2540,  2541,  2545,  2555,  2556,  2557,  2558,
    2562,  2572,  2573,  2574,  2575,  2579,  2589,  2590,  2591,  2592,
    2596,  2606,  2607,  2608,  2609,  2610,  2613,  2644,  2651,  2655,
    2658,  2668,  2675,  2686,  2699,  2714,  2715,  2718,  2729,  2735,
    2739,  2742,  2748,  2761,  2766,  2775,  2776,  2779,  2780,  2783,
    2784,  2785,  2788,  2804,  2805,  2808,  2809,  2812,  2813,  2814,
    2815,  2816,  2817,  2820,  2829,  2838,  2846,  2854,  2862,  2870,
    2878,  2886,  2894,  2902,  2910,  2918,  2926,  2934,  2942,  2950,
    2958,  2962,  2967,  2975,  2982,  2989,  3003,  3007,  3014,  3018,
    3024,  3036,  3042,  3049,  3055,  3062,  3063,  3064,  3065,  3066,
    3069,  3070,  3071,  3072,  3073,  3074,  3075,  3076,  3077,  3078,
    3079,  3080,  3081,  3082,  3083,  3084,  3085,  3086,  3087,  3088,
    3089,  3090,  3093,  3104,  3105,  3108,  3117,  3121,  3127,  3133,
    3138,  3141,  3146,  3151,  3154,  3160,  3165,  3173,  3174,  3176,
    3180,  3188,  3192,  3195,  3199,  3205,  3209,  3213,  3221,  3222,
    3225,  3231,  3235,  3238,  3363,  3368,  3373,  3378,  3383,  3389,
    3419,  3423,  3427,  3431,  3435,  3441,  3445,  3448,  3452,  3458,
    3472,  3481,  3489,  3490,  3491,  3494,  3495,  3498,  3499,  3514,
    3530,  3538,  3539,  3540,  3543,  3544,  3547,  3554,  3555,  3558,
    3572,  3579,  3580,  3595,  3596,  3597,  3598,  3599,  3602,  3605,
    3611,  3617,  3621,  3625,  3632,  3639,  3646,  3653,  3659,  3665,
    3671,  3674,  3675,  3678,  3684,  3690,  3696,  3703,  3710,  3718,
    3719,  3722,  3726,  3734,  3738,  3741,  3746,  3751,  3755,  3761,
    3777,  3796,  3802,  3803,  3809,  3810,  3816,  3817,  3818,  3819,
    3820,  3821,  3822,  3823,  3824,  3825,  3826,  3827,  3828,  3831,
    3832,  3836,  3842,  3843,  3849,  3850,  3856,  3857,  3863,  3866,
    3867,  3878,  3879,  3882,  3886,  3889,  3895,  3901,  3902,  3905,
    3906,  3907,  3910,  3914,  3918,  3923,  3928,  3933,  3939,  3943,
    3947,  3951,  3957,  3962,  3966,  3974,  3983,  3984,  3987,  3990,
    3994,  3999,  4005,  4006,  4009,  4012,  4016,  4020,  4024,  4029,
    4036,  4041,  4049,  4054,  4063,  4064,  4070,  4071,  4072,  4075,
    4076,  4080,  4084,  4090,  4091,  4094,  4100,  4104,  4107,  4112,
    4118,  4119,  4122,  4123,  4124,  4130,  4131,  4132,  4133,  4136,
    4137,  4143,  4144,  4147,  4148,  4151,  4157,  4164,  4171,  4182,
    4183,  4184,  4187,  4195,  4207,  4214,  4217,  4223,  4227,  4230,
    4236,  4245,  4256,  4262,  4288,  4289,  4298,  4299,  4302,  4311,
    4322,  4323,  4324,  4325,  4326,  4327,  4328,  4329,  4330,  4331,
    4332,  4333,  4334,  4335,  4336,  4339,  4362,  4363,  4364,  4367,
    4368,  4369,  4370,  4371,  4374,  4378,  4381,  4385,  4392,  4395,
    4411,  4412,  4416,  4422,  4423,  4429,  4430,  4436,  4437,  4443,
    4446,  4447,  4458,  4464,  4470,  4471,  4474,  4480,  4481,  4482,
    4485,  4492,  4497,  4502,  4505,  4509,  4513,  4519,  4520,  4527,
    4533,  4534,  4537,  4538,  4541,  4547,  4553,  4557,  4560,  4564,
    4568,  4578,  4582,  4585,  4591,  4598,  4602,  4608,  4622,  4636,
    4641,  4647,  4663,  4667,  4675,  4679,  4683,  4693,  4696,  4697,
    4700,  4701,  4702,  4703,  4714,  4725,  4731,  4752,  4758,  4775,
    4781,  4782,  4783,  4786,  4787,  4788,  4791,  4792,  4795,  4811,
    4817,  4823,  4830,  4843,  4851,  4859,  4865,  4869,  4873,  4877,
    4881,  4888,  4893,  4904,  4918,  4924,  4928,  4932,  4936,  4940,
    4944,  4948,  4952,  4958,  4964,  4972,  4973,  4974,  4977,  4978,
    4982,  4988,  4989,  4995,  4996,  5002,  5003,  5009,  5012,  5013,
    5014,  5023,  5034,  5035,  5038,  5046,  5047,  5048,  5049,  5050,
    5051,  5052,  5053,  5054,  5055,  5056,  5057,  5058,  5059,  5062,
    5063,  5064,  5065,  5066,  5073,  5080,  5087,  5094,  5101,  5108,
    5115,  5122,  5129,  5136,  5143,  5150,  5157,  5160,  5161,  5162,
    5163,  5164,  5165,  5166,  5169,  5173,  5177,  5181,  5185,  5189,
    5195,  5196,  5206,  5210,  5214,  5230,  5231,  5234,  5235,  5236,
    5237,  5238,  5241,  5242,  5243,  5244,  5245,  5246,  5247,  5248,
    5249,  5250,  5251,  5252,  5253,  5254,  5255,  5256,  5257,  5258,
    5259,  5260,  5261,  5262,  5263,  5264,  5267,  5287,  5291,  5305,
    5309,  5313,  5319,  5323,  5329,  5330,  5331,  5334,  5335,  5338,
    5339,  5342,  5348,  5349,  5352,  5353,  5356,  5357,  5360,  5361,
    5364,  5372,  5399,  5404,  5409,  5415,  5416,  5419,  5423,  5443,
    5444,  5445,  5446,  5449,  5453,  5457,  5463,  5464,  5467,  5468,
    5469,  5470,  5471,  5472,  5473,  5474,  5475,  5476,  5477,  5478,
    5479,  5480,  5481,  5482,  5483,  5486,  5487,  5488,  5489,  5490,
    5491,  5492,  5495,  5496,  5497,  5498,  5501,  5502,  5503,  5504,
    5507,  5508,  5511,  5517,  5525,  5538,  5545,  5551,  5557,  5566,
    5567,  5568,  5569,  5570,  5571,  5572,  5573,  5574,  5575,  5576,
    5577,  5578,  5579,  5580,  5581,  5582,  5583,  5584,  5585,  5586,
    5587,  5590,  5599,  5600,  5601,  5602,  5615,  5621,  5622,  5623,
    5626,  5632,  5633,  5634,  5635,  5636,  5639,  5645,  5646,  5647,
    5648,  5649,  5650,  5651,  5652,  5653,  5656,  5660,  5668,  5675,
    5676,  5677,  5678,  5679,  5680,  5681,  5682,  5683,  5684,  5685,
    5686,  5689,  5690,  5691,  5692,  5695,  5696,  5697,  5698,  5699,
    5702,  5708,  5709,  5710,  5711,  5712,  5713,  5714,  5717,  5723,
    5724,  5725,  5726,  5729,  5735,  5736,  5737,  5738,  5739,  5740,
    5741,  5742,  5743,  5745,  5751,  5752,  5753,  5754,  5755,  5756,
    5757,  5758,  5759,  5760,  5763,  5769,  5770,  5771,  5772,  5773,
    5776,  5782,  5783,  5786,  5792,  5793,  5794,  5797,  5803,  5804,
    5805,  5806,  5809,  5815,  5816,  5817,  5818,  5821,  5825,  5830,
    5834,  5841,  5842,  5843,  5844,  5845,  5846,  5847,  5848,  5849,
    5850,  5851,  5852,  5853,  5854,  5857,  5858,  5859,  5862,  5863,
    5866,  5874,  5882,  5883,  5886,  5894,  5902,  5903,  5906,  5910,
    5917,  5918,  5919,  5922,  5929,  5936,  5937,  5938,  5939,  5940,
    5941,  5942,  5943,  5944,  5945,  5948,  5953,  5958,  5963,  5968,
    5973,  5980,  5981,  5982,  5983,  5984,  5987,  5988,  5989,  5990,
    5991,  5992,  5993,  5994,  5995,  5996,  5997,  5998,  6007,  6008,
    6011,  6014,  6015,  6018,  6021,  6024,  6028,  6039,  6040,  6041,
    6044,  6045,  6046,  6047,  6048,  6049,  6050,  6051,  6052,  6053,
    6054,  6055,  6056,  6057,  6058,  6059,  6060,  6061,  6064,  6065,
    6066,  6069,  6070,  6071,  6072,  6075,  6076,  6077,  6078,  6079,
    6082,  6083,  6084,  6085,  6088,  6093,  6097,  6101,  6105,  6109,
    6113,  6118,  6123,  6128,  6133,  6138,  6145,  6149,  6155,  6156,
    6157,  6158,  6161,  6169,  6170,  6173,  6174,  6175,  6176,  6177,
    6178,  6179,  6180,  6183,  6189,  6190,  6193,  6199,  6200,  6201,
    6202,  6205,  6211,  6217,  6223,  6226,  6232,  6233,  6234,  6235,
    6241,  6247,  6248,  6249,  6250,  6251,  6252,  6255,  6261,  6262,
    6265,  6271,  6272,  6273,  6274,  6275,  6278,  6292,  6293,  6294,
    6295,  6296
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "\"junk\"",
  "\"newline\"", "\"colon\"", "\"semicolon\"", "\"comma\"", "\".\"",
  "\"==\"", "\"!=\"", "\"<\"", "\">\"", "\">=\"", "\"<=\"", "\"<<\"",
  "\">>\"", "\"&\"", "\"^\"", "\"!\"", "\"/\"", "\"*\"", "\"-\"", "\"@\"",
  "\"vmap\"", "\"+\"", "\"include\"", "\"define\"", "\"redefine\"",
  "\"undefine\"", "\"fib\"", "\"socket\"", "\"transparent\"",
  "\"wildcard\"", "\"cgroupv2\"", "\"tproxy\"", "\"osf\"", "\"synproxy\"",
  "\"mss\"", "\"wscale\"", "\"typeof\"", "\"hook\"", "\"hooks\"",
  "\"device\"", "\"devices\"", "\"table\"", "\"tables\"", "\"chain\"",
  "\"chains\"", "\"rule\"", "\"rules\"", "\"sets\"", "\"set\"",
  "\"element\"", "\"map\"", "\"maps\"", "\"flowtable\"", "\"handle\"",
  "\"ruleset\"", "\"trace\"", "\"inet\"", "\"netdev\"", "\"add\"",
  "\"update\"", "\"replace\"", "\"create\"", "\"insert\"", "\"delete\"",
  "\"get\"", "\"list\"", "\"reset\"", "\"flush\"", "\"rename\"",
  "\"describe\"", "\"import\"", "\"export\"", "\"destroy\"", "\"monitor\"",
  "\"all\"", "\"accept\"", "\"drop\"", "\"continue\"", "\"jump\"",
  "\"goto\"", "\"return\"", "\"to\"", "\"constant\"", "\"interval\"",
  "\"dynamic\"", "\"auto-merge\"", "\"timeout\"", "\"gc-interval\"",
  "\"elements\"", "\"expires\"", "\"policy\"", "\"memory\"",
  "\"performance\"", "\"size\"", "\"flow\"", "\"offload\"", "\"meter\"",
  "\"meters\"", "\"flowtables\"", "\"number\"", "\"string\"",
  "\"quoted string\"", "\"string with a trailing asterisk\"", "\"ll\"",
  "\"nh\"", "\"th\"", "\"bridge\"", "\"ether\"", "\"saddr\"", "\"daddr\"",
  "\"type\"", "\"vlan\"", "\"id\"", "\"cfi\"", "\"dei\"", "\"pcp\"",
  "\"arp\"", "\"htype\"", "\"ptype\"", "\"hlen\"", "\"plen\"",
  "\"operation\"", "\"ip\"", "\"version\"", "\"hdrlength\"", "\"dscp\"",
  "\"ecn\"", "\"length\"", "\"frag-off\"", "\"ttl\"", "\"protocol\"",
  "\"checksum\"", "\"ptr\"", "\"value\"", "\"lsrr\"", "\"rr\"", "\"ssrr\"",
  "\"ra\"", "\"icmp\"", "\"code\"", "\"seq\"", "\"gateway\"", "\"mtu\"",
  "\"igmp\"", "\"mrt\"", "\"options\"", "\"ip6\"", "\"priority\"",
  "\"flowlabel\"", "\"nexthdr\"", "\"hoplimit\"", "\"icmpv6\"",
  "\"param-problem\"", "\"max-delay\"", "\"taddr\"", "\"ah\"",
  "\"reserved\"", "\"spi\"", "\"esp\"", "\"comp\"", "\"flags\"", "\"cpi\"",
  "\"port\"", "\"udp\"", "\"sport\"", "\"dport\"", "\"udplite\"",
  "\"csumcov\"", "\"tcp\"", "\"ackseq\"", "\"doff\"", "\"window\"",
  "\"urgptr\"", "\"option\"", "\"echo\"", "\"eol\"", "\"mptcp\"",
  "\"nop\"", "\"sack\"", "\"sack0\"", "\"sack1\"", "\"sack2\"",
  "\"sack3\"", "\"sack-permitted\"", "\"fastopen\"", "\"md5sig\"",
  "\"timestamp\"", "\"count\"", "\"left\"", "\"right\"", "\"tsval\"",
  "\"tsecr\"", "\"subtype\"", "\"dccp\"", "\"vxlan\"", "\"vni\"",
  "\"gre\"", "\"gretap\"", "\"geneve\"", "\"sctp\"", "\"chunk\"",
  "\"data\"", "\"init\"", "\"init-ack\"", "\"heartbeat\"",
  "\"heartbeat-ack\"", "\"abort\"", "\"shutdown\"", "\"shutdown-ack\"",
  "\"error\"", "\"cookie-echo\"", "\"cookie-ack\"", "\"ecne\"", "\"cwr\"",
  "\"shutdown-complete\"", "\"asconf-ack\"", "\"forward-tsn\"",
  "\"asconf\"", "\"tsn\"", "\"stream\"", "\"ssn\"", "\"ppid\"",
  "\"init-tag\"", "\"a-rwnd\"", "\"num-outbound-streams\"",
  "\"num-inbound-streams\"", "\"initial-tsn\"", "\"cum-tsn-ack\"",
  "\"num-gap-ack-blocks\"", "\"num-dup-tsns\"", "\"lowest-tsn\"",
  "\"seqno\"", "\"new-cum-tsn\"", "\"vtag\"", "\"rt\"", "\"rt0\"",
  "\"rt2\"", "\"srh\"", "\"seg-left\"", "\"addr\"", "\"last-entry\"",
  "\"tag\"", "\"sid\"", "\"hbh\"", "\"frag\"", "\"reserved2\"",
  "\"more-fragments\"", "\"dst\"", "\"mh\"", "\"meta\"", "\"mark\"",
  "\"iif\"", "\"iifname\"", "\"iiftype\"", "\"oif\"", "\"oifname\"",
  "\"oiftype\"", "\"skuid\"", "\"skgid\"", "\"nftrace\"", "\"rtclassid\"",
  "\"ibriport\"", "\"obriport\"", "\"ibrname\"", "\"obrname\"",
  "\"pkttype\"", "\"cpu\"", "\"iifgroup\"", "\"oifgroup\"", "\"cgroup\"",
  "\"time\"", "\"classid\"", "\"nexthop\"", "\"ct\"", "\"l3proto\"",
  "\"proto-src\"", "\"proto-dst\"", "\"zone\"", "\"direction\"",
  "\"event\"", "\"expectation\"", "\"expiration\"", "\"helper\"",
  "\"label\"", "\"state\"", "\"status\"", "\"original\"", "\"reply\"",
  "\"counter\"", "\"name\"", "\"packets\"", "\"bytes\"", "\"avgpkt\"",
  "\"last\"", "\"never\"", "\"counters\"", "\"quotas\"", "\"limits\"",
  "\"synproxys\"", "\"helpers\"", "\"log\"", "\"prefix\"", "\"group\"",
  "\"snaplen\"", "\"queue-threshold\"", "\"level\"", "\"limit\"",
  "\"rate\"", "\"burst\"", "\"over\"", "\"until\"", "\"quota\"",
  "\"used\"", "\"secmark\"", "\"secmarks\"", "\"second\"", "\"minute\"",
  "\"hour\"", "\"day\"", "\"week\"", "\"reject\"", "\"with\"", "\"icmpx\"",
  "\"snat\"", "\"dnat\"", "\"masquerade\"", "\"redirect\"", "\"random\"",
  "\"fully-random\"", "\"persistent\"", "\"queue\"", "\"num\"",
  "\"bypass\"", "\"fanout\"", "\"dup\"", "\"fwd\"", "\"numgen\"",
  "\"inc\"", "\"mod\"", "\"offset\"", "\"jhash\"", "\"symhash\"",
  "\"seed\"", "\"position\"", "\"index\"", "\"comment\"", "\"xml\"",
  "\"json\"", "\"vm\"", "\"notrack\"", "\"exists\"", "\"missing\"",
  "\"exthdr\"", "\"ipsec\"", "\"reqid\"", "\"spnum\"", "\"in\"", "\"out\"",
  "\"xt\"", "'='", "'{'", "'}'", "'('", "')'", "'|'", "'$'", "'['", "']'",
  "$accept", "input", "stmt_separator", "opt_newline", "close_scope_ah",
  "close_scope_arp", "close_scope_at", "close_scope_comp",
  "close_scope_ct", "close_scope_counter", "close_scope_last",
  "close_scope_dccp", "close_scope_destroy", "close_scope_dst",
  "close_scope_dup", "close_scope_esp", "close_scope_eth",
  "close_scope_export", "close_scope_fib", "close_scope_frag",
  "close_scope_fwd", "close_scope_gre", "close_scope_hash",
  "close_scope_hbh", "close_scope_ip", "close_scope_ip6",
  "close_scope_vlan", "close_scope_icmp", "close_scope_igmp",
  "close_scope_import", "close_scope_ipsec", "close_scope_list",
  "close_scope_limit", "close_scope_meta", "close_scope_mh",
  "close_scope_monitor", "close_scope_nat", "close_scope_numgen",
  "close_scope_osf", "close_scope_policy", "close_scope_quota",
  "close_scope_queue", "close_scope_reject", "close_scope_reset",
  "close_scope_rt", "close_scope_sctp", "close_scope_sctp_chunk",
  "close_scope_secmark", "close_scope_socket", "close_scope_tcp",
  "close_scope_tproxy", "close_scope_type", "close_scope_th",
  "close_scope_udp", "close_scope_udplite", "close_scope_log",
  "close_scope_synproxy", "close_scope_xt", "common_block", "line",
  "base_cmd", "add_cmd", "replace_cmd", "create_cmd", "insert_cmd",
  "table_or_id_spec", "chain_or_id_spec", "set_or_id_spec",
  "obj_or_id_spec", "delete_cmd", "destroy_cmd", "get_cmd", "list_cmd",
  "basehook_device_name", "basehook_spec", "reset_cmd", "flush_cmd",
  "rename_cmd", "import_cmd", "export_cmd", "monitor_cmd", "monitor_event",
  "monitor_object", "monitor_format", "markup_format", "describe_cmd",
  "table_block_alloc", "table_options", "table_flags", "table_flag",
  "table_block", "chain_block_alloc", "chain_block", "subchain_block",
  "typeof_data_expr", "typeof_expr", "set_block_alloc", "set_block",
  "set_block_expr", "set_flag_list", "set_flag", "map_block_alloc",
  "map_block_obj_type", "map_block_data_interval", "map_block",
  "set_mechanism", "set_policy_spec", "flowtable_block_alloc",
  "flowtable_block", "flowtable_expr", "flowtable_list_expr",
  "flowtable_expr_member", "data_type_atom_expr", "data_type_expr",
  "obj_block_alloc", "counter_block", "quota_block", "ct_helper_block",
  "ct_timeout_block", "ct_expect_block", "limit_block", "secmark_block",
  "synproxy_block", "type_identifier", "hook_spec", "prio_spec",
  "extended_prio_name", "extended_prio_spec", "int_num", "dev_spec",
  "flags_spec", "policy_spec", "policy_expr", "chain_policy", "identifier",
  "string", "time_spec", "time_spec_or_num_s", "family_spec",
  "family_spec_explicit", "table_spec", "tableid_spec", "chain_spec",
  "chainid_spec", "chain_identifier", "set_spec", "setid_spec",
  "set_identifier", "flowtable_spec", "flowtableid_spec",
  "flowtable_identifier", "obj_spec", "objid_spec", "obj_identifier",
  "handle_spec", "position_spec", "index_spec", "rule_position",
  "ruleid_spec", "comment_spec", "ruleset_spec", "rule", "rule_alloc",
  "stmt_list", "stateful_stmt_list", "stateful_stmt", "stmt", "xt_stmt",
  "chain_stmt_type", "chain_stmt", "verdict_stmt", "verdict_map_stmt",
  "verdict_map_expr", "verdict_map_list_expr",
  "verdict_map_list_member_expr", "connlimit_stmt", "counter_stmt",
  "counter_stmt_alloc", "counter_args", "counter_arg", "last_stmt",
  "log_stmt", "log_stmt_alloc", "log_args", "log_arg", "level_type",
  "log_flags", "log_flags_tcp", "log_flag_tcp", "limit_stmt", "quota_mode",
  "quota_unit", "quota_used", "quota_stmt", "limit_mode",
  "limit_burst_pkts", "limit_rate_pkts", "limit_burst_bytes",
  "limit_rate_bytes", "limit_bytes", "time_unit", "reject_stmt",
  "reject_stmt_alloc", "reject_with_expr", "reject_opts", "nat_stmt",
  "nat_stmt_alloc", "tproxy_stmt", "synproxy_stmt", "synproxy_stmt_alloc",
  "synproxy_args", "synproxy_arg", "synproxy_config", "synproxy_obj",
  "synproxy_ts", "synproxy_sack", "primary_stmt_expr", "shift_stmt_expr",
  "and_stmt_expr", "exclusive_or_stmt_expr", "inclusive_or_stmt_expr",
  "basic_stmt_expr", "concat_stmt_expr", "map_stmt_expr_set",
  "map_stmt_expr", "prefix_stmt_expr", "range_stmt_expr",
  "multiton_stmt_expr", "stmt_expr", "nat_stmt_args", "masq_stmt",
  "masq_stmt_alloc", "masq_stmt_args", "redir_stmt", "redir_stmt_alloc",
  "redir_stmt_arg", "dup_stmt", "fwd_stmt", "nf_nat_flags", "nf_nat_flag",
  "queue_stmt", "queue_stmt_compat", "queue_stmt_alloc", "queue_stmt_args",
  "queue_stmt_arg", "queue_expr", "queue_stmt_expr_simple",
  "queue_stmt_expr", "queue_stmt_flags", "queue_stmt_flag",
  "set_elem_expr_stmt", "set_elem_expr_stmt_alloc", "set_stmt",
  "set_stmt_op", "map_stmt", "meter_stmt", "flow_stmt_legacy_alloc",
  "flow_stmt_opts", "flow_stmt_opt", "meter_stmt_alloc", "match_stmt",
  "variable_expr", "symbol_expr", "set_ref_expr", "set_ref_symbol_expr",
  "integer_expr", "primary_expr", "fib_expr", "fib_result", "fib_flag",
  "fib_tuple", "osf_expr", "osf_ttl", "shift_expr", "and_expr",
  "exclusive_or_expr", "inclusive_or_expr", "basic_expr", "concat_expr",
  "prefix_rhs_expr", "range_rhs_expr", "multiton_rhs_expr", "map_expr",
  "expr", "set_expr", "set_list_expr", "set_list_member_expr",
  "meter_key_expr", "meter_key_expr_alloc", "set_elem_expr",
  "set_elem_key_expr", "set_elem_expr_alloc", "set_elem_options",
  "set_elem_option", "set_elem_expr_options", "set_elem_stmt_list",
  "set_elem_stmt", "set_elem_expr_option", "set_lhs_expr", "set_rhs_expr",
  "initializer_expr", "counter_config", "counter_obj", "quota_config",
  "quota_obj", "secmark_config", "secmark_obj", "ct_obj_type",
  "ct_cmd_type", "ct_l4protoname", "ct_helper_config", "timeout_states",
  "timeout_state", "ct_timeout_config", "ct_expect_config", "ct_obj_alloc",
  "limit_config", "limit_obj", "relational_expr", "list_rhs_expr",
  "rhs_expr", "shift_rhs_expr", "and_rhs_expr", "exclusive_or_rhs_expr",
  "inclusive_or_rhs_expr", "basic_rhs_expr", "concat_rhs_expr",
  "boolean_keys", "boolean_expr", "keyword_expr", "primary_rhs_expr",
  "relational_op", "verdict_expr", "chain_expr", "meta_expr", "meta_key",
  "meta_key_qualified", "meta_key_unqualified", "meta_stmt", "socket_expr",
  "socket_key", "offset_opt", "numgen_type", "numgen_expr", "xfrm_spnum",
  "xfrm_dir", "xfrm_state_key", "xfrm_state_proto_key", "xfrm_expr",
  "hash_expr", "nf_key_proto", "rt_expr", "rt_key", "ct_expr", "ct_dir",
  "ct_key", "ct_key_dir", "ct_key_proto_field", "ct_key_dir_optional",
  "symbol_stmt_expr", "list_stmt_expr", "ct_stmt", "payload_stmt",
  "payload_expr", "payload_raw_expr", "payload_base_spec", "eth_hdr_expr",
  "eth_hdr_field", "vlan_hdr_expr", "vlan_hdr_field", "arp_hdr_expr",
  "arp_hdr_field", "ip_hdr_expr", "ip_hdr_field", "ip_option_type",
  "ip_option_field", "icmp_hdr_expr", "icmp_hdr_field", "igmp_hdr_expr",
  "igmp_hdr_field", "ip6_hdr_expr", "ip6_hdr_field", "icmp6_hdr_expr",
  "icmp6_hdr_field", "auth_hdr_expr", "auth_hdr_field", "esp_hdr_expr",
  "esp_hdr_field", "comp_hdr_expr", "comp_hdr_field", "udp_hdr_expr",
  "udp_hdr_field", "udplite_hdr_expr", "udplite_hdr_field", "tcp_hdr_expr",
  "inner_inet_expr", "inner_eth_expr", "inner_expr", "vxlan_hdr_expr",
  "vxlan_hdr_field", "geneve_hdr_expr", "geneve_hdr_field", "gre_hdr_expr",
  "gre_hdr_field", "gretap_hdr_expr", "optstrip_stmt", "tcp_hdr_field",
  "tcp_hdr_option_kind_and_field", "tcp_hdr_option_sack",
  "tcp_hdr_option_type", "tcpopt_field_sack", "tcpopt_field_window",
  "tcpopt_field_tsopt", "tcpopt_field_maxseg", "tcpopt_field_mptcp",
  "dccp_hdr_expr", "dccp_hdr_field", "sctp_chunk_type",
  "sctp_chunk_common_field", "sctp_chunk_data_field",
  "sctp_chunk_init_field", "sctp_chunk_sack_field", "sctp_chunk_alloc",
  "sctp_hdr_expr", "sctp_hdr_field", "th_hdr_expr", "th_hdr_field",
  "exthdr_expr", "hbh_hdr_expr", "hbh_hdr_field", "rt_hdr_expr",
  "rt_hdr_field", "rt0_hdr_expr", "rt0_hdr_field", "rt2_hdr_expr",
  "rt2_hdr_field", "rt4_hdr_expr", "rt4_hdr_field", "frag_hdr_expr",
  "frag_hdr_field", "dst_hdr_expr", "dst_hdr_field", "mh_hdr_expr",
  "mh_hdr_field", "exthdr_exists_expr", "exthdr_key", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,    61,   123,   125,    40,    41,   124,    36,
      91,    93
};
#endif

#define YYPACT_NINF (-1841)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1052)

#define yytable_value_is_error(Yyn) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1841,  8097, -1841,  1112, -1841, -1841,   103,   230,   230,   230,
    1245,  1245,  1245,  1245,  1245,  1245,  1245,  1245, -1841, -1841,
    4896,   227,  3060,   329,  1612,   259,  8554,   799,  1683,   348,
    7713,   225,   321,  3266,   281, -1841, -1841, -1841, -1841,   592,
    1245,  1245,  1245,  1245, -1841, -1841, -1841,  1229, -1841,   230,
   -1841,   230,   206,  6873, -1841,  1112, -1841, -1841,    65,    75,
    1112,   230, -1841,    37,    81,  6873,   230, -1841,   279, -1841,
     230, -1841, -1841,  1245, -1841,  1245,  1245,  1245,  1245,  1245,
    1245,  1245,   641,  1245,  1245,  1245,  1245, -1841,  1245, -1841,
    1245,  1245,  1245,  1245,  1245,  1245,  1245,  1245,   713,  1245,
    1245,  1245,  1245, -1841,  1245, -1841,  1245,  1245,  1245,  1245,
    1245,  1245,  1194,  1245,  1245,  1245,  1245,  1245,   737,  1245,
    1245,  1245,   455,  1245,  1418,  1487,  1800,  2032,  1245,  1245,
    1245,  2064, -1841,  1245,   639,  1245,  1245,  1245,  1245,   848,
    1298,  1245, -1841,  1245,  1245,  1245,  1245,  1245,   412,  1245,
   -1841,  1245, -1841,  1075,   967,   234,   330, -1841, -1841, -1841,
   -1841,   786,  1041,  1209,  1695,  2781,  1118,   699,  2530,  2847,
    1343,   136,   893,   765,   952,  2029,   760,  5773,   711, -1841,
    5982,   749,  1077,   240,   324,   746,   260,   894,   263,   980,
    5027, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841,  5239, -1841, -1841,   -22,  7349,   273,  1519,   840,
    7713,   230, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841,  1055, -1841, -1841,   272, -1841, -1841,  1055, -1841, -1841,
    1245,  1245,  1245,  1245,  1245,  1245,  1245,  1245,   713,  1245,
    1245,  1245,  1245, -1841, -1841, -1841,  1449, -1841, -1841, -1841,
    1245,  1245,  1245,   -21, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841,   524,   571,   595, -1841, -1841, -1841,   531,   428,   974,
   -1841, -1841, -1841,   533, -1841, -1841, -1841,   128,   128, -1841,
     265,   230,  8421,  5450,   449,   401, -1841,    18,   657, -1841,
   -1841, -1841, -1841, -1841,   157,   671,   686, -1841,   694,   771,
   -1841,   456,  6873, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841,   925, -1841, -1841,   756, -1841, -1841, -1841,   494,
   -1841,  5341, -1841, -1841,   672, -1841,   363, -1841,   413, -1841,
   -1841, -1841, -1841,  1115, -1841,   140, -1841, -1841,   781, -1841,
   -1841, -1841,  1234,   813,   862,   543, -1841,   800, -1841,  6471,
   -1841, -1841, -1841,   872, -1841, -1841, -1841,   879, -1841, -1841,
    6727,  6727, -1841, -1841,   138,   584,   609, -1841, -1841,   625,
   -1841, -1841, -1841,   651, -1841,   680,   964,  6873, -1841,    37,
      81, -1841,   279, -1841, -1841,  1245,  1245,  1245,   754, -1841,
   -1841, -1841,  6873, -1841,   168, -1841, -1841, -1841,   218, -1841,
   -1841, -1841,   301,    81, -1841, -1841, -1841,   509, -1841, -1841,
     279, -1841,   530,   704, -1841, -1841, -1841, -1841,  1245, -1841,
   -1841, -1841, -1841,   279, -1841, -1841, -1841,  1029, -1841, -1841,
   -1841, -1841,  1245, -1841, -1841, -1841, -1841, -1841, -1841,  1245,
    1245, -1841, -1841, -1841,  1007,  1038, -1841,  1245,  1056, -1841,
    1245, -1841,  1245, -1841,  1245, -1841,  1245, -1841, -1841, -1841,
   -1841,  1245, -1841, -1841, -1841,  1245,  1245,   292,   230, -1841,
   -1841, -1841,   279, -1841, -1841,  1245, -1841, -1841,  1245, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,  1245, -1841,
     230, -1841, -1841, -1841, -1841,  1070, -1841, -1841, -1841, -1841,
   -1841,  1081,   636, -1841, -1841,   819, -1841, -1841,  1005,   114,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841,   729,   772, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841,  1032, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841,  3461, -1841, -1841, -1841, -1841,  1089, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841,  3684, -1841,  6570, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841,  3989, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,   487, -1841,
   -1841,   825, -1841, -1841, -1841, -1841, -1841, -1841,   834, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841,  1835, -1841, -1841, -1841, -1841,   874,   550,   889,  1111,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,   877,
     873, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841,   279, -1841,   704, -1841,  1245, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841,  1055, -1841, -1841, -1841, -1841,   -20,   -49,    38,
     125, -1841, -1841, -1841,  5550,  1167,  7140,  7713,  1080, -1841,
   -1841, -1841, -1841,  1242,  1249,    80,  1227,  1231,  1233,   108,
    1236,  1835,  1265,  7140,   112,  7140,   978,  7140, -1841, -1841,
    1212,  7713,  1033,  7140,  7140,  1246,  1305, -1841,  3435,   158,
   -1841,  1305, -1841, -1841, -1841,   969, -1841,  1238,  1253,   925,
   -1841, -1841, -1841,   795,  1305,  1258,  1279,  1281,  1305,   756,
   -1841, -1841,   619, -1841, -1841,  7140, -1841, -1841,  5759,  1252,
    1041,  1209,  1695,  2781, -1841,  2530,   647, -1841, -1841, -1841,
   -1841,  1254, -1841, -1841, -1841, -1841,  7140, -1841,  1375,  1376,
    1368,  1035,  1187,   807, -1841, -1841, -1841, -1841,  1415,  1181,
    1423, -1841, -1841, -1841, -1841,  1432, -1841, -1841, -1841, -1841,
     600, -1841, -1841,  1440,  1446, -1841, -1841, -1841,  1322,  1353,
   -1841, -1841,   672, -1841, -1841,  1456, -1841, -1841, -1841, -1841,
    1457, -1841, -1841,  5968, -1841,  1457, -1841, -1841, -1841,    91,
   -1841, -1841,  1115, -1841,  1466, -1841,   230, -1841,  1105, -1841,
     230,   169, -1841,  8229,  8229,  8229,  8229,  8229,  7713,   183,
    7918, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841,  8229, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841,   370, -1841,  1384,  1469,  1471,  1126,
    1011,  1494, -1841, -1841, -1841,  7918,  7140,  7140,  1407,   156,
    1112,  1510, -1841,  1062,  1112,  1428, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841,  1489,  1175,  1189,  1191, -1841,
    1203,  1211, -1841, -1841, -1841, -1841,  1284,  1262,  1109,  1305,
   -1841, -1841,  1474,  1477,  1479,  1219,  1481, -1841,  1482,  1223,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841,  1485, -1841, -1841,
   -1841, -1841, -1841,  1245, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841,  1491,   967, -1841, -1841, -1841, -1841,  1497,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,   886, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841,  1493, -1841,  1425, -1841, -1841,  1419, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,  1241, -1841,
    1274,  1483, -1841, -1841, -1841, -1841, -1841, -1841, -1841,   934,
    1155,  1293,  1293, -1841, -1841, -1841,  1386, -1841, -1841, -1841,
   -1841,  1394,  1397, -1841,  1398,  1399,  1401,   256, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841,  1538, -1841, -1841,
    1539, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841,  1369, -1841,  1393, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841,  1541,  1542,  1303, -1841, -1841, -1841, -1841,
   -1841,  1544,   211, -1841, -1841, -1841,  1286, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841,  1288,  1294,  1296,  1559, -1841, -1841,
     978, -1841, -1841, -1841,  1560, -1841, -1841, -1841, -1841,  7140,
    2781,  2530,  1662,  6177, -1841,   140,   291,  1665,  3253,  1305,
    1305,  1567,  7713,  7140,  7140,  7140, -1841,  1575,  7140,  1641,
    7140, -1841, -1841, -1841, -1841, -1841, -1841, -1841,  1595, -1841,
     175,  1677, -1841, -1841,   288,   338,   550, -1841,   237,   424,
     172,  1657, -1841,  7140, -1841, -1841,   771,  1530,  1053,   293,
   -1841,  1206,  1494,   771, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841,  1556,   723, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841,   993,  1021, -1841,  1044, -1841, -1841, -1841,
    7140,  1703,  7140, -1841, -1841, -1841,   683,   714, -1841,  7140,
   -1841, -1841,  1342, -1841, -1841,  7140,  7140,  7140,  7140,  7140,
    1608,  7140,  7140,   221,  7140,  1457,  7140,  1628,  1711,  1633,
    8343,  8343, -1841, -1841, -1841,  7140,  1181,  7140,  1181, -1841,
    1702,  1704, -1841,  1033, -1841,  7713, -1841,  7713, -1841, -1841,
   -1841,  1384,  1469,  1471, -1841,   771, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841,  1358,  8229,  8229,  8229,  8229,  8229,  8229,
    8229,  8229,  8418,  8229,  8229,   604, -1841,  1142, -1841, -1841,
   -1841, -1841, -1841,  1629, -1841,   827,  1283, -1841,  2922,  3666,
    2848,  4491,  1388, -1841, -1841, -1841, -1841, -1841, -1841,  1367,
    1374,  1387, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841,  1726, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841,  3253, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,  1379,
    1381, -1841, -1841, -1841, -1841, -1841, -1841,  1303,   556,  1637,
   -1841, -1841, -1841, -1841, -1841,  1424, -1841, -1841, -1841, -1841,
   -1841,  1459,  2206, -1841,  1595,  2718, -1841,  1084,   175, -1841,
    1269, -1841, -1841,  7140,  7140,  1753, -1841,  1655,  1655, -1841,
     291, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
    1400,  1665,  6873,   291, -1841, -1841, -1841, -1841, -1841, -1841,
    7140, -1841, -1841,   269,  1453,  1467,  1760, -1841, -1841, -1841,
    1468,    91, -1841,  7713,    91,  7140,  1752, -1841,  8148, -1841,
    1607,  1505,  1499,  1521,  1109,  1053, -1841,  1655,  1655, -1841,
     293, -1841,  3435, -1841,  5065, -1841, -1841, -1841, -1841,  1814,
   -1841, -1841,  1439, -1841, -1841,  1439, -1841,  1758,  1439, -1841,
   -1841,  7140, -1841, -1841, -1841, -1841, -1841,  1375,  1376,  1368,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841,  1825,  7140,  1671,
    7140, -1841, -1841, -1841, -1841,  1181, -1841,  1181,  1457, -1841,
   -1841,   170,  6873,  6489,   163, -1841, -1841, -1841,  1510,  1824,
   -1841, -1841,  1384,  1469,  1471, -1841,   231,  1510, -1841, -1841,
    1206,  8229,  8418, -1841,  1737,  1807, -1841, -1841, -1841, -1841,
   -1841,   230,   230,   230,   230,   230,  1735,   728,   230,   230,
     230,   230, -1841, -1841, -1841,  1112, -1841,  1486,   122, -1841,
    1755, -1841, -1841, -1841,  1112,  1112,  1112,  1112,  1112,  7713,
   -1841,  1655,  1655,  1495,  1455,  1749,   963,  1261,  1672, -1841,
   -1841, -1841,  1112,  1112,   763, -1841,  7713,  1655,  1655,  1496,
     963,  1261, -1841, -1841, -1841,  1112,  1112,   763,  1761,  1503,
    1757, -1841, -1841, -1841, -1841, -1841,  2980,  4020,  3252,  4845,
    2060, -1841, -1841, -1841, -1841, -1841, -1841, -1841,  4374,  2328,
   -1841, -1841,  1759, -1841, -1841, -1841,  1860, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841,  1765, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841,  2536, -1841,  1184,   423,  1668,  1766,
   -1841, -1841, -1841, -1841, -1841,  1453,  1467, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841,  1468, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841,  7140, -1841, -1841, -1841, -1841,
   -1841, -1841,  7713,  1508,   291, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841,  1289,  1854, -1841,  1772, -1841,  1774, -1841,  1289,
    1775, -1841, -1841, -1841, -1841, -1841, -1841, -1841,  7140,   128,
     128,   771,  1494, -1841,   118,  1776, -1841,   132,   978,  1777,
   -1841, -1841, -1841, -1841, -1841, -1841,  1112, -1841,   723, -1841,
   -1841, -1841, -1841, -1841, -1841,  7140, -1841,  1796, -1841,  1457,
    1457,  7713, -1841,   245,  1518,  1880,   771, -1841,  1510,  1510,
    1697,  1791, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841,  1893, -1841,   230,   230,   230, -1841, -1841,
   -1841, -1841, -1841,   613, -1841, -1841, -1841, -1841, -1841,  1797,
   -1841, -1841, -1841, -1841, -1841, -1841,  1263, -1841,  1112,  1112,
     279, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841,  1295, -1841, -1841, -1841, -1841, -1841,  1360, -1841,
   -1841, -1841, -1841, -1841,   939,  1112,  1112,   279,  1024,  1360,
   -1841, -1841, -1841,  1756,   613,  1112, -1841, -1841, -1841, -1841,
   -1841, -1841,  1464,   859,  2445, -1841, -1841, -1841,  1803, -1841,
    1303, -1841, -1841, -1841,  1545,   829,  1245, -1841, -1841, -1841,
   -1841, -1841,  1655,  1810,   829,  1812,  1245, -1841, -1841, -1841,
   -1841, -1841,  1811,  1245, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,  6873, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841,  1623, -1841,   198,
   -1841, -1841, -1841,   175, -1841, -1841, -1841, -1841, -1841, -1841,
    1815,  1624, -1841, -1841,  1595,   175, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841,  7140,  1558,  7713, -1841, -1841,  1710,  6489,
   -1841, -1841,  1738,  1112,  1570,  1571,  1574,  1578,  1579,  1735,
   -1841, -1841, -1841,  1580,  1585,  1587,  1588,   212,  1112, -1841,
   -1841,  1883,  7713, -1841, -1841, -1841, -1841, -1841,   963, -1841,
    1261, -1841,  7537, -1841, -1841, -1841,   522, -1841,   204,  1112,
    1112, -1841, -1841, -1841, -1841, -1841,  1924, -1841,  1591, -1841,
   -1841,  1112,  1112, -1841,  1112,  1112,  1112,  1112,  1112, -1841,
    1805,  1112, -1841,  1592, -1841, -1841, -1841, -1841, -1841,  1855,
   -1841, -1841,  1453,  1467,  1468, -1841, -1841, -1841, -1841,  1598,
     771, -1841, -1841,  1697, -1841, -1841, -1841, -1841, -1841, -1841,
    1600,  1614,  1616, -1841, -1841, -1841, -1841, -1841, -1841,   171,
   -1841, -1841, -1841,  1872, -1841, -1841, -1841, -1841,  7713,  1112,
    1975,  1978, -1841, -1841, -1841, -1841, -1841, -1841,  1112,   963,
    1887, -1841, -1841, -1841,  1164, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841,  1888, -1841,  1889, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841,   829, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841,  1738,  2852,  4728,  4137,  6365,
    2627, -1841, -1841, -1841,  2928,  2856,  1675,  2139,   180, -1841,
    1517,  1263, -1841,  7713, -1841, -1841, -1841, -1841, -1841, -1841,
    1295, -1841,  1897,  1902, -1841,  1991,   186, -1841,  1112, -1841,
   -1841, -1841, -1841, -1841,  1112,  1112,  1112,  1112,  1112,  2372,
     937,  2485,  1112,  1112,  1112,  1112, -1841, -1841,   262,  1643,
    1756, -1841,  1999, -1841, -1841, -1841, -1841,  1462,  1889,  1112,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841,   613, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841,  1112,  1112,  1112, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     1,     0,     4,     5,     0,     0,     0,     0,
     435,   435,   435,   435,   435,   435,   435,   435,   439,   442,
     435,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   441,     9,    28,    29,     0,
     435,   435,   435,   435,    68,    67,     3,     0,    71,     0,
     436,     0,   460,     0,    66,     0,   427,   428,     0,     0,
       0,     0,   611,    87,    89,     0,     0,   292,     0,   314,
       0,   340,    72,   435,    73,   435,   435,   435,   435,   435,
     435,   435,     0,   435,   435,   435,   435,    74,   435,    75,
     435,   435,   435,   435,   435,   435,   435,   435,     0,   435,
     435,   435,   435,    76,   435,    77,   435,   466,   435,   466,
     435,   466,   466,   435,   435,   466,   435,   466,     0,   435,
     466,   466,     0,   435,   466,   466,   466,   466,   435,   435,
     435,   466,    35,   435,   466,   435,   435,   435,   435,   466,
     466,   435,    47,   435,   435,   435,   435,   466,     0,   435,
      80,   435,    81,     0,     0,     0,   768,   739,   429,   430,
     431,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    25,    25,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   952,   953,   954,   955,   956,   957,   958,   959,   960,
     961,   962,   963,   964,   965,   966,   967,   968,   969,   970,
     971,   973,     0,   975,   974,     0,     0,     0,     0,    34,
       0,     0,    85,   735,   734,   740,   741,   252,   751,   752,
     745,   943,   746,   749,   753,   750,   747,   748,   742,  1059,
    1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,
    1070,  1071,  1072,    53,  1077,  1078,  1079,  1080,  1074,  1075,
    1076,   743,  1325,  1326,  1327,  1328,  1329,  1330,  1331,  1332,
     744,     0,   249,   250,     0,    33,   233,     0,    21,   235,
     435,   435,   435,   435,   435,   435,   435,   435,     0,   435,
     435,   435,   435,    16,   238,    39,   239,   440,   437,   438,
     435,   435,   435,    13,   864,   837,   839,    70,    69,   443,
     445,     0,     0,     0,   462,   461,   463,     0,   601,     0,
     719,   720,   721,     0,   934,   935,   936,   503,   504,   939,
     726,     0,     0,     0,   519,   525,   530,     0,   554,   579,
     591,   592,   668,   674,   695,     0,     0,   979,     0,     7,
      92,   468,   470,   484,   471,    61,   275,   499,   480,   507,
     478,    13,   517,    14,    59,   528,   476,   477,    46,   582,
      40,     0,    54,    60,   599,    40,   667,    40,   673,    18,
      24,   490,    45,   693,   496,     0,   497,   482,     0,   725,
     481,   770,   773,   775,   777,   779,   780,   787,   789,     0,
     788,   732,   506,   943,   485,   491,   483,   742,   500,    62,
       0,     0,    65,   454,     0,     0,     0,    91,   448,     0,
      95,   307,   306,     0,   451,     0,     0,     0,   611,   112,
     114,   292,     0,   314,   340,   435,   435,   435,    13,   864,
     837,   839,     0,    60,     0,   136,   137,   138,     0,   130,
     131,   139,     0,   132,   133,   141,   142,     0,   134,   135,
       0,   143,     0,   145,   146,   841,   842,   840,   435,    13,
      36,    44,    51,     0,    60,   203,   467,   205,   170,   171,
     172,   173,   435,   174,   176,   200,   199,   198,   192,   435,
     466,   196,   195,   197,   841,   842,   843,   435,     0,    13,
     435,   177,   435,   180,   435,   183,   435,   189,    36,    44,
      51,   435,   186,    78,   220,   435,   435,   467,   216,   218,
     215,   222,     0,   223,    13,   435,   208,   207,   435,   213,
     211,    44,    79,   224,   225,   226,   227,   230,   435,   229,
       0,  1085,  1082,  1083,    56,     0,   759,   760,   761,   762,
     763,   765,     0,   984,   986,     0,   985,    52,     0,     0,
    1323,  1324,    56,  1087,  1088,    55,    20,    55,  1091,  1092,
    1093,  1094,    30,     0,     0,  1097,  1098,  1099,  1100,  1101,
       9,  1119,  1120,  1114,  1109,  1110,  1111,  1112,  1113,  1115,
    1116,  1117,  1118,     0,    28,    55,  1134,  1133,  1132,  1135,
    1136,  1137,    31,    55,  1140,  1141,  1142,    32,  1151,  1152,
    1144,  1145,  1146,  1148,  1147,  1149,  1150,    29,  1163,    55,
    1159,  1156,  1155,  1160,  1158,  1157,  1161,  1162,    31,  1166,
    1169,  1165,  1167,  1168,     8,  1172,  1171,    19,  1174,  1175,
    1176,    11,  1180,  1181,  1178,  1179,    57,  1186,  1183,  1184,
    1185,    58,  1233,  1227,  1230,  1231,  1225,  1226,  1228,  1229,
    1232,  1234,     0,  1187,    55,  1267,  1268,     0,    15,  1213,
    1212,  1205,  1206,  1207,  1191,  1192,  1193,  1194,  1195,  1196,
    1197,  1198,  1199,  1200,    53,  1209,  1208,  1211,  1210,  1202,
    1203,  1204,  1220,  1222,  1221,     0,    25,     0,  1217,  1216,
    1215,  1214,  1321,  1318,  1319,     0,  1320,    49,    55,    28,
    1338,  1011,    29,  1337,  1340,  1009,  1010,    34,     0,    48,
      48,     0,    48,  1344,    48,  1347,  1346,  1348,     0,    48,
    1335,  1334,    27,  1356,  1353,  1351,  1352,  1354,  1355,    23,
    1359,  1358,    17,    55,  1362,  1365,  1361,  1364,    38,    37,
     947,   948,   949,    51,   950,    34,    37,   945,   946,  1026,
    1027,  1033,  1019,  1020,  1018,  1028,  1029,  1049,  1022,  1031,
    1024,  1025,  1030,  1021,  1023,  1016,  1017,  1047,  1046,  1048,
      51,     0,    12,  1034,   990,   989,     0,   787,     0,     0,
      48,    27,    23,    17,    38,  1366,   994,   995,   972,   993,
       0,   733,  1073,   232,   251,    82,   234,    83,    60,   154,
     155,   132,   156,   157,     0,   158,   160,   161,   435,    13,
      36,    44,    51,    86,    84,   240,   241,   243,   242,   245,
     246,   244,   247,   861,   861,   861,    97,     0,     0,   554,
       0,   457,   458,   459,     0,     0,     0,     0,     0,   941,
     940,   937,   938,     0,     0,     0,    37,    37,     0,     0,
       0,     0,    12,     0,     0,     0,   563,     0,   552,   553,
       0,     0,     0,     0,     0,     0,     0,     6,     0,     0,
     791,     0,   469,   472,   501,     0,   475,     0,     0,   518,
     521,   479,   486,     0,     0,     0,     0,     0,     0,   529,
     531,   487,     0,   578,   488,     0,    47,    16,     0,     0,
      20,    30,     9,    28,   902,    29,     0,   907,   905,   906,
      14,     0,    40,    40,   892,   893,     0,   629,   632,   634,
     636,   638,   639,   644,   649,   647,   648,   650,   652,   590,
     616,   617,   627,   894,   618,   625,   619,   626,   622,   623,
       0,   620,   621,     0,   651,   624,   489,   498,     0,     0,
     608,   607,   600,   603,   492,     0,   686,   687,   688,   666,
     671,   684,   493,     0,   672,   677,   494,   495,   689,     0,
     711,   712,   694,   696,   699,   709,     0,   737,     0,   736,
       0,     0,   727,     0,     0,     0,     0,     0,     0,     0,
       0,   927,   928,   929,   930,   931,   932,   933,    20,    30,
       9,    28,    31,   919,    29,    31,     8,    19,    11,    57,
      58,    53,    15,    25,    49,    40,     0,   909,   877,   910,
     784,   785,   889,   876,   866,   865,   881,   883,   885,   887,
     888,   875,   911,   912,   878,     0,     0,     0,     0,     7,
       0,   831,   830,   888,     0,     0,   396,    60,   259,   276,
     293,   322,   341,   464,   111,     0,     0,     0,     0,   118,
       0,     0,   861,   861,   861,   120,     0,     0,   554,     0,
     129,   153,     0,     0,     0,     0,     0,   144,     0,     0,
     861,   148,   151,   149,   152,   169,   191,     0,   206,   175,
     194,   193,    12,   435,   179,   178,   181,   184,   190,   185,
     182,   188,   187,   217,   219,   221,   210,   209,   212,   214,
     228,   231,  1084,     0,     0,    55,   756,   757,    22,     0,
     982,   769,    42,    42,  1322,  1089,  1086,  1095,  1090,    20,
      28,    20,    28,  1096,  1121,  1122,  1123,  1124,    28,  1106,
    1131,  1130,  1139,  1138,  1143,  1154,  1153,  1164,  1170,  1173,
    1177,  1182,    10,  1251,  1257,  1255,  1246,  1247,  1250,  1252,
    1241,  1242,  1243,  1244,  1245,  1253,  1248,  1249,  1254,  1189,
    1256,  1188,  1269,    15,  1265,  1201,  1219,  1218,  1223,  1273,
    1270,  1271,  1272,  1274,  1275,  1276,  1277,  1278,  1279,  1280,
    1281,  1282,  1283,  1284,  1285,  1286,  1287,  1304,    50,  1316,
    1339,  1005,  1006,  1012,    48,  1007,  1336,     0,  1341,  1343,
       0,  1345,  1333,  1350,  1357,  1363,  1360,   944,   951,   942,
    1032,  1035,  1036,     0,  1038,     0,  1037,  1039,  1040,    12,
      12,  1041,  1013,     0,     0,   987,  1368,  1367,  1369,  1370,
    1371,     0,     0,   754,   168,   159,     0,   861,   163,   166,
     164,   167,   236,   248,     0,     0,     0,     0,   361,    13,
     563,   386,    36,   366,     0,    44,   391,   838,    51,     0,
      28,    29,   593,     0,   602,     0,   713,   715,     0,     0,
       0,     0,     0,     0,     0,     0,    12,     0,     0,  1041,
       0,   520,   432,   526,   527,    36,   561,   562,     0,    44,
       0,     0,   708,    45,   703,   702,     0,   707,   705,   706,
       0,   680,   682,     0,   502,   803,     7,     7,   805,   800,
     802,   888,   827,     7,   790,   465,   285,   523,   524,   522,
     544,    20,     0,     0,   542,   538,   533,   534,   535,   536,
     539,   537,   532,     0,     0,    53,     0,   658,   903,   904,
       0,   653,     0,   895,   898,   899,   896,   897,   908,     0,
     901,   900,     0,   616,   625,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   660,     0,     0,     0,     0,
       0,     0,   605,   606,   604,     0,     0,     0,   675,   698,
     703,   702,   697,     0,    10,     0,   729,     0,   728,   771,
     772,   774,   776,   778,   781,     7,   508,   510,   786,   896,
     918,   897,   920,   917,   916,   922,   914,   915,   913,   923,
     921,   924,   925,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   872,   871,   888,   977,  1058,
     833,   832,    63,     0,    64,     0,     0,   109,     0,     0,
       0,     0,     0,    60,   259,   276,   293,   322,   341,     0,
       0,     0,    13,    36,    44,    51,   455,   444,   446,   276,
     449,   452,   341,    12,   204,   201,    12,     0,   764,   758,
     755,    52,   766,   767,  1102,  1104,  1103,  1105,    55,  1126,
    1128,  1127,  1129,  1108,    28,     0,  1263,  1235,  1260,  1237,
    1264,  1240,  1261,  1262,  1238,  1258,  1259,  1236,  1239,  1266,
    1301,  1300,  1302,  1303,  1309,  1291,  1292,  1293,  1294,  1306,
    1295,  1296,  1297,  1298,  1299,  1307,  1308,  1310,  1311,  1312,
    1313,  1314,  1315,    55,  1290,  1289,  1305,    49,  1008,     0,
       0,    28,    28,    29,    29,  1014,  1015,   987,   987,     0,
      26,   992,   996,   997,    34,     0,   341,    12,   376,   381,
     371,     0,     0,    98,     0,     0,   105,     0,     0,   100,
       0,   107,   595,     0,     0,   594,   716,     0,     0,   810,
     714,   806,  1251,  1255,  1250,  1254,  1256,    53,    10,    10,
       0,   799,     0,   797,    37,    37,    12,   515,    12,    12,
       0,    12,   551,     0,   564,   567,     0,   560,   556,   555,
     557,     0,   690,     0,     0,     0,     0,   794,     0,   795,
       0,    13,     0,     0,   554,   804,   813,     0,     0,   826,
     801,   811,   793,   792,     0,   543,    28,   547,   548,    53,
     546,   580,     0,   584,   581,     0,   586,     0,     0,   588,
     659,     0,   663,   665,   628,   630,   631,   633,   635,   637,
     645,   646,   640,   643,   642,   641,   655,   654,     0,     0,
       0,  1050,  1051,  1052,  1053,   669,   685,   676,   678,   710,
     738,     0,     0,     0,     0,   511,   926,   874,   868,     0,
     879,   880,   882,   884,   886,   873,   782,   867,   783,   890,
     891,     0,     0,   782,     0,     0,    60,   398,   397,   400,
     399,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    88,   261,   260,     0,   255,     0,     0,    55,
       0,    90,   278,   277,     0,     0,     0,     0,     0,     0,
     303,     0,     0,     0,     0,     0,     0,     0,     0,    93,
     295,   294,     0,     0,     0,   473,     0,     0,     0,     0,
       0,     0,    94,   324,   323,     0,     0,     0,     0,     0,
       0,    13,    96,   343,   342,   128,     0,     0,     0,     0,
       0,   376,   381,   371,   121,   126,   122,   127,     0,     0,
     150,   202,     0,   983,  1125,  1107,     0,  1288,  1317,  1342,
    1349,  1042,  1043,  1044,  1045,    41,     0,    26,   988,  1004,
    1000,   999,   998,    34,     0,   165,     0,     0,     0,     0,
      13,   363,   362,   365,   364,   564,   567,    36,   388,   387,
     390,   389,    44,   368,   367,   370,   369,   557,    51,   393,
     392,   395,   394,   596,   598,     0,   808,   809,   807,  1224,
     981,   980,     0,     0,   798,   978,   976,  1055,   516,  1056,
      12,  1054,     0,   569,   571,     0,    36,     0,    36,     0,
       0,    44,   704,   700,   701,    45,    45,   681,     0,     0,
       0,     7,   828,   829,     0,     0,   815,     0,   563,     0,
     814,   824,   825,   812,   505,   286,     0,   541,     0,   540,
      55,    55,    47,    55,   656,     0,   662,     0,   664,   670,
     679,     0,   717,     0,     0,     0,     7,   509,   870,   869,
     612,     0,   110,   456,   360,   447,   275,   450,   292,   314,
     453,   340,   258,   254,   256,     0,     0,     0,   360,   360,
     360,   360,   262,     0,   425,   426,    43,   424,   423,     0,
     421,   279,   281,   280,   284,   282,     0,   290,     0,     0,
       0,   339,   338,    43,   337,   401,   403,   404,   402,   357,
     405,   358,     0,   356,   310,   311,   313,   312,     0,   309,
     304,   305,   301,   474,     0,     0,     0,     0,     0,     0,
     335,   334,   332,     0,     0,     0,   346,   113,   115,   116,
     117,   119,     0,     0,     0,   140,   147,    10,     0,   991,
     987,  1003,  1001,   162,     0,     0,     0,    12,   378,   377,
     380,   379,     0,     0,     0,     0,     0,    12,   383,   382,
     385,   384,     0,     0,    12,   373,   372,   375,   374,   834,
      99,   862,   863,   106,   101,   836,   108,   597,     0,   730,
    1057,   573,   574,   575,   576,   577,   566,     0,   549,     0,
     568,   550,   570,     0,   559,   691,   692,   683,   796,    12,
       0,     0,    14,    14,     0,     0,   287,   545,    31,    31,
     589,   587,   657,     0,     0,     0,   718,   724,     0,   513,
     512,   613,   614,     0,     0,     0,     0,     0,     0,     0,
     360,   360,   360,     0,     0,     0,     0,     0,     0,   349,
     422,     0,     0,   297,   299,   300,   302,   336,     0,    55,
       0,   298,     0,   325,   326,   333,   321,   331,     0,     0,
       0,   347,    12,    12,    12,  1081,     0,    26,     0,    57,
      53,     0,     0,   103,     0,     0,     0,     0,     0,   104,
       0,     0,   102,     0,   565,   572,   558,   819,    12,     0,
     822,   823,   564,   567,   557,   583,   585,   661,   722,     0,
       7,   615,   609,   612,   396,   276,   293,   322,   341,   257,
       0,     0,     0,   361,   386,   366,   391,   354,   353,     0,
     350,   355,   283,     0,   291,   359,   296,   308,     0,     0,
       0,   288,    60,   320,    13,    36,    44,    51,     0,     0,
       0,   415,   409,   408,   412,   407,   410,   411,   344,   345,
     124,   125,   123,     0,  1002,     0,   847,   846,   853,   855,
     858,   859,   856,   857,   860,     0,   849,   731,   820,    13,
      36,    36,    44,   723,   514,   614,     0,     0,     0,     0,
       0,   376,   381,   371,     0,     0,     0,     0,     7,   348,
     420,     0,   328,     0,   319,   315,   317,   316,   318,    55,
       0,   416,     0,     0,  1190,     0,     0,   850,     0,   816,
     817,   818,   821,   610,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   352,   351,     0,     0,
       0,   329,   289,   330,    55,   414,   413,     0,     0,     0,
      55,    60,   263,   264,   265,   266,    12,    12,    12,    13,
      36,    44,    51,   417,   418,     0,   406,   327,   433,   434,
     852,   851,    43,   848,   274,     0,     0,     0,   267,   272,
     268,   273,   419,   854,   270,   271,   269
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1841, -1841,    -1, -1288,   992,    49, -1334,   991, -1068,  -350,
    -884,  -764,  1103,  1222, -1841,   999,  -513, -1841, -1841,  1226,
   -1841,  -146, -1651,  1230,    -6,   -24,  1451,  -604, -1841, -1841,
    -685, -1841,  -495,  -715,  1232, -1841,  -259, -1841,   899, -1830,
    -480, -1235, -1841,  -869,  -534,  -940, -1841,  -494,   536,  -662,
   -1841,  -473,  1472,  -989,  1017, -1841,  -439, -1841,    16, -1841,
   -1841,  2018, -1841, -1841, -1841,  1762,  1763,   688,  1520, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841,    10, -1841,  1610, -1841, -1841,   -68,
     578,  -344, -1405, -1841, -1841, -1629,  -412, -1422,  -411,   276,
     -86,  -424, -1841, -1841, -1401, -1413, -1841,  -416, -1410, -1840,
   -1841,  -220,   -79, -1647,  -507,  -142,  -141, -1693, -1683, -1679,
    -139,  -143,  -128, -1841, -1841,  -250, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841,   173,  -784, -1420, -1841,   142,   -44,
    3373, -1841,   869, -1841, -1841,  2380, -1841,   341,   719,  1780,
   -1841,   433, -1841,  -815,  1644, -1841, -1841,   238,   599,  1009,
    2691,   -45, -1841, -1841, -1409, -1355,  -346, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841,   143, -1841, -1841, -1841, -1841,  1185,
   -1841, -1841, -1841, -1841,  1179, -1841, -1841, -1841,   174, -1841,
    -310, -1471, -1660, -1841, -1209, -1680, -1483, -1663, -1476,   202,
     201, -1841, -1841, -1171, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841,  1119,  -339,  1656,  -100,  -170,  -518,   717,   712,   720,
   -1841,  -833, -1841, -1841, -1841, -1841, -1841, -1841,  -575, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,  -353,   695,
   -1841, -1841, -1841, -1841,  1116,   479,  -922,   480,  1240,   703,
   -1341, -1841, -1841,  1799, -1841, -1841, -1841, -1841,  1128, -1841,
   -1841,   -67,   248,  -859,  -345,   977,   -27, -1841, -1841, -1841,
     996,   104, -1841, -1841, -1841, -1841, -1841,  -177,  -211, -1841,
   -1841,   682,  -816,  1911,   -61, -1841,   801, -1271, -1841, -1565,
   -1841, -1841,   525, -1385, -1841, -1841,   498,   496, -1841, -1841,
    1730,  -622,  1699,  -620,  1708,  -613,  1718,   223, -1841, -1831,
   -1841, -1841,  -174, -1841, -1841,  -637,  -545,  1722, -1841,  -376,
    -330,  -894,  -857,  -856, -1841,  -266,  -852, -1841,  1736,  1712,
    -840, -1841, -1503,  -318,   270,  1817, -1841,   -38, -1841,   309,
   -1841, -1426, -1841,   310, -1841, -1841, -1841, -1841, -1841,   429,
    -267,   930,  1445,   986,  1837,  1842, -1841, -1841,  -504,   179,
   -1841, -1841, -1841,  1074, -1841, -1841,   -78, -1841,   -65, -1841,
     -60, -1841,   -56, -1841, -1841, -1841,   -51, -1841,   -42, -1841,
     -30, -1841,   -29, -1841,   -19, -1841,   -18, -1841,    12, -1841,
      19, -1841,    27, -1841,    32,  1484, -1841,   -91, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,  1514, -1088,
   -1841, -1841, -1841, -1841, -1841,    33, -1841, -1841, -1841, -1841,
     985, -1841, -1841,    43, -1841,    60, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841, -1841,
   -1841, -1841, -1841, -1841, -1841, -1841
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,  1783,   878,  1157,  1365,  1505,  1159,  1242,   836,
     891,  1184,   823,  1224,   976,  1158,  1363,   807,  1490,  1223,
     977,   695,  1819,  1222,  1419,  1421,  1364,  1151,  1153,   805,
     798,   513,  1092,  1227,  1226,   824,   904,  2019,  1492,  2120,
    1093,   978,   901,   532,  1215,  1209,  1547,  1094,  1130,   802,
     956,  1135,  1122,  1160,  1161,   892,   957,   884,  1784,    46,
      47,    48,    74,    87,    89,   447,   451,   456,   443,   103,
     293,   105,   132,  1098,   475,   142,   150,   152,   275,   278,
     295,   296,   832,  1262,   276,   222,   415,  1735,  1943,  1944,
    1458,   416,  1459,  1644,  2209,  1966,   419,  1460,   420,  1988,
    1989,   423,  2218,  2219,  1461,  1762,  1973,   425,  1462,  2118,
    2199,  2200,  1981,  1982,  2104,  1572,  1577,  1828,  1826,  1827,
    1575,  1580,  1456,  1983,  1744,  2139,  2224,  2225,  2226,  2310,
    1745,  1746,  1956,  1957,  1933,   223,  1304,  2340,    49,    50,
      61,   450,    52,   454,  1936,   458,   459,  1938,    71,   464,
    1941,   445,   446,  1934,   314,   315,   316,    53,   427,  1589,
     477,  1748,   351,   352,  1764,   353,   354,   355,   356,   357,
     358,   359,  1416,  1694,  1695,   360,   361,   362,   889,   890,
     363,   364,   365,   899,   900,  1351,  1345,  1649,  1650,   366,
    1274,  1620,  1881,   367,  1308,  1876,  1614,  1878,  1615,  1616,
    2066,   368,   369,  1653,   903,   370,   371,   372,   373,   374,
     962,   963,  1720,   414,  2102,  2182,   927,   928,   929,   930,
     931,   932,   933,  1673,   934,   935,   936,   937,   938,   939,
     375,   376,   969,   377,   378,   974,   379,   380,   970,   971,
     381,   382,   383,   982,   983,  1311,  1312,  1313,   984,   985,
    1285,  1286,   384,   385,   386,   387,   388,   991,   992,   389,
     390,   224,   940,   988,  1028,   941,   391,   228,  1128,   551,
     552,   942,   559,   392,   393,   394,   395,   396,   397,  1030,
    1031,  1032,   398,   399,   400,   879,   880,  1602,  1603,  1327,
    1328,  1329,  1590,  1591,  1640,  1635,  1636,  1641,  1330,  1891,
    1050,  1834,   837,  1846,   839,  1852,   840,   468,   498,  2151,
    2048,  2286,  2287,  2031,  2041,  1264,  1841,   838,   401,  1051,
    1052,  1036,  1037,  1038,  1039,  1331,  1041,   943,   944,   945,
    1044,  1045,   402,   851,   946,   756,   757,   231,   404,   947,
     557,  1560,   786,   948,  1252,   799,  1564,  1823,   234,   949,
     718,   951,   719,   952,   781,   782,  1239,  1240,   783,   953,
     954,   405,   406,   955,   239,   545,   240,   566,   241,   572,
     242,   580,   243,   594,  1148,  1504,   244,   602,   245,   607,
     246,   617,   247,   628,   248,   634,   249,   637,   250,   641,
     251,   646,   252,   651,   253,   685,   686,   687,   254,   688,
     255,   701,   256,   696,   257,   408,   663,  1179,  1596,  1181,
    1517,  1509,  1514,  1507,  1511,   258,   668,  1207,  1546,  1529,
    1535,  1524,  1208,   259,   707,   260,   562,   261,   262,   732,
     263,   720,   264,   722,   265,   724,   266,   729,   267,   739,
     268,   742,   269,   748,   270,   795
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      44,   421,    54,   227,  1081,   787,   883,   422,   350,  1070,
     852,   886,   885,  1109,   299,   403,  1111,    45,  1071,  1068,
     417,  1069,  1185,  1034,  1156,   975,  1332,   403,   870,  1110,
    1426,   298,  1213,   697,  1485,  1096,  1368,  1358,  1627,  1629,
     989,  1229,   279,   800,  1788,  1642,   308,  1089,  1775,  1087,
     845,  1119,  1777,  1136,   409,  1317,  1277,  1399,  1790,   412,
    1787,  1574,  1095,   476,  1691,   476,  1789,   476,   476,  1035,
    1690,   476,  1799,   476,  1798,  1057,   476,   476,  1622,   875,
     476,   476,   476,   476,  1431,   297,  1067,   476,  1075,   700,
     517,  1835,  1324,  1372,  1137,   517,   517,  1335,  1836,   671,
    2014,  1411,   671,   476,   950,  1765,  1765,  1847,  2012,  1085,
    1346,  1115,   672,  2013,  1350,   672,   964,   673,   972,  1091,
     673,   674,  1150,  1998,   674,  1893,   675,  1693,  1925,   675,
    1152,  1815,  1817,  1040,   229,   676,  1692,  1994,   676,  1412,
    1417,  1413,  1229,  2127,  1053,  1053,  1155,   677,   678,  1104,
     677,   678,   758,  1409,  1410,  2051,  1824,   229,   679,   680,
     877,   679,   680,   986,  2140,  1333,  2021,  1856,  1857,   229,
    1926,  1555,  1556,  2052,  1116,  1921,  1055,  1291,  2268,  1403,
      58,    59,    60,  1656,   877,  1659,  1216,  2055,  1218,   681,
    1219,  1182,   681,  2318,   157,  1221,   682,  1265,  1266,   682,
    1597,  1954,  1955,  2156,   683,  1858,   986,   683,    55,   684,
     689,  1296,   684,   689,   990,  1269,  1302,  1901,  1902,  1275,
     690,  2079,   309,   690,   310,  1082,  2220,  1278,  1607,   158,
     159,   160,    56,   448,   413,  1210,  1302,   691,  -739,   418,
     691,  1132,   871,   424,   986,  -749,  -739,  -739,  -739,  -739,
    2095,    65,  -749,  -749,  -749,  -749,  1246,  1623,  1429,  1228,
     850,   850,  1270,   311,  1860,  1861,   553,   554,   555,  1282,
    1225,  1284,    56,  -835,  1267,  1083,    73,  1241,   225,  1618,
     635,   803,  1923,   271,  2197,  2198,  1230,   806,  1301,  1872,
    1305,  -749,  1309,  1272,   758,  1277,  -734,   636,  1321,  1322,
     230,   225,  2165,  -734,  -734,  -734,  -734,  2221,  2222,   784,
    -700,   865,   104,   225,   403,  1271,  2197,  2198,   987,   785,
     229,   872,    56,   230,   229,  1259,   442,   853,  1261,   866,
    1357,  1968,  1969,  1361,    56,   230,  1765,   709,  1033,   232,
     233,  1260,  -734,  -835,  1268,   497,  -741,  1995,  1996,  1033,
    1033,   868,   869,  -741,  -741,  -741,  -741,  1299,  1084,  1428,
    -701,   712,   232,   233,   854,   421,   158,   159,   160,  1254,
    1543,   422,  1562,  1873,   232,   233,  1775,  1434,    88,   277,
    1777,  1587,  1064,  1637,  1588,   294,  1638,  1544,   730,   403,
    1435,   740,  -741,   421,   801,   151,  -436,  1080,  1398,   422,
    1256,  -253,  1273,  1255,   403,    56,   421,  1133,  1420,  1993,
    1303,  1422,   422,   731,  2288,  1800,   741,  1806,  1801,  1519,
    1545,  1297,  1993,   448,     3,    57,  1586,     4,   410,     5,
    2082,  2080,  -750,  1765,  1765,  1469,  1470,  1471,   411,  -750,
    -750,  -750,  -750,    62,  1292,  -275,   476,  1758,   965,     6,
       7,     8,     9,  1483,  1472,   421,   229,   538,  1474,   235,
     221,   422,   334,   558,   225,    57,  1475,   335,   225,  1258,
    1619,  1448,  1449,   303,   304,   305,   306,  2083,  -750,  1858,
     337,  1910,   235,   721,  1911,   338,   230,  1913,   556,  1276,
     230,   221,  2250,  1874,   235,  2352,  2234,   221,   973,  1825,
     849,   849,  1056,  2210,   855,  1598,  1599,  1624,   428,   221,
    2251,   818,  2353,  2032,  2252,    57,   438,   439,   440,   441,
    2033,  1451,  1758,  1334,  1674,   232,   233,    57,  1927,   232,
     233,   229,  1473,  1407,  1925,  1922,  2269,   334,  1867,   474,
    1868,  1869,   335,  1871,  1702,   494,   229,  1415,  1671,   221,
    1187,  2319,   221,   312,   313,   337,   499,  2034,   998,  2212,
     338,   508,   509,   510,  1874,  2223,  1086,   723,  1993,  1563,
    2301,   524,  2280,   221,   531,   272,   273,   274,  2299,  2271,
    2094,   221,  1703,  2300,  1704,   349,  1385,  1088,  1149,  -436,
     221,  2058,  2035,  1154,  2147,  2180,  1700,  1701,    57,  -739,
     225,  2172,  2166,  2078,  1000,  -749,  1188,  1808,  2173,  2213,
    2096,  1434,  2154,    56,  2174,   789,   844,   413,  1457,   671,
    1567,   309,   230,   804,  1711,   310,  1494,   841,  1496,  1143,
     418,   221,   672,   711,    56,   424,  1287,   673,  2099,   674,
     881,   674,   881,   349,   675,   235,   675,  1027,   221,   235,
    2075,  2076,  1489,   676,   989,   676,  -734,   709,  1027,  1027,
    1316,   232,   233,  1370,  1371,   677,   678,   677,   678,  1445,
    1418,   272,   273,   274,   842,   225,   679,   680,   679,   680,
    1548,   712,   300,  2145,   515,  1386,   516,  1387,  1212,  2084,
     225,   310,   455,  1657,   966,   967,   968,   230,   843,    18,
      19,  2036,  1886,  1211,  1582,   848,  -741,   681,  1585,   681,
     958,   959,   230,  1121,   682,  1446,   682,   864,  1604,  1605,
    1606,   846,   683,  1609,   683,  1611,  1463,   684,   689,   684,
     689,   435,   514,   833,   834,   835,   232,   233,   690,   495,
     690,   467,   863,  -435,   966,   967,   968,   421,  1626,    35,
    1125,   232,   233,   422,  2179,   691,   873,   691,   496,    36,
    1433,  1353,   715,   716,  2258,    37,  1432,     4, -1005,     5,
   -1005,   874,   881,   709,  1354,   877,  1892,  1576,  2260,  1447,
    2257,   235,   489,   490,  1581,  1660,  2259,  1662,  2037,    38,
    1332,  1355,  -750,   711,  1663,  1579,  1277,   712,   876, -1006,
     434, -1006,  2060,   465,  1314,   881,    57,  1317,   998,  1676,
    1612,  1677,   709,   603,  2214,  1382,   463,  1326,  1945,   902,
    1685,  1414,  1687,   521,   999,   523,   990,    57,  1645,  1617,
     995,     4,  2215,     5,   604,   487,   712,  2216,   692,  2217,
    1139,  1332,  1263,  1388,   717,   693,  1775,   605,   133,   134,
    1777,   135,   136,   137,  1000,  1140,   235,  1665,  1666,   960,
       3,  1383,   961,     4,  1672,     5,  1714,  1647,  1072,  1073,
    1074,   235,  1648,  1340,   664,   694,   301,  1430,   302,  1820,
     996,    64,   812,  1141,   702,     6,     7,     8,     9,  1865,
    1866,  1367,  2254,   525,  1126,  1127,   642,  2339,  1142,  1559,
     643,  1090,  1816,  1765,  1765,  1389,  1341,  1366,    18,    19,
     725,   997,  1400,  1948,  1949,  1950,  1951,   703,   704,  1573,
     893,  1342,   715,   716,  1046,   436, -1005,   437,   665,   666,
    1102,  1047,   987,   644,   645,  1859,  -435,   667,     3,  1033,
     989,     4,   426,     5,  2132,  1356,   430,  2122,  1058,  2032,
     867,   229,  -435,   705,   560,   561,  2033, -1006,    35,  2153,
     236,   453,   426,     6,     7,     8,     9,  1343,    36,  2159,
     868,   869,   813,  1059,    37,   229,  2162,  2117,  1795,   480,
    2306,  1797,   221,   236,  1033,  1565,   706,  1909, -1005,  1060,
     726,   727,   728,  2034,  1796,   236,  2149,   466,    38,   467,
    1498,  2150,   426,   519,   717,   606,   816,   226,  1853,  1854,
     733,  2167,  1946,   534,  1947,  1061,   237,  1499,  1441, -1006,
     540,   311,  1500,  1501,  1785,  1804,   734,  2032,  2035,  2136,
     226,  1442,  2128,  1443,  2033,  1870,   320,   321,   989,   237,
    1758,   322,   226,  2090,  1062,  1688,   638,   735,  -835,  1452,
    1887,   237,  -844,  1454,   736,   334,  1344,   639,   640,  1698,
     335,   894,   895,   896,   897,   898,  1707,  1975,  -340,  1441,
    1807,  2034,  1097,   337,  2230,  2231,  2232,  1123,   338,   546,
     547,  1601,  1453,  -845,  1443,     3,  1914,   647,     4,  1124,
       5,   138,  1976,  1977,   743,   225,   157,  1651,   139,   140,
    2248,  1103,   229,  1916,   238,  1918,  2035,  1652,   744,  1131,
       6,     7,     8,     9,   141,   745,     4,   230,     5,   225,
     648,   649,  1794,   650,   157,  1651,  1027,   407,  1129,  1502,
    2110,  2111,  2112,   746,  1495,  1655,  1497,  2036,  2022,   407,
     747,   230,  1503,   737,   738,  -435,   236,   157,  1651,  1441,
     236,   811,   426,   563,   564,   565,   232,   233,  1658,  1404,
    2236,  1520,  1712,  1406,  1443,  1521,  1522,  1523,  1697,  1699,
    1144,  1145,  1146,  1147,  1373,  1705,  1699,  1708,  1710,   541,
     232,  1318,   542,   543,   544,     3,  2282,  -554,     4,  2283,
       5,   708,  1183,   226,  1287,  1217,  1601,   226,  2170,  2171,
     796,   797,   237,   709,  1220,   710,   237,  1380,   881,  1381,
       6,     7,     8,     9,  1245,  2036,  1243,  1978,   987,   887,
     888,   548,   549,   711,  2143,   550,  1453,   712,  1443,   307,
     713,  1244,   595,     4,   596,     5,  1251,  1979,  1980,   482,
    1253,  1027,  1027,  1027,  1027,  1027,   225,  1332,  1027,   993,
     994,  1257,  1283,   597,    18,    19,  1863,  1288,  2345,  2346,
    2347,   598,   599,   600,   601,  1289,  1959,     4,   230,     5,
       3,  2122,  1290,     4,  1027,     5,   235,  1932,  2024,  1293,
    2057,  1896,   236,  1294,     3,  1295,   881,     4,  1298,     5,
     238,  1306,  1307,  1027,   238,     6,     7,     8,     9,     4,
    1319,     5,  2327,  2128,    35,    18,    19,   232,   233,     6,
       7,     8,     9,  2077,    36,  1310,   987,  1300,  2025,   714,
      37,  1055,  1675,   567,  1899,   568,   569,   570,   571,   226,
    1630,  1323,  1919,  1336,  1920,  1928,  1929,  1362,   237,  1369,
    2092,  1337,  2053,   528,    38,  1631,  1924,  1984,  1985,  1986,
    1632,  1987,   715,   716,  2056,    35,  1338,   236,    18,    19,
     882,  1347,  2054,  1633,     4,    36,     5,  2130,  1634,   980,
     981,    37,   236,   158,   159,   160,  1029,  1525,  1526,  1527,
    1528,  2068,  1348,  2071,  1349,  1114,  1378,  1029,  1029,     3,
    1375,  1376,     4,  1377,     5,    38,   229,   868,   869,  1436,
    1437,  2074,  -435,  1379,   226,   272,   273,   274,    35,   158,
     159,   160,  1316,   237,     6,     7,     8,     9,    36,   226,
    1384,   403,   868,   869,    37,  1392,   407,   235,   237,  1778,
   -1050,  2006,  1779,   881,   717,  1512,  1513,  2088,  2089, -1051,
    2091,  2113,  2114,  2115,  2116,  1699,  1699,  1390,    38,  1842,
     979,   980,   981,  1391,  1715,  1717,  1393,  1733,  1742,  1760,
    1773,  1395,  2026,   500,  1396,     3,  1515,  1516,     4,  1405,
       5,   629,  1718,  1403,  1734,  1743,  1761,  1774,    18,    19,
    2050,  1551,  1552,  1277,  2175,  2176,  1438,   630,  2237,  1439,
       6,     7,     8,     9,  1440,   825,   631,   826,  1805,   827,
     828,   407,  1444,   632,   633,  1553,  1554,   829,   830,   229,
    1450,   229,   966,   967,   968,  2107,   407,  1434,  2177,  1530,
    1531,  1532,  1533,  1534,  2333,  2108,  2106,  1055,    35,  1813,
    1814,  1455,   502,   881,   877,  1628,  1821,  1822,    36,  1464,
     225,   831,   157,  1651,    37,  1811,  1812,    18,    19,  2027,
    1971,  1972,  1780,  1465,  1883,  1466,  1314,  1400,  2024,  2126,
    2308,  2309,   230,   229,   403,  2338,  1302,  1467,    38,  1683,
    1684,  1831,   852,  1270,  1838,  1468,  1843,  1476,  1267,  1849,
    1477,  1326,  1478,  1479,  1480,  1481,  2135,  1482,  1832,  1484,
    1506,  1839,  2105,  1844,  1487,  -435,  1850,    35,  2025,  1906,
    1491,   232,   233,  2190,  2191,  2192,   403,    36,  2061,  2062,
    2063,  2064,  2065,    37,  1518,  1510,  1508,  1537,   881,   469,
     470,   471,   472,  1373,  1373,  1373,  1373,  1373,  1538,  1373,
    1373,  1539,   881,  1540,  1848,  1541,  1542,    38,  1681,  1681,
    1907,  1549,  1550,  1905,  1557,  1558,  1559,  1561,  1716,    90,
    1566,  1601,  1568,   225,   403,   225,  2206,    91,  1569,    92,
    1570,    93,  1571,  1578,    94,    95,    96,  1583,    97,     3,
    1600,  1958,     4,   998,     5,   230,     3,   230,  1608,     4,
    1781,     5,  1027,  1027,  1027,  1027,  1027,  1027,  1027,  1027,
    1027,  1027,  1027,  1610,     6,     7,     8,     9,  1613,  1621,
    1625,     6,     7,     8,     9,  1646,   229,   225,  1661,  1664,
    1287,  1670,  2163,  1678,   232,   233,   232,   233,  1680,  1679,
    2276,   235,  1967,  2278,  -700,  1696,  -701,   229,   143,   230,
     144,  1791,  1713,  1802,  1952,   145,  2277,   146,  1792,  1967,
    1818,   147,  2026,  1961,  1962,  1963,  1964,  1965,   229,   403,
    1809,  1793,  1810,  1782,  1829,  2290,  2291,   790,  1855,  1302,
     403,  1990,  1991,  1992,  1862,  1875,   791,   792,   232,   233,
     793,   794,  2292,  2274,  2000,  2001,  2002,   236,  -554,  1877,
    1879,   148,  2042,   149,  1880,  1733,  1742,  1760,  1773,   324,
     325,   326,  1889,  1890,   329,  1888,   229,  1742,  1894,  1895,
     808,   236,  1734,  1743,  1761,  1774,  2313,   573,   574,   819,
     820,   821,   822,   881,  1743,  1897,   575,   576,   577,   578,
     579,  1908,   850,   850,   226,  2028,  2038,  2045,  1912,  2142,
    1915,  1441,  1898,   237,   235,  2349,   235,  1917,  2351,  1942,
    1930,  2337,  2029,  2039,  2046,   504,  1931,  2343,  1315,  1953,
     225,  2350,  1974,   229,  1960,  1029,  2005,   237,  1970,  1997,
      18,    19,  2017,   859,  2275,  2003,  2004,  2018,  2020,  2049,
     229,   225,   230,  2059,  -572,  2067,  1027,  2069,  2073,  2081,
    2085,  2093,  2344,  2097,  1287,  2098,  2119,  2101,   235,    98,
    1027,   229,   225,   230,  2103,  1935,  1937,  1937,  1940,  2289,
    2109,  2121,   229,   421,    99,  2086,  2146,  2138,  2148,   422,
      35,   232,   233,  2155,   230,  2157,  2160,  2164,  2168,  2169,
      36,   238,   100,  2178,  2203,  2181,    37,   101,   236,   102,
     421,  2233,   232,  1318,  2184,  2185,   422,  2119,  2186,  2245,
     225,  1027,  2187,  2188,  2193,   238,  2043,  1231,  1232,  2194,
      38,  2195,  2196,   232,   233,  2235,  1401,  2247,  2249,  1027,
    1027,  1233,   230,  2253,  2261,  2123,   229,  2124,  2125,  1234,
    1029,  1029,  1029,  1029,  1029,   226,  2270,  1029,  2262,  2348,
    2263,  2129,  2152,  2273,   237,  1235,  -290,  2131,   868,   869,
    2281,  2284,  2158,  2285,  2133,  2134,  2317,   225,  2137,  2161,
    2315,   232,   233,  1029,  2141,  2316,  2335,  -291,  1423,  1425,
    1359,  2028,  2038,  2045,   225,  1249,  1424,   881,  1248,   230,
     403,  1247,  1029,  1138,   881,   229,  1250,  1803,  2029,  2039,
    2046,   235,  1493,  2044,  1134,   225,   230,  1427,    72,  1066,
    2304,  2189,  1786,   809,  2207,   810,   225,  1999,  2307,  2205,
    2201,  2264,  1319,  2267,  2266,  2265,  2256,   230,   232,   233,
    2336,     3,   849,   849,     4,  1939,     5,   817,   230,  2100,
    1063,  2227,   238,   235,  1339,   232,   233,   506,  1352,  2070,
    2072,  1394,  2087,  2255,  1065,  2293,     6,     7,     8,     9,
    1668,  1686,    18,    19,  1667,  2204,   232,   233,  1402,  1669,
    1882,  1778,  2183,  1885,  1779,  2211,  1689,   232,   233,   511,
     225,  1043,  1320,  1236,  1237,  1238,   767,  2202,   847,  1408,
    1488,   235,  1043,  1043,    18,    19,  1709,   788,  1864,   777,
     778,   779,   230,  1900,  1643,  1042,  1903,  1076,  2228,  2229,
       3,  1054,    35,     4,  2341,     5,  1042,  1042,  1078,   857,
    2238,  2239,    36,  2240,  2241,  2242,  2243,  2244,    37,  1079,
    2246,  1077,   229,  1214,   652,     6,     7,     8,     9,   225,
     861,   232,   233,   653,    35,   862,  1180,  1536,   235,  1186,
       0,  1967,    38,     0,    36,     0,     0,     0,     0,   654,
      37,   230,     0,   655,     0,   235,     0,   656,   657,   229,
       0,  2201,   658,   659,   660,   661,   662,     3,  2272,     0,
       4,     0,     5,     0,    38,     0,   235,  2279,     0,   403,
       0,     0,   236,     0,  1780,     0,   229,   235,     0,     0,
     232,   233,     6,     7,     8,     9,   229,     0,     0,     0,
       0,  2334,     0,   158,   159,   160,  2312,     0,     0,     0,
       0,     0,     0,     0,     0,  1717,  1742,  1760,  1773,     0,
       0,     0,     0,  1831,  1838,  1843,  1849,     0,  2119,   226,
    2311,     0,  1718,  1743,  1761,  1774,     0,     0,   237,  2314,
    1832,  1839,  1844,  1850,     0,     0,     0,  2320,     0,     0,
       0,   235,     0,  2321,  2322,  2323,  2324,  2325,  2028,  2038,
    2045,  2329,  2330,  2331,  2332,     0,   225,     0,     0,     0,
       0,     0,   229,     0,     0,  2029,  2039,  2046,  2342,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   230,     3,
    1654,  1654,     4,  1654,     5,   236,     0,   236,  1639,     0,
       0,     0,     0,   225,  2354,  2355,  2356,  1027,     0,     0,
     235,     0,  1781,     0,     6,     7,     8,     9,     0,     0,
       0,   229,     0,     0,     0,   230,   238,   232,   233,  1778,
     225,     0,  1779,     3,     0,     0,     4,   229,     5,     0,
     225,     0,   226,     0,   226,     0,     0,     0,     0,   236,
       0,   237,   230,   237,    67,    68,    69,     0,     6,     7,
       8,     9,   230,     0,   232,   233,     0,     0,     0,     0,
       0,  1029,  1029,  1029,  1029,  1029,  1029,  1029,  1029,  1029,
    1029,  1029,     0,     0,     0,  2011,     0,     0,     0,     0,
       0,   232,   233,     0,     0,     0,   226,     0,     0,     0,
       0,   232,   233,     0,     0,   237,     3,     0,     0,     4,
       0,     5,     0,     0,     0,     0,   225,     0,   431,   432,
     433,     0,     0,     0,     0,  1719,  2024,  1736,  1747,  1763,
    1776,     6,     7,     8,     9,   460,   461,     0,   230,   238,
       0,   238,     0,     0,   473,     0,     3,   235,   881,     4,
       0,     5,  1780,   484,   485,     0,     0,     0,     0,   491,
    1267,     0,     0,     0,  2305,   225,  2025,     0,     0,     0,
       0,     6,     7,     8,     9,     0,   522,   232,   233,     0,
       0,   225,     0,     0,   235,   535,   536,   230,     0,   539,
       0,     0,   236,   407,     0,     0,     0,     3,     0,     0,
       4,     0,     5,   230,     0,     0,     0,     0,     0,     0,
       0,   235,     0,   236,     0,   881,     0,     0,     0,  2042,
       0,   235,     6,     7,     8,     9,   232,   233,     0,     0,
       0,  1830,     0,     0,   236,     0,     0,  1778,     0,   226,
    1779,  1833,   232,   233,  1840,     0,  1845,     0,   237,  1851,
    1043,     0,     0,     0,     0,     0,     0,     0,  1884,  2042,
    1315,  1401,     0,     0,     0,  1029,     0,     0,     0,   237,
       0,     0,     0,     0,  1042,     0,     0,     0,     0,  1029,
    1781,   226,   236,     0,     0,     0,     0,     0,     3,  1654,
     237,     4,  1654,     5,     0,  1654,     0,   235,  1374,     0,
       0,     0,   608,   609,     0,     0,     0,     0,     0,  1639,
    2026,     0,     0,     6,     7,     8,     9,   610,     0,   611,
     612,   613,     0,     0,     0,   814,   815,     0,  1778,   226,
    1029,  1779,     0,     0,     0,     0,   407,     0,   237,   236,
       0,     0,   614,   615,   616,     0,   235,     0,  1029,  1029,
       0,     0,     0,  2016,     0,     0,   236,   238,     0,     0,
    1780,     0,   235,     0,     0,  1043,  1043,  1043,  1043,  1043,
       0,     0,  1043,     0,     0,     0,     0,   236,   407,     3,
       0,   881,     4,  2043,     5,     0,   226,     0,   236,  1042,
    1042,  1042,  1042,  1042,     0,   237,  1042,  2326,  1043,     0,
       0,     0,     0,   226,     6,     7,     8,     9,     0,     0,
       0,     0,   237,     0,     0,     0,     0,  1043,     0,     0,
       0,     0,  1042,  2043,   226,     0,   407,     0,     0,     0,
       0,     0,     0,   237,     0,   226,     0,     0,     0,     0,
       0,  1042,     0,     0,   237,     0,     0,     0,     0,     0,
       0,  1780,   236,     0,   881,  1736,  1747,  1763,  1776,     0,
     479,     0,   481,   483,     0,     0,   486,  1747,   488,     0,
    2144,   492,   493,     0,     0,   501,   503,   505,   507,     0,
       0,     0,   512,   238,     0,   520,     0,     0,  1781,     0,
     527,   530,     0,     0,   881,  2030,  2040,  2047,   537,   226,
     238,     0,     0,     0,     0,     0,     0,     0,   237,     3,
    2328,   236,     4,     3,     5,     0,     4,     3,     5,     0,
       4,   407,     5,     0,     0,     0,     0,     0,     0,  1100,
       0,     0,   407,     0,     6,     7,     8,     9,     6,     7,
       8,     9,     6,     7,     8,     9,     0,     0,  1749,     0,
    1055,     0,     0,   581,   582,     0,     0,   583,   226,     0,
       0,  2023,     0,     0,     0,     0,     0,   237,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,  1120,  1781,
       0,     0,     0,     3,     0,     0,     4,     0,     5,     3,
       0,     0,     4,     0,     5,     0,   238,  1750,  1751,  1752,
    1753,     0,  1754,     0,     0,  1755,     0,     0,     6,     7,
       8,     9,     0,     0,     6,     7,     8,     9,   593,  1721,
     618,   619,  1756,   620,     0,     0,     0,     0,     0,  1722,
       0,     0,     0,     0,  1723,     0,  1724,     0,  1725,     0,
       0,     3,   621,     0,     4,     0,     5,     0,   236,     0,
     622,   623,  2298,   624,     0,   238,     0,     0,     0,     0,
       0,     0,     0,   625,   626,   627,     6,     7,     8,     9,
       0,     0,  1757,     0,     0,     0,     0,  1721,     0,     0,
       0,  2030,  2040,  2047,     0,   236,     0,  1722,     0,  1270,
       0,     0,  1723,     0,  1724,   226,  1725,     0,     0,     0,
       0,     0,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,     0,     0,   881,     0,     0,
       0,     0,   226,     0,     0,     0,  1029,     0,     0,     0,
       0,   237,     0,  1837,     0,     0,  1726,  1374,  1374,  1374,
    1374,  1374,     0,  1374,  1374,     0,     0,    75,     0,   226,
       0,     0,  1682,  1682,     0,    76,     0,    77,   237,   226,
       0,     0,    78,    79,    80,     0,    81,     0,   237,     0,
       0,     0,     0,     0,     0,  1758,     0,     0,     0,     0,
       0,     0,   407,     0,     0,     0,     0,     0,   236,     0,
     334,     0,     0,     0,  1726,   335,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,     0,   337,     0,
       0,     0,     0,   338,     0,     0,     0,  1270,     0,   238,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1101,     0,     0,     0,   226,     0,   236,     0,     0,
       0,     0,     0,     0,   237,     0,   238,   881,     0,  1727,
       0,   881,     0,   236,     0,   881,   238,     0,     0,     0,
       0,     0,     0,  1759,  1728,     0,     0,  2294,     0,     0,
       0,  2303,  1267,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1729,     0,   226,     0,     0,  1730,     0,  1731,
       0,     0,     0,   237,     0,     0,     0,     0,     0,     0,
     226,     0,     0,     3,     0,     0,     4,  1727,     5,   237,
       0,     0,     0,     0,     0,  1719,  1747,  1763,  1776,     0,
       0,   881,  1728,  1833,  1840,  1845,  1851,   881,     6,     7,
       8,     9,   238,     0,     0,     0,     0,  1732,     0,     0,
    1729,  1592,  1749,  2302,     0,  1730,     0,  1731,     0,     0,
       0,     0,     0,   280,     0,     0,     0,     0,  2030,  2040,
    2047,   281,     0,   282,     0,   283,     0,     0,   284,   285,
     286,     0,   287,     0,     0,     0,     0,     0,     0,   881,
       0,   407,     0,     0,     0,     0,     0,    82,     0,     0,
    1043,  1750,  1751,  1752,  1753,  2007,  1754,   238,     0,  1755,
       0,     0,    83,     0,  1043,     0,  1164,     0,     0,     0,
       0,     0,     0,     0,  1042,     0,  1756,     0,     0,     0,
      84,     0,     0,     0,    51,    85,     0,    86,  1042,     0,
       0,     0,     0,     0,    63,    51,    51,    66,    66,    66,
      70,     0,     0,    51,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1043,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1757,     0,     0,     0,
       0,     0,     0,  1043,  1043,     0,     0,     0,  1593,  1042,
       0,  1166,  1167,  1594,  1169,  1170,  1171,  1172,  1173,  1174,
    1175,  1176,  1177,  1595,     0,     0,    51,  1042,  1042,   429,
      51,    66,    66,    66,    70,     0,  1325,     0,     0,     0,
       0,    51,     0,   444,   449,   452,    51,   457,    66,    66,
     462,     0,   444,   444,   444,   444,     0,    66,     0,     0,
       0,   478,     0,    51,  1162,     0,    66,    66,     0,    70,
       0,     0,    66,     0,     0,     0,     0,     0,     0,  1163,
       0,     0,     0,     0,     0,   906,    51,   518,   457,    66,
     457,   907,   526,   529,     0,     0,   533,    51,    66,    66,
       0,     0,    66,     0,    51,     0,     0,     0,     0,  1758,
       0,     0,     0,     0,     0,     0,     0,     0,   157,   158,
     159,   160,     0,   288,   334,     0,  1008,     0,     0,   335,
    1009,     0,     0,     0,     0,  1010,     0,     0,   289,     0,
       0,  1011,   337,     0,  1164,   914,     0,   338,     0,     0,
       0,     0,     0,     0,     0,     0,   290,  1012,     0,     0,
       0,   291,  1013,   292,     0,  1014,     0,     0,     0,     0,
    1015,     0,     0,     0,  1016,     0,     0,  1017,  1018,     0,
       0,   881,  1019,     0,     0,  1020,     0,  1021,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2009,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1022,     0,     0,  1023,  1165,     0,  1024,  1166,
    1167,  1168,  1169,  1170,  1171,  1172,  1173,  1174,  1175,  1176,
    1177,  1178,     0,   444,   449,   452,    51,   457,    66,    66,
     462,     0,   444,   444,   444,   444,     0,     3,     0,     0,
       4,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   153,
       0,     0,     6,     7,     8,     9,   154,   155,     0,     0,
       0,   317,   156,   318,     0,     0,     0,     0,     0,     0,
    1737,     0,     0,     0,     0,     0,     0,     0,   319,     0,
       0,     0,   917,     0,     0,   918,   919,     0,   320,   321,
       0,     0,   920,   322,     0,     0,   323,     0,     0,     0,
       0,     0,     0,     0,     0,   324,   325,   326,   327,   328,
     329,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1738,     0,   922,   923,   330,  1025,   331,     0,     0,   157,
     158,   159,   160,     0,     0,   161,     0,   162,     0,     0,
    1739,   163,     0,     0,     0,     0,   164,     0,     0,   924,
     925,     0,   165,   161,     0,     0,     0,     0,     0,   349,
       0,  1026,     0,     0,   221,     0,     0,     0,   166,     0,
     165,  1043,     0,   167,     0,     0,   168,     0,     0,     0,
       0,   169,     0,     0,     0,   170,   166,     0,   171,   172,
    1740,   167,     0,   173,   168,  1042,   174,     0,   175,   169,
       0,     0,     0,   170,     0,     0,   171,   172,     0,     0,
       0,   173,     0,     0,   174,  1099,   175,     0,     0,     0,
       0,     0,    66,   176,   177,     0,   178,   179,   180,   181,
       0,     0,     0,  1105,     0,  1106,     0,  1107,     0,  1108,
       0,   176,     0,     0,  1112,     0,     0,   181,  1113,    51,
       0,     0,     0,     0,     0,     0,     0,     0,  1117,     0,
       0,  1118,     0,     0,   182,   183,   184,   185,     0,     0,
       0,    66,     0,   186,   187,     0,     0,   188,   189,   332,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,     0,     0,   333,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   334,     0,
       0,     0,     0,   335,     0,     0,     0,     0,     0,     0,
     336,     0,     0,     0,     0,     0,   337,     0,     0,     0,
       0,   338,     0,     0,     0,     0,     0,   213,   214,     0,
     339,     0,     0,   340,   341,   342,   343,     0,     0,     0,
     344,     0,     0,     0,   345,   346,   215,     0,     0,     0,
     216,   217,     0,     0,     0,   881,     0,     0,     0,   347,
       0,     3,   218,   219,     4,     0,     5,     0,   348,     0,
     349,  1741,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,   153,     0,     0,     6,     7,     8,     9,
     154,   155,     0,     0,     0,   317,   156,   318,     0,     0,
       0,     0,     0,     0,  1737,     0,     0,     0,     0,     0,
       0,     0,   319,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   320,   321,     0,     0,     0,   322,     0,     0,
     323,     0,     0,     0,     0,     0,     0,     0,     0,   324,
     325,   326,   327,   328,   329,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1738,     0,     0,     0,   330,     0,
     331,     0,     0,   157,   158,   159,   160,     0,     0,   161,
       0,   162,     0,     0,  1739,   163,     0,     0,     3,     0,
     164,     4,     0,     5,     0,     0,   165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   166,     6,     7,     8,     9,   167,     0,     0,
     168,  1189,     0,     0,     0,   169,     0,  1749,     0,   170,
       0,     0,   171,   172,  1740,     0,     0,   173,     0,     0,
     174,     0,   175,     0,  1190,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,  1204,  1205,
    1206,     0,     0,     0,     0,     0,     0,   176,   177,     0,
     178,   179,   180,   181,     0,     0,  1750,  1751,  1752,  1753,
       0,  1754,     0,     0,  1755,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1756,     0,     0,     0,     0,     0,     0,   182,   183,
     184,   185,     0,     0,     0,     0,     0,   186,   187,     0,
       0,   188,   189,   332,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,     0,     0,   333,     0,     0,
       0,  1757,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   334,     0,     0,     0,     0,   335,     0,     0,
       0,     0,     0,     0,   336,     0,     0,     0,     0,     0,
     337,     0,     0,     0,     0,   338,     0,     0,     0,     0,
       0,   213,   214,     0,   339,     0,     0,   340,   341,   342,
     343,     0,     0,     0,   344,     0,     0,     0,   345,   346,
     215,     0,     0,     0,   216,   217,     0,     0,     0,   881,
       0,     0,     0,   347,     0,     3,   218,   219,     4,     0,
       5,     0,   348,     0,   349,  2008,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,   153,     0,     0,
       6,     7,     8,     9,   154,   155,     0,     0,     0,   317,
     156,   318,     0,     0,  1758,     0,     0,     0,  1737,     0,
       0,     0,     0,     0,     0,     0,   319,     0,     0,   334,
       0,     0,     0,     0,   335,     0,   320,   321,     0,     0,
       0,   322,     0,     0,   323,     0,     0,   337,     0,     0,
       0,     0,   338,   324,   325,   326,   327,   328,   329,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1738,     0,
       0,     0,   330,     0,   331,     0,  1486,   157,   158,   159,
     160,     0,     0,   161,     0,   162,   881,     0,  1739,   163,
       0,     0,     3,     0,   164,     4,     0,     5,     0,     0,
     165,     0,  2296,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   166,     6,     7,     8,
       9,   167,     0,     0,   168,     0,     0,     0,     0,   169,
       0,  1766,     0,   170,     0,     0,   171,   172,  1740,     0,
       0,   173,     0,     0,   174,     0,   175,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   176,   177,     0,   178,   179,   180,   181,     0,     0,
       0,  1767,  1768,  1769,     0,  1754,     0,     0,  1755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1770,     0,     0,     0,     0,
       0,     0,   182,   183,   184,   185,     0,     0,     0,     0,
       0,   186,   187,     0,     0,   188,   189,   332,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,     0,
       0,   333,     0,     0,     0,  1771,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   334,     0,     0,     0,
       0,   335,     0,     0,     0,     0,     0,     0,   336,     0,
       0,     0,     0,     0,   337,     0,     0,     0,     0,   338,
       0,     0,     0,     0,     0,   213,   214,     0,   339,     0,
       0,   340,   341,   342,   343,     0,     0,     0,   344,     0,
       0,     0,   345,   346,   215,     0,     0,     0,   216,   217,
       0,     0,     0,   881,     0,     0,     0,   347,     0,     3,
     218,   219,     4,     0,     5,     0,   348,     0,   349,  2015,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,   153,     0,     0,     6,     7,     8,     9,   154,   155,
       0,     0,     0,   317,   156,   318,     0,     0,  1758,     0,
       0,     0,  1737,     0,     0,     0,     0,     0,     0,     0,
     319,     0,     0,   334,     0,     0,     0,     0,   335,     0,
     320,   321,     0,     0,     0,   322,     0,     0,   323,     0,
       0,   337,     0,     0,     0,     0,   338,   324,   325,   326,
     327,   328,   329,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1738,     0,     0,     0,   330,     0,   331,     0,
       0,   157,   158,   159,   160,     0,     0,   161,     0,   162,
     881,     0,  1739,   163,     0,     0,     3,     0,   164,     4,
       0,     5,     0,     0,   165,     0,  1772,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     166,     6,     7,     8,     9,   167,     0,     0,   168,     0,
       0,     0,     0,   169,     0,  1766,     0,   170,     0,     0,
     171,   172,  1740,     0,     0,   173,     0,     0,   174,     0,
     175,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   176,   177,     0,   178,   179,
     180,   181,     0,    10,     0,  1767,  1768,  1769,     0,  1754,
       0,    11,  1755,    12,     0,    13,     0,     0,    14,    15,
      16,     0,    17,     0,     0,     0,    18,    19,     0,  1770,
       0,     0,     0,     0,     0,     0,   182,   183,   184,   185,
       0,     0,     0,     0,     0,   186,   187,     0,     0,   188,
     189,   332,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,     0,     0,   333,    35,     0,     0,  1771,
       0,     0,     0,     0,     0,     0,    36,     0,     0,     0,
     334,     0,    37,     0,     0,   335,     0,     0,     0,     0,
       0,     0,   336,     0,     0,     0,     0,     0,   337,     0,
       0,     0,     0,   338,     0,     0,    38,     0,     0,   213,
     214,     0,   339,     0,     0,   340,   341,   342,   343,     0,
       0,     0,   344,     0,     0,     0,   345,   346,   215,     4,
       0,     5,   216,   217,     0,     0,     0,   881,     0,     0,
       0,   347,     0,     0,   218,   219,     0,     0,   153,     0,
     348,     0,   349,  2295,   220,   154,   155,   221,     0,     0,
     317,   156,   318,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   319,     0,     0,
       0,     0,  1758,     0,     0,     0,     0,   320,   321,     0,
       0,   749,   322,     0,     0,   323,     0,   334,     0,     0,
       0,     0,   335,     0,   324,   325,   326,   327,   328,   329,
       0,     0,     0,     0,     0,   337,     0,     0,   750,     0,
     338,   751,     0,   330,     0,   331,     0,     0,   157,   158,
     159,   160,     0,    39,   161,     0,   162,     0,   752,     0,
     163,     0,     0,     0,     0,   164,     0,     0,    40,     0,
       0,   165,     0,     0,   881,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    41,   166,     0,     0,
    2010,    42,   167,    43,     0,   168,     0,     0,     0,     0,
     169,     0,     0,     0,   170,     0,     0,   171,   172,     0,
       0,     0,   173,     0,     0,   174,     0,   175,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   176,   177,     0,   178,   179,   180,   181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,     0,   182,   183,   184,   185,     0,     0,     0,
       0,     0,   186,   187,     0,     0,   188,   189,   332,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
       0,     0,   333,     0,   753,     0,   905,     0,   213,   214,
       0,   759,   760,     0,     0,   761,     0,   334,   754,     0,
       0,     0,   335,     0,   153,     0,     0,     0,     0,   336,
       0,     0,   155,   762,     0,   337,     0,   156,     0,     0,
     338,     0,     0,     0,   755,     0,   213,   214,     0,   339,
       0,     0,   340,   341,   342,   343,     0,     0,     0,   344,
       0,     0,     0,   345,   346,   215,     0,     0,     0,   216,
     217,   906,     0,     0,     0,     0,     0,   907,   347,     0,
       0,   218,   219,     0,     0,     0,   908,   348,   909,   349,
    1904,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   157,   158,   159,   160,     0,     0,
     161,     0,   910,     0,     0,     0,   911,     0,     0,     0,
       0,   912,     0,     0,     0,     0,     0,   913,     0,     0,
       0,   914,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   166,     0,     0,     0,     0,   167,     0,
       0,   915,     0,   763,     0,     0,   169,     0,     0,     0,
     170,     0,     0,   171,   172,     0,     0,     0,   173,     0,
       0,   174,     0,   175,     0,     0,     0,   764,   765,   766,
     767,   768,   769,     0,   770,   771,   772,   773,   774,   775,
     776,     0,     0,   777,   778,   779,     0,     0,   176,   177,
     858,   178,   179,   180,   181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1279,   780,     0,     0,     0,
       0,     0,   759,   760,     0,     0,   761,     0,     0,     0,
       0,     0,     0,   153,     0,     0,     0,     0,     0,   916,
       0,   155,     0,     0,   762,     0,   156,     0,     0,     0,
       0,     0,     0,     0,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,     0,     0,   212,     0,
     906,     0,     0,     0,     0,     0,   907,     0,   917,     0,
       0,   918,   919,     0,     0,     0,     0,     0,   920,     0,
       0,   859,     0,     0,     0,     0,   921,     0,     0,     0,
       0,     0,     0,   157,   158,   159,   160,     0,     0,   161,
       0,   910,   213,   214,     0,   911,     0,     0,   922,   923,
     912,     0,     0,     0,     0,     0,  1280,     0,     0,     0,
     914,   215,     0,     0,     0,   216,   217,     0,     0,     0,
       0,     0,   166,     0,     0,   924,   925,   167,   755,     0,
    1281,     0,     0,     0,   763,   169,     0,   926,     0,   170,
     221,     0,   171,   172,     0,     0,     0,   173,     0,     0,
     174,     0,   175,     0,     0,     0,     0,     0,   764,   765,
     766,   767,   768,   769,   860,   770,   771,   772,   773,   774,
     775,   776,     0,     0,   777,   778,   779,   176,   177,     0,
     178,   179,   180,   181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1360,     0,     0,   780,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   153,     0,     0,     0,     0,     0,   916,     0,
     155,     0,     0,     0,     0,   156,     0,     0,     0,     0,
       0,     0,     0,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,     0,     0,   212,     0,   906,
       0,     0,     0,     0,     0,   907,     0,   917,     0,     0,
     918,   919,     0,     0,     0,     0,     0,   920,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   157,   158,   159,   160,     0,     0,   161,     0,
     910,   213,   214,     0,   911,     0,     0,   922,   923,   912,
       0,     0,   161,     0,   162,  1280,     0,     0,   163,   914,
     215,     0,     0,   164,   216,   217,     0,     0,     0,   165,
       0,   166,     0,     0,   924,   925,   167,   755,     0,  1281,
       0,     0,     0,     0,   169,   166,   926,     0,   170,   221,
     167,   171,   172,   168,     0,     0,   173,     0,   169,   174,
       0,   175,   170,     0,     0,   171,   172,   669,     0,     0,
     173,     0,     0,   174,     0,   175,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   176,   177,     0,   178,
     179,   180,   181,     0,     0,     0,     0,     0,     0,     0,
     176,     0,   670,  1397,     0,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   153,     0,     0,     0,     0,     0,   916,     0,   155,
       0,     0,     0,     0,   156,     0,     0,     0,     0,     0,
       0,     0,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,     0,     0,   212,     0,   906,     0,
       0,     0,     0,     0,   907,     0,   917,     0,     0,   918,
     919,     0,     0,     0,     0,     0,   920,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   157,   158,   159,   160,     0,     0,   161,     0,   910,
     213,   214,     0,   911,     0,     0,   922,   923,   912,     0,
       0,   161,     0,   162,  1280,     0,   698,   163,   914,   215,
       0,     0,   164,   216,   217,     0,     0,     0,   165,     0,
     166,     0,     0,   924,   925,   167,   755,     0,  1281,     0,
       0,     0,     0,   169,   166,   926,     0,   170,   221,   167,
     171,   172,   168,     0,     0,   173,     0,   169,   174,     0,
     175,   170,     0,     0,   171,   172,     0,     0,     0,   173,
       0,     0,   174,     0,   175,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   176,   177,     0,   178,   179,
     180,   181,     0,     0,     0,     0,     0,     0,     0,   176,
       0,   699,  1584,     0,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     153,     0,     0,     0,     0,     0,   916,     0,   155,     0,
       0,     0,     0,   156,     0,     0,     0,     0,     0,     0,
       0,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,     0,     0,   212,     0,   906,     0,     0,
       0,     0,     0,   907,     0,   917,     0,     0,   918,   919,
       0,     0,     0,     0,     0,   920,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     157,   158,   159,   160,     0,     0,   161,     0,   910,   213,
     214,     0,   911,     0,     0,   922,   923,   912,     0,     0,
       0,     0,     0,  1280,     0,     0,     0,   914,   215,     0,
       0,     0,   216,   217,     0,     0,     0,     0,     0,   166,
       0,     0,   924,   925,   167,   755,     0,  1281,     0,     0,
       0,     0,   169,     0,   926,     0,   170,   221,     0,   171,
     172,     0,     0,     0,   173,     0,     0,   174,     0,   175,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     3,     0,     0,     4,
       0,     5,     0,     0,   176,   177,     0,   178,   179,   180,
     181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     8,     9,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1766,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   916,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,     0,     0,   212,  1767,  1768,  1769,     0,  1754,
       0,     0,  1755,     0,   917,     0,     0,   918,   919,     0,
       0,     0,     0,     0,   920,     0,     0,     0,     0,  1770,
    1001,  1002,  1003,  1004,  1005,  1006,     0,     0,     0,     0,
    1007,     0,     0,     0,   986,     0,     0,     0,   213,   214,
       0,     0,     0,     0,   922,   923,     0,     0,     0,     0,
    1325,     0,     0,     0,     0,     0,     0,   215,     0,     0,
       0,   216,   217,     0,     0,     0,     0,     0,     0,  1771,
       0,   924,   925,     0,   755,     0,     0,     0,     0,     0,
       0,   906,     0,   926,     0,     0,   221,   907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   906,
       0,     0,     0,     0,     0,   907,     0,     0,     0,     0,
       0,     0,     0,     0,   157,   158,   159,   160,     0,     0,
       0,     0,  1008,     0,     0,     0,  1009,     0,     0,     0,
       0,  1010,   157,   158,   159,   160,     0,  1011,     0,     0,
    1008,   914,     0,     0,  1009,     0,     0,     0,     0,  1010,
       0,     0,     0,  1012,     0,  1011,     0,     0,  1013,   914,
       0,  1014,     0,     0,     0,     0,  1015,     0,     0,     0,
    1016,  1012,     0,  1017,  1018,     0,  1013,     0,  1019,  1014,
       0,  1020,  1758,  1021,  1015,     0,     0,     0,  1016,     0,
       0,  1017,  1018,     0,     0,     0,  1019,   334,     0,  1020,
       0,  1021,   335,     0,     0,     0,     0,     0,  1022,     0,
       0,  1023,     0,     0,  1024,   337,     0,     0,     0,   161,
     338,   162,     0,     0,     0,   163,  1022,     0,     0,  1023,
     164,     0,  1024,     0,     0,     0,   165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   166,     0,   881,     0,     0,   167,     0,     0,
     168,     0,     0,     0,     0,   169,     0,     0,     0,   170,
    2297,     0,   171,   172,     0,     0,     0,   173,     0,     0,
     174,     0,   175,     0,     0,     0,     0,     0,     0,  1048,
     986,     0,     0,     0,     0,     0,     0,     0,   917,     0,
       0,   918,   919,     0,     0,     0,     0,   176,   920,     0,
       0,     0,     0,   181,     0,     0,   917,     0,     0,   918,
     919,     0,     0,     0,     0,     0,   920,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   906,   922,   923,
       0,  1025,     0,   907,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   922,   923,     0,  1025,
       0,     0,     0,     0,     0,   924,   925,     0,     0,     0,
     157,   158,   159,   160,     0,   349,     0,  1026,  1008,     0,
     221,     0,  1009,   924,   925,     0,     0,  1010,     0,     0,
       0,     0,     0,  1011,     0,  1026,     0,   914,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1012,
       0,     0,     0,     0,  1013,     0,     0,  1014,     0,     0,
       0,     0,  1015,     0,     0,     0,  1016,     0,     0,  1017,
    1018,     0,     0,     0,  1019,     0,   153,  1020,     0,  1021,
       0,     0,     0,   154,   155,     0,     0,     0,   317,   156,
     318,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1022,   319,     0,  1023,     0,     0,
    1024,     0,     0,     0,     0,   320,   321,     0,     0,     0,
     322,     0,     0,   323,     0,     0,     0,     0,     0,     0,
       0,     0,   324,   325,   326,   327,   328,   329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   330,     0,   331,     0,     0,   157,   158,   159,   160,
       0,     0,   161,     0,   162,     0,     0,     0,   163,     0,
       0,     0,     0,   164,     0,     0,     0,     0,     0,   165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   917,   166,     0,   918,   919,     0,
     167,     0,     0,   168,   920,     0,     0,     0,   169,     0,
       0,     0,   170,     0,     0,   171,   172,     0,     0,     0,
     173,     0,     0,   174,     0,   175,     0,     0,     0,     0,
       0,     0,     0,     0,   922,   923,     0,  1025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     176,   177,     0,   178,   179,   180,   181,     0,     0,     0,
       0,   924,   925,     0,     0,     0,     0,     0,     0,     0,
       0,  1049,     0,  1026,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,   184,   185,     0,     0,     0,     0,     0,
     186,   187,     0,     0,   188,   189,   332,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,     0,     0,
     333,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   153,     0,   334,     0,     0,     0,     0,
     335,   155,     0,     0,     0,     0,   156,   336,     0,     0,
       0,     0,     0,   337,     0,     0,     0,     0,   338,     0,
       0,     0,     0,     0,   213,   214,     0,   339,     0,     0,
     340,   341,   342,   343,     0,     0,     0,   344,     0,     0,
     906,   345,   346,   215,     0,     0,   907,   216,   217,     0,
       0,     0,     0,     0,     0,     0,   347,     0,     0,   218,
     219,     0,     0,     0,     0,   348,     0,   349,     0,   220,
       0,     0,   221,   157,   158,   159,   160,     0,     0,   161,
       0,   910,     0,     0,     0,   911,     0,     0,     0,     0,
     912,     0,     0,     0,     0,     0,  1280,     0,     0,     0,
     914,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   166,     0,     0,     0,     0,   167,     0,     0,
    1281,     0,     0,     0,     0,   169,     0,     0,     0,   170,
       0,     0,   171,   172,     0,     0,     0,   173,     0,     0,
     174,     0,   175,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   176,   177,     0,
     178,   179,   180,   181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   153,     0,     0,     0,     0,     0,   916,   154,
     155,     0,     0,     0,     0,   156,     0,     0,     0,     0,
       0,     0,     0,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,     0,     0,   212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   917,     0,     0,
     918,   919,     0,     0,     0,     0,     0,   920,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   157,   158,   159,   160,     0,     0,   161,     0,
     162,   213,   214,     0,   163,     0,     0,   922,   923,   164,
       0,     0,     0,     0,     0,   165,     0,     0,     0,     0,
     215,     0,     0,     0,   216,   217,     0,     0,     0,     0,
       0,   166,     0,     0,   924,   925,   167,   755,     0,   168,
       0,     0,     0,     0,   169,     0,   926,     0,   170,   221,
       0,   171,   172,     0,     0,     0,   173,     0,     0,   174,
       0,   175,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   176,   177,     0,   178,
     179,   180,   181,     0,     0,     0,     0,     0,     0,     0,
     153,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,   156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,   184,
     185,     0,     0,     0,     0,     0,   186,   187,     0,     0,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,  2208,     0,   212,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     157,   158,   159,   160,     0,     0,   161,     0,   162,     0,
       0,     0,   163,     0,     0,     0,     0,   164,     0,     0,
       0,     0,     0,   165,     0,     0,     0,     0,     0,     0,
     213,   214,     0,     0,     0,     0,     0,     0,     0,   166,
       0,     0,     0,     0,   167,     0,     0,   168,     0,   215,
       0,     0,   169,   216,   217,     0,   170,     0,     0,   171,
     172,     0,     0,     0,   173,   218,   219,   174,     0,   175,
       0,     0,     0,   349,     0,   220,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   176,   177,   153,   178,   179,   180,
     181,     0,     0,   154,   155,     0,     0,     0,     0,   156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   182,   183,   184,   185,     0,
       0,     0,     0,     0,   186,   187,     0,     0,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,     0,     0,   212,     0,   157,   158,   159,   160,
       0,     0,   161,     0,   162,     0,     0,     0,   163,     0,
       0,     0,     0,   164,     0,     0,     0,     0,     0,   165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   166,     0,     0,   213,   214,
     167,     0,     0,   168,     0,     0,     0,     0,   169,     0,
       0,     0,   170,     0,     0,   171,   172,   215,     0,     0,
     173,   216,   217,   174,     0,   175,     0,     0,     0,     0,
       0,     0,     0,   218,   219,     0,     0,     0,     0,     0,
       0,     0,     0,   220,     0,     0,   221,     0,     0,     0,
     176,   177,     0,   178,   179,   180,   181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   986,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,   184,   185,     0,     0,     0,     0,     0,
     186,   187,     0,     0,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   906,     0,
     212,     0,     0,     0,   907,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   157,   158,   159,   160,     0,     0,     0,     0,  1008,
       0,     0,     0,  1009,   213,   214,     0,     0,  1010,     0,
       0,     0,     0,     0,  1011,     0,     0,     0,   914,     0,
       0,     0,     0,   215,     0,     0,     0,   216,   217,     0,
    1012,     0,     0,     0,     0,  1013,     0,     0,  1014,   218,
     219,     0,     0,  1015,     0,     0,     0,  1016,     0,   220,
    1017,  1018,   221,     0,     0,  1019,     0,     0,  1020,     0,
    1021,     0,     0,     0,     0,     0,     0,     2,     3,     0,
       0,     4,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1022,     0,     0,  1023,     0,
       0,  1024,     0,     6,     7,     8,     9,     0,     0,     0,
       0,     0,     0,     0,    10,     0,     0,     0,     0,     0,
       0,     0,    11,     0,    12,     0,    13,     0,     0,    14,
      15,    16,     0,    17,     0,     0,     0,    18,    19,    20,
       0,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  -435,     0,     0,     0,   917,     0,    35,   918,   919,
       0,     0,     0,     0,     0,   920,     0,    36,   906,     0,
       0,     0,     0,    37,   907,     0,     0,   324,   325,   326,
    1889,  1890,   329,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   922,   923,    38,  1025,     0,
       0,   157,   158,   159,   160,     0,     0,     0,     0,  1008,
       0,     0,     0,  1009,     0,     0,     0,     0,  1010,     0,
       0,     0,   924,   925,  1011,     0,     0,     0,   914,     0,
       0,     0,   349,     0,  1026,     0,     0,   221,     0,     0,
    1012,     0,     0,     0,     0,  1013,     0,     0,  1014,   906,
       0,     0,     0,  1015,     0,   907,     0,  1016,     0,     0,
    1017,  1018,     0,     0,     0,  1019,     0,     0,  1020,     0,
    1021,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   157,   158,   159,   160,     0,     0,     0,     0,
    1008,     0,     0,     0,  1009,  1022,     0,     0,  1023,  1010,
       0,  1024,     0,     0,     0,  1011,     0,     0,     0,   914,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1012,     0,     0,    39,     0,  1013,     0,     0,  1014,
       0,     0,     0,     0,  1015,     0,     0,     0,  1016,    40,
       0,  1017,  1018,     0,  -435,     0,  1019,     0,     0,  1020,
       0,  1021,     0,     0,     0,     0,     0,    41,     0,     0,
       0,     0,    42,   906,    43,     0,     0,     0,     0,   907,
       0,     0,     0,     0,     0,     0,  1022,     0,     0,  1023,
       0,     0,  1024,     0,     0,   917,     0,     0,   918,   919,
       0,     0,     0,     0,     0,   920,     0,   158,   159,   160,
       0,     0,     0,     0,  1008,     0,     0,     0,  1009,     0,
       0,     0,     0,  1010,     0,     0,     0,     0,     0,  1011,
       0,     0,     0,   914,     0,   922,   923,     0,  1025,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   906,     0,
       0,     0,     0,  1014,   907,     0,     0,     0,     0,     0,
       0,     0,   924,   925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1026,     0,   917,   221,     0,   918,
     919,  1706,   158,   159,   160,   856,   920,     0,     0,  1008,
       0,     0,     0,  1009,     0,     0,     0,     0,  1010,     0,
       0,     0,     0,     0,  1011,     0,     0,     0,   914,     0,
       0,     0,   750,     0,     0,   751,   922,   923,     0,  1025,
    1012,     0,     0,     0,     0,  1013,     0,     0,  1014,     0,
       0,     0,   752,  1015,     0,     0,     0,  1016,     0,     0,
    1017,  1018,     0,   924,   925,  1019,     0,     0,  1020,     0,
    1021,   106,     0,     0,     0,  1026,   107,     0,   221,   108,
     109,   110,   111,     0,     0,   112,   113,     0,   114,   115,
     116,     0,   117,     0,     0,  1022,     0,     0,  1023,     0,
       0,  1024,     0,     0,     0,     0,     0,     0,     0,     0,
     917,     0,     0,   918,   919,     0,     0,     0,     0,     0,
     920,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   118,     0,   119,   120,   121,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     922,   923,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   917,     0,     0,   918,   919,
       0,     0,   221,     0,     0,   920,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   753,     0,
       0,     0,   213,   214,     0,   922,   923,     0,  1025,     0,
       0,     0,   754,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   924,   925,     0,     0,     0,     0,   755,     0,
       0,     0,     0,     0,  1026,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   122,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,   124,   125,   126,   127,     0,     0,     0,
       0,     0,     0,     0,   128,     0,     0,     0,     0,   129,
       0,   130,   131
};

static const yytype_int16 yycheck[] =
{
       1,    68,     3,    30,   443,   216,   352,    68,    53,   433,
     328,   361,   356,   508,    38,    53,   510,     1,   434,   431,
      65,   432,   684,   399,   628,   378,   878,    65,   338,   509,
    1019,    37,   717,   179,  1102,   474,   920,   906,  1326,  1327,
     385,   756,    32,   220,  1466,  1333,    47,   463,  1461,   460,
     317,   531,  1461,   566,    55,   871,   840,   979,  1468,    60,
    1465,  1270,   473,   107,  1405,   109,  1467,   111,   112,   399,
    1404,   115,  1482,   117,  1479,   414,   120,   121,  1313,   346,
     124,   125,   126,   127,  1024,    36,   430,   131,   438,   180,
     134,  1574,   876,   926,   567,   139,   140,   881,  1574,   177,
    1793,   995,   180,   147,   371,  1460,  1461,  1578,  1791,   453,
     894,   522,   177,  1792,   898,   180,   375,   177,   377,   469,
     180,   177,   595,  1770,   180,  1628,   177,  1415,  1693,   180,
     603,  1557,  1558,   399,    30,   177,  1407,  1766,   180,   996,
     999,   997,   857,  1973,   410,   411,   619,   177,   177,   499,
     180,   180,   190,   993,   994,  1835,  1566,    53,   177,   177,
       4,   180,   180,    23,  2004,     7,  1817,  1587,  1588,    65,
       7,  1239,  1240,  1836,   524,     5,    38,    97,     7,     7,
       7,     8,     9,  1354,     4,  1356,   720,  1847,   722,   177,
     724,   664,   180,     7,   103,   729,   177,   834,   835,   180,
    1288,    79,    80,  2034,   177,  1590,    23,   180,   105,   177,
     177,   103,   180,   180,    45,   837,   104,  1637,  1638,   839,
     177,   103,    49,   180,    51,    57,    22,   840,  1296,   104,
     105,   106,   104,    91,    61,   708,   104,   177,     7,    66,
     180,   127,    85,    70,    23,     8,    15,    16,    17,    18,
       5,    13,    15,    16,    17,    18,   790,    85,  1022,   753,
     327,   328,   311,    57,  1598,  1599,    32,    33,    34,   844,
     743,   846,   104,   294,   294,    57,    49,   781,    30,   104,
     144,   271,  1691,    58,   104,   105,   780,   277,   863,    20,
     865,    54,   867,   838,   332,  1079,     8,   161,   873,   874,
      30,    53,   104,    15,    16,    17,    18,   103,   104,   331,
      22,   293,    53,    65,   352,   364,   104,   105,   385,   341,
     216,   164,   104,    53,   220,   820,    88,    62,   822,   311,
     905,  1751,  1752,   908,   104,    65,  1691,   126,   399,    30,
      30,   821,    54,   364,   364,   122,     8,  1767,  1768,   410,
     411,   313,   314,    15,    16,    17,    18,   861,    57,  1021,
      22,   150,    53,    53,    99,   432,   104,   105,   106,   808,
     114,   432,   161,   104,    65,    65,  1789,     7,    49,    58,
    1789,    90,   427,    90,    93,   104,    93,   131,   128,   427,
      20,   128,    54,   460,   221,    47,   104,   442,   973,   460,
     816,   364,   364,   814,   442,   104,   473,   293,  1012,  1764,
     298,  1015,   473,   153,  2245,  1483,   153,  1505,  1486,  1183,
     164,   313,  1777,   281,     1,   297,  1285,     4,   363,     6,
     298,   313,     8,  1788,  1789,  1072,  1073,  1074,   363,    15,
      16,    17,    18,    10,   364,   364,   490,   277,    85,    26,
      27,    28,    29,  1090,  1076,   522,   352,    45,  1078,    30,
     369,   522,   292,   133,   216,   297,  1079,   297,   220,   819,
     295,  1046,  1047,    40,    41,    42,    43,  1897,    54,  1864,
     310,  1652,    53,   243,  1655,   315,   216,  1658,   254,   364,
     220,   369,  2172,   295,    65,  2335,  2147,   369,    85,  1567,
     327,   328,   364,  2132,   331,  1289,  1290,   335,    75,   369,
    2173,   288,  2342,    90,  2174,   297,    83,    84,    85,    86,
      97,   365,   277,   365,  1383,   216,   216,   297,   365,   220,
     220,   427,  1077,   364,  2099,   365,   365,   292,  1606,   106,
    1608,  1609,   297,  1611,  1438,    90,   442,   364,  1381,   369,
     696,   365,   369,   347,   348,   310,   123,   134,     8,    37,
     315,   128,   129,   130,   295,   361,    57,   243,  1923,   358,
    2263,   138,  2219,   369,   141,   350,   351,   352,  2261,  2208,
    1921,   369,  1439,  2262,  1440,   364,   939,    57,   594,   297,
     369,  1862,   169,   617,  2020,  2098,  1436,  1437,   297,   368,
     352,  2084,  2073,  1891,    54,   368,   697,  1547,  2084,    87,
     365,     7,  2032,   104,  2085,   342,    85,   444,  1057,   697,
    1257,   448,   352,   351,    20,   452,  1139,   103,  1141,   580,
     457,   369,   697,   146,   104,   462,   847,   697,  1926,   695,
     349,   697,   349,   364,   695,   216,   697,   399,   369,   220,
    1885,  1886,  1125,   695,   999,   697,   368,   126,   410,   411,
     871,   352,   352,   922,   923,   695,   695,   697,   697,  1045,
    1000,   350,   351,   352,   103,   427,   695,   695,   697,   697,
    1214,   150,    90,  2017,    45,    85,    47,    87,   712,  1898,
     442,   518,    93,  1355,   331,   332,   333,   427,   103,    60,
      61,   278,  1624,   709,  1279,   172,   368,   695,  1283,   697,
      38,    39,   442,   540,   695,  1045,   697,   316,  1293,  1294,
    1295,   293,   695,  1298,   697,  1300,  1065,   695,   695,   697,
     697,    90,   133,   300,   301,   302,   427,   427,   695,   284,
     697,   286,   293,   104,   331,   332,   333,   814,  1323,   110,
     114,   442,   442,   814,  2095,   695,    85,   697,   303,   120,
    1026,   142,   275,   276,  2186,   126,  1025,     4,    85,     6,
      87,    85,   349,   126,   155,     4,  1628,  1272,  2188,  1045,
    2185,   352,    45,    46,  1278,  1360,  2187,  1362,   365,   150,
    1642,   172,   368,   146,  1369,  1275,  1580,   150,   104,    85,
      81,    87,  1870,    90,   871,   349,   297,  1623,     8,  1384,
    1305,  1386,   126,   114,   292,     8,    97,   878,    90,   325,
    1395,   998,  1397,   135,    24,   137,    45,   297,  1341,  1309,
      17,     4,   310,     6,   135,   116,   150,   315,   127,   317,
     111,  1693,   832,   243,   357,   134,  2259,   148,    49,    50,
    2259,    52,    53,    54,    54,   126,   427,  1375,  1376,   187,
       1,    54,   190,     4,  1382,     6,    39,   144,   435,   436,
     437,   442,   149,    78,   114,   164,   284,  1023,   286,  1564,
      18,    12,   283,   111,   135,    26,    27,    28,    29,  1604,
    1605,   915,  2180,    45,   258,   259,   131,  2317,   126,   343,
     135,   468,   346,  2258,  2259,   305,   111,   913,    60,    61,
     164,   368,   979,  1728,  1729,  1730,  1731,   168,   169,  1269,
     164,   126,   275,   276,    52,   284,   243,   286,   168,   169,
     497,    52,   999,   168,   169,  1597,   297,   177,     1,  1000,
    1285,     4,    73,     6,     5,   326,    77,     8,   364,    90,
     293,   847,   104,   204,   168,   169,    97,   243,   110,  2027,
      30,    92,    93,    26,    27,    28,    29,   172,   120,  2037,
     313,   314,   284,   364,   126,   871,  2044,   364,  1473,   110,
    2268,  1475,   369,    53,  1045,  1252,   237,  1649,   305,   364,
     244,   245,   246,   134,  1474,    65,   167,   284,   150,   286,
     114,   172,   133,   134,   357,   306,   287,    30,  1583,  1584,
     116,  2079,   284,   144,   286,   364,    30,   131,     7,   305,
     151,    57,   136,   137,  1463,  1498,   132,    90,   169,     5,
      53,    20,     8,    22,    97,  1610,    62,    63,  1383,    53,
     277,    67,    65,  1912,   364,  1398,   153,   153,   294,  1050,
    1625,    65,    45,  1054,   160,   292,   261,   164,   165,  1435,
     297,   305,   306,   307,   308,   309,  1442,   104,   364,     7,
    1543,   134,    43,   310,  2142,  2143,  2144,     7,   315,   112,
     113,  1292,    20,    45,    22,     1,  1661,   135,     4,     8,
       6,   292,   129,   130,   114,   847,   103,   104,   299,   300,
    2168,    45,   998,  1678,    30,  1680,   169,   114,   128,   104,
      26,    27,    28,    29,   315,   135,     4,   847,     6,   871,
     168,   169,  1472,   171,   103,   104,   878,    53,   309,   243,
    1945,  1946,  1947,   153,  1140,   114,  1142,   278,  1823,    65,
     160,   871,  1148,   249,   250,   297,   216,   103,   104,     7,
     220,   282,   283,   112,   113,   114,   847,   847,   114,   986,
    2149,   227,    20,   990,    22,   231,   232,   233,  1434,  1435,
     138,   139,   140,   141,   926,  1441,  1442,  1443,  1444,   104,
     871,   871,   107,   108,   109,     1,    22,   103,     4,    25,
       6,   114,   103,   216,  1405,   370,  1407,   220,  2082,  2083,
     360,   361,   216,   126,   370,   128,   220,    20,   349,    22,
      26,    27,    28,    29,   103,   278,   342,   254,  1285,   294,
     295,   254,   255,   146,   365,   258,    20,   150,    22,     0,
     153,   342,   114,     4,   116,     6,   359,   274,   275,    45,
     367,   993,   994,   995,   996,   997,   998,  2099,  1000,    15,
      16,   818,    85,   135,    60,    61,  1602,   177,  2326,  2327,
    2328,   143,   144,   145,   146,    23,  1739,     4,   998,     6,
       1,     8,    23,     4,  1026,     6,   847,  1716,    94,    52,
    1855,  1631,   352,    52,     1,    52,   349,     4,    52,     6,
     216,   313,   314,  1045,   220,    26,    27,    28,    29,     4,
     871,     6,   365,     8,   110,    60,    61,   998,   998,    26,
      27,    28,    29,  1888,   120,   103,  1383,    52,   134,   242,
     126,    38,  1383,   114,  1634,   116,   117,   118,   119,   352,
     277,    85,  1685,   364,  1687,  1711,  1712,    85,   352,    85,
    1915,   103,  1837,    45,   150,   292,  1692,    86,    87,    88,
     297,    90,   275,   276,  1848,   110,   103,   427,    60,    61,
     351,   103,  1842,   310,     4,   120,     6,     7,   315,   336,
     337,   126,   442,   104,   105,   106,   399,   222,   223,   224,
     225,  1876,   103,  1878,   103,   516,    18,   410,   411,     1,
      15,    16,     4,    17,     6,   150,  1292,   313,   314,    15,
      16,  1881,   104,   368,   427,   350,   351,   352,   110,   104,
     105,   106,  1623,   427,    26,    27,    28,    29,   120,   442,
       5,  1459,   313,   314,   126,   103,   352,   998,   442,    41,
       7,  1781,    44,   349,   357,   194,   195,  1910,  1911,     7,
    1913,  1948,  1949,  1950,  1951,  1711,  1712,     7,   150,   365,
     335,   336,   337,     7,  1455,  1456,   103,  1458,  1459,  1460,
    1461,     5,   278,    45,     7,     1,   192,   193,     4,   364,
       6,   128,  1456,     7,  1458,  1459,  1460,  1461,    60,    61,
    1830,   112,   113,  2267,  2088,  2089,    17,   144,  2150,    18,
      26,    27,    28,    29,   368,    46,   153,    48,  1504,    50,
      51,   427,     8,   160,   161,   112,   113,    58,    59,  1405,
     103,  1407,   331,   332,   333,  1939,   442,     7,  2093,   226,
     227,   228,   229,   230,  2308,  1941,  1938,    38,   110,  1553,
    1554,   103,    45,   349,     4,     5,   112,   113,   120,   364,
    1292,    92,   103,   104,   126,  1551,  1552,    60,    61,   365,
      95,    96,   164,   364,  1621,   364,  1623,  1624,    94,  1970,
      43,    44,  1292,  1459,  1602,   103,   104,   364,   150,  1390,
    1391,  1572,  1890,   311,  1575,   364,  1577,   103,   294,  1580,
     103,  1642,   103,   364,   103,   103,  1997,   364,  1572,   104,
      97,  1575,  1936,  1577,   103,   297,  1580,   110,   134,  1644,
     103,  1292,  1292,  2110,  2111,  2112,  1644,   120,   319,   320,
     321,   322,   323,   126,   131,   196,   191,   231,   349,    99,
     100,   101,   102,  1375,  1376,  1377,  1378,  1379,   234,  1381,
    1382,   234,   349,   235,   365,   236,   235,   150,  1390,  1391,
    1646,   103,   103,  1644,   103,   103,   343,   103,   365,    37,
     364,  1862,   364,  1405,  1692,  1407,  2129,    45,   364,    47,
     364,    49,   103,   103,    52,    53,    54,     5,    56,     1,
     103,  1738,     4,     8,     6,  1405,     1,  1407,   103,     4,
     292,     6,  1434,  1435,  1436,  1437,  1438,  1439,  1440,  1441,
    1442,  1443,  1444,    52,    26,    27,    28,    29,   103,    22,
      43,    26,    27,    28,    29,   149,  1602,  1459,     5,   367,
    1921,   103,  2058,    85,  1405,  1405,  1407,  1407,    85,     8,
    2215,  1292,  1749,  2217,    22,   367,    22,  1623,    45,  1459,
      47,   364,   103,     7,  1735,    52,  2216,    54,   364,  1766,
     103,    58,   278,  1744,  1745,  1746,  1747,  1748,  1644,  1787,
     371,   364,   371,   365,   295,  2250,  2251,   238,     5,   104,
    1798,  1762,  1763,  1764,   364,   312,   247,   248,  1459,  1459,
     251,   252,  2252,  2212,  1775,  1776,  1777,   847,   103,   312,
      20,    98,   114,   100,   316,  1786,  1787,  1788,  1789,    79,
      80,    81,    82,    83,    84,    43,  1692,  1798,   191,   294,
     280,   871,  1786,  1787,  1788,  1789,  2279,   112,   113,   289,
     290,   291,   292,   349,  1798,   316,   121,   122,   123,   124,
     125,     7,  1889,  1890,   847,  1826,  1827,  1828,    70,   365,
       5,     7,   311,   847,  1405,  2330,  1407,   166,  2332,   104,
     103,  2314,  1826,  1827,  1828,    45,    39,  2320,   871,   363,
    1602,  2331,   103,  1749,    99,   878,    99,   871,   363,   363,
      60,    61,   103,   191,  2214,   104,   363,     7,   103,   103,
    1766,  1623,  1602,   365,    20,   103,  1628,   103,   103,   103,
     103,    85,  2321,   365,  2095,     5,  1953,   190,  1459,   277,
    1642,  1787,  1644,  1623,   103,  1722,  1723,  1724,  1725,  2249,
       7,   104,  1798,  1970,   292,  1906,   103,   151,   363,  1970,
     110,  1602,  1602,   103,  1644,   103,   105,   294,   103,   295,
     120,   847,   310,   365,    41,   187,   126,   315,   998,   317,
    1997,     7,  1623,  1623,   364,   364,  1997,  2004,   364,   134,
    1692,  1693,   364,   364,   364,   871,   278,   112,   113,   364,
     150,   364,   364,  1644,  1644,   364,   979,   365,   103,  1711,
    1712,   126,  1692,   365,   364,  1966,  1862,  1968,  1969,   134,
     993,   994,   995,   996,   997,   998,   104,  1000,   364,  2329,
     364,  1982,  2026,     8,   998,   150,     8,  1988,   313,   314,
     103,   103,  2036,   104,  1995,  1996,     5,  1749,  1999,  2043,
     103,  1692,  1692,  1026,  2005,   103,   363,     8,  1016,  1018,
     907,  2012,  2013,  2014,  1766,   793,  1017,   349,   792,  1749,
    2058,   791,  1045,   572,   349,  1921,   794,  1491,  2012,  2013,
    2014,  1602,  1133,   365,   562,  1787,  1766,  1020,    20,   429,
     365,  2109,  1464,   281,  2130,   282,  1798,  1771,  2268,  2128,
    2117,  2193,  1623,  2196,  2195,  2194,  2184,  1787,  1749,  1749,
    2310,     1,  1889,  1890,     4,  1724,     6,   287,  1798,  1926,
     426,  2138,   998,  1644,   889,  1766,  1766,    45,   899,  1877,
    1879,   962,  1908,  2183,   428,  2255,    26,    27,    28,    29,
    1378,  1396,    60,    61,  1377,  2122,  1787,  1787,   982,  1379,
    1621,    41,  2103,  1623,    44,  2132,  1403,  1798,  1798,    45,
    1862,   399,   872,   278,   279,   280,   281,  2118,   319,   991,
    1124,  1692,   410,   411,    60,    61,  1444,   216,  1603,   294,
     295,   296,  1862,  1635,  1333,   399,  1640,   438,  2139,  2140,
       1,   411,   110,     4,  2318,     6,   410,   411,   440,   332,
    2151,  2152,   120,  2154,  2155,  2156,  2157,  2158,   126,   441,
    2161,   439,  2058,   718,   135,    26,    27,    28,    29,  1921,
     333,  1862,  1862,   144,   110,   333,   662,  1192,  1749,   695,
      -1,  2208,   150,    -1,   120,    -1,    -1,    -1,    -1,   160,
     126,  1921,    -1,   164,    -1,  1766,    -1,   168,   169,  2095,
      -1,  2268,   173,   174,   175,   176,   177,     1,  2209,    -1,
       4,    -1,     6,    -1,   150,    -1,  1787,  2218,    -1,  2257,
      -1,    -1,  1292,    -1,   164,    -1,  2122,  1798,    -1,    -1,
    1921,  1921,    26,    27,    28,    29,  2132,    -1,    -1,    -1,
      -1,  2308,    -1,   104,   105,   106,  2273,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2256,  2257,  2258,  2259,    -1,
      -1,    -1,    -1,  2264,  2265,  2266,  2267,    -1,  2335,  1292,
    2271,    -1,  2256,  2257,  2258,  2259,    -1,    -1,  1292,  2280,
    2264,  2265,  2266,  2267,    -1,    -1,    -1,  2288,    -1,    -1,
      -1,  1862,    -1,  2294,  2295,  2296,  2297,  2298,  2299,  2300,
    2301,  2302,  2303,  2304,  2305,    -1,  2058,    -1,    -1,    -1,
      -1,    -1,  2208,    -1,    -1,  2299,  2300,  2301,  2319,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2058,     1,
    1353,  1354,     4,  1356,     6,  1405,    -1,  1407,  1329,    -1,
      -1,    -1,    -1,  2095,  2345,  2346,  2347,  2099,    -1,    -1,
    1921,    -1,   292,    -1,    26,    27,    28,    29,    -1,    -1,
      -1,  2257,    -1,    -1,    -1,  2095,  1292,  2058,  2058,    41,
    2122,    -1,    44,     1,    -1,    -1,     4,  2273,     6,    -1,
    2132,    -1,  1405,    -1,  1407,    -1,    -1,    -1,    -1,  1459,
      -1,  1405,  2122,  1407,    14,    15,    16,    -1,    26,    27,
      28,    29,  2132,    -1,  2095,  2095,    -1,    -1,    -1,    -1,
      -1,  1434,  1435,  1436,  1437,  1438,  1439,  1440,  1441,  1442,
    1443,  1444,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,
      -1,  2122,  2122,    -1,    -1,    -1,  1459,    -1,    -1,    -1,
      -1,  2132,  2132,    -1,    -1,  1459,     1,    -1,    -1,     4,
      -1,     6,    -1,    -1,    -1,    -1,  2208,    -1,    78,    79,
      80,    -1,    -1,    -1,    -1,  1456,    94,  1458,  1459,  1460,
    1461,    26,    27,    28,    29,    95,    96,    -1,  2208,  1405,
      -1,  1407,    -1,    -1,   104,    -1,     1,  2058,   349,     4,
      -1,     6,   164,   113,   114,    -1,    -1,    -1,    -1,   119,
     294,    -1,    -1,    -1,   365,  2257,   134,    -1,    -1,    -1,
      -1,    26,    27,    28,    29,    -1,   136,  2208,  2208,    -1,
      -1,  2273,    -1,    -1,  2095,   145,   146,  2257,    -1,   149,
      -1,    -1,  1602,  1459,    -1,    -1,    -1,     1,    -1,    -1,
       4,    -1,     6,  2273,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2122,    -1,  1623,    -1,   349,    -1,    -1,    -1,   114,
      -1,  2132,    26,    27,    28,    29,  2257,  2257,    -1,    -1,
      -1,   365,    -1,    -1,  1644,    -1,    -1,    41,    -1,  1602,
      44,  1572,  2273,  2273,  1575,    -1,  1577,    -1,  1602,  1580,
     878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1621,   114,
    1623,  1624,    -1,    -1,    -1,  1628,    -1,    -1,    -1,  1623,
      -1,    -1,    -1,    -1,   878,    -1,    -1,    -1,    -1,  1642,
     292,  1644,  1692,    -1,    -1,    -1,    -1,    -1,     1,  1652,
    1644,     4,  1655,     6,    -1,  1658,    -1,  2208,   926,    -1,
      -1,    -1,   112,   113,    -1,    -1,    -1,    -1,    -1,  1640,
     278,    -1,    -1,    26,    27,    28,    29,   127,    -1,   129,
     130,   131,    -1,    -1,    -1,   285,   286,    -1,    41,  1692,
    1693,    44,    -1,    -1,    -1,    -1,  1602,    -1,  1692,  1749,
      -1,    -1,   152,   153,   154,    -1,  2257,    -1,  1711,  1712,
      -1,    -1,    -1,   365,    -1,    -1,  1766,  1623,    -1,    -1,
     164,    -1,  2273,    -1,    -1,   993,   994,   995,   996,   997,
      -1,    -1,  1000,    -1,    -1,    -1,    -1,  1787,  1644,     1,
      -1,   349,     4,   278,     6,    -1,  1749,    -1,  1798,   993,
     994,   995,   996,   997,    -1,  1749,  1000,   365,  1026,    -1,
      -1,    -1,    -1,  1766,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,  1766,    -1,    -1,    -1,    -1,  1045,    -1,    -1,
      -1,    -1,  1026,   278,  1787,    -1,  1692,    -1,    -1,    -1,
      -1,    -1,    -1,  1787,    -1,  1798,    -1,    -1,    -1,    -1,
      -1,  1045,    -1,    -1,  1798,    -1,    -1,    -1,    -1,    -1,
      -1,   164,  1862,    -1,   349,  1786,  1787,  1788,  1789,    -1,
     109,    -1,   111,   112,    -1,    -1,   115,  1798,   117,    -1,
     365,   120,   121,    -1,    -1,   124,   125,   126,   127,    -1,
      -1,    -1,   131,  1749,    -1,   134,    -1,    -1,   292,    -1,
     139,   140,    -1,    -1,   349,  1826,  1827,  1828,   147,  1862,
    1766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1862,     1,
     365,  1921,     4,     1,     6,    -1,     4,     1,     6,    -1,
       4,  1787,     6,    -1,    -1,    -1,    -1,    -1,    -1,   489,
      -1,    -1,  1798,    -1,    26,    27,    28,    29,    26,    27,
      28,    29,    26,    27,    28,    29,    -1,    -1,    40,    -1,
      38,    -1,    -1,   112,   113,    -1,    -1,   116,  1921,    -1,
      -1,   365,    -1,    -1,    -1,    -1,    -1,  1921,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,   538,   292,
      -1,    -1,    -1,     1,    -1,    -1,     4,    -1,     6,     1,
      -1,    -1,     4,    -1,     6,    -1,  1862,    89,    90,    91,
      92,    -1,    94,    -1,    -1,    97,    -1,    -1,    26,    27,
      28,    29,    -1,    -1,    26,    27,    28,    29,   177,    37,
     113,   114,   114,   116,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    52,    -1,    54,    -1,    56,    -1,
      -1,     1,   135,    -1,     4,    -1,     6,    -1,  2058,    -1,
     143,   144,   365,   146,    -1,  1921,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   156,   157,   158,    26,    27,    28,    29,
      -1,    -1,   164,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      -1,  2012,  2013,  2014,    -1,  2095,    -1,    47,    -1,   311,
      -1,    -1,    52,    -1,    54,  2058,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2058,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2132,    -1,    -1,    -1,    -1,   349,    -1,    -1,
      -1,    -1,  2095,    -1,    -1,    -1,  2099,    -1,    -1,    -1,
      -1,  2095,    -1,   365,    -1,    -1,   164,  1375,  1376,  1377,
    1378,  1379,    -1,  1381,  1382,    -1,    -1,    37,    -1,  2122,
      -1,    -1,  1390,  1391,    -1,    45,    -1,    47,  2122,  2132,
      -1,    -1,    52,    53,    54,    -1,    56,    -1,  2132,    -1,
      -1,    -1,    -1,    -1,    -1,   277,    -1,    -1,    -1,    -1,
      -1,    -1,  2058,    -1,    -1,    -1,    -1,    -1,  2208,    -1,
     292,    -1,    -1,    -1,   164,   297,  1434,  1435,  1436,  1437,
    1438,  1439,  1440,  1441,  1442,  1443,  1444,    -1,   310,    -1,
      -1,    -1,    -1,   315,    -1,    -1,    -1,   311,    -1,  2095,
    1434,  1435,  1436,  1437,  1438,  1439,  1440,  1441,  1442,  1443,
    1444,   490,    -1,    -1,    -1,  2208,    -1,  2257,    -1,    -1,
      -1,    -1,    -1,    -1,  2208,    -1,  2122,   349,    -1,   277,
      -1,   349,    -1,  2273,    -1,   349,  2132,    -1,    -1,    -1,
      -1,    -1,    -1,   365,   292,    -1,    -1,   365,    -1,    -1,
      -1,   365,   294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   310,    -1,  2257,    -1,    -1,   315,    -1,   317,
      -1,    -1,    -1,  2257,    -1,    -1,    -1,    -1,    -1,    -1,
    2273,    -1,    -1,     1,    -1,    -1,     4,   277,     6,  2273,
      -1,    -1,    -1,    -1,    -1,  2256,  2257,  2258,  2259,    -1,
      -1,   349,   292,  2264,  2265,  2266,  2267,   349,    26,    27,
      28,    29,  2208,    -1,    -1,    -1,    -1,   365,    -1,    -1,
     310,    38,    40,   365,    -1,   315,    -1,   317,    -1,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,  2299,  2300,
    2301,    45,    -1,    47,    -1,    49,    -1,    -1,    52,    53,
      54,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,   349,
      -1,  2257,    -1,    -1,    -1,    -1,    -1,   277,    -1,    -1,
    1628,    89,    90,    91,    92,   365,    94,  2273,    -1,    97,
      -1,    -1,   292,    -1,  1642,    -1,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1628,    -1,   114,    -1,    -1,    -1,
     310,    -1,    -1,    -1,     1,   315,    -1,   317,  1642,    -1,
      -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,    16,
      17,    -1,    -1,    20,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1693,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,  1711,  1712,    -1,    -1,    -1,   175,  1693,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,    -1,    -1,    73,  1711,  1712,    76,
      77,    78,    79,    80,    81,    -1,    21,    -1,    -1,    -1,
      -1,    88,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,   104,    -1,    -1,
      -1,   108,    -1,   110,    23,    -1,   113,   114,    -1,   116,
      -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    38,
      -1,    -1,    -1,    -1,    -1,    70,   133,   134,   135,   136,
     137,    76,   139,   140,    -1,    -1,   143,   144,   145,   146,
      -1,    -1,   149,    -1,   151,    -1,    -1,    -1,    -1,   277,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,    -1,   277,   292,    -1,   111,    -1,    -1,   297,
     115,    -1,    -1,    -1,    -1,   120,    -1,    -1,   292,    -1,
      -1,   126,   310,    -1,   103,   130,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   310,   142,    -1,    -1,
      -1,   315,   147,   317,    -1,   150,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,   159,    -1,    -1,   162,   163,    -1,
      -1,   349,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,    -1,    -1,   200,   175,    -1,   203,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,    -1,     1,    -1,    -1,
       4,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,
      -1,    -1,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    35,    36,    37,    -1,    -1,    -1,    -1,    -1,    -1,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,   287,    -1,    -1,   290,   291,    -1,    62,    63,
      -1,    -1,   297,    67,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    81,    82,    83,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    -1,   327,   328,    98,   330,   100,    -1,    -1,   103,
     104,   105,   106,    -1,    -1,   109,    -1,   111,    -1,    -1,
     114,   115,    -1,    -1,    -1,    -1,   120,    -1,    -1,   354,
     355,    -1,   126,   109,    -1,    -1,    -1,    -1,    -1,   364,
      -1,   366,    -1,    -1,   369,    -1,    -1,    -1,   142,    -1,
     126,  2099,    -1,   147,    -1,    -1,   150,    -1,    -1,    -1,
      -1,   155,    -1,    -1,    -1,   159,   142,    -1,   162,   163,
     164,   147,    -1,   167,   150,  2099,   170,    -1,   172,   155,
      -1,    -1,    -1,   159,    -1,    -1,   162,   163,    -1,    -1,
      -1,   167,    -1,    -1,   170,   482,   172,    -1,    -1,    -1,
      -1,    -1,   489,   197,   198,    -1,   200,   201,   202,   203,
      -1,    -1,    -1,   500,    -1,   502,    -1,   504,    -1,   506,
      -1,   197,    -1,    -1,   511,    -1,    -1,   203,   515,   516,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   525,    -1,
      -1,   528,    -1,    -1,   238,   239,   240,   241,    -1,    -1,
      -1,   538,    -1,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,    -1,    -1,   277,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,
      -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
     304,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,
      -1,   315,    -1,    -1,    -1,    -1,    -1,   321,   322,    -1,
     324,    -1,    -1,   327,   328,   329,   330,    -1,    -1,    -1,
     334,    -1,    -1,    -1,   338,   339,   340,    -1,    -1,    -1,
     344,   345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,
      -1,     1,   356,   357,     4,    -1,     6,    -1,   362,    -1,
     364,   365,   366,    -1,    -1,   369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    23,    -1,    -1,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    35,    36,    37,    -1,    -1,
      -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    62,    63,    -1,    -1,    -1,    67,    -1,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    81,    82,    83,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,    98,    -1,
     100,    -1,    -1,   103,   104,   105,   106,    -1,    -1,   109,
      -1,   111,    -1,    -1,   114,   115,    -1,    -1,     1,    -1,
     120,     4,    -1,     6,    -1,    -1,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    26,    27,    28,    29,   147,    -1,    -1,
     150,   182,    -1,    -1,    -1,   155,    -1,    40,    -1,   159,
      -1,    -1,   162,   163,   164,    -1,    -1,   167,    -1,    -1,
     170,    -1,   172,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,    -1,    -1,    -1,    -1,    -1,   197,   198,    -1,
     200,   201,   202,   203,    -1,    -1,    89,    90,    91,    92,
      -1,    94,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   114,    -1,    -1,    -1,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,    -1,    -1,    -1,    -1,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,    -1,    -1,   277,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,    -1,    -1,   315,    -1,    -1,    -1,    -1,
      -1,   321,   322,    -1,   324,    -1,    -1,   327,   328,   329,
     330,    -1,    -1,    -1,   334,    -1,    -1,    -1,   338,   339,
     340,    -1,    -1,    -1,   344,   345,    -1,    -1,    -1,   349,
      -1,    -1,    -1,   353,    -1,     1,   356,   357,     4,    -1,
       6,    -1,   362,    -1,   364,   365,   366,    -1,    -1,   369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,
      26,    27,    28,    29,    30,    31,    -1,    -1,    -1,    35,
      36,    37,    -1,    -1,   277,    -1,    -1,    -1,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,   292,
      -1,    -1,    -1,    -1,   297,    -1,    62,    63,    -1,    -1,
      -1,    67,    -1,    -1,    70,    -1,    -1,   310,    -1,    -1,
      -1,    -1,   315,    79,    80,    81,    82,    83,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,
      -1,    -1,    98,    -1,   100,    -1,  1103,   103,   104,   105,
     106,    -1,    -1,   109,    -1,   111,   349,    -1,   114,   115,
      -1,    -1,     1,    -1,   120,     4,    -1,     6,    -1,    -1,
     126,    -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    26,    27,    28,
      29,   147,    -1,    -1,   150,    -1,    -1,    -1,    -1,   155,
      -1,    40,    -1,   159,    -1,    -1,   162,   163,   164,    -1,
      -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   197,   198,    -1,   200,   201,   202,   203,    -1,    -1,
      -1,    90,    91,    92,    -1,    94,    -1,    -1,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,    -1,    -1,    -1,
      -1,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
      -1,   277,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,   304,    -1,
      -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,   321,   322,    -1,   324,    -1,
      -1,   327,   328,   329,   330,    -1,    -1,    -1,   334,    -1,
      -1,    -1,   338,   339,   340,    -1,    -1,    -1,   344,   345,
      -1,    -1,    -1,   349,    -1,    -1,    -1,   353,    -1,     1,
     356,   357,     4,    -1,     6,    -1,   362,    -1,   364,   365,
     366,    -1,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    23,    -1,    -1,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    35,    36,    37,    -1,    -1,   277,    -1,
      -1,    -1,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      52,    -1,    -1,   292,    -1,    -1,    -1,    -1,   297,    -1,
      62,    63,    -1,    -1,    -1,    67,    -1,    -1,    70,    -1,
      -1,   310,    -1,    -1,    -1,    -1,   315,    79,    80,    81,
      82,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    -1,    -1,    -1,    98,    -1,   100,    -1,
      -1,   103,   104,   105,   106,    -1,    -1,   109,    -1,   111,
     349,    -1,   114,   115,    -1,    -1,     1,    -1,   120,     4,
      -1,     6,    -1,    -1,   126,    -1,   365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    26,    27,    28,    29,   147,    -1,    -1,   150,    -1,
      -1,    -1,    -1,   155,    -1,    40,    -1,   159,    -1,    -1,
     162,   163,   164,    -1,    -1,   167,    -1,    -1,   170,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   197,   198,    -1,   200,   201,
     202,   203,    -1,    37,    -1,    90,    91,    92,    -1,    94,
      -1,    45,    97,    47,    -1,    49,    -1,    -1,    52,    53,
      54,    -1,    56,    -1,    -1,    -1,    60,    61,    -1,   114,
      -1,    -1,    -1,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,    -1,    -1,    -1,    -1,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,    -1,    -1,   277,   110,    -1,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,
     292,    -1,   126,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,   304,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,    -1,    -1,   315,    -1,    -1,   150,    -1,    -1,   321,
     322,    -1,   324,    -1,    -1,   327,   328,   329,   330,    -1,
      -1,    -1,   334,    -1,    -1,    -1,   338,   339,   340,     4,
      -1,     6,   344,   345,    -1,    -1,    -1,   349,    -1,    -1,
      -1,   353,    -1,    -1,   356,   357,    -1,    -1,    23,    -1,
     362,    -1,   364,   365,   366,    30,    31,   369,    -1,    -1,
      35,    36,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,   277,    -1,    -1,    -1,    -1,    62,    63,    -1,
      -1,   104,    67,    -1,    -1,    70,    -1,   292,    -1,    -1,
      -1,    -1,   297,    -1,    79,    80,    81,    82,    83,    84,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,   131,    -1,
     315,   134,    -1,    98,    -1,   100,    -1,    -1,   103,   104,
     105,   106,    -1,   277,   109,    -1,   111,    -1,   151,    -1,
     115,    -1,    -1,    -1,    -1,   120,    -1,    -1,   292,    -1,
      -1,   126,    -1,    -1,   349,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   310,   142,    -1,    -1,
     365,   315,   147,   317,    -1,   150,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,   159,    -1,    -1,   162,   163,    -1,
      -1,    -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,   198,    -1,   200,   201,   202,   203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,   238,   239,   240,   241,    -1,    -1,    -1,
      -1,    -1,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
      -1,    -1,   277,    -1,   317,    -1,     5,    -1,   321,   322,
      -1,   112,   113,    -1,    -1,   116,    -1,   292,   331,    -1,
      -1,    -1,   297,    -1,    23,    -1,    -1,    -1,    -1,   304,
      -1,    -1,    31,   134,    -1,   310,    -1,    36,    -1,    -1,
     315,    -1,    -1,    -1,   357,    -1,   321,   322,    -1,   324,
      -1,    -1,   327,   328,   329,   330,    -1,    -1,    -1,   334,
      -1,    -1,    -1,   338,   339,   340,    -1,    -1,    -1,   344,
     345,    70,    -1,    -1,    -1,    -1,    -1,    76,   353,    -1,
      -1,   356,   357,    -1,    -1,    -1,    85,   362,    87,   364,
     365,   366,    -1,    -1,   369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,    -1,    -1,
     109,    -1,   111,    -1,    -1,    -1,   115,    -1,    -1,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,   126,    -1,    -1,
      -1,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,   147,    -1,
      -1,   150,    -1,   254,    -1,    -1,   155,    -1,    -1,    -1,
     159,    -1,    -1,   162,   163,    -1,    -1,    -1,   167,    -1,
      -1,   170,    -1,   172,    -1,    -1,    -1,   278,   279,   280,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   197,   198,
      90,   200,   201,   202,   203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,   317,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,   238,
      -1,    31,    -1,    -1,   134,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,    -1,    -1,   277,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    76,    -1,   287,    -1,
      -1,   290,   291,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      -1,   191,    -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,    -1,    -1,   109,
      -1,   111,   321,   322,    -1,   115,    -1,    -1,   327,   328,
     120,    -1,    -1,    -1,    -1,    -1,   126,    -1,    -1,    -1,
     130,   340,    -1,    -1,    -1,   344,   345,    -1,    -1,    -1,
      -1,    -1,   142,    -1,    -1,   354,   355,   147,   357,    -1,
     150,    -1,    -1,    -1,   254,   155,    -1,   366,    -1,   159,
     369,    -1,   162,   163,    -1,    -1,    -1,   167,    -1,    -1,
     170,    -1,   172,    -1,    -1,    -1,    -1,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,    -1,   294,   295,   296,   197,   198,    -1,
     200,   201,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,    -1,    -1,   317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,   238,    -1,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,    -1,    -1,   277,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    76,    -1,   287,    -1,    -1,
     290,   291,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,    -1,    -1,   109,    -1,
     111,   321,   322,    -1,   115,    -1,    -1,   327,   328,   120,
      -1,    -1,   109,    -1,   111,   126,    -1,    -1,   115,   130,
     340,    -1,    -1,   120,   344,   345,    -1,    -1,    -1,   126,
      -1,   142,    -1,    -1,   354,   355,   147,   357,    -1,   150,
      -1,    -1,    -1,    -1,   155,   142,   366,    -1,   159,   369,
     147,   162,   163,   150,    -1,    -1,   167,    -1,   155,   170,
      -1,   172,   159,    -1,    -1,   162,   163,   164,    -1,    -1,
     167,    -1,    -1,   170,    -1,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   197,   198,    -1,   200,
     201,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     197,    -1,   199,     5,    -1,    -1,   203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    23,    -1,    -1,    -1,    -1,    -1,   238,    -1,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,    -1,    -1,   277,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    76,    -1,   287,    -1,    -1,   290,
     291,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,    -1,    -1,   109,    -1,   111,
     321,   322,    -1,   115,    -1,    -1,   327,   328,   120,    -1,
      -1,   109,    -1,   111,   126,    -1,   114,   115,   130,   340,
      -1,    -1,   120,   344,   345,    -1,    -1,    -1,   126,    -1,
     142,    -1,    -1,   354,   355,   147,   357,    -1,   150,    -1,
      -1,    -1,    -1,   155,   142,   366,    -1,   159,   369,   147,
     162,   163,   150,    -1,    -1,   167,    -1,   155,   170,    -1,
     172,   159,    -1,    -1,   162,   163,    -1,    -1,    -1,   167,
      -1,    -1,   170,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   197,   198,    -1,   200,   201,
     202,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   197,
      -1,   199,     5,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    -1,    -1,    -1,    -1,    -1,   238,    -1,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,    -1,    -1,   277,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    76,    -1,   287,    -1,    -1,   290,   291,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,    -1,    -1,   109,    -1,   111,   321,
     322,    -1,   115,    -1,    -1,   327,   328,   120,    -1,    -1,
      -1,    -1,    -1,   126,    -1,    -1,    -1,   130,   340,    -1,
      -1,    -1,   344,   345,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,   354,   355,   147,   357,    -1,   150,    -1,    -1,
      -1,    -1,   155,    -1,   366,    -1,   159,   369,    -1,   162,
     163,    -1,    -1,    -1,   167,    -1,    -1,   170,    -1,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,    -1,     4,
      -1,     6,    -1,    -1,   197,   198,    -1,   200,   201,   202,
     203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,    -1,   277,    90,    91,    92,    -1,    94,
      -1,    -1,    97,    -1,   287,    -1,    -1,   290,   291,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,   114,
       9,    10,    11,    12,    13,    14,    -1,    -1,    -1,    -1,
      19,    -1,    -1,    -1,    23,    -1,    -1,    -1,   321,   322,
      -1,    -1,    -1,    -1,   327,   328,    -1,    -1,    -1,    -1,
      21,    -1,    -1,    -1,    -1,    -1,    -1,   340,    -1,    -1,
      -1,   344,   345,    -1,    -1,    -1,    -1,    -1,    -1,   164,
      -1,   354,   355,    -1,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,   366,    -1,    -1,   369,    76,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,    -1,    -1,
      -1,    -1,   111,    -1,    -1,    -1,   115,    -1,    -1,    -1,
      -1,   120,   103,   104,   105,   106,    -1,   126,    -1,    -1,
     111,   130,    -1,    -1,   115,    -1,    -1,    -1,    -1,   120,
      -1,    -1,    -1,   142,    -1,   126,    -1,    -1,   147,   130,
      -1,   150,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,
     159,   142,    -1,   162,   163,    -1,   147,    -1,   167,   150,
      -1,   170,   277,   172,   155,    -1,    -1,    -1,   159,    -1,
      -1,   162,   163,    -1,    -1,    -1,   167,   292,    -1,   170,
      -1,   172,   297,    -1,    -1,    -1,    -1,    -1,   197,    -1,
      -1,   200,    -1,    -1,   203,   310,    -1,    -1,    -1,   109,
     315,   111,    -1,    -1,    -1,   115,   197,    -1,    -1,   200,
     120,    -1,   203,    -1,    -1,    -1,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   349,    -1,    -1,   147,    -1,    -1,
     150,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,   159,
     365,    -1,   162,   163,    -1,    -1,    -1,   167,    -1,    -1,
     170,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    22,
      23,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,    -1,
      -1,   290,   291,    -1,    -1,    -1,    -1,   197,   297,    -1,
      -1,    -1,    -1,   203,    -1,    -1,   287,    -1,    -1,   290,
     291,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,   327,   328,
      -1,   330,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   327,   328,    -1,   330,
      -1,    -1,    -1,    -1,    -1,   354,   355,    -1,    -1,    -1,
     103,   104,   105,   106,    -1,   364,    -1,   366,   111,    -1,
     369,    -1,   115,   354,   355,    -1,    -1,   120,    -1,    -1,
      -1,    -1,    -1,   126,    -1,   366,    -1,   130,   369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,   147,    -1,    -1,   150,    -1,    -1,
      -1,    -1,   155,    -1,    -1,    -1,   159,    -1,    -1,   162,
     163,    -1,    -1,    -1,   167,    -1,    23,   170,    -1,   172,
      -1,    -1,    -1,    30,    31,    -1,    -1,    -1,    35,    36,
      37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   197,    52,    -1,   200,    -1,    -1,
     203,    -1,    -1,    -1,    -1,    62,    63,    -1,    -1,    -1,
      67,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    81,    82,    83,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    98,    -1,   100,    -1,    -1,   103,   104,   105,   106,
      -1,    -1,   109,    -1,   111,    -1,    -1,    -1,   115,    -1,
      -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   287,   142,    -1,   290,   291,    -1,
     147,    -1,    -1,   150,   297,    -1,    -1,    -1,   155,    -1,
      -1,    -1,   159,    -1,    -1,   162,   163,    -1,    -1,    -1,
     167,    -1,    -1,   170,    -1,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   327,   328,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     197,   198,    -1,   200,   201,   202,   203,    -1,    -1,    -1,
      -1,   354,   355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   364,    -1,   366,    -1,    -1,   369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   238,   239,   240,   241,    -1,    -1,    -1,    -1,    -1,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,    -1,
     277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    23,    -1,   292,    -1,    -1,    -1,    -1,
     297,    31,    -1,    -1,    -1,    -1,    36,   304,    -1,    -1,
      -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,   315,    -1,
      -1,    -1,    -1,    -1,   321,   322,    -1,   324,    -1,    -1,
     327,   328,   329,   330,    -1,    -1,    -1,   334,    -1,    -1,
      70,   338,   339,   340,    -1,    -1,    76,   344,   345,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   353,    -1,    -1,   356,
     357,    -1,    -1,    -1,    -1,   362,    -1,   364,    -1,   366,
      -1,    -1,   369,   103,   104,   105,   106,    -1,    -1,   109,
      -1,   111,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
     120,    -1,    -1,    -1,    -1,    -1,   126,    -1,    -1,    -1,
     130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,    -1,    -1,    -1,   147,    -1,    -1,
     150,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,   159,
      -1,    -1,   162,   163,    -1,    -1,    -1,   167,    -1,    -1,
     170,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   197,   198,    -1,
     200,   201,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,   238,    30,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,    -1,    -1,   277,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,    -1,    -1,
     290,   291,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,    -1,    -1,   109,    -1,
     111,   321,   322,    -1,   115,    -1,    -1,   327,   328,   120,
      -1,    -1,    -1,    -1,    -1,   126,    -1,    -1,    -1,    -1,
     340,    -1,    -1,    -1,   344,   345,    -1,    -1,    -1,    -1,
      -1,   142,    -1,    -1,   354,   355,   147,   357,    -1,   150,
      -1,    -1,    -1,    -1,   155,    -1,   366,    -1,   159,   369,
      -1,   162,   163,    -1,    -1,    -1,   167,    -1,    -1,   170,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   197,   198,    -1,   200,
     201,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    -1,    -1,    -1,    -1,    -1,    -1,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,   239,   240,
     241,    -1,    -1,    -1,    -1,    -1,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,    87,    -1,   277,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,    -1,    -1,   109,    -1,   111,    -1,
      -1,    -1,   115,    -1,    -1,    -1,    -1,   120,    -1,    -1,
      -1,    -1,    -1,   126,    -1,    -1,    -1,    -1,    -1,    -1,
     321,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,   147,    -1,    -1,   150,    -1,   340,
      -1,    -1,   155,   344,   345,    -1,   159,    -1,    -1,   162,
     163,    -1,    -1,    -1,   167,   356,   357,   170,    -1,   172,
      -1,    -1,    -1,   364,    -1,   366,    -1,    -1,   369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   197,   198,    23,   200,   201,   202,
     203,    -1,    -1,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   238,   239,   240,   241,    -1,
      -1,    -1,    -1,    -1,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,    -1,   277,    -1,   103,   104,   105,   106,
      -1,    -1,   109,    -1,   111,    -1,    -1,    -1,   115,    -1,
      -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,   321,   322,
     147,    -1,    -1,   150,    -1,    -1,    -1,    -1,   155,    -1,
      -1,    -1,   159,    -1,    -1,   162,   163,   340,    -1,    -1,
     167,   344,   345,   170,    -1,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   356,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   366,    -1,    -1,   369,    -1,    -1,    -1,
     197,   198,    -1,   200,   201,   202,   203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   238,   239,   240,   241,    -1,    -1,    -1,    -1,    -1,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    70,    -1,
     277,    -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,    -1,    -1,    -1,    -1,   111,
      -1,    -1,    -1,   115,   321,   322,    -1,    -1,   120,    -1,
      -1,    -1,    -1,    -1,   126,    -1,    -1,    -1,   130,    -1,
      -1,    -1,    -1,   340,    -1,    -1,    -1,   344,   345,    -1,
     142,    -1,    -1,    -1,    -1,   147,    -1,    -1,   150,   356,
     357,    -1,    -1,   155,    -1,    -1,    -1,   159,    -1,   366,
     162,   163,   369,    -1,    -1,   167,    -1,    -1,   170,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,     0,     1,    -1,
      -1,     4,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   197,    -1,    -1,   200,    -1,
      -1,   203,    -1,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    47,    -1,    49,    -1,    -1,    52,
      53,    54,    -1,    56,    -1,    -1,    -1,    60,    61,    62,
      -1,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   104,    -1,    -1,    -1,   287,    -1,   110,   290,   291,
      -1,    -1,    -1,    -1,    -1,   297,    -1,   120,    70,    -1,
      -1,    -1,    -1,   126,    76,    -1,    -1,    79,    80,    81,
      82,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   327,   328,   150,   330,    -1,
      -1,   103,   104,   105,   106,    -1,    -1,    -1,    -1,   111,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,   120,    -1,
      -1,    -1,   354,   355,   126,    -1,    -1,    -1,   130,    -1,
      -1,    -1,   364,    -1,   366,    -1,    -1,   369,    -1,    -1,
     142,    -1,    -1,    -1,    -1,   147,    -1,    -1,   150,    70,
      -1,    -1,    -1,   155,    -1,    76,    -1,   159,    -1,    -1,
     162,   163,    -1,    -1,    -1,   167,    -1,    -1,   170,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,    -1,    -1,    -1,    -1,
     111,    -1,    -1,    -1,   115,   197,    -1,    -1,   200,   120,
      -1,   203,    -1,    -1,    -1,   126,    -1,    -1,    -1,   130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   142,    -1,    -1,   277,    -1,   147,    -1,    -1,   150,
      -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,   159,   292,
      -1,   162,   163,    -1,   297,    -1,   167,    -1,    -1,   170,
      -1,   172,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,
      -1,    -1,   315,    70,   317,    -1,    -1,    -1,    -1,    76,
      -1,    -1,    -1,    -1,    -1,    -1,   197,    -1,    -1,   200,
      -1,    -1,   203,    -1,    -1,   287,    -1,    -1,   290,   291,
      -1,    -1,    -1,    -1,    -1,   297,    -1,   104,   105,   106,
      -1,    -1,    -1,    -1,   111,    -1,    -1,    -1,   115,    -1,
      -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,   126,
      -1,    -1,    -1,   130,    -1,   327,   328,    -1,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,
      -1,    -1,    -1,   150,    76,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,   355,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   366,    -1,   287,   369,    -1,   290,
     291,   103,   104,   105,   106,   104,   297,    -1,    -1,   111,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,   120,    -1,
      -1,    -1,    -1,    -1,   126,    -1,    -1,    -1,   130,    -1,
      -1,    -1,   131,    -1,    -1,   134,   327,   328,    -1,   330,
     142,    -1,    -1,    -1,    -1,   147,    -1,    -1,   150,    -1,
      -1,    -1,   151,   155,    -1,    -1,    -1,   159,    -1,    -1,
     162,   163,    -1,   354,   355,   167,    -1,    -1,   170,    -1,
     172,    37,    -1,    -1,    -1,   366,    42,    -1,   369,    45,
      46,    47,    48,    -1,    -1,    51,    52,    -1,    54,    55,
      56,    -1,    58,    -1,    -1,   197,    -1,    -1,   200,    -1,
      -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     287,    -1,    -1,   290,   291,    -1,    -1,    -1,    -1,    -1,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     327,   328,    -1,    -1,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   287,    -1,    -1,   290,   291,
      -1,    -1,   369,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   317,    -1,
      -1,    -1,   321,   322,    -1,   327,   328,    -1,   330,    -1,
      -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,   355,    -1,    -1,    -1,    -1,   357,    -1,
      -1,    -1,    -1,    -1,   366,    -1,    -1,   369,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,   299,   300,   301,   302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,   315,
      -1,   317,   318
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   373,     0,     1,     4,     6,    26,    27,    28,    29,
      37,    45,    47,    49,    52,    53,    54,    56,    60,    61,
      62,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,   110,   120,   126,   150,   277,
     292,   310,   315,   317,   374,   430,   431,   432,   433,   510,
     511,   512,   514,   529,   374,   105,   104,   297,   506,   506,
     506,   512,   523,   512,   514,   529,   512,   517,   517,   517,
     512,   520,   433,    49,   434,    37,    45,    47,    52,    53,
      54,    56,   277,   292,   310,   315,   317,   435,    49,   436,
      37,    45,    47,    49,    52,    53,    54,    56,   277,   292,
     310,   315,   317,   441,    53,   443,    37,    42,    45,    46,
      47,    48,    51,    52,    54,    55,    56,    58,    98,   100,
     101,   102,   277,   292,   299,   300,   301,   302,   310,   315,
     317,   318,   444,    49,    50,    52,    53,    54,   292,   299,
     300,   315,   447,    45,    47,    52,    54,    58,    98,   100,
     448,    47,   449,    23,    30,    31,    36,   103,   104,   105,
     106,   109,   111,   115,   120,   126,   142,   147,   150,   155,
     159,   162,   163,   167,   170,   172,   197,   198,   200,   201,
     202,   203,   238,   239,   240,   241,   247,   248,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   277,   321,   322,   340,   344,   345,   356,   357,
     366,   369,   457,   507,   633,   634,   637,   638,   639,   643,
     706,   709,   711,   715,   720,   721,   723,   725,   735,   736,
     738,   740,   742,   744,   748,   750,   752,   754,   756,   758,
     760,   762,   764,   766,   770,   772,   774,   776,   787,   795,
     797,   799,   800,   802,   804,   806,   808,   810,   812,   814,
     816,    58,   350,   351,   352,   450,   456,    58,   451,   456,
      37,    45,    47,    49,    52,    53,    54,    56,   277,   292,
     310,   315,   317,   442,   104,   452,   453,   377,   396,   397,
      90,   284,   286,   523,   523,   523,   523,     0,   374,   506,
     506,    57,   347,   348,   526,   527,   528,    35,    37,    52,
      62,    63,    67,    70,    79,    80,    81,    82,    83,    84,
      98,   100,   253,   277,   292,   297,   304,   310,   315,   324,
     327,   328,   329,   330,   334,   338,   339,   353,   362,   364,
     533,   534,   535,   537,   538,   539,   540,   541,   542,   543,
     547,   548,   549,   552,   553,   554,   561,   565,   573,   574,
     577,   578,   579,   580,   581,   602,   603,   605,   606,   608,
     609,   612,   613,   614,   624,   625,   626,   627,   628,   631,
     632,   638,   645,   646,   647,   648,   649,   650,   654,   655,
     656,   690,   704,   709,   710,   733,   734,   735,   777,   374,
     363,   363,   374,   506,   585,   458,   463,   533,   506,   468,
     470,   633,   656,   473,   506,   479,   514,   530,   523,   512,
     514,   517,   517,   517,   520,    90,   284,   286,   523,   523,
     523,   523,   529,   440,   512,   523,   524,   437,   510,   512,
     513,   438,   512,   514,   515,   530,   439,   512,   517,   518,
     517,   517,   512,   520,   521,    90,   284,   286,   679,   440,
     440,   440,   440,   517,   523,   446,   511,   532,   512,   532,
     514,   532,    45,   532,   517,   517,   532,   520,   532,    45,
      46,   517,   532,   532,    90,   284,   303,   679,   680,   523,
      45,   532,    45,   532,    45,   532,    45,   532,   523,   523,
     523,    45,   532,   403,   530,    45,    47,   511,   512,   514,
     532,   439,   517,   439,   523,    45,   512,   532,    45,   512,
     532,   523,   415,   512,   514,   517,   517,   532,    45,   517,
     514,   104,   107,   108,   109,   737,   112,   113,   254,   255,
     258,   641,   642,    32,    33,    34,   254,   712,   133,   644,
     168,   169,   798,   112,   113,   114,   739,   114,   116,   117,
     118,   119,   741,   112,   113,   121,   122,   123,   124,   125,
     743,   112,   113,   116,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   177,   745,   114,   116,   135,   143,   144,
     145,   146,   749,   114,   135,   148,   306,   751,   112,   113,
     127,   129,   130,   131,   152,   153,   154,   753,   113,   114,
     116,   135,   143,   144,   146,   156,   157,   158,   755,   128,
     144,   153,   160,   161,   757,   144,   161,   759,   153,   164,
     165,   761,   131,   135,   168,   169,   763,   135,   168,   169,
     171,   765,   135,   144,   160,   164,   168,   169,   173,   174,
     175,   176,   177,   778,   114,   168,   169,   177,   788,   164,
     199,   738,   740,   742,   744,   748,   750,   752,   754,   756,
     758,   760,   762,   764,   766,   767,   768,   769,   771,   787,
     795,   797,   127,   134,   164,   393,   775,   393,   114,   199,
     769,   773,   135,   168,   169,   204,   237,   796,   114,   126,
     128,   146,   150,   153,   242,   275,   276,   357,   722,   724,
     803,   243,   805,   243,   807,   164,   244,   245,   246,   809,
     128,   153,   801,   116,   132,   153,   160,   249,   250,   811,
     128,   153,   813,   114,   128,   135,   153,   160,   815,   104,
     131,   134,   151,   317,   331,   357,   707,   708,   709,   112,
     113,   116,   134,   254,   278,   279,   280,   281,   282,   283,
     285,   286,   287,   288,   289,   290,   291,   294,   295,   296,
     317,   726,   727,   730,   331,   341,   714,   650,   655,   342,
     238,   247,   248,   251,   252,   817,   360,   361,   402,   717,
     649,   506,   421,   456,   351,   401,   456,   389,   440,   437,
     438,   514,   530,   439,   517,   517,   520,   521,   679,   440,
     440,   440,   440,   384,   407,    46,    48,    50,    51,    58,
      59,    92,   454,   523,   523,   523,   381,   674,   689,   676,
     678,   103,   103,   103,    85,   722,   293,   625,   172,   506,
     633,   705,   705,    62,    99,   506,   104,   707,    90,   191,
     284,   726,   727,   293,   316,   293,   311,   293,   313,   314,
     562,    85,   164,    85,    85,   722,   104,     4,   375,   657,
     658,   349,   531,   538,   429,   463,   381,   294,   295,   550,
     551,   382,   427,   164,   305,   306,   307,   308,   309,   555,
     556,   414,   325,   576,   408,     5,    70,    76,    85,    87,
     111,   115,   120,   126,   130,   150,   238,   287,   290,   291,
     297,   305,   327,   328,   354,   355,   366,   588,   589,   590,
     591,   592,   593,   594,   596,   597,   598,   599,   600,   601,
     634,   637,   643,   699,   700,   701,   706,   711,   715,   721,
     722,   723,   725,   731,   732,   735,   422,   428,    38,    39,
     187,   190,   582,   583,   408,    85,   331,   332,   333,   604,
     610,   611,   408,    85,   607,   610,   386,   392,   413,   335,
     336,   337,   615,   616,   620,   621,    23,   633,   635,   636,
      45,   629,   630,    15,    16,    17,    18,   368,     8,    24,
      54,     9,    10,    11,    12,    13,    14,    19,   111,   115,
     120,   126,   142,   147,   150,   155,   159,   162,   163,   167,
     170,   172,   197,   200,   203,   330,   366,   634,   636,   637,
     651,   652,   653,   656,   691,   692,   693,   694,   695,   696,
     697,   698,   700,   701,   702,   703,    52,    52,    22,   364,
     672,   691,   692,   697,   672,    38,   364,   584,   364,   364,
     364,   364,   364,   526,   533,   585,   458,   463,   468,   470,
     473,   479,   523,   523,   523,   381,   674,   689,   676,   678,
     533,   428,    57,    57,    57,   463,    57,   470,    57,   479,
     523,   381,   404,   412,   419,   470,   428,    43,   445,   512,
     517,   532,   523,    45,   381,   512,   512,   512,   512,   404,
     412,   419,   512,   512,   514,   470,   381,   512,   512,   412,
     517,   506,   424,     7,     8,   114,   258,   259,   640,   309,
     420,   104,   127,   293,   424,   423,   388,   423,   398,   111,
     126,   111,   126,   377,   138,   139,   140,   141,   746,   396,
     423,   399,   423,   400,   397,   423,   399,   376,   387,   379,
     425,   426,    23,    38,   103,   175,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   779,
     780,   781,   423,   103,   383,   421,   767,   393,   769,   182,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   789,   794,   417,
     423,   396,   397,   402,   724,   416,   416,   370,   416,   416,
     370,   416,   395,   391,   385,   423,   406,   405,   419,   405,
     419,   112,   113,   126,   134,   150,   278,   279,   280,   728,
     729,   730,   380,   342,   342,   103,   416,   395,   391,   385,
     406,   359,   716,   367,   428,   470,   479,   523,   381,   404,
     412,   419,   455,   456,   687,   687,   687,   294,   364,   673,
     311,   364,   688,   364,   562,   675,   364,   507,   677,     5,
     126,   150,   600,    85,   600,   622,   623,   650,   177,    23,
      23,    97,   364,    52,    52,    52,   103,   313,    52,   730,
      52,   600,   104,   298,   508,   600,   313,   314,   566,   600,
     103,   617,   618,   619,   633,   637,   650,   654,   715,   721,
     620,   600,   600,    85,   507,    21,   656,   661,   662,   663,
     670,   697,   698,     7,   365,   507,   364,   103,   103,   551,
      78,   111,   126,   172,   261,   558,   507,   103,   103,   103,
     507,   557,   556,   142,   155,   172,   326,   600,   415,   384,
       5,   600,    85,   388,   398,   377,   396,   397,   382,    85,
     408,   408,   593,   634,   701,    15,    16,    17,    18,   368,
      20,    22,     8,    54,     5,   610,    85,    87,   243,   305,
       7,     7,   103,   103,   583,     5,     7,     5,   600,   618,
     633,   637,   616,     7,   506,   364,   506,   364,   630,   702,
     702,   693,   694,   695,   649,   364,   544,   635,   692,   396,
     399,   397,   399,   376,   387,   379,   425,   426,   421,   383,
     393,   417,   408,   697,     7,    20,    15,    16,    17,    18,
     368,     7,    20,    22,     8,   691,   692,   697,   600,   600,
     103,   365,   374,    20,   374,   103,   494,   428,   462,   464,
     469,   476,   480,   584,   364,   364,   364,   364,   364,   687,
     687,   687,   673,   688,   675,   677,   103,   103,   103,   364,
     103,   103,   364,   687,   104,   380,   512,   103,   642,   423,
     390,   103,   410,   410,   388,   396,   388,   396,   114,   131,
     136,   137,   243,   396,   747,   378,    97,   785,   191,   783,
     196,   786,   194,   195,   784,   192,   193,   782,   131,   383,
     227,   231,   232,   233,   793,   222,   223,   224,   225,   791,
     226,   227,   228,   229,   230,   792,   792,   231,   234,   234,
     235,   236,   235,   114,   131,   164,   790,   418,   416,   103,
     103,   112,   113,   112,   113,   380,   380,   103,   103,   343,
     713,   103,   161,   358,   718,   722,   364,   687,   364,   364,
     364,   103,   487,   381,   566,   492,   404,   488,   103,   412,
     493,   419,   600,     5,     5,   600,   635,    90,    93,   531,
     664,   665,    38,   175,   180,   190,   780,   781,   507,   507,
     103,   650,   659,   660,   600,   600,   600,   380,   103,   600,
      52,   600,   404,   103,   568,   570,   571,   412,   104,   295,
     563,    22,   413,    85,   335,    43,   600,   375,     5,   375,
     277,   292,   297,   310,   315,   667,   668,    90,    93,   531,
     666,   669,   375,   658,   465,   388,   149,   144,   149,   559,
     560,   104,   114,   575,   637,   114,   575,   421,   114,   575,
     600,     5,   600,   600,   367,   588,   588,   589,   590,   591,
     103,   593,   588,   595,   635,   656,   600,   600,    85,     8,
      85,   634,   701,   731,   731,   600,   611,   600,   610,   621,
     378,   622,   659,   375,   545,   546,   367,   697,   691,   697,
     702,   702,   693,   694,   695,   697,   103,   691,   697,   653,
     697,    20,    20,   103,    39,   374,   365,   374,   430,   531,
     584,    37,    47,    52,    54,    56,   164,   277,   292,   310,
     315,   317,   365,   374,   430,   459,   531,    44,    94,   114,
     164,   365,   374,   430,   496,   502,   503,   531,   533,    40,
      89,    90,    91,    92,    94,    97,   114,   164,   277,   365,
     374,   430,   477,   531,   536,   537,    40,    90,    91,    92,
     114,   164,   365,   374,   430,   477,   531,   536,    41,    44,
     164,   292,   365,   374,   430,   428,   462,   464,   469,   476,
     480,   364,   364,   364,   381,   404,   412,   419,   464,   480,
     380,   380,     7,   420,   423,   396,   781,   423,   417,   371,
     371,   396,   396,   397,   397,   713,   346,   713,   103,   394,
     402,   112,   113,   719,   480,   380,   490,   491,   489,   295,
     365,   374,   430,   531,   673,   568,   570,   365,   374,   430,
     531,   688,   365,   374,   430,   531,   675,   563,   365,   374,
     430,   531,   677,   600,   600,     5,   508,   508,   665,   421,
     378,   378,   364,   538,   664,   405,   405,   380,   380,   380,
     600,   380,    20,   104,   295,   312,   567,   312,   569,    20,
     316,   564,   617,   633,   637,   619,   618,   600,    43,    82,
      83,   671,   698,   704,   191,   294,   381,   316,   311,   562,
     668,   508,   508,   669,   365,   374,   533,   396,     7,   421,
     575,   575,    70,   575,   600,     5,   600,   166,   600,   610,
     610,     5,   365,   536,   538,   661,     7,   365,   691,   691,
     103,    39,   428,   506,   525,   506,   516,   506,   519,   519,
     506,   522,   104,   460,   461,    90,   284,   286,   525,   525,
     525,   525,   374,   363,    79,    80,   504,   505,   633,   423,
      99,   374,   374,   374,   374,   374,   467,   638,   508,   508,
     363,    95,    96,   478,   103,   104,   129,   130,   254,   274,
     275,   484,   485,   495,    86,    87,    88,    90,   471,   472,
     374,   374,   374,   537,   467,   508,   508,   363,   485,   471,
     374,   374,   374,   104,   363,    99,   381,   365,   365,   365,
     365,   365,   490,   491,   489,   365,   365,   103,     7,   409,
     103,   394,   402,   365,    94,   134,   278,   365,   374,   430,
     531,   685,    90,    97,   134,   169,   278,   365,   374,   430,
     531,   686,   114,   278,   365,   374,   430,   531,   682,   103,
     381,   567,   569,   404,   412,   564,   419,   600,   659,   365,
     380,   319,   320,   321,   322,   323,   572,   103,   404,   103,
     571,   404,   572,   103,   412,   413,   413,   600,   375,   103,
     313,   103,   298,   508,   566,   103,   374,   560,   423,   423,
     415,   423,   600,    85,   622,     5,   365,   365,     5,   375,
     546,   190,   586,   103,   486,   463,   468,   473,   479,     7,
     525,   525,   525,   486,   486,   486,   486,   364,   481,   633,
     411,   104,     8,   374,   374,   374,   470,   411,     8,   374,
       7,   374,     5,   374,   374,   470,     5,   374,   151,   497,
     481,   374,   365,   365,   365,   378,   103,   713,   363,   167,
     172,   681,   511,   380,   508,   103,   681,   103,   511,   380,
     105,   511,   380,   538,   294,   104,   563,   380,   103,   295,
     382,   382,   568,   570,   563,   399,   399,   600,   365,   622,
     704,   187,   587,   374,   364,   364,   364,   364,   364,   461,
     486,   486,   486,   364,   364,   364,   364,   104,   105,   482,
     483,   633,   374,    41,   638,   484,   423,   472,    87,   466,
     467,   638,    37,    87,   292,   310,   315,   317,   474,   475,
      22,   103,   104,   361,   498,   499,   500,   633,   374,   374,
     380,   380,   380,     7,   394,   364,   425,   421,   374,   374,
     374,   374,   374,   374,   374,   134,   374,   365,   380,   103,
     567,   569,   564,   365,   375,   586,   494,   464,   469,   476,
     480,   364,   364,   364,   487,   492,   488,   493,     7,   365,
     104,   467,   374,     8,   428,   381,   404,   412,   419,   374,
     485,   103,    22,    25,   103,   104,   683,   684,   681,   381,
     404,   404,   412,   587,   365,   365,   365,   365,   365,   490,
     491,   489,   365,   365,   365,   365,   375,   483,    43,    44,
     501,   374,   638,   423,   374,   103,   103,     5,     7,   365,
     374,   374,   374,   374,   374,   374,   365,   365,   365,   374,
     374,   374,   374,   507,   633,   363,   497,   423,   103,   508,
     509,   684,   374,   423,   428,   380,   380,   380,   381,   404,
     412,   419,   481,   411,   374,   374,   374
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   372,   373,   373,   374,   374,   375,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   430,   430,   430,   430,   431,   431,   431,
     431,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   433,   433,   433,
     433,   433,   433,   433,   433,   433,   433,   433,   433,   433,
     433,   433,   433,   433,   433,   433,   433,   433,   433,   433,
     433,   434,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   436,
     437,   437,   438,   438,   439,   439,   440,   440,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   442,   442,   442,   442,   442,   442,
     442,   442,   442,   442,   442,   442,   442,   442,   442,   443,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   445,   446,   446,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   448,   448,   448,   448,   448,   448,
     448,   449,   450,   450,   451,   451,   452,   453,   453,   454,
     454,   454,   454,   454,   454,   454,   454,   455,   455,   456,
     456,   456,   457,   458,   459,   459,   460,   460,   461,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   463,   464,   464,   464,   464,
     464,   464,   464,   464,   464,   465,   465,   465,   466,   466,
     467,   467,   468,   469,   469,   469,   469,   469,   469,   469,
     469,   469,   469,   469,   469,   469,   470,   470,   471,   471,
     472,   472,   472,   472,   473,   474,   474,   474,   474,   474,
     475,   475,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   477,   477,   478,   478,
     479,   480,   480,   480,   480,   480,   480,   480,   481,   481,
     482,   482,   482,   483,   483,   483,   484,   484,   485,   485,
     486,   487,   487,   487,   487,   487,   488,   488,   488,   488,
     488,   489,   489,   489,   489,   489,   490,   490,   490,   490,
     490,   491,   491,   491,   491,   491,   492,   492,   492,   492,
     492,   493,   493,   493,   493,   493,   494,   494,   494,   494,
     494,   495,   495,   495,   495,   495,   496,   497,   498,   498,
     499,   499,   499,   499,   499,   500,   500,   501,   501,   501,
     501,   502,   503,   504,   504,   505,   505,   506,   506,   507,
     507,   507,   508,   509,   509,   510,   510,   511,   511,   511,
     511,   511,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   529,   529,   529,   530,   531,   532,   532,   533,   533,
     534,   535,   535,   536,   536,   537,   537,   537,   537,   537,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   538,   539,   540,   540,   541,   542,   542,   543,   544,
     544,   545,   545,   545,   546,   547,   547,   548,   548,   549,
     549,   550,   550,   551,   551,   552,   552,   552,   553,   553,
     554,   555,   555,   556,   556,   556,   556,   556,   556,   557,
     558,   558,   558,   558,   558,   559,   559,   560,   560,   561,
     561,   561,   562,   562,   562,   563,   563,   564,   564,   565,
     565,   566,   566,   566,   567,   567,   568,   569,   569,   570,
     570,   571,   571,   572,   572,   572,   572,   572,   573,   574,
     575,   575,   576,   576,   576,   576,   576,   576,   576,   576,
     577,   578,   578,   579,   579,   579,   579,   579,   579,   580,
     580,   581,   581,   582,   582,   583,   583,   583,   583,   584,
     584,   585,   586,   586,   587,   587,   588,   588,   588,   588,
     588,   588,   588,   588,   588,   588,   588,   588,   588,   589,
     589,   589,   590,   590,   591,   591,   592,   592,   593,   594,
     594,   595,   595,   596,   596,   597,   598,   599,   599,   600,
     600,   600,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   602,   602,   603,   604,
     604,   604,   605,   605,   606,   607,   607,   607,   607,   607,
     608,   608,   609,   609,   610,   610,   611,   611,   611,   612,
     612,   612,   612,   613,   613,   614,   615,   615,   616,   616,
     617,   617,   618,   618,   618,   619,   619,   619,   619,   620,
     620,   621,   621,   622,   622,   623,   624,   624,   624,   625,
     625,   625,   626,   626,   627,   627,   628,   629,   629,   630,
     631,   631,   632,   633,   634,   634,   635,   635,   636,   637,
     638,   638,   638,   638,   638,   638,   638,   638,   638,   638,
     638,   638,   638,   638,   638,   639,   640,   640,   640,   641,
     641,   641,   641,   641,   642,   642,   643,   643,   644,   644,
     645,   645,   645,   646,   646,   647,   647,   648,   648,   649,
     650,   650,   651,   652,   653,   653,   654,   655,   655,   655,
     656,   657,   657,   657,   658,   658,   658,   659,   659,   660,
     661,   661,   662,   662,   663,   663,   664,   664,   665,   665,
     665,   666,   666,   667,   667,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   669,   669,   669,   670,   671,   671,
     672,   672,   672,   672,   673,   674,   675,   676,   677,   678,
     679,   679,   679,   680,   680,   680,   681,   681,   682,   682,
     683,   683,   684,   685,   685,   685,   686,   686,   686,   686,
     686,   687,   688,   688,   689,   690,   690,   690,   690,   690,
     690,   690,   690,   691,   691,   692,   692,   692,   693,   693,
     693,   694,   694,   695,   695,   696,   696,   697,   698,   698,
     698,   698,   699,   699,   700,   701,   701,   701,   701,   701,
     701,   701,   701,   701,   701,   701,   701,   701,   701,   702,
     702,   702,   702,   702,   702,   702,   702,   702,   702,   702,
     702,   702,   702,   702,   702,   702,   702,   703,   703,   703,
     703,   703,   703,   703,   704,   704,   704,   704,   704,   704,
     705,   705,   706,   706,   706,   707,   707,   708,   708,   708,
     708,   708,   709,   709,   709,   709,   709,   709,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     709,   709,   709,   709,   709,   709,   710,   710,   710,   710,
     710,   710,   711,   711,   712,   712,   712,   713,   713,   714,
     714,   715,   716,   716,   717,   717,   718,   718,   719,   719,
     720,   720,   721,   721,   721,   722,   722,   723,   723,   724,
     724,   724,   724,   725,   725,   725,   726,   726,   727,   727,
     727,   727,   727,   727,   727,   727,   727,   727,   727,   727,
     727,   727,   727,   727,   727,   728,   728,   728,   728,   728,
     728,   728,   729,   729,   729,   729,   730,   730,   730,   730,
     731,   731,   732,   732,   733,   733,   733,   733,   734,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   736,   737,   737,   737,   737,   738,   739,   739,   739,
     740,   741,   741,   741,   741,   741,   742,   743,   743,   743,
     743,   743,   743,   743,   743,   743,   744,   744,   744,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   746,   746,   746,   746,   747,   747,   747,   747,   747,
     748,   749,   749,   749,   749,   749,   749,   749,   750,   751,
     751,   751,   751,   752,   753,   753,   753,   753,   753,   753,
     753,   753,   753,   754,   755,   755,   755,   755,   755,   755,
     755,   755,   755,   755,   756,   757,   757,   757,   757,   757,
     758,   759,   759,   760,   761,   761,   761,   762,   763,   763,
     763,   763,   764,   765,   765,   765,   765,   766,   766,   766,
     766,   767,   767,   767,   767,   767,   767,   767,   767,   767,
     767,   767,   767,   767,   767,   768,   768,   768,   769,   769,
     770,   770,   771,   771,   772,   772,   773,   773,   774,   774,
     775,   775,   775,   776,   777,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   779,   779,   779,   779,   779,
     779,   780,   780,   780,   780,   780,   781,   781,   781,   781,
     781,   781,   781,   781,   781,   781,   781,   781,   782,   782,
     783,   784,   784,   785,   786,   787,   787,   788,   788,   788,
     789,   789,   789,   789,   789,   789,   789,   789,   789,   789,
     789,   789,   789,   789,   789,   789,   789,   789,   790,   790,
     790,   791,   791,   791,   791,   792,   792,   792,   792,   792,
     793,   793,   793,   793,   794,   794,   794,   794,   794,   794,
     794,   794,   794,   794,   794,   794,   795,   795,   796,   796,
     796,   796,   797,   798,   798,   799,   799,   799,   799,   799,
     799,   799,   799,   800,   801,   801,   802,   803,   803,   803,
     803,   804,   805,   806,   807,   808,   809,   809,   809,   809,
     810,   811,   811,   811,   811,   811,   811,   812,   813,   813,
     814,   815,   815,   815,   815,   815,   816,   817,   817,   817,
     817,   817
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     3,     5,     5,     3,     2,     1,     1,     2,
       2,     1,     2,     2,     2,     2,     2,     2,     3,     3,
       2,     2,     3,     3,     3,     2,     3,     2,     6,     2,
       6,     3,     2,     6,     6,     3,     6,     3,     5,     7,
       5,     7,     8,     8,     8,     5,     7,     5,     7,     5,
       7,     3,     2,     6,     2,     6,     6,     6,     3,     6,
       3,     5,     5,     8,     8,     8,     5,     5,     5,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       6,     2,     2,     2,     3,     2,     2,     6,     3,     3,
       5,     3,     3,     3,     2,     2,     2,     2,     2,     3,
       2,     2,     6,     3,     3,     5,     3,     3,     3,     3,
       2,     2,     2,     2,     2,     3,     2,     2,     3,     3,
       2,     3,     3,     2,     3,     3,     2,     3,     3,     2,
       3,     3,     2,     3,     3,     2,     2,     2,     2,     2,
       2,     4,     5,     2,     2,     1,     2,     2,     2,     3,
       3,     2,     3,     2,     3,     2,     2,     3,     2,     3,
       2,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     3,     2,     1,     2,     1,     3,     0,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     2,     1,     0,     2,     1,     1,     3,     1,     0,
       2,     2,     3,     8,     8,     8,     8,     9,     9,    10,
      10,    10,     9,     9,     9,     0,     0,     2,     2,     3,
       3,     3,     3,     5,     3,     0,     2,     3,     1,     3,
       1,     3,     0,     0,     2,     2,     5,     4,     4,     4,
       4,     3,     4,     2,     3,     3,     1,     1,     3,     1,
       1,     1,     1,     1,     0,     2,     2,     2,     2,     2,
       1,     0,     0,     2,     2,     4,     4,     8,     6,     7,
       7,     4,     3,     4,     3,     3,     3,     2,     1,     1,
       0,     0,     2,     2,     5,     5,     3,     4,     3,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     3,
       0,     0,     2,     2,     2,     2,     0,     2,     2,     2,
       2,     0,     2,     2,     2,     2,     0,     2,     2,     2,
       2,     0,     2,     2,     2,     2,     0,     2,     2,     2,
       2,     0,     2,     2,     2,     2,     0,     2,     2,     2,
       2,     1,     1,     1,     1,     1,     7,     2,     1,     1,
       1,     1,     1,     3,     3,     1,     2,     2,     2,     3,
       0,     2,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     2,     2,     1,
       2,     1,     1,     2,     3,     2,     3,     1,     2,     3,
       1,     2,     3,     1,     2,     3,     1,     2,     2,     2,
       1,     2,     2,     2,     2,     2,     0,     1,     1,     2,
       1,     1,     2,     1,     2,     2,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       1,     1,     2,     2,     2,     2,     1,     1,     2,     1,
       1,     2,     3,     1,     1,     5,     1,     1,     3,     3,
       1,     1,     3,     3,     5,     4,     5,     1,     2,     1,
       3,     1,     2,     2,     2,     1,     3,     3,     1,     2,
       1,     1,     2,     2,     2,     2,     2,     2,     2,     1,
       3,     3,     1,     2,     1,     3,     1,     1,     1,     6,
       6,     4,     1,     1,     0,     1,     1,     0,     3,     6,
       4,     1,     1,     0,     0,     3,     3,     0,     2,     2,
       3,     2,     2,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     0,     6,     3,     6,     3,     5,     3,     5,
       2,     1,     1,     3,     4,     4,     5,     6,     5,     1,
       2,     1,     3,     1,     2,     2,     2,     1,     1,     6,
       8,     0,     0,     1,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       3,     3,     1,     3,     1,     3,     1,     3,     1,     1,
       3,     1,     1,     3,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     4,     5,     2,     3,
       2,     6,     4,     3,     4,     3,     2,     1,     1,     3,
       4,     1,     2,     1,     1,     2,     3,     1,     3,     4,
       3,     5,     3,     6,     1,     3,     1,     1,     1,     2,
       4,     6,     6,     1,     2,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     1,
       3,     1,     1,     1,     2,     1,     4,     5,     6,     1,
       1,     1,     7,     8,     6,     1,     1,     1,     2,     2,
       6,     8,     1,     2,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     4,     1,     1,     2,     1,
       1,     1,     1,     1,     3,     1,     4,     4,     0,     2,
       1,     3,     3,     1,     3,     1,     3,     1,     3,     1,
       1,     3,     3,     3,     1,     1,     3,     1,     1,     1,
       3,     1,     3,     3,     3,     3,     5,     1,     2,     1,
       1,     2,     1,     1,     2,     1,     1,     2,     2,     2,
       1,     1,     2,     1,     2,     2,     6,     6,     6,     4,
       5,     6,     4,     4,     2,     2,     1,     1,     1,     1,
       1,     1,     2,     2,     4,     0,     4,     0,     1,     0,
       1,     1,     1,     1,     1,     1,     2,     2,     6,     3,
       1,     3,     3,     3,     7,     3,     3,     3,     3,     3,
       3,     0,     4,     4,     0,     2,     2,     4,     4,     5,
       5,     3,     3,     3,     3,     1,     1,     1,     1,     3,
       3,     1,     3,     1,     3,     1,     3,     1,     1,     1,
       3,     3,     1,     1,     1,     2,     2,     2,     2,     2,
       2,     2,     1,     2,     2,     1,     1,     1,     2,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     2,     1,
       2,     2,     2,     2,     2,     2,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     5,     3,     5,     1,
       5,     5,     3,     5,     1,     1,     1,     0,     2,     1,
       1,     6,     2,     0,     1,     1,     1,     1,     1,     1,
       5,     6,     8,     6,     5,     2,     2,     3,     4,     1,
       1,     1,     2,     3,     4,     4,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     1,     1,     1,     1,
       1,     1,     3,     3,     5,     5,     5,     6,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     7,     1,     1,     2,     1,     3,     1,     1,     2,
       3,     1,     1,     1,     1,     2,     3,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     5,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       3,     2,     1,     1,     1,     1,     1,     1,     3,     2,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     1,
       3,     1,     1,     3,     1,     1,     1,     3,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     2,     3,     3,
       9,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     1,     2,     2,     1,     1,     3,     3,
       1,     1,     1,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     4,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     3,     5,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     3,     1,     1,     2,
       1,     3,     4,     3,     1,     3,     1,     1,     1,     4,
       3,     1,     1,     1,     1,     1,     1,     3,     1,     1,
       3,     1,     1,     2,     1,     1,     2,     2,     2,     2,
       2,     2
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, nft, scanner, state, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YY_LOCATION_PRINT
#  if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#   define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

#  else
#   define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#  endif
# endif /* !defined YY_LOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, nft, scanner, state); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, nft, scanner, state);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), nft, scanner, state);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, nft, scanner, state); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
  YYLTYPE *yylloc;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yykind)
    {
    case YYSYMBOL_STRING: /* "string"  */
#line 360 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6177 "parser_bison.c"
        break;

    case YYSYMBOL_QUOTED_STRING: /* "quoted string"  */
#line 360 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6183 "parser_bison.c"
        break;

    case YYSYMBOL_ASTERISK_STRING: /* "string with a trailing asterisk"  */
#line 360 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6189 "parser_bison.c"
        break;

    case YYSYMBOL_line: /* line  */
#line 684 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6195 "parser_bison.c"
        break;

    case YYSYMBOL_base_cmd: /* base_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6201 "parser_bison.c"
        break;

    case YYSYMBOL_add_cmd: /* add_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6207 "parser_bison.c"
        break;

    case YYSYMBOL_replace_cmd: /* replace_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6213 "parser_bison.c"
        break;

    case YYSYMBOL_create_cmd: /* create_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6219 "parser_bison.c"
        break;

    case YYSYMBOL_insert_cmd: /* insert_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6225 "parser_bison.c"
        break;

    case YYSYMBOL_table_or_id_spec: /* table_or_id_spec  */
#line 690 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6231 "parser_bison.c"
        break;

    case YYSYMBOL_chain_or_id_spec: /* chain_or_id_spec  */
#line 692 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6237 "parser_bison.c"
        break;

    case YYSYMBOL_set_or_id_spec: /* set_or_id_spec  */
#line 697 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6243 "parser_bison.c"
        break;

    case YYSYMBOL_obj_or_id_spec: /* obj_or_id_spec  */
#line 699 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6249 "parser_bison.c"
        break;

    case YYSYMBOL_delete_cmd: /* delete_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6255 "parser_bison.c"
        break;

    case YYSYMBOL_destroy_cmd: /* destroy_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6261 "parser_bison.c"
        break;

    case YYSYMBOL_get_cmd: /* get_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6267 "parser_bison.c"
        break;

    case YYSYMBOL_list_cmd: /* list_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6273 "parser_bison.c"
        break;

    case YYSYMBOL_basehook_device_name: /* basehook_device_name  */
#line 711 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6279 "parser_bison.c"
        break;

    case YYSYMBOL_basehook_spec: /* basehook_spec  */
#line 705 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6285 "parser_bison.c"
        break;

    case YYSYMBOL_reset_cmd: /* reset_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6291 "parser_bison.c"
        break;

    case YYSYMBOL_flush_cmd: /* flush_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6297 "parser_bison.c"
        break;

    case YYSYMBOL_rename_cmd: /* rename_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6303 "parser_bison.c"
        break;

    case YYSYMBOL_import_cmd: /* import_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6309 "parser_bison.c"
        break;

    case YYSYMBOL_export_cmd: /* export_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6315 "parser_bison.c"
        break;

    case YYSYMBOL_monitor_cmd: /* monitor_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6321 "parser_bison.c"
        break;

    case YYSYMBOL_monitor_event: /* monitor_event  */
#line 932 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6327 "parser_bison.c"
        break;

    case YYSYMBOL_describe_cmd: /* describe_cmd  */
#line 687 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6333 "parser_bison.c"
        break;

    case YYSYMBOL_table_block_alloc: /* table_block_alloc  */
#line 717 "parser_bison.y"
            { close_scope(state); table_free(((*yyvaluep).table)); }
#line 6339 "parser_bison.c"
        break;

    case YYSYMBOL_chain_block_alloc: /* chain_block_alloc  */
#line 719 "parser_bison.y"
            { close_scope(state); chain_free(((*yyvaluep).chain)); }
#line 6345 "parser_bison.c"
        break;

    case YYSYMBOL_typeof_data_expr: /* typeof_data_expr  */
#line 793 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6351 "parser_bison.c"
        break;

    case YYSYMBOL_typeof_expr: /* typeof_expr  */
#line 793 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6357 "parser_bison.c"
        break;

    case YYSYMBOL_set_block_alloc: /* set_block_alloc  */
#line 730 "parser_bison.y"
            { set_free(((*yyvaluep).set)); }
#line 6363 "parser_bison.c"
        break;

    case YYSYMBOL_set_block_expr: /* set_block_expr  */
#line 834 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6369 "parser_bison.c"
        break;

    case YYSYMBOL_map_block_alloc: /* map_block_alloc  */
#line 733 "parser_bison.y"
            { set_free(((*yyvaluep).set)); }
#line 6375 "parser_bison.c"
        break;

    case YYSYMBOL_flowtable_block_alloc: /* flowtable_block_alloc  */
#line 737 "parser_bison.y"
            { flowtable_free(((*yyvaluep).flowtable)); }
#line 6381 "parser_bison.c"
        break;

    case YYSYMBOL_flowtable_expr: /* flowtable_expr  */
#line 834 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6387 "parser_bison.c"
        break;

    case YYSYMBOL_flowtable_list_expr: /* flowtable_list_expr  */
#line 834 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6393 "parser_bison.c"
        break;

    case YYSYMBOL_flowtable_expr_member: /* flowtable_expr_member  */
#line 834 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6399 "parser_bison.c"
        break;

    case YYSYMBOL_data_type_atom_expr: /* data_type_atom_expr  */
#line 681 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6405 "parser_bison.c"
        break;

    case YYSYMBOL_data_type_expr: /* data_type_expr  */
#line 681 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6411 "parser_bison.c"
        break;

    case YYSYMBOL_obj_block_alloc: /* obj_block_alloc  */
#line 740 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 6417 "parser_bison.c"
        break;

    case YYSYMBOL_type_identifier: /* type_identifier  */
#line 676 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6423 "parser_bison.c"
        break;

    case YYSYMBOL_extended_prio_name: /* extended_prio_name  */
#line 711 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6429 "parser_bison.c"
        break;

    case YYSYMBOL_dev_spec: /* dev_spec  */
#line 714 "parser_bison.y"
            { xfree(((*yyvaluep).expr)); }
#line 6435 "parser_bison.c"
        break;

    case YYSYMBOL_policy_expr: /* policy_expr  */
#line 791 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6441 "parser_bison.c"
        break;

    case YYSYMBOL_identifier: /* identifier  */
#line 676 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6447 "parser_bison.c"
        break;

    case YYSYMBOL_string: /* string  */
#line 676 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6453 "parser_bison.c"
        break;

    case YYSYMBOL_table_spec: /* table_spec  */
#line 690 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6459 "parser_bison.c"
        break;

    case YYSYMBOL_tableid_spec: /* tableid_spec  */
#line 690 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6465 "parser_bison.c"
        break;

    case YYSYMBOL_chain_spec: /* chain_spec  */
#line 692 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6471 "parser_bison.c"
        break;

    case YYSYMBOL_chainid_spec: /* chainid_spec  */
#line 692 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6477 "parser_bison.c"
        break;

    case YYSYMBOL_chain_identifier: /* chain_identifier  */
#line 695 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6483 "parser_bison.c"
        break;

    case YYSYMBOL_set_spec: /* set_spec  */
#line 697 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6489 "parser_bison.c"
        break;

    case YYSYMBOL_setid_spec: /* setid_spec  */
#line 697 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6495 "parser_bison.c"
        break;

    case YYSYMBOL_set_identifier: /* set_identifier  */
#line 702 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6501 "parser_bison.c"
        break;

    case YYSYMBOL_flowtable_spec: /* flowtable_spec  */
#line 695 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6507 "parser_bison.c"
        break;

    case YYSYMBOL_flowtableid_spec: /* flowtableid_spec  */
#line 702 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6513 "parser_bison.c"
        break;

    case YYSYMBOL_obj_spec: /* obj_spec  */
#line 699 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6519 "parser_bison.c"
        break;

    case YYSYMBOL_objid_spec: /* objid_spec  */
#line 699 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6525 "parser_bison.c"
        break;

    case YYSYMBOL_obj_identifier: /* obj_identifier  */
#line 702 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6531 "parser_bison.c"
        break;

    case YYSYMBOL_handle_spec: /* handle_spec  */
#line 695 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6537 "parser_bison.c"
        break;

    case YYSYMBOL_position_spec: /* position_spec  */
#line 695 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6543 "parser_bison.c"
        break;

    case YYSYMBOL_index_spec: /* index_spec  */
#line 695 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6549 "parser_bison.c"
        break;

    case YYSYMBOL_rule_position: /* rule_position  */
#line 695 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6555 "parser_bison.c"
        break;

    case YYSYMBOL_ruleid_spec: /* ruleid_spec  */
#line 695 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6561 "parser_bison.c"
        break;

    case YYSYMBOL_comment_spec: /* comment_spec  */
#line 676 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6567 "parser_bison.c"
        break;

    case YYSYMBOL_ruleset_spec: /* ruleset_spec  */
#line 695 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6573 "parser_bison.c"
        break;

    case YYSYMBOL_rule: /* rule  */
#line 721 "parser_bison.y"
            { rule_free(((*yyvaluep).rule)); }
#line 6579 "parser_bison.c"
        break;

    case YYSYMBOL_stmt_list: /* stmt_list  */
#line 743 "parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 6585 "parser_bison.c"
        break;

    case YYSYMBOL_stateful_stmt_list: /* stateful_stmt_list  */
#line 743 "parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 6591 "parser_bison.c"
        break;

    case YYSYMBOL_stateful_stmt: /* stateful_stmt  */
#line 747 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6597 "parser_bison.c"
        break;

    case YYSYMBOL_stmt: /* stmt  */
#line 745 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6603 "parser_bison.c"
        break;

    case YYSYMBOL_xt_stmt: /* xt_stmt  */
#line 956 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6609 "parser_bison.c"
        break;

    case YYSYMBOL_chain_stmt: /* chain_stmt  */
#line 770 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6615 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_stmt: /* verdict_stmt  */
#line 745 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6621 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_stmt: /* verdict_map_stmt  */
#line 828 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6627 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_expr: /* verdict_map_expr  */
#line 831 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6633 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_list_expr: /* verdict_map_list_expr  */
#line 831 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6639 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_list_member_expr: /* verdict_map_list_member_expr  */
#line 831 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6645 "parser_bison.c"
        break;

    case YYSYMBOL_connlimit_stmt: /* connlimit_stmt  */
#line 758 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6651 "parser_bison.c"
        break;

    case YYSYMBOL_counter_stmt: /* counter_stmt  */
#line 747 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6657 "parser_bison.c"
        break;

    case YYSYMBOL_counter_stmt_alloc: /* counter_stmt_alloc  */
#line 747 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6663 "parser_bison.c"
        break;

    case YYSYMBOL_last_stmt: /* last_stmt  */
#line 747 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6669 "parser_bison.c"
        break;

    case YYSYMBOL_log_stmt: /* log_stmt  */
#line 755 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6675 "parser_bison.c"
        break;

    case YYSYMBOL_log_stmt_alloc: /* log_stmt_alloc  */
#line 755 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6681 "parser_bison.c"
        break;

    case YYSYMBOL_limit_stmt: /* limit_stmt  */
#line 758 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6687 "parser_bison.c"
        break;

    case YYSYMBOL_quota_unit: /* quota_unit  */
#line 711 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6693 "parser_bison.c"
        break;

    case YYSYMBOL_quota_stmt: /* quota_stmt  */
#line 758 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6699 "parser_bison.c"
        break;

    case YYSYMBOL_reject_stmt: /* reject_stmt  */
#line 761 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6705 "parser_bison.c"
        break;

    case YYSYMBOL_reject_stmt_alloc: /* reject_stmt_alloc  */
#line 761 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6711 "parser_bison.c"
        break;

    case YYSYMBOL_reject_with_expr: /* reject_with_expr  */
#line 776 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6717 "parser_bison.c"
        break;

    case YYSYMBOL_nat_stmt: /* nat_stmt  */
#line 763 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6723 "parser_bison.c"
        break;

    case YYSYMBOL_nat_stmt_alloc: /* nat_stmt_alloc  */
#line 763 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6729 "parser_bison.c"
        break;

    case YYSYMBOL_tproxy_stmt: /* tproxy_stmt  */
#line 766 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6735 "parser_bison.c"
        break;

    case YYSYMBOL_synproxy_stmt: /* synproxy_stmt  */
#line 768 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6741 "parser_bison.c"
        break;

    case YYSYMBOL_synproxy_stmt_alloc: /* synproxy_stmt_alloc  */
#line 768 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6747 "parser_bison.c"
        break;

    case YYSYMBOL_synproxy_obj: /* synproxy_obj  */
#line 854 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 6753 "parser_bison.c"
        break;

    case YYSYMBOL_primary_stmt_expr: /* primary_stmt_expr  */
#line 815 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6759 "parser_bison.c"
        break;

    case YYSYMBOL_shift_stmt_expr: /* shift_stmt_expr  */
#line 817 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6765 "parser_bison.c"
        break;

    case YYSYMBOL_and_stmt_expr: /* and_stmt_expr  */
#line 819 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6771 "parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_stmt_expr: /* exclusive_or_stmt_expr  */
#line 819 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6777 "parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_stmt_expr: /* inclusive_or_stmt_expr  */
#line 819 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6783 "parser_bison.c"
        break;

    case YYSYMBOL_basic_stmt_expr: /* basic_stmt_expr  */
#line 815 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6789 "parser_bison.c"
        break;

    case YYSYMBOL_concat_stmt_expr: /* concat_stmt_expr  */
#line 807 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6795 "parser_bison.c"
        break;

    case YYSYMBOL_map_stmt_expr_set: /* map_stmt_expr_set  */
#line 807 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6801 "parser_bison.c"
        break;

    case YYSYMBOL_map_stmt_expr: /* map_stmt_expr  */
#line 807 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6807 "parser_bison.c"
        break;

    case YYSYMBOL_prefix_stmt_expr: /* prefix_stmt_expr  */
#line 812 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6813 "parser_bison.c"
        break;

    case YYSYMBOL_range_stmt_expr: /* range_stmt_expr  */
#line 812 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6819 "parser_bison.c"
        break;

    case YYSYMBOL_multiton_stmt_expr: /* multiton_stmt_expr  */
#line 810 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6825 "parser_bison.c"
        break;

    case YYSYMBOL_stmt_expr: /* stmt_expr  */
#line 807 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6831 "parser_bison.c"
        break;

    case YYSYMBOL_masq_stmt: /* masq_stmt  */
#line 763 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6837 "parser_bison.c"
        break;

    case YYSYMBOL_masq_stmt_alloc: /* masq_stmt_alloc  */
#line 763 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6843 "parser_bison.c"
        break;

    case YYSYMBOL_redir_stmt: /* redir_stmt  */
#line 763 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6849 "parser_bison.c"
        break;

    case YYSYMBOL_redir_stmt_alloc: /* redir_stmt_alloc  */
#line 763 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6855 "parser_bison.c"
        break;

    case YYSYMBOL_dup_stmt: /* dup_stmt  */
#line 779 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6861 "parser_bison.c"
        break;

    case YYSYMBOL_fwd_stmt: /* fwd_stmt  */
#line 781 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6867 "parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt: /* queue_stmt  */
#line 774 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6873 "parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_compat: /* queue_stmt_compat  */
#line 774 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6879 "parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_alloc: /* queue_stmt_alloc  */
#line 774 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6885 "parser_bison.c"
        break;

    case YYSYMBOL_queue_expr: /* queue_expr  */
#line 776 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6891 "parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_expr_simple: /* queue_stmt_expr_simple  */
#line 776 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6897 "parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_expr: /* queue_stmt_expr  */
#line 776 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6903 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_stmt: /* set_elem_expr_stmt  */
#line 838 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6909 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_stmt_alloc: /* set_elem_expr_stmt_alloc  */
#line 838 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6915 "parser_bison.c"
        break;

    case YYSYMBOL_set_stmt: /* set_stmt  */
#line 783 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6921 "parser_bison.c"
        break;

    case YYSYMBOL_map_stmt: /* map_stmt  */
#line 786 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6927 "parser_bison.c"
        break;

    case YYSYMBOL_meter_stmt: /* meter_stmt  */
#line 788 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6933 "parser_bison.c"
        break;

    case YYSYMBOL_flow_stmt_legacy_alloc: /* flow_stmt_legacy_alloc  */
#line 788 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6939 "parser_bison.c"
        break;

    case YYSYMBOL_meter_stmt_alloc: /* meter_stmt_alloc  */
#line 788 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6945 "parser_bison.c"
        break;

    case YYSYMBOL_match_stmt: /* match_stmt  */
#line 745 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6951 "parser_bison.c"
        break;

    case YYSYMBOL_variable_expr: /* variable_expr  */
#line 791 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6957 "parser_bison.c"
        break;

    case YYSYMBOL_symbol_expr: /* symbol_expr  */
#line 791 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6963 "parser_bison.c"
        break;

    case YYSYMBOL_set_ref_expr: /* set_ref_expr  */
#line 799 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6969 "parser_bison.c"
        break;

    case YYSYMBOL_set_ref_symbol_expr: /* set_ref_symbol_expr  */
#line 799 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6975 "parser_bison.c"
        break;

    case YYSYMBOL_integer_expr: /* integer_expr  */
#line 791 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6981 "parser_bison.c"
        break;

    case YYSYMBOL_primary_expr: /* primary_expr  */
#line 793 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6987 "parser_bison.c"
        break;

    case YYSYMBOL_fib_expr: /* fib_expr  */
#line 923 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6993 "parser_bison.c"
        break;

    case YYSYMBOL_osf_expr: /* osf_expr  */
#line 928 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6999 "parser_bison.c"
        break;

    case YYSYMBOL_shift_expr: /* shift_expr  */
#line 793 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7005 "parser_bison.c"
        break;

    case YYSYMBOL_and_expr: /* and_expr  */
#line 793 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7011 "parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_expr: /* exclusive_or_expr  */
#line 795 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7017 "parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_expr: /* inclusive_or_expr  */
#line 795 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7023 "parser_bison.c"
        break;

    case YYSYMBOL_basic_expr: /* basic_expr  */
#line 797 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7029 "parser_bison.c"
        break;

    case YYSYMBOL_concat_expr: /* concat_expr  */
#line 822 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7035 "parser_bison.c"
        break;

    case YYSYMBOL_prefix_rhs_expr: /* prefix_rhs_expr  */
#line 804 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7041 "parser_bison.c"
        break;

    case YYSYMBOL_range_rhs_expr: /* range_rhs_expr  */
#line 804 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7047 "parser_bison.c"
        break;

    case YYSYMBOL_multiton_rhs_expr: /* multiton_rhs_expr  */
#line 802 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7053 "parser_bison.c"
        break;

    case YYSYMBOL_map_expr: /* map_expr  */
#line 825 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7059 "parser_bison.c"
        break;

    case YYSYMBOL_expr: /* expr  */
#line 844 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7065 "parser_bison.c"
        break;

    case YYSYMBOL_set_expr: /* set_expr  */
#line 834 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7071 "parser_bison.c"
        break;

    case YYSYMBOL_set_list_expr: /* set_list_expr  */
#line 834 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7077 "parser_bison.c"
        break;

    case YYSYMBOL_set_list_member_expr: /* set_list_member_expr  */
#line 834 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7083 "parser_bison.c"
        break;

    case YYSYMBOL_meter_key_expr: /* meter_key_expr  */
#line 841 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7089 "parser_bison.c"
        break;

    case YYSYMBOL_meter_key_expr_alloc: /* meter_key_expr_alloc  */
#line 841 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7095 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr: /* set_elem_expr  */
#line 836 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7101 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_key_expr: /* set_elem_key_expr  */
#line 976 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7107 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_alloc: /* set_elem_expr_alloc  */
#line 836 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7113 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_stmt_list: /* set_elem_stmt_list  */
#line 743 "parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 7119 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_stmt: /* set_elem_stmt  */
#line 745 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7125 "parser_bison.c"
        break;

    case YYSYMBOL_set_lhs_expr: /* set_lhs_expr  */
#line 836 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7131 "parser_bison.c"
        break;

    case YYSYMBOL_set_rhs_expr: /* set_rhs_expr  */
#line 836 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7137 "parser_bison.c"
        break;

    case YYSYMBOL_initializer_expr: /* initializer_expr  */
#line 844 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7143 "parser_bison.c"
        break;

    case YYSYMBOL_counter_obj: /* counter_obj  */
#line 854 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7149 "parser_bison.c"
        break;

    case YYSYMBOL_quota_obj: /* quota_obj  */
#line 854 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7155 "parser_bison.c"
        break;

    case YYSYMBOL_secmark_obj: /* secmark_obj  */
#line 854 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7161 "parser_bison.c"
        break;

    case YYSYMBOL_timeout_states: /* timeout_states  */
#line 969 "parser_bison.y"
            { xfree(((*yyvaluep).list)); }
#line 7167 "parser_bison.c"
        break;

    case YYSYMBOL_timeout_state: /* timeout_state  */
#line 969 "parser_bison.y"
            { xfree(((*yyvaluep).list)); }
#line 7173 "parser_bison.c"
        break;

    case YYSYMBOL_ct_obj_alloc: /* ct_obj_alloc  */
#line 854 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7179 "parser_bison.c"
        break;

    case YYSYMBOL_limit_obj: /* limit_obj  */
#line 854 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7185 "parser_bison.c"
        break;

    case YYSYMBOL_relational_expr: /* relational_expr  */
#line 857 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7191 "parser_bison.c"
        break;

    case YYSYMBOL_list_rhs_expr: /* list_rhs_expr  */
#line 849 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7197 "parser_bison.c"
        break;

    case YYSYMBOL_rhs_expr: /* rhs_expr  */
#line 847 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7203 "parser_bison.c"
        break;

    case YYSYMBOL_shift_rhs_expr: /* shift_rhs_expr  */
#line 849 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7209 "parser_bison.c"
        break;

    case YYSYMBOL_and_rhs_expr: /* and_rhs_expr  */
#line 851 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7215 "parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_rhs_expr: /* exclusive_or_rhs_expr  */
#line 851 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7221 "parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_rhs_expr: /* inclusive_or_rhs_expr  */
#line 851 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7227 "parser_bison.c"
        break;

    case YYSYMBOL_basic_rhs_expr: /* basic_rhs_expr  */
#line 847 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7233 "parser_bison.c"
        break;

    case YYSYMBOL_concat_rhs_expr: /* concat_rhs_expr  */
#line 847 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7239 "parser_bison.c"
        break;

    case YYSYMBOL_boolean_expr: /* boolean_expr  */
#line 959 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7245 "parser_bison.c"
        break;

    case YYSYMBOL_keyword_expr: /* keyword_expr  */
#line 844 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7251 "parser_bison.c"
        break;

    case YYSYMBOL_primary_rhs_expr: /* primary_rhs_expr  */
#line 849 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7257 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_expr: /* verdict_expr  */
#line 791 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7263 "parser_bison.c"
        break;

    case YYSYMBOL_chain_expr: /* chain_expr  */
#line 791 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7269 "parser_bison.c"
        break;

    case YYSYMBOL_meta_expr: /* meta_expr  */
#line 905 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7275 "parser_bison.c"
        break;

    case YYSYMBOL_meta_stmt: /* meta_stmt  */
#line 753 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7281 "parser_bison.c"
        break;

    case YYSYMBOL_socket_expr: /* socket_expr  */
#line 909 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7287 "parser_bison.c"
        break;

    case YYSYMBOL_numgen_expr: /* numgen_expr  */
#line 870 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7293 "parser_bison.c"
        break;

    case YYSYMBOL_xfrm_expr: /* xfrm_expr  */
#line 973 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7299 "parser_bison.c"
        break;

    case YYSYMBOL_hash_expr: /* hash_expr  */
#line 870 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7305 "parser_bison.c"
        break;

    case YYSYMBOL_rt_expr: /* rt_expr  */
#line 915 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7311 "parser_bison.c"
        break;

    case YYSYMBOL_ct_expr: /* ct_expr  */
#line 919 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7317 "parser_bison.c"
        break;

    case YYSYMBOL_symbol_stmt_expr: /* symbol_stmt_expr  */
#line 849 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7323 "parser_bison.c"
        break;

    case YYSYMBOL_list_stmt_expr: /* list_stmt_expr  */
#line 817 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7329 "parser_bison.c"
        break;

    case YYSYMBOL_ct_stmt: /* ct_stmt  */
#line 751 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7335 "parser_bison.c"
        break;

    case YYSYMBOL_payload_stmt: /* payload_stmt  */
#line 749 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7341 "parser_bison.c"
        break;

    case YYSYMBOL_payload_expr: /* payload_expr  */
#line 861 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7347 "parser_bison.c"
        break;

    case YYSYMBOL_payload_raw_expr: /* payload_raw_expr  */
#line 861 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7353 "parser_bison.c"
        break;

    case YYSYMBOL_eth_hdr_expr: /* eth_hdr_expr  */
#line 864 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7359 "parser_bison.c"
        break;

    case YYSYMBOL_vlan_hdr_expr: /* vlan_hdr_expr  */
#line 864 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7365 "parser_bison.c"
        break;

    case YYSYMBOL_arp_hdr_expr: /* arp_hdr_expr  */
#line 867 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7371 "parser_bison.c"
        break;

    case YYSYMBOL_ip_hdr_expr: /* ip_hdr_expr  */
#line 870 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7377 "parser_bison.c"
        break;

    case YYSYMBOL_icmp_hdr_expr: /* icmp_hdr_expr  */
#line 870 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7383 "parser_bison.c"
        break;

    case YYSYMBOL_igmp_hdr_expr: /* igmp_hdr_expr  */
#line 870 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7389 "parser_bison.c"
        break;

    case YYSYMBOL_ip6_hdr_expr: /* ip6_hdr_expr  */
#line 874 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7395 "parser_bison.c"
        break;

    case YYSYMBOL_icmp6_hdr_expr: /* icmp6_hdr_expr  */
#line 874 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7401 "parser_bison.c"
        break;

    case YYSYMBOL_auth_hdr_expr: /* auth_hdr_expr  */
#line 877 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7407 "parser_bison.c"
        break;

    case YYSYMBOL_esp_hdr_expr: /* esp_hdr_expr  */
#line 877 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7413 "parser_bison.c"
        break;

    case YYSYMBOL_comp_hdr_expr: /* comp_hdr_expr  */
#line 877 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7419 "parser_bison.c"
        break;

    case YYSYMBOL_udp_hdr_expr: /* udp_hdr_expr  */
#line 880 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7425 "parser_bison.c"
        break;

    case YYSYMBOL_udplite_hdr_expr: /* udplite_hdr_expr  */
#line 880 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7431 "parser_bison.c"
        break;

    case YYSYMBOL_tcp_hdr_expr: /* tcp_hdr_expr  */
#line 938 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7437 "parser_bison.c"
        break;

    case YYSYMBOL_inner_inet_expr: /* inner_inet_expr  */
#line 946 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7443 "parser_bison.c"
        break;

    case YYSYMBOL_inner_eth_expr: /* inner_eth_expr  */
#line 946 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7449 "parser_bison.c"
        break;

    case YYSYMBOL_inner_expr: /* inner_expr  */
#line 946 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7455 "parser_bison.c"
        break;

    case YYSYMBOL_vxlan_hdr_expr: /* vxlan_hdr_expr  */
#line 949 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7461 "parser_bison.c"
        break;

    case YYSYMBOL_geneve_hdr_expr: /* geneve_hdr_expr  */
#line 949 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7467 "parser_bison.c"
        break;

    case YYSYMBOL_gre_hdr_expr: /* gre_hdr_expr  */
#line 949 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7473 "parser_bison.c"
        break;

    case YYSYMBOL_gretap_hdr_expr: /* gretap_hdr_expr  */
#line 949 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7479 "parser_bison.c"
        break;

    case YYSYMBOL_optstrip_stmt: /* optstrip_stmt  */
#line 953 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7485 "parser_bison.c"
        break;

    case YYSYMBOL_dccp_hdr_expr: /* dccp_hdr_expr  */
#line 883 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7491 "parser_bison.c"
        break;

    case YYSYMBOL_sctp_chunk_alloc: /* sctp_chunk_alloc  */
#line 883 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7497 "parser_bison.c"
        break;

    case YYSYMBOL_sctp_hdr_expr: /* sctp_hdr_expr  */
#line 883 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7503 "parser_bison.c"
        break;

    case YYSYMBOL_th_hdr_expr: /* th_hdr_expr  */
#line 889 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7509 "parser_bison.c"
        break;

    case YYSYMBOL_exthdr_expr: /* exthdr_expr  */
#line 893 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7515 "parser_bison.c"
        break;

    case YYSYMBOL_hbh_hdr_expr: /* hbh_hdr_expr  */
#line 895 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7521 "parser_bison.c"
        break;

    case YYSYMBOL_rt_hdr_expr: /* rt_hdr_expr  */
#line 898 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7527 "parser_bison.c"
        break;

    case YYSYMBOL_rt0_hdr_expr: /* rt0_hdr_expr  */
#line 898 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7533 "parser_bison.c"
        break;

    case YYSYMBOL_rt2_hdr_expr: /* rt2_hdr_expr  */
#line 898 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7539 "parser_bison.c"
        break;

    case YYSYMBOL_rt4_hdr_expr: /* rt4_hdr_expr  */
#line 898 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7545 "parser_bison.c"
        break;

    case YYSYMBOL_frag_hdr_expr: /* frag_hdr_expr  */
#line 895 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7551 "parser_bison.c"
        break;

    case YYSYMBOL_dst_hdr_expr: /* dst_hdr_expr  */
#line 895 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7557 "parser_bison.c"
        break;

    case YYSYMBOL_mh_hdr_expr: /* mh_hdr_expr  */
#line 901 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7563 "parser_bison.c"
        break;

    case YYSYMBOL_exthdr_exists_expr: /* exthdr_exists_expr  */
#line 963 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7569 "parser_bison.c"
        break;

      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

/* User initialization code.  */
#line 197 "parser_bison.y"
{
	location_init(scanner, state, &yylloc);
	if (nft->debug_mask & NFT_DEBUG_SCANNER)
		nft_set_debug(1, scanner);
	if (nft->debug_mask & NFT_DEBUG_PARSER)
		yydebug = 1;
}

#line 7674 "parser_bison.c"

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, scanner);
    }

  if (yychar <= TOKEN_EOF)
    {
      yychar = TOKEN_EOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 3: /* input: input line  */
#line 982 "parser_bison.y"
                        {
				if ((yyvsp[0].cmd) != NULL) {
					(yyvsp[0].cmd)->location = (yylsp[0]);
					list_add_tail(&(yyvsp[0].cmd)->list, state->cmds);
				}
			}
#line 7891 "parser_bison.c"
    break;

  case 8: /* close_scope_ah: %empty  */
#line 998 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_AH); }
#line 7897 "parser_bison.c"
    break;

  case 9: /* close_scope_arp: %empty  */
#line 999 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ARP); }
#line 7903 "parser_bison.c"
    break;

  case 10: /* close_scope_at: %empty  */
#line 1000 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_AT); }
#line 7909 "parser_bison.c"
    break;

  case 11: /* close_scope_comp: %empty  */
#line 1001 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_COMP); }
#line 7915 "parser_bison.c"
    break;

  case 12: /* close_scope_ct: %empty  */
#line 1002 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CT); }
#line 7921 "parser_bison.c"
    break;

  case 13: /* close_scope_counter: %empty  */
#line 1003 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_COUNTER); }
#line 7927 "parser_bison.c"
    break;

  case 14: /* close_scope_last: %empty  */
#line 1004 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_LAST); }
#line 7933 "parser_bison.c"
    break;

  case 15: /* close_scope_dccp: %empty  */
#line 1005 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DCCP); }
#line 7939 "parser_bison.c"
    break;

  case 16: /* close_scope_destroy: %empty  */
#line 1006 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_DESTROY); }
#line 7945 "parser_bison.c"
    break;

  case 17: /* close_scope_dst: %empty  */
#line 1007 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DST); }
#line 7951 "parser_bison.c"
    break;

  case 18: /* close_scope_dup: %empty  */
#line 1008 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_DUP); }
#line 7957 "parser_bison.c"
    break;

  case 19: /* close_scope_esp: %empty  */
#line 1009 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_ESP); }
#line 7963 "parser_bison.c"
    break;

  case 20: /* close_scope_eth: %empty  */
#line 1010 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ETH); }
#line 7969 "parser_bison.c"
    break;

  case 21: /* close_scope_export: %empty  */
#line 1011 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_EXPORT); }
#line 7975 "parser_bison.c"
    break;

  case 22: /* close_scope_fib: %empty  */
#line 1012 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FIB); }
#line 7981 "parser_bison.c"
    break;

  case 23: /* close_scope_frag: %empty  */
#line 1013 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FRAG); }
#line 7987 "parser_bison.c"
    break;

  case 24: /* close_scope_fwd: %empty  */
#line 1014 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_FWD); }
#line 7993 "parser_bison.c"
    break;

  case 25: /* close_scope_gre: %empty  */
#line 1015 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_GRE); }
#line 7999 "parser_bison.c"
    break;

  case 26: /* close_scope_hash: %empty  */
#line 1016 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HASH); }
#line 8005 "parser_bison.c"
    break;

  case 27: /* close_scope_hbh: %empty  */
#line 1017 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HBH); }
#line 8011 "parser_bison.c"
    break;

  case 28: /* close_scope_ip: %empty  */
#line 1018 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP); }
#line 8017 "parser_bison.c"
    break;

  case 29: /* close_scope_ip6: %empty  */
#line 1019 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP6); }
#line 8023 "parser_bison.c"
    break;

  case 30: /* close_scope_vlan: %empty  */
#line 1020 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_VLAN); }
#line 8029 "parser_bison.c"
    break;

  case 31: /* close_scope_icmp: %empty  */
#line 1021 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ICMP); }
#line 8035 "parser_bison.c"
    break;

  case 32: /* close_scope_igmp: %empty  */
#line 1022 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IGMP); }
#line 8041 "parser_bison.c"
    break;

  case 33: /* close_scope_import: %empty  */
#line 1023 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_IMPORT); }
#line 8047 "parser_bison.c"
    break;

  case 34: /* close_scope_ipsec: %empty  */
#line 1024 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_IPSEC); }
#line 8053 "parser_bison.c"
    break;

  case 35: /* close_scope_list: %empty  */
#line 1025 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_LIST); }
#line 8059 "parser_bison.c"
    break;

  case 36: /* close_scope_limit: %empty  */
#line 1026 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_LIMIT); }
#line 8065 "parser_bison.c"
    break;

  case 37: /* close_scope_meta: %empty  */
#line 1027 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_META); }
#line 8071 "parser_bison.c"
    break;

  case 38: /* close_scope_mh: %empty  */
#line 1028 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_MH); }
#line 8077 "parser_bison.c"
    break;

  case 39: /* close_scope_monitor: %empty  */
#line 1029 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_MONITOR); }
#line 8083 "parser_bison.c"
    break;

  case 40: /* close_scope_nat: %empty  */
#line 1030 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_NAT); }
#line 8089 "parser_bison.c"
    break;

  case 41: /* close_scope_numgen: %empty  */
#line 1031 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_NUMGEN); }
#line 8095 "parser_bison.c"
    break;

  case 42: /* close_scope_osf: %empty  */
#line 1032 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_OSF); }
#line 8101 "parser_bison.c"
    break;

  case 43: /* close_scope_policy: %empty  */
#line 1033 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_POLICY); }
#line 8107 "parser_bison.c"
    break;

  case 44: /* close_scope_quota: %empty  */
#line 1034 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_QUOTA); }
#line 8113 "parser_bison.c"
    break;

  case 45: /* close_scope_queue: %empty  */
#line 1035 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_QUEUE); }
#line 8119 "parser_bison.c"
    break;

  case 46: /* close_scope_reject: %empty  */
#line 1036 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_REJECT); }
#line 8125 "parser_bison.c"
    break;

  case 47: /* close_scope_reset: %empty  */
#line 1037 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_RESET); }
#line 8131 "parser_bison.c"
    break;

  case 48: /* close_scope_rt: %empty  */
#line 1038 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_RT); }
#line 8137 "parser_bison.c"
    break;

  case 49: /* close_scope_sctp: %empty  */
#line 1039 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_SCTP); }
#line 8143 "parser_bison.c"
    break;

  case 50: /* close_scope_sctp_chunk: %empty  */
#line 1040 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SCTP_CHUNK); }
#line 8149 "parser_bison.c"
    break;

  case 51: /* close_scope_secmark: %empty  */
#line 1041 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_SECMARK); }
#line 8155 "parser_bison.c"
    break;

  case 52: /* close_scope_socket: %empty  */
#line 1042 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SOCKET); }
#line 8161 "parser_bison.c"
    break;

  case 53: /* close_scope_tcp: %empty  */
#line 1043 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_TCP); }
#line 8167 "parser_bison.c"
    break;

  case 54: /* close_scope_tproxy: %empty  */
#line 1044 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_TPROXY); }
#line 8173 "parser_bison.c"
    break;

  case 55: /* close_scope_type: %empty  */
#line 1045 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_TYPE); }
#line 8179 "parser_bison.c"
    break;

  case 56: /* close_scope_th: %empty  */
#line 1046 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_TH); }
#line 8185 "parser_bison.c"
    break;

  case 57: /* close_scope_udp: %empty  */
#line 1047 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDP); }
#line 8191 "parser_bison.c"
    break;

  case 58: /* close_scope_udplite: %empty  */
#line 1048 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDPLITE); }
#line 8197 "parser_bison.c"
    break;

  case 59: /* close_scope_log: %empty  */
#line 1050 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_LOG); }
#line 8203 "parser_bison.c"
    break;

  case 60: /* close_scope_synproxy: %empty  */
#line 1051 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_SYNPROXY); }
#line 8209 "parser_bison.c"
    break;

  case 61: /* close_scope_xt: %empty  */
#line 1052 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_XT); }
#line 8215 "parser_bison.c"
    break;

  case 62: /* common_block: "include" "quoted string" stmt_separator  */
#line 1055 "parser_bison.y"
                        {
				if (scanner_include_file(nft, scanner, (yyvsp[-1].string), &(yyloc)) < 0) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 8227 "parser_bison.c"
    break;

  case 63: /* common_block: "define" identifier '=' initializer_expr stmt_separator  */
#line 1063 "parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				if (symbol_lookup(scope, (yyvsp[-3].string)) != NULL) {
					erec_queue(error(&(yylsp[-3]), "redefinition of symbol '%s'", (yyvsp[-3].string)),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					xfree((yyvsp[-3].string));
					YYERROR;
				}

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 8246 "parser_bison.c"
    break;

  case 64: /* common_block: "redefine" identifier '=' initializer_expr stmt_separator  */
#line 1078 "parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 8257 "parser_bison.c"
    break;

  case 65: /* common_block: "undefine" identifier stmt_separator  */
#line 1085 "parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				if (symbol_unbind(scope, (yyvsp[-1].string)) < 0) {
					erec_queue(error(&(yylsp[-1]), "undefined symbol '%s'", (yyvsp[-1].string)),
						   state->msgs);
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 8273 "parser_bison.c"
    break;

  case 66: /* common_block: error stmt_separator  */
#line 1097 "parser_bison.y"
                        {
				if (++state->nerrs == nft->parser_max_errors)
					YYABORT;
				yyerrok;
			}
#line 8283 "parser_bison.c"
    break;

  case 67: /* line: common_block  */
#line 1104 "parser_bison.y"
                                                                { (yyval.cmd) = NULL; }
#line 8289 "parser_bison.c"
    break;

  case 68: /* line: stmt_separator  */
#line 1105 "parser_bison.y"
                                                                { (yyval.cmd) = NULL; }
#line 8295 "parser_bison.c"
    break;

  case 69: /* line: base_cmd stmt_separator  */
#line 1106 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8301 "parser_bison.c"
    break;

  case 70: /* line: base_cmd "end of file"  */
#line 1108 "parser_bison.y"
                        {
				/*
				 * Very hackish workaround for bison >= 2.4: previous versions
				 * terminated parsing after EOF, 2.4+ tries to get further input
				 * in 'input' and calls the scanner again, causing a crash when
				 * the final input buffer has been popped. Terminate manually to
				 * avoid this. The correct fix should be to adjust the grammar
				 * to accept EOF in input, but for unknown reasons it does not
				 * work.
				 */
				if ((yyvsp[-1].cmd) != NULL) {
					(yyvsp[-1].cmd)->location = (yylsp[-1]);
					list_add_tail(&(yyvsp[-1].cmd)->list, state->cmds);
				}
				(yyval.cmd) = NULL;
				YYACCEPT;
			}
#line 8323 "parser_bison.c"
    break;

  case 71: /* base_cmd: add_cmd  */
#line 1127 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8329 "parser_bison.c"
    break;

  case 72: /* base_cmd: "add" add_cmd  */
#line 1128 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8335 "parser_bison.c"
    break;

  case 73: /* base_cmd: "replace" replace_cmd  */
#line 1129 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8341 "parser_bison.c"
    break;

  case 74: /* base_cmd: "create" create_cmd  */
#line 1130 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8347 "parser_bison.c"
    break;

  case 75: /* base_cmd: "insert" insert_cmd  */
#line 1131 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8353 "parser_bison.c"
    break;

  case 76: /* base_cmd: "delete" delete_cmd  */
#line 1132 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8359 "parser_bison.c"
    break;

  case 77: /* base_cmd: "get" get_cmd  */
#line 1133 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8365 "parser_bison.c"
    break;

  case 78: /* base_cmd: "list" list_cmd close_scope_list  */
#line 1134 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8371 "parser_bison.c"
    break;

  case 79: /* base_cmd: "reset" reset_cmd close_scope_reset  */
#line 1135 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8377 "parser_bison.c"
    break;

  case 80: /* base_cmd: "flush" flush_cmd  */
#line 1136 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8383 "parser_bison.c"
    break;

  case 81: /* base_cmd: "rename" rename_cmd  */
#line 1137 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8389 "parser_bison.c"
    break;

  case 82: /* base_cmd: "import" import_cmd close_scope_import  */
#line 1138 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8395 "parser_bison.c"
    break;

  case 83: /* base_cmd: "export" export_cmd close_scope_export  */
#line 1139 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8401 "parser_bison.c"
    break;

  case 84: /* base_cmd: "monitor" monitor_cmd close_scope_monitor  */
#line 1140 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8407 "parser_bison.c"
    break;

  case 85: /* base_cmd: "describe" describe_cmd  */
#line 1141 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8413 "parser_bison.c"
    break;

  case 86: /* base_cmd: "destroy" destroy_cmd close_scope_destroy  */
#line 1142 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8419 "parser_bison.c"
    break;

  case 87: /* add_cmd: "table" table_spec  */
#line 1146 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8427 "parser_bison.c"
    break;

  case 88: /* add_cmd: "table" table_spec table_block_alloc '{' table_block '}'  */
#line 1151 "parser_bison.y"
                        {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 8437 "parser_bison.c"
    break;

  case 89: /* add_cmd: "chain" chain_spec  */
#line 1157 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8445 "parser_bison.c"
    break;

  case 90: /* add_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1162 "parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8456 "parser_bison.c"
    break;

  case 91: /* add_cmd: "rule" rule_position rule  */
#line 1169 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8464 "parser_bison.c"
    break;

  case 92: /* add_cmd: rule_position rule  */
#line 1173 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8472 "parser_bison.c"
    break;

  case 93: /* add_cmd: "set" set_spec set_block_alloc '{' set_block '}'  */
#line 1178 "parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8482 "parser_bison.c"
    break;

  case 94: /* add_cmd: "map" set_spec map_block_alloc '{' map_block '}'  */
#line 1185 "parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8492 "parser_bison.c"
    break;

  case 95: /* add_cmd: "element" set_spec set_block_expr  */
#line 1191 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8500 "parser_bison.c"
    break;

  case 96: /* add_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1196 "parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8510 "parser_bison.c"
    break;

  case 97: /* add_cmd: "counter" obj_spec close_scope_counter  */
#line 1202 "parser_bison.y"
                        {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 8523 "parser_bison.c"
    break;

  case 98: /* add_cmd: "counter" obj_spec counter_obj counter_config close_scope_counter  */
#line 1211 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8531 "parser_bison.c"
    break;

  case 99: /* add_cmd: "counter" obj_spec counter_obj '{' counter_block '}' close_scope_counter  */
#line 1215 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8539 "parser_bison.c"
    break;

  case 100: /* add_cmd: "quota" obj_spec quota_obj quota_config close_scope_quota  */
#line 1219 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8547 "parser_bison.c"
    break;

  case 101: /* add_cmd: "quota" obj_spec quota_obj '{' quota_block '}' close_scope_quota  */
#line 1223 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8555 "parser_bison.c"
    break;

  case 102: /* add_cmd: "ct" "helper" obj_spec ct_obj_alloc '{' ct_helper_block '}' close_scope_ct  */
#line 1227 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8563 "parser_bison.c"
    break;

  case 103: /* add_cmd: "ct" "timeout" obj_spec ct_obj_alloc '{' ct_timeout_block '}' close_scope_ct  */
#line 1231 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8571 "parser_bison.c"
    break;

  case 104: /* add_cmd: "ct" "expectation" obj_spec ct_obj_alloc '{' ct_expect_block '}' close_scope_ct  */
#line 1235 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8579 "parser_bison.c"
    break;

  case 105: /* add_cmd: "limit" obj_spec limit_obj limit_config close_scope_limit  */
#line 1239 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8587 "parser_bison.c"
    break;

  case 106: /* add_cmd: "limit" obj_spec limit_obj '{' limit_block '}' close_scope_limit  */
#line 1243 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8595 "parser_bison.c"
    break;

  case 107: /* add_cmd: "secmark" obj_spec secmark_obj secmark_config close_scope_secmark  */
#line 1247 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8603 "parser_bison.c"
    break;

  case 108: /* add_cmd: "secmark" obj_spec secmark_obj '{' secmark_block '}' close_scope_secmark  */
#line 1251 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8611 "parser_bison.c"
    break;

  case 109: /* add_cmd: "synproxy" obj_spec synproxy_obj synproxy_config close_scope_synproxy  */
#line 1255 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8619 "parser_bison.c"
    break;

  case 110: /* add_cmd: "synproxy" obj_spec synproxy_obj '{' synproxy_block '}' close_scope_synproxy  */
#line 1259 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8627 "parser_bison.c"
    break;

  case 111: /* replace_cmd: "rule" ruleid_spec rule  */
#line 1265 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_REPLACE, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8635 "parser_bison.c"
    break;

  case 112: /* create_cmd: "table" table_spec  */
#line 1271 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8643 "parser_bison.c"
    break;

  case 113: /* create_cmd: "table" table_spec table_block_alloc '{' table_block '}'  */
#line 1276 "parser_bison.y"
                        {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 8653 "parser_bison.c"
    break;

  case 114: /* create_cmd: "chain" chain_spec  */
#line 1282 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8661 "parser_bison.c"
    break;

  case 115: /* create_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1287 "parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8672 "parser_bison.c"
    break;

  case 116: /* create_cmd: "set" set_spec set_block_alloc '{' set_block '}'  */
#line 1295 "parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8682 "parser_bison.c"
    break;

  case 117: /* create_cmd: "map" set_spec map_block_alloc '{' map_block '}'  */
#line 1302 "parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8692 "parser_bison.c"
    break;

  case 118: /* create_cmd: "element" set_spec set_block_expr  */
#line 1308 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8700 "parser_bison.c"
    break;

  case 119: /* create_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1313 "parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8710 "parser_bison.c"
    break;

  case 120: /* create_cmd: "counter" obj_spec close_scope_counter  */
#line 1319 "parser_bison.y"
                        {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 8723 "parser_bison.c"
    break;

  case 121: /* create_cmd: "counter" obj_spec counter_obj counter_config close_scope_counter  */
#line 1328 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8731 "parser_bison.c"
    break;

  case 122: /* create_cmd: "quota" obj_spec quota_obj quota_config close_scope_quota  */
#line 1332 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8739 "parser_bison.c"
    break;

  case 123: /* create_cmd: "ct" "helper" obj_spec ct_obj_alloc '{' ct_helper_block '}' close_scope_ct  */
#line 1336 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8747 "parser_bison.c"
    break;

  case 124: /* create_cmd: "ct" "timeout" obj_spec ct_obj_alloc '{' ct_timeout_block '}' close_scope_ct  */
#line 1340 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8755 "parser_bison.c"
    break;

  case 125: /* create_cmd: "ct" "expectation" obj_spec ct_obj_alloc '{' ct_expect_block '}' close_scope_ct  */
#line 1344 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8763 "parser_bison.c"
    break;

  case 126: /* create_cmd: "limit" obj_spec limit_obj limit_config close_scope_limit  */
#line 1348 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8771 "parser_bison.c"
    break;

  case 127: /* create_cmd: "secmark" obj_spec secmark_obj secmark_config close_scope_secmark  */
#line 1352 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8779 "parser_bison.c"
    break;

  case 128: /* create_cmd: "synproxy" obj_spec synproxy_obj synproxy_config close_scope_synproxy  */
#line 1356 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8787 "parser_bison.c"
    break;

  case 129: /* insert_cmd: "rule" rule_position rule  */
#line 1362 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_INSERT, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8795 "parser_bison.c"
    break;

  case 138: /* delete_cmd: "table" table_or_id_spec  */
#line 1384 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8803 "parser_bison.c"
    break;

  case 139: /* delete_cmd: "chain" chain_or_id_spec  */
#line 1388 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8811 "parser_bison.c"
    break;

  case 140: /* delete_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1393 "parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8821 "parser_bison.c"
    break;

  case 141: /* delete_cmd: "rule" ruleid_spec  */
#line 1399 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8829 "parser_bison.c"
    break;

  case 142: /* delete_cmd: "set" set_or_id_spec  */
#line 1403 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8837 "parser_bison.c"
    break;

  case 143: /* delete_cmd: "map" set_spec  */
#line 1407 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8845 "parser_bison.c"
    break;

  case 144: /* delete_cmd: "element" set_spec set_block_expr  */
#line 1411 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8853 "parser_bison.c"
    break;

  case 145: /* delete_cmd: "flowtable" flowtable_spec  */
#line 1415 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8861 "parser_bison.c"
    break;

  case 146: /* delete_cmd: "flowtable" flowtableid_spec  */
#line 1419 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8869 "parser_bison.c"
    break;

  case 147: /* delete_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1424 "parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8879 "parser_bison.c"
    break;

  case 148: /* delete_cmd: "counter" obj_or_id_spec close_scope_counter  */
#line 1430 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8887 "parser_bison.c"
    break;

  case 149: /* delete_cmd: "quota" obj_or_id_spec close_scope_quota  */
#line 1434 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8895 "parser_bison.c"
    break;

  case 150: /* delete_cmd: "ct" ct_obj_type obj_spec ct_obj_alloc close_scope_ct  */
#line 1438 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DELETE, (yyvsp[-3].val), &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
				if ((yyvsp[-3].val) == NFT_OBJECT_CT_TIMEOUT)
					init_list_head(&(yyvsp[-1].obj)->ct_timeout.timeout_list);
			}
#line 8905 "parser_bison.c"
    break;

  case 151: /* delete_cmd: "limit" obj_or_id_spec close_scope_limit  */
#line 1444 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8913 "parser_bison.c"
    break;

  case 152: /* delete_cmd: "secmark" obj_or_id_spec close_scope_secmark  */
#line 1448 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8921 "parser_bison.c"
    break;

  case 153: /* delete_cmd: "synproxy" obj_or_id_spec close_scope_synproxy  */
#line 1452 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8929 "parser_bison.c"
    break;

  case 154: /* destroy_cmd: "table" table_or_id_spec  */
#line 1458 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8937 "parser_bison.c"
    break;

  case 155: /* destroy_cmd: "chain" chain_or_id_spec  */
#line 1462 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8945 "parser_bison.c"
    break;

  case 156: /* destroy_cmd: "rule" ruleid_spec  */
#line 1466 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8953 "parser_bison.c"
    break;

  case 157: /* destroy_cmd: "set" set_or_id_spec  */
#line 1470 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8961 "parser_bison.c"
    break;

  case 158: /* destroy_cmd: "map" set_spec  */
#line 1474 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8969 "parser_bison.c"
    break;

  case 159: /* destroy_cmd: "element" set_spec set_block_expr  */
#line 1478 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8977 "parser_bison.c"
    break;

  case 160: /* destroy_cmd: "flowtable" flowtable_spec  */
#line 1482 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8985 "parser_bison.c"
    break;

  case 161: /* destroy_cmd: "flowtable" flowtableid_spec  */
#line 1486 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8993 "parser_bison.c"
    break;

  case 162: /* destroy_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1491 "parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 9003 "parser_bison.c"
    break;

  case 163: /* destroy_cmd: "counter" obj_or_id_spec close_scope_counter  */
#line 1497 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9011 "parser_bison.c"
    break;

  case 164: /* destroy_cmd: "quota" obj_or_id_spec close_scope_quota  */
#line 1501 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9019 "parser_bison.c"
    break;

  case 165: /* destroy_cmd: "ct" ct_obj_type obj_spec ct_obj_alloc close_scope_ct  */
#line 1505 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DESTROY, (yyvsp[-3].val), &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
				if ((yyvsp[-3].val) == NFT_OBJECT_CT_TIMEOUT)
					init_list_head(&(yyvsp[-1].obj)->ct_timeout.timeout_list);
			}
#line 9029 "parser_bison.c"
    break;

  case 166: /* destroy_cmd: "limit" obj_or_id_spec close_scope_limit  */
#line 1511 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9037 "parser_bison.c"
    break;

  case 167: /* destroy_cmd: "secmark" obj_or_id_spec close_scope_secmark  */
#line 1515 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9045 "parser_bison.c"
    break;

  case 168: /* destroy_cmd: "synproxy" obj_or_id_spec close_scope_synproxy  */
#line 1519 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9053 "parser_bison.c"
    break;

  case 169: /* get_cmd: "element" set_spec set_block_expr  */
#line 1526 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_GET, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 9061 "parser_bison.c"
    break;

  case 170: /* list_cmd: "table" table_spec  */
#line 1532 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9069 "parser_bison.c"
    break;

  case 171: /* list_cmd: "tables" ruleset_spec  */
#line 1536 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9077 "parser_bison.c"
    break;

  case 172: /* list_cmd: "chain" chain_spec  */
#line 1540 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9085 "parser_bison.c"
    break;

  case 173: /* list_cmd: "chains" ruleset_spec  */
#line 1544 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAINS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9093 "parser_bison.c"
    break;

  case 174: /* list_cmd: "sets" ruleset_spec  */
#line 1548 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9101 "parser_bison.c"
    break;

  case 175: /* list_cmd: "sets" "table" table_spec  */
#line 1552 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9109 "parser_bison.c"
    break;

  case 176: /* list_cmd: "set" set_spec  */
#line 1556 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9117 "parser_bison.c"
    break;

  case 177: /* list_cmd: "counters" ruleset_spec  */
#line 1560 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9125 "parser_bison.c"
    break;

  case 178: /* list_cmd: "counters" "table" table_spec  */
#line 1564 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9133 "parser_bison.c"
    break;

  case 179: /* list_cmd: "counter" obj_spec close_scope_counter  */
#line 1568 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9141 "parser_bison.c"
    break;

  case 180: /* list_cmd: "quotas" ruleset_spec  */
#line 1572 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9149 "parser_bison.c"
    break;

  case 181: /* list_cmd: "quotas" "table" table_spec  */
#line 1576 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9157 "parser_bison.c"
    break;

  case 182: /* list_cmd: "quota" obj_spec close_scope_quota  */
#line 1580 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9165 "parser_bison.c"
    break;

  case 183: /* list_cmd: "limits" ruleset_spec  */
#line 1584 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9173 "parser_bison.c"
    break;

  case 184: /* list_cmd: "limits" "table" table_spec  */
#line 1588 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9181 "parser_bison.c"
    break;

  case 185: /* list_cmd: "limit" obj_spec close_scope_limit  */
#line 1592 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9189 "parser_bison.c"
    break;

  case 186: /* list_cmd: "secmarks" ruleset_spec  */
#line 1596 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9197 "parser_bison.c"
    break;

  case 187: /* list_cmd: "secmarks" "table" table_spec  */
#line 1600 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9205 "parser_bison.c"
    break;

  case 188: /* list_cmd: "secmark" obj_spec close_scope_secmark  */
#line 1604 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9213 "parser_bison.c"
    break;

  case 189: /* list_cmd: "synproxys" ruleset_spec  */
#line 1608 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9221 "parser_bison.c"
    break;

  case 190: /* list_cmd: "synproxys" "table" table_spec  */
#line 1612 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9229 "parser_bison.c"
    break;

  case 191: /* list_cmd: "synproxy" obj_spec close_scope_synproxy  */
#line 1616 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9237 "parser_bison.c"
    break;

  case 192: /* list_cmd: "ruleset" ruleset_spec  */
#line 1620 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9245 "parser_bison.c"
    break;

  case 193: /* list_cmd: "flow" "tables" ruleset_spec  */
#line 1624 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9253 "parser_bison.c"
    break;

  case 194: /* list_cmd: "flow" "table" set_spec  */
#line 1628 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9261 "parser_bison.c"
    break;

  case 195: /* list_cmd: "meters" ruleset_spec  */
#line 1632 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9269 "parser_bison.c"
    break;

  case 196: /* list_cmd: "meter" set_spec  */
#line 1636 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9277 "parser_bison.c"
    break;

  case 197: /* list_cmd: "flowtables" ruleset_spec  */
#line 1640 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9285 "parser_bison.c"
    break;

  case 198: /* list_cmd: "flowtable" flowtable_spec  */
#line 1644 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9293 "parser_bison.c"
    break;

  case 199: /* list_cmd: "maps" ruleset_spec  */
#line 1648 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAPS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9301 "parser_bison.c"
    break;

  case 200: /* list_cmd: "map" set_spec  */
#line 1652 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9309 "parser_bison.c"
    break;

  case 201: /* list_cmd: "ct" ct_obj_type obj_spec close_scope_ct  */
#line 1656 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_LIST, (yyvsp[-2].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9317 "parser_bison.c"
    break;

  case 202: /* list_cmd: "ct" ct_cmd_type "table" table_spec close_scope_ct  */
#line 1660 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, (yyvsp[-3].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9325 "parser_bison.c"
    break;

  case 203: /* list_cmd: "hooks" basehook_spec  */
#line 1664 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_HOOKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9333 "parser_bison.c"
    break;

  case 204: /* basehook_device_name: "device" "string"  */
#line 1670 "parser_bison.y"
                        {
				(yyval.string) = (yyvsp[0].string);
			}
#line 9341 "parser_bison.c"
    break;

  case 205: /* basehook_spec: ruleset_spec  */
#line 1676 "parser_bison.y"
                        {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 9349 "parser_bison.c"
    break;

  case 206: /* basehook_spec: ruleset_spec basehook_device_name  */
#line 1680 "parser_bison.y"
                        {
				if ((yyvsp[0].string)) {
					(yyvsp[-1].handle).obj.name = (yyvsp[0].string);
					(yyvsp[-1].handle).obj.location = (yylsp[0]);
				}
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9361 "parser_bison.c"
    break;

  case 207: /* reset_cmd: "counters" ruleset_spec  */
#line 1690 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9369 "parser_bison.c"
    break;

  case 208: /* reset_cmd: "counters" table_spec  */
#line 1694 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9377 "parser_bison.c"
    break;

  case 209: /* reset_cmd: "counters" "table" table_spec  */
#line 1698 "parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9386 "parser_bison.c"
    break;

  case 210: /* reset_cmd: "counter" obj_spec close_scope_counter  */
#line 1703 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTER, &(yyvsp[-1].handle),&(yyloc), NULL);
			}
#line 9394 "parser_bison.c"
    break;

  case 211: /* reset_cmd: "quotas" ruleset_spec  */
#line 1707 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9402 "parser_bison.c"
    break;

  case 212: /* reset_cmd: "quotas" "table" table_spec  */
#line 1711 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9410 "parser_bison.c"
    break;

  case 213: /* reset_cmd: "quotas" table_spec  */
#line 1715 "parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9419 "parser_bison.c"
    break;

  case 214: /* reset_cmd: "quota" obj_spec close_scope_quota  */
#line 1720 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9427 "parser_bison.c"
    break;

  case 215: /* reset_cmd: "rules" ruleset_spec  */
#line 1724 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9435 "parser_bison.c"
    break;

  case 216: /* reset_cmd: "rules" table_spec  */
#line 1728 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9443 "parser_bison.c"
    break;

  case 217: /* reset_cmd: "rules" "table" table_spec  */
#line 1732 "parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9452 "parser_bison.c"
    break;

  case 218: /* reset_cmd: "rules" chain_spec  */
#line 1737 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9460 "parser_bison.c"
    break;

  case 219: /* reset_cmd: "rules" "chain" chain_spec  */
#line 1741 "parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9469 "parser_bison.c"
    break;

  case 220: /* reset_cmd: "rule" ruleid_spec  */
#line 1746 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9477 "parser_bison.c"
    break;

  case 221: /* reset_cmd: "element" set_spec set_block_expr  */
#line 1750 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 9485 "parser_bison.c"
    break;

  case 222: /* reset_cmd: "set" set_or_id_spec  */
#line 1754 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9493 "parser_bison.c"
    break;

  case 223: /* reset_cmd: "map" set_or_id_spec  */
#line 1758 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9501 "parser_bison.c"
    break;

  case 224: /* flush_cmd: "table" table_spec  */
#line 1764 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9509 "parser_bison.c"
    break;

  case 225: /* flush_cmd: "chain" chain_spec  */
#line 1768 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9517 "parser_bison.c"
    break;

  case 226: /* flush_cmd: "set" set_spec  */
#line 1772 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9525 "parser_bison.c"
    break;

  case 227: /* flush_cmd: "map" set_spec  */
#line 1776 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9533 "parser_bison.c"
    break;

  case 228: /* flush_cmd: "flow" "table" set_spec  */
#line 1780 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9541 "parser_bison.c"
    break;

  case 229: /* flush_cmd: "meter" set_spec  */
#line 1784 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9549 "parser_bison.c"
    break;

  case 230: /* flush_cmd: "ruleset" ruleset_spec  */
#line 1788 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9557 "parser_bison.c"
    break;

  case 231: /* rename_cmd: "chain" chain_spec identifier  */
#line 1794 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RENAME, CMD_OBJ_CHAIN, &(yyvsp[-1].handle), &(yyloc), NULL);
				(yyval.cmd)->arg = (yyvsp[0].string);
			}
#line 9566 "parser_bison.c"
    break;

  case 232: /* import_cmd: "ruleset" markup_format  */
#line 1801 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9576 "parser_bison.c"
    break;

  case 233: /* import_cmd: markup_format  */
#line 1807 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9586 "parser_bison.c"
    break;

  case 234: /* export_cmd: "ruleset" markup_format  */
#line 1815 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9596 "parser_bison.c"
    break;

  case 235: /* export_cmd: markup_format  */
#line 1821 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9606 "parser_bison.c"
    break;

  case 236: /* monitor_cmd: monitor_event monitor_object monitor_format  */
#line 1829 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct monitor *m = monitor_alloc((yyvsp[0].val), (yyvsp[-1].val), (yyvsp[-2].string));
				m->location = (yylsp[-2]);
				(yyval.cmd) = cmd_alloc(CMD_MONITOR, CMD_OBJ_MONITOR, &h, &(yyloc), m);
			}
#line 9617 "parser_bison.c"
    break;

  case 237: /* monitor_event: %empty  */
#line 1837 "parser_bison.y"
                                                { (yyval.string) = NULL; }
#line 9623 "parser_bison.c"
    break;

  case 238: /* monitor_event: "string"  */
#line 1838 "parser_bison.y"
                                                { (yyval.string) = (yyvsp[0].string); }
#line 9629 "parser_bison.c"
    break;

  case 239: /* monitor_object: %empty  */
#line 1841 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_ANY; }
#line 9635 "parser_bison.c"
    break;

  case 240: /* monitor_object: "tables"  */
#line 1842 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_TABLES; }
#line 9641 "parser_bison.c"
    break;

  case 241: /* monitor_object: "chains"  */
#line 1843 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_CHAINS; }
#line 9647 "parser_bison.c"
    break;

  case 242: /* monitor_object: "sets"  */
#line 1844 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_SETS; }
#line 9653 "parser_bison.c"
    break;

  case 243: /* monitor_object: "rules"  */
#line 1845 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_RULES; }
#line 9659 "parser_bison.c"
    break;

  case 244: /* monitor_object: "elements"  */
#line 1846 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_ELEMS; }
#line 9665 "parser_bison.c"
    break;

  case 245: /* monitor_object: "ruleset"  */
#line 1847 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_RULESET; }
#line 9671 "parser_bison.c"
    break;

  case 246: /* monitor_object: "trace"  */
#line 1848 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_TRACE; }
#line 9677 "parser_bison.c"
    break;

  case 247: /* monitor_format: %empty  */
#line 1851 "parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_DEFAULT; }
#line 9683 "parser_bison.c"
    break;

  case 249: /* markup_format: "xml"  */
#line 1855 "parser_bison.y"
                                                { (yyval.val) = __NFT_OUTPUT_NOTSUPP; }
#line 9689 "parser_bison.c"
    break;

  case 250: /* markup_format: "json"  */
#line 1856 "parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 9695 "parser_bison.c"
    break;

  case 251: /* markup_format: "vm" "json"  */
#line 1857 "parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 9701 "parser_bison.c"
    break;

  case 252: /* describe_cmd: primary_expr  */
#line 1861 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				(yyval.cmd) = cmd_alloc(CMD_DESCRIBE, CMD_OBJ_EXPR, &h, &(yyloc), NULL);
				(yyval.cmd)->expr = (yyvsp[0].expr);
			}
#line 9711 "parser_bison.c"
    break;

  case 253: /* table_block_alloc: %empty  */
#line 1869 "parser_bison.y"
                        {
				(yyval.table) = table_alloc();
				if (open_scope(state, &(yyval.table)->scope) < 0) {
					erec_queue(error(&(yyloc), "too many levels of nesting"),
						   state->msgs);
					state->nerrs++;
				}
			}
#line 9724 "parser_bison.c"
    break;

  case 254: /* table_options: "flags" table_flags  */
#line 1880 "parser_bison.y"
                        {
				(yyvsp[-2].table)->flags |= (yyvsp[0].val);
			}
#line 9732 "parser_bison.c"
    break;

  case 255: /* table_options: comment_spec  */
#line 1884 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].table)->comment, &(yyloc), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].table)->comment = (yyvsp[0].string);
			}
#line 9744 "parser_bison.c"
    break;

  case 257: /* table_flags: table_flags "comma" table_flag  */
#line 1895 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 9752 "parser_bison.c"
    break;

  case 258: /* table_flag: "string"  */
#line 1900 "parser_bison.y"
                        {
				(yyval.val) = parse_table_flag((yyvsp[0].string));
				xfree((yyvsp[0].string));
				if ((yyval.val) == 0) {
					erec_queue(error(&(yylsp[0]), "unknown table option %s", (yyvsp[0].string)),
						   state->msgs);
					YYERROR;
				}
			}
#line 9766 "parser_bison.c"
    break;

  case 259: /* table_block: %empty  */
#line 1911 "parser_bison.y"
                                                { (yyval.table) = (yyvsp[(-1) - (0)].table); }
#line 9772 "parser_bison.c"
    break;

  case 263: /* table_block: table_block "chain" chain_identifier chain_block_alloc '{' chain_block '}' stmt_separator  */
#line 1918 "parser_bison.y"
                        {
				(yyvsp[-4].chain)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].chain)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				close_scope(state);
				list_add_tail(&(yyvsp[-4].chain)->list, &(yyvsp[-7].table)->chains);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9785 "parser_bison.c"
    break;

  case 264: /* table_block: table_block "set" set_identifier set_block_alloc '{' set_block '}' stmt_separator  */
#line 1929 "parser_bison.y"
                        {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9797 "parser_bison.c"
    break;

  case 265: /* table_block: table_block "map" set_identifier map_block_alloc '{' map_block '}' stmt_separator  */
#line 1939 "parser_bison.y"
                        {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9809 "parser_bison.c"
    break;

  case 266: /* table_block: table_block "flowtable" flowtable_identifier flowtable_block_alloc '{' flowtable_block '}' stmt_separator  */
#line 1950 "parser_bison.y"
                        {
				(yyvsp[-4].flowtable)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].flowtable)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].flowtable)->list, &(yyvsp[-7].table)->flowtables);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9821 "parser_bison.c"
    break;

  case 267: /* table_block: table_block "counter" obj_identifier obj_block_alloc '{' counter_block '}' stmt_separator close_scope_counter  */
#line 1960 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_COUNTER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9834 "parser_bison.c"
    break;

  case 268: /* table_block: table_block "quota" obj_identifier obj_block_alloc '{' quota_block '}' stmt_separator close_scope_quota  */
#line 1971 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_QUOTA;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9847 "parser_bison.c"
    break;

  case 269: /* table_block: table_block "ct" "helper" obj_identifier obj_block_alloc '{' ct_helper_block '}' close_scope_ct stmt_separator  */
#line 1980 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_HELPER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 9860 "parser_bison.c"
    break;

  case 270: /* table_block: table_block "ct" "timeout" obj_identifier obj_block_alloc '{' ct_timeout_block '}' close_scope_ct stmt_separator  */
#line 1989 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_TIMEOUT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 9873 "parser_bison.c"
    break;

  case 271: /* table_block: table_block "ct" "expectation" obj_identifier obj_block_alloc '{' ct_expect_block '}' close_scope_ct stmt_separator  */
#line 1998 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_EXPECT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 9886 "parser_bison.c"
    break;

  case 272: /* table_block: table_block "limit" obj_identifier obj_block_alloc '{' limit_block '}' stmt_separator close_scope_limit  */
#line 2009 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_LIMIT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9899 "parser_bison.c"
    break;

  case 273: /* table_block: table_block "secmark" obj_identifier obj_block_alloc '{' secmark_block '}' stmt_separator close_scope_secmark  */
#line 2020 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SECMARK;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9912 "parser_bison.c"
    break;

  case 274: /* table_block: table_block "synproxy" obj_identifier obj_block_alloc '{' synproxy_block '}' stmt_separator close_scope_synproxy  */
#line 2031 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SYNPROXY;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9925 "parser_bison.c"
    break;

  case 275: /* chain_block_alloc: %empty  */
#line 2042 "parser_bison.y"
                        {
				(yyval.chain) = chain_alloc();
				if (open_scope(state, &(yyval.chain)->scope) < 0) {
					erec_queue(error(&(yyloc), "too many levels of nesting"),
						   state->msgs);
					state->nerrs++;
				}
			}
#line 9938 "parser_bison.c"
    break;

  case 276: /* chain_block: %empty  */
#line 2052 "parser_bison.y"
                                                { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 9944 "parser_bison.c"
    break;

  case 282: /* chain_block: chain_block rule stmt_separator  */
#line 2059 "parser_bison.y"
                        {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 9953 "parser_bison.c"
    break;

  case 283: /* chain_block: chain_block "devices" '=' flowtable_expr stmt_separator  */
#line 2064 "parser_bison.y"
                        {
				if ((yyval.chain)->dev_expr) {
					list_splice_init(&(yyvsp[-1].expr)->expressions, &(yyval.chain)->dev_expr->expressions);
					expr_free((yyvsp[-1].expr));
					break;
				}
				(yyval.chain)->dev_expr = (yyvsp[-1].expr);
			}
#line 9966 "parser_bison.c"
    break;

  case 284: /* chain_block: chain_block comment_spec stmt_separator  */
#line 2073 "parser_bison.y"
                        {
				if (already_set((yyvsp[-2].chain)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].chain)->comment = (yyvsp[-1].string);
			}
#line 9978 "parser_bison.c"
    break;

  case 285: /* subchain_block: %empty  */
#line 2082 "parser_bison.y"
                                                { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 9984 "parser_bison.c"
    break;

  case 287: /* subchain_block: subchain_block rule stmt_separator  */
#line 2085 "parser_bison.y"
                        {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 9993 "parser_bison.c"
    break;

  case 288: /* typeof_data_expr: primary_expr  */
#line 2092 "parser_bison.y"
                        {
				struct expr *e = (yyvsp[0].expr);

				if (e->etype == EXPR_SYMBOL &&
				    strcmp("verdict", e->identifier) == 0) {
					struct expr *v = verdict_expr_alloc(&(yylsp[0]), NF_ACCEPT, NULL);

					expr_free(e);
					v->flags &= ~EXPR_F_CONSTANT;
					e = v;
				}

				if (expr_ops(e)->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "map data type '%s' lacks typeof serialization", expr_ops(e)->name),
						   state->msgs);
					expr_free(e);
					YYERROR;
				}
				(yyval.expr) = e;
			}
#line 10018 "parser_bison.c"
    break;

  case 289: /* typeof_data_expr: typeof_expr "." primary_expr  */
#line 2113 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10031 "parser_bison.c"
    break;

  case 290: /* typeof_expr: primary_expr  */
#line 2124 "parser_bison.y"
                        {
				if (expr_ops((yyvsp[0].expr))->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "primary expression type '%s' lacks typeof serialization", expr_ops((yyvsp[0].expr))->name),
						   state->msgs);
					expr_free((yyvsp[0].expr));
					YYERROR;
				}

				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10046 "parser_bison.c"
    break;

  case 291: /* typeof_expr: typeof_expr "." primary_expr  */
#line 2135 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10059 "parser_bison.c"
    break;

  case 292: /* set_block_alloc: %empty  */
#line 2147 "parser_bison.y"
                        {
				(yyval.set) = set_alloc(&internal_location);
			}
#line 10067 "parser_bison.c"
    break;

  case 293: /* set_block: %empty  */
#line 2152 "parser_bison.y"
                                                { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 10073 "parser_bison.c"
    break;

  case 296: /* set_block: set_block "type" data_type_expr stmt_separator close_scope_type  */
#line 2156 "parser_bison.y"
                        {
				(yyvsp[-4].set)->key = (yyvsp[-2].expr);
				(yyval.set) = (yyvsp[-4].set);
			}
#line 10082 "parser_bison.c"
    break;

  case 297: /* set_block: set_block "typeof" typeof_expr stmt_separator  */
#line 2161 "parser_bison.y"
                        {
				(yyvsp[-3].set)->key = (yyvsp[-1].expr);
				datatype_set((yyvsp[-3].set)->key, (yyvsp[-1].expr)->dtype);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10092 "parser_bison.c"
    break;

  case 298: /* set_block: set_block "flags" set_flag_list stmt_separator  */
#line 2167 "parser_bison.y"
                        {
				(yyvsp[-3].set)->flags = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10101 "parser_bison.c"
    break;

  case 299: /* set_block: set_block "timeout" time_spec stmt_separator  */
#line 2172 "parser_bison.y"
                        {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10110 "parser_bison.c"
    break;

  case 300: /* set_block: set_block "gc-interval" time_spec stmt_separator  */
#line 2177 "parser_bison.y"
                        {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10119 "parser_bison.c"
    break;

  case 301: /* set_block: set_block stateful_stmt_list stmt_separator  */
#line 2182 "parser_bison.y"
                        {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 10129 "parser_bison.c"
    break;

  case 302: /* set_block: set_block "elements" '=' set_block_expr  */
#line 2188 "parser_bison.y"
                        {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10138 "parser_bison.c"
    break;

  case 303: /* set_block: set_block "auto-merge"  */
#line 2193 "parser_bison.y"
                        {
				(yyvsp[-1].set)->automerge = true;
				(yyval.set) = (yyvsp[-1].set);
			}
#line 10147 "parser_bison.c"
    break;

  case 305: /* set_block: set_block comment_spec stmt_separator  */
#line 2199 "parser_bison.y"
                        {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 10160 "parser_bison.c"
    break;

  case 308: /* set_flag_list: set_flag_list "comma" set_flag  */
#line 2214 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 10168 "parser_bison.c"
    break;

  case 310: /* set_flag: "constant"  */
#line 2220 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_CONSTANT; }
#line 10174 "parser_bison.c"
    break;

  case 311: /* set_flag: "interval"  */
#line 2221 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_INTERVAL; }
#line 10180 "parser_bison.c"
    break;

  case 312: /* set_flag: "timeout"  */
#line 2222 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_TIMEOUT; }
#line 10186 "parser_bison.c"
    break;

  case 313: /* set_flag: "dynamic"  */
#line 2223 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_EVAL; }
#line 10192 "parser_bison.c"
    break;

  case 314: /* map_block_alloc: %empty  */
#line 2227 "parser_bison.y"
                        {
				(yyval.set) = set_alloc(&internal_location);
			}
#line 10200 "parser_bison.c"
    break;

  case 315: /* map_block_obj_type: "counter" close_scope_counter  */
#line 2232 "parser_bison.y"
                                                            { (yyval.val) = NFT_OBJECT_COUNTER; }
#line 10206 "parser_bison.c"
    break;

  case 316: /* map_block_obj_type: "quota" close_scope_quota  */
#line 2233 "parser_bison.y"
                                                          { (yyval.val) = NFT_OBJECT_QUOTA; }
#line 10212 "parser_bison.c"
    break;

  case 317: /* map_block_obj_type: "limit" close_scope_limit  */
#line 2234 "parser_bison.y"
                                                          { (yyval.val) = NFT_OBJECT_LIMIT; }
#line 10218 "parser_bison.c"
    break;

  case 318: /* map_block_obj_type: "secmark" close_scope_secmark  */
#line 2235 "parser_bison.y"
                                                            { (yyval.val) = NFT_OBJECT_SECMARK; }
#line 10224 "parser_bison.c"
    break;

  case 319: /* map_block_obj_type: "synproxy" close_scope_synproxy  */
#line 2236 "parser_bison.y"
                                                              { (yyval.val) = NFT_OBJECT_SYNPROXY; }
#line 10230 "parser_bison.c"
    break;

  case 320: /* map_block_data_interval: "interval"  */
#line 2239 "parser_bison.y"
                                         { (yyval.val) = EXPR_F_INTERVAL; }
#line 10236 "parser_bison.c"
    break;

  case 321: /* map_block_data_interval: %empty  */
#line 2240 "parser_bison.y"
                                { (yyval.val) = 0; }
#line 10242 "parser_bison.c"
    break;

  case 322: /* map_block: %empty  */
#line 2243 "parser_bison.y"
                                                { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 10248 "parser_bison.c"
    break;

  case 325: /* map_block: map_block "timeout" time_spec stmt_separator  */
#line 2247 "parser_bison.y"
                        {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10257 "parser_bison.c"
    break;

  case 326: /* map_block: map_block "gc-interval" time_spec stmt_separator  */
#line 2252 "parser_bison.y"
                        {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10266 "parser_bison.c"
    break;

  case 327: /* map_block: map_block "type" data_type_expr "colon" map_block_data_interval data_type_expr stmt_separator close_scope_type  */
#line 2259 "parser_bison.y"
                        {
				(yyvsp[-7].set)->key = (yyvsp[-5].expr);
				(yyvsp[-7].set)->data = (yyvsp[-2].expr);
				(yyvsp[-7].set)->data->flags |= (yyvsp[-3].val);

				(yyvsp[-7].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-7].set);
			}
#line 10279 "parser_bison.c"
    break;

  case 328: /* map_block: map_block "typeof" typeof_expr "colon" typeof_data_expr stmt_separator  */
#line 2270 "parser_bison.y"
                        {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				datatype_set((yyvsp[-5].set)->key, (yyvsp[-3].expr)->dtype);
				(yyvsp[-5].set)->data = (yyvsp[-1].expr);

				(yyvsp[-5].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 10292 "parser_bison.c"
    break;

  case 329: /* map_block: map_block "typeof" typeof_expr "colon" "interval" typeof_expr stmt_separator  */
#line 2281 "parser_bison.y"
                        {
				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				datatype_set((yyvsp[-6].set)->key, (yyvsp[-4].expr)->dtype);
				(yyvsp[-6].set)->data = (yyvsp[-1].expr);
				(yyvsp[-6].set)->data->flags |= EXPR_F_INTERVAL;

				(yyvsp[-6].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 10306 "parser_bison.c"
    break;

  case 330: /* map_block: map_block "type" data_type_expr "colon" map_block_obj_type stmt_separator close_scope_type  */
#line 2293 "parser_bison.y"
                        {
				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				(yyvsp[-6].set)->objtype = (yyvsp[-2].val);
				(yyvsp[-6].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 10317 "parser_bison.c"
    break;

  case 331: /* map_block: map_block "flags" set_flag_list stmt_separator  */
#line 2300 "parser_bison.y"
                        {
				(yyvsp[-3].set)->flags |= (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10326 "parser_bison.c"
    break;

  case 332: /* map_block: map_block stateful_stmt_list stmt_separator  */
#line 2305 "parser_bison.y"
                        {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 10336 "parser_bison.c"
    break;

  case 333: /* map_block: map_block "elements" '=' set_block_expr  */
#line 2311 "parser_bison.y"
                        {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10345 "parser_bison.c"
    break;

  case 334: /* map_block: map_block comment_spec stmt_separator  */
#line 2316 "parser_bison.y"
                        {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 10358 "parser_bison.c"
    break;

  case 336: /* set_mechanism: "policy" set_policy_spec close_scope_policy  */
#line 2328 "parser_bison.y"
                        {
				(yyvsp[-3].set)->policy = (yyvsp[-1].val);
			}
#line 10366 "parser_bison.c"
    break;

  case 337: /* set_mechanism: "size" "number"  */
#line 2332 "parser_bison.y"
                        {
				(yyvsp[-2].set)->desc.size = (yyvsp[0].val);
			}
#line 10374 "parser_bison.c"
    break;

  case 338: /* set_policy_spec: "performance"  */
#line 2337 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_POL_PERFORMANCE; }
#line 10380 "parser_bison.c"
    break;

  case 339: /* set_policy_spec: "memory"  */
#line 2338 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_POL_MEMORY; }
#line 10386 "parser_bison.c"
    break;

  case 340: /* flowtable_block_alloc: %empty  */
#line 2342 "parser_bison.y"
                        {
				(yyval.flowtable) = flowtable_alloc(&internal_location);
			}
#line 10394 "parser_bison.c"
    break;

  case 341: /* flowtable_block: %empty  */
#line 2347 "parser_bison.y"
                                                { (yyval.flowtable) = (yyvsp[(-1) - (0)].flowtable); }
#line 10400 "parser_bison.c"
    break;

  case 344: /* flowtable_block: flowtable_block "hook" "string" prio_spec stmt_separator  */
#line 2351 "parser_bison.y"
                        {
				(yyval.flowtable)->hook.loc = (yylsp[-2]);
				(yyval.flowtable)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyval.flowtable)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyval.flowtable)->priority = (yyvsp[-1].prio_spec);
			}
#line 10418 "parser_bison.c"
    break;

  case 345: /* flowtable_block: flowtable_block "devices" '=' flowtable_expr stmt_separator  */
#line 2365 "parser_bison.y"
                        {
				(yyval.flowtable)->dev_expr = (yyvsp[-1].expr);
			}
#line 10426 "parser_bison.c"
    break;

  case 346: /* flowtable_block: flowtable_block "counter" close_scope_counter  */
#line 2369 "parser_bison.y"
                        {
				(yyval.flowtable)->flags |= NFT_FLOWTABLE_COUNTER;
			}
#line 10434 "parser_bison.c"
    break;

  case 347: /* flowtable_block: flowtable_block "flags" "offload" stmt_separator  */
#line 2373 "parser_bison.y"
                        {
				(yyval.flowtable)->flags |= FLOWTABLE_F_HW_OFFLOAD;
			}
#line 10442 "parser_bison.c"
    break;

  case 348: /* flowtable_expr: '{' flowtable_list_expr '}'  */
#line 2379 "parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10451 "parser_bison.c"
    break;

  case 349: /* flowtable_expr: variable_expr  */
#line 2384 "parser_bison.y"
                        {
				(yyvsp[0].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10460 "parser_bison.c"
    break;

  case 350: /* flowtable_list_expr: flowtable_expr_member  */
#line 2391 "parser_bison.y"
                        {
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10469 "parser_bison.c"
    break;

  case 351: /* flowtable_list_expr: flowtable_list_expr "comma" flowtable_expr_member  */
#line 2396 "parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 10478 "parser_bison.c"
    break;

  case 353: /* flowtable_expr_member: "quoted string"  */
#line 2404 "parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = expr;
			}
#line 10491 "parser_bison.c"
    break;

  case 354: /* flowtable_expr_member: "string"  */
#line 2413 "parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = expr;
			}
#line 10504 "parser_bison.c"
    break;

  case 355: /* flowtable_expr_member: variable_expr  */
#line 2422 "parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10513 "parser_bison.c"
    break;

  case 356: /* data_type_atom_expr: type_identifier  */
#line 2429 "parser_bison.y"
                        {
				const struct datatype *dtype = datatype_lookup_byname((yyvsp[0].string));
				if (dtype == NULL) {
					erec_queue(error(&(yylsp[0]), "unknown datatype %s", (yyvsp[0].string)),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), dtype, dtype->byteorder,
							 dtype->size, NULL);
				xfree((yyvsp[0].string));
			}
#line 10530 "parser_bison.c"
    break;

  case 357: /* data_type_atom_expr: "time"  */
#line 2442 "parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), &time_type, time_type.byteorder,
							 time_type.size, NULL);
			}
#line 10539 "parser_bison.c"
    break;

  case 359: /* data_type_expr: data_type_expr "." data_type_atom_expr  */
#line 2450 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10552 "parser_bison.c"
    break;

  case 360: /* obj_block_alloc: %empty  */
#line 2461 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&internal_location);
			}
#line 10560 "parser_bison.c"
    break;

  case 361: /* counter_block: %empty  */
#line 2466 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10566 "parser_bison.c"
    break;

  case 364: /* counter_block: counter_block counter_config  */
#line 2470 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10574 "parser_bison.c"
    break;

  case 365: /* counter_block: counter_block comment_spec  */
#line 2474 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10586 "parser_bison.c"
    break;

  case 366: /* quota_block: %empty  */
#line 2483 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10592 "parser_bison.c"
    break;

  case 369: /* quota_block: quota_block quota_config  */
#line 2487 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10600 "parser_bison.c"
    break;

  case 370: /* quota_block: quota_block comment_spec  */
#line 2491 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10612 "parser_bison.c"
    break;

  case 371: /* ct_helper_block: %empty  */
#line 2500 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10618 "parser_bison.c"
    break;

  case 374: /* ct_helper_block: ct_helper_block ct_helper_config  */
#line 2504 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10626 "parser_bison.c"
    break;

  case 375: /* ct_helper_block: ct_helper_block comment_spec  */
#line 2508 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10638 "parser_bison.c"
    break;

  case 376: /* ct_timeout_block: %empty  */
#line 2518 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[(-1) - (0)].obj);
				init_list_head(&(yyval.obj)->ct_timeout.timeout_list);
			}
#line 10647 "parser_bison.c"
    break;

  case 379: /* ct_timeout_block: ct_timeout_block ct_timeout_config  */
#line 2525 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10655 "parser_bison.c"
    break;

  case 380: /* ct_timeout_block: ct_timeout_block comment_spec  */
#line 2529 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10667 "parser_bison.c"
    break;

  case 381: /* ct_expect_block: %empty  */
#line 2538 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10673 "parser_bison.c"
    break;

  case 384: /* ct_expect_block: ct_expect_block ct_expect_config  */
#line 2542 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10681 "parser_bison.c"
    break;

  case 385: /* ct_expect_block: ct_expect_block comment_spec  */
#line 2546 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10693 "parser_bison.c"
    break;

  case 386: /* limit_block: %empty  */
#line 2555 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10699 "parser_bison.c"
    break;

  case 389: /* limit_block: limit_block limit_config  */
#line 2559 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10707 "parser_bison.c"
    break;

  case 390: /* limit_block: limit_block comment_spec  */
#line 2563 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10719 "parser_bison.c"
    break;

  case 391: /* secmark_block: %empty  */
#line 2572 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10725 "parser_bison.c"
    break;

  case 394: /* secmark_block: secmark_block secmark_config  */
#line 2576 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10733 "parser_bison.c"
    break;

  case 395: /* secmark_block: secmark_block comment_spec  */
#line 2580 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10745 "parser_bison.c"
    break;

  case 396: /* synproxy_block: %empty  */
#line 2589 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10751 "parser_bison.c"
    break;

  case 399: /* synproxy_block: synproxy_block synproxy_config  */
#line 2593 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10759 "parser_bison.c"
    break;

  case 400: /* synproxy_block: synproxy_block comment_spec  */
#line 2597 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10771 "parser_bison.c"
    break;

  case 401: /* type_identifier: "string"  */
#line 2606 "parser_bison.y"
                                        { (yyval.string) = (yyvsp[0].string); }
#line 10777 "parser_bison.c"
    break;

  case 402: /* type_identifier: "mark"  */
#line 2607 "parser_bison.y"
                                        { (yyval.string) = xstrdup("mark"); }
#line 10783 "parser_bison.c"
    break;

  case 403: /* type_identifier: "dscp"  */
#line 2608 "parser_bison.y"
                                        { (yyval.string) = xstrdup("dscp"); }
#line 10789 "parser_bison.c"
    break;

  case 404: /* type_identifier: "ecn"  */
#line 2609 "parser_bison.y"
                                        { (yyval.string) = xstrdup("ecn"); }
#line 10795 "parser_bison.c"
    break;

  case 405: /* type_identifier: "classid"  */
#line 2610 "parser_bison.y"
                                        { (yyval.string) = xstrdup("classid"); }
#line 10801 "parser_bison.c"
    break;

  case 406: /* hook_spec: "type" close_scope_type "string" "hook" "string" dev_spec prio_spec  */
#line 2614 "parser_bison.y"
                        {
				const char *chain_type = chain_type_name_lookup((yyvsp[-4].string));

				if (chain_type == NULL) {
					erec_queue(error(&(yylsp[-4]), "unknown chain type"),
						   state->msgs);
					xfree((yyvsp[-4].string));
					YYERROR;
				}
				(yyvsp[-7].chain)->type.loc = (yylsp[-4]);
				(yyvsp[-7].chain)->type.str = xstrdup(chain_type);
				xfree((yyvsp[-4].string));

				(yyvsp[-7].chain)->loc = (yyloc);
				(yyvsp[-7].chain)->hook.loc = (yylsp[-2]);
				(yyvsp[-7].chain)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyvsp[-7].chain)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyvsp[-7].chain)->dev_expr	= (yyvsp[-1].expr);
				(yyvsp[-7].chain)->priority	= (yyvsp[0].prio_spec);
				(yyvsp[-7].chain)->flags	|= CHAIN_F_BASECHAIN;
			}
#line 10834 "parser_bison.c"
    break;

  case 407: /* prio_spec: "priority" extended_prio_spec  */
#line 2645 "parser_bison.y"
                        {
				(yyval.prio_spec) = (yyvsp[0].prio_spec);
				(yyval.prio_spec).loc = (yyloc);
			}
#line 10843 "parser_bison.c"
    break;

  case 408: /* extended_prio_name: "out"  */
#line 2652 "parser_bison.y"
                        {
				(yyval.string) = strdup("out");
			}
#line 10851 "parser_bison.c"
    break;

  case 410: /* extended_prio_spec: int_num  */
#line 2659 "parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &integer_type,
								BYTEORDER_HOST_ENDIAN,
								sizeof(int) *
								BITS_PER_BYTE, &(yyvsp[0].val32));
				(yyval.prio_spec) = spec;
			}
#line 10865 "parser_bison.c"
    break;

  case 411: /* extended_prio_spec: variable_expr  */
#line 2669 "parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = (yyvsp[0].expr);
				(yyval.prio_spec) = spec;
			}
#line 10876 "parser_bison.c"
    break;

  case 412: /* extended_prio_spec: extended_prio_name  */
#line 2676 "parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen((yyvsp[0].string)) * BITS_PER_BYTE,
								(yyvsp[0].string));
				xfree((yyvsp[0].string));
				(yyval.prio_spec) = spec;
			}
#line 10891 "parser_bison.c"
    break;

  case 413: /* extended_prio_spec: extended_prio_name "+" "number"  */
#line 2687 "parser_bison.y"
                        {
				struct prio_spec spec = {0};

				char str[NFT_NAME_MAXLEN];
				snprintf(str, sizeof(str), "%s + %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				xfree((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 10908 "parser_bison.c"
    break;

  case 414: /* extended_prio_spec: extended_prio_name "-" "number"  */
#line 2700 "parser_bison.y"
                        {
				struct prio_spec spec = {0};
				char str[NFT_NAME_MAXLEN];

				snprintf(str, sizeof(str), "%s - %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				xfree((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 10925 "parser_bison.c"
    break;

  case 415: /* int_num: "number"  */
#line 2714 "parser_bison.y"
                                                        { (yyval.val32) = (yyvsp[0].val); }
#line 10931 "parser_bison.c"
    break;

  case 416: /* int_num: "-" "number"  */
#line 2715 "parser_bison.y"
                                                        { (yyval.val32) = -(yyvsp[0].val); }
#line 10937 "parser_bison.c"
    break;

  case 417: /* dev_spec: "device" string  */
#line 2719 "parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), expr);

			}
#line 10952 "parser_bison.c"
    break;

  case 418: /* dev_spec: "device" variable_expr  */
#line 2730 "parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10962 "parser_bison.c"
    break;

  case 419: /* dev_spec: "devices" '=' flowtable_expr  */
#line 2736 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10970 "parser_bison.c"
    break;

  case 420: /* dev_spec: %empty  */
#line 2739 "parser_bison.y"
                                                        { (yyval.expr) = NULL; }
#line 10976 "parser_bison.c"
    break;

  case 421: /* flags_spec: "flags" "offload"  */
#line 2743 "parser_bison.y"
                        {
				(yyvsp[-2].chain)->flags |= CHAIN_F_HW_OFFLOAD;
			}
#line 10984 "parser_bison.c"
    break;

  case 422: /* policy_spec: "policy" policy_expr close_scope_policy  */
#line 2749 "parser_bison.y"
                        {
				if ((yyvsp[-3].chain)->policy) {
					erec_queue(error(&(yyloc), "you cannot set chain policy twice"),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}
				(yyvsp[-3].chain)->policy		= (yyvsp[-1].expr);
				(yyvsp[-3].chain)->policy->location	= (yyloc);
			}
#line 10999 "parser_bison.c"
    break;

  case 423: /* policy_expr: variable_expr  */
#line 2762 "parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &policy_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 11008 "parser_bison.c"
    break;

  case 424: /* policy_expr: chain_policy  */
#line 2767 "parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(int) *
							 BITS_PER_BYTE, &(yyvsp[0].val32));
			}
#line 11019 "parser_bison.c"
    break;

  case 425: /* chain_policy: "accept"  */
#line 2775 "parser_bison.y"
                                                { (yyval.val32) = NF_ACCEPT; }
#line 11025 "parser_bison.c"
    break;

  case 426: /* chain_policy: "drop"  */
#line 2776 "parser_bison.y"
                                                { (yyval.val32) = NF_DROP;   }
#line 11031 "parser_bison.c"
    break;

  case 428: /* identifier: "last"  */
#line 2780 "parser_bison.y"
                                                { (yyval.string) = xstrdup("last"); }
#line 11037 "parser_bison.c"
    break;

  case 432: /* time_spec: "string"  */
#line 2789 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t res;

				erec = time_parse(&(yylsp[0]), (yyvsp[0].string), &res);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = res;
			}
#line 11054 "parser_bison.c"
    break;

  case 434: /* time_spec_or_num_s: time_spec  */
#line 2805 "parser_bison.y"
                                          { (yyval.val) = (yyvsp[0].val) / 1000u; }
#line 11060 "parser_bison.c"
    break;

  case 435: /* family_spec: %empty  */
#line 2808 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV4; }
#line 11066 "parser_bison.c"
    break;

  case 437: /* family_spec_explicit: "ip" close_scope_ip  */
#line 2812 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV4; }
#line 11072 "parser_bison.c"
    break;

  case 438: /* family_spec_explicit: "ip6" close_scope_ip6  */
#line 2813 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV6; }
#line 11078 "parser_bison.c"
    break;

  case 439: /* family_spec_explicit: "inet"  */
#line 2814 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_INET; }
#line 11084 "parser_bison.c"
    break;

  case 440: /* family_spec_explicit: "arp" close_scope_arp  */
#line 2815 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_ARP; }
#line 11090 "parser_bison.c"
    break;

  case 441: /* family_spec_explicit: "bridge"  */
#line 2816 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_BRIDGE; }
#line 11096 "parser_bison.c"
    break;

  case 442: /* family_spec_explicit: "netdev"  */
#line 2817 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_NETDEV; }
#line 11102 "parser_bison.c"
    break;

  case 443: /* table_spec: family_spec identifier  */
#line 2821 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[-1].val);
				(yyval.handle).table.location = (yylsp[0]);
				(yyval.handle).table.name	= (yyvsp[0].string);
			}
#line 11113 "parser_bison.c"
    break;

  case 444: /* tableid_spec: family_spec "handle" "number"  */
#line 2830 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family 		= (yyvsp[-2].val);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
				(yyval.handle).handle.location	= (yylsp[0]);
			}
#line 11124 "parser_bison.c"
    break;

  case 445: /* chain_spec: table_spec identifier  */
#line 2839 "parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).chain.name	= (yyvsp[0].string);
				(yyval.handle).chain.location = (yylsp[0]);
			}
#line 11134 "parser_bison.c"
    break;

  case 446: /* chainid_spec: table_spec "handle" "number"  */
#line 2847 "parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 11144 "parser_bison.c"
    break;

  case 447: /* chain_identifier: identifier  */
#line 2855 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).chain.name		= (yyvsp[0].string);
				(yyval.handle).chain.location	= (yylsp[0]);
			}
#line 11154 "parser_bison.c"
    break;

  case 448: /* set_spec: table_spec identifier  */
#line 2863 "parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 11164 "parser_bison.c"
    break;

  case 449: /* setid_spec: table_spec "handle" "number"  */
#line 2871 "parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 11174 "parser_bison.c"
    break;

  case 450: /* set_identifier: identifier  */
#line 2879 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 11184 "parser_bison.c"
    break;

  case 451: /* flowtable_spec: table_spec identifier  */
#line 2887 "parser_bison.y"
                        {
				(yyval.handle)			= (yyvsp[-1].handle);
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 11194 "parser_bison.c"
    break;

  case 452: /* flowtableid_spec: table_spec "handle" "number"  */
#line 2895 "parser_bison.y"
                        {
				(yyval.handle)			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11204 "parser_bison.c"
    break;

  case 453: /* flowtable_identifier: identifier  */
#line 2903 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 11214 "parser_bison.c"
    break;

  case 454: /* obj_spec: table_spec identifier  */
#line 2911 "parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).obj.name	= (yyvsp[0].string);
				(yyval.handle).obj.location	= (yylsp[0]);
			}
#line 11224 "parser_bison.c"
    break;

  case 455: /* objid_spec: table_spec "handle" "number"  */
#line 2919 "parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11234 "parser_bison.c"
    break;

  case 456: /* obj_identifier: identifier  */
#line 2927 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).obj.name		= (yyvsp[0].string);
				(yyval.handle).obj.location		= (yylsp[0]);
			}
#line 11244 "parser_bison.c"
    break;

  case 457: /* handle_spec: "handle" "number"  */
#line 2935 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11254 "parser_bison.c"
    break;

  case 458: /* position_spec: "position" "number"  */
#line 2943 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).position.location	= (yyloc);
				(yyval.handle).position.id		= (yyvsp[0].val);
			}
#line 11264 "parser_bison.c"
    break;

  case 459: /* index_spec: "index" "number"  */
#line 2951 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).index.location	= (yyloc);
				(yyval.handle).index.id		= (yyvsp[0].val) + 1;
			}
#line 11274 "parser_bison.c"
    break;

  case 460: /* rule_position: chain_spec  */
#line 2959 "parser_bison.y"
                        {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 11282 "parser_bison.c"
    break;

  case 461: /* rule_position: chain_spec position_spec  */
#line 2963 "parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11291 "parser_bison.c"
    break;

  case 462: /* rule_position: chain_spec handle_spec  */
#line 2968 "parser_bison.y"
                        {
				(yyvsp[0].handle).position.location = (yyvsp[0].handle).handle.location;
				(yyvsp[0].handle).position.id = (yyvsp[0].handle).handle.id;
				(yyvsp[0].handle).handle.id = 0;
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11303 "parser_bison.c"
    break;

  case 463: /* rule_position: chain_spec index_spec  */
#line 2976 "parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11312 "parser_bison.c"
    break;

  case 464: /* ruleid_spec: chain_spec handle_spec  */
#line 2983 "parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11321 "parser_bison.c"
    break;

  case 465: /* comment_spec: "comment" string  */
#line 2990 "parser_bison.y"
                        {
				if (strlen((yyvsp[0].string)) > NFTNL_UDATA_COMMENT_MAXLEN) {
					erec_queue(error(&(yylsp[0]), "comment too long, %d characters maximum allowed",
							 NFTNL_UDATA_COMMENT_MAXLEN),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyval.string) = (yyvsp[0].string);
			}
#line 11336 "parser_bison.c"
    break;

  case 466: /* ruleset_spec: %empty  */
#line 3003 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= NFPROTO_UNSPEC;
			}
#line 11345 "parser_bison.c"
    break;

  case 467: /* ruleset_spec: family_spec_explicit  */
#line 3008 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[0].val);
			}
#line 11354 "parser_bison.c"
    break;

  case 468: /* rule: rule_alloc  */
#line 3015 "parser_bison.y"
                        {
				(yyval.rule)->comment = NULL;
			}
#line 11362 "parser_bison.c"
    break;

  case 469: /* rule: rule_alloc comment_spec  */
#line 3019 "parser_bison.y"
                        {
				(yyval.rule)->comment = (yyvsp[0].string);
			}
#line 11370 "parser_bison.c"
    break;

  case 470: /* rule_alloc: stmt_list  */
#line 3025 "parser_bison.y"
                        {
				struct stmt *i;

				(yyval.rule) = rule_alloc(&(yyloc), NULL);
				list_for_each_entry(i, (yyvsp[0].list), list)
					(yyval.rule)->num_stmts++;
				list_splice_tail((yyvsp[0].list), &(yyval.rule)->stmts);
				xfree((yyvsp[0].list));
			}
#line 11384 "parser_bison.c"
    break;

  case 471: /* stmt_list: stmt  */
#line 3037 "parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 11394 "parser_bison.c"
    break;

  case 472: /* stmt_list: stmt_list stmt  */
#line 3043 "parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 11403 "parser_bison.c"
    break;

  case 473: /* stateful_stmt_list: stateful_stmt  */
#line 3050 "parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 11413 "parser_bison.c"
    break;

  case 474: /* stateful_stmt_list: stateful_stmt_list stateful_stmt  */
#line 3056 "parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 11422 "parser_bison.c"
    break;

  case 502: /* xt_stmt: "xt" "string" string  */
#line 3094 "parser_bison.y"
                        {
				(yyval.stmt) = NULL;
				xfree((yyvsp[-1].string));
				xfree((yyvsp[0].string));
				erec_queue(error(&(yyloc), "unsupported xtables compat expression, use iptables-nft with this ruleset"),
					   state->msgs);
				YYERROR;
			}
#line 11435 "parser_bison.c"
    break;

  case 503: /* chain_stmt_type: "jump"  */
#line 3104 "parser_bison.y"
                                        { (yyval.val) = NFT_JUMP; }
#line 11441 "parser_bison.c"
    break;

  case 504: /* chain_stmt_type: "goto"  */
#line 3105 "parser_bison.y"
                                        { (yyval.val) = NFT_GOTO; }
#line 11447 "parser_bison.c"
    break;

  case 505: /* chain_stmt: chain_stmt_type chain_block_alloc '{' subchain_block '}'  */
#line 3109 "parser_bison.y"
                        {
				(yyvsp[-3].chain)->location = (yylsp[-3]);
				close_scope(state);
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				(yyval.stmt) = chain_stmt_alloc(&(yyloc), (yyvsp[-1].chain), (yyvsp[-4].val));
			}
#line 11458 "parser_bison.c"
    break;

  case 506: /* verdict_stmt: verdict_expr  */
#line 3118 "parser_bison.y"
                        {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 11466 "parser_bison.c"
    break;

  case 507: /* verdict_stmt: verdict_map_stmt  */
#line 3122 "parser_bison.y"
                        {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 11474 "parser_bison.c"
    break;

  case 508: /* verdict_map_stmt: concat_expr "vmap" verdict_map_expr  */
#line 3128 "parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11482 "parser_bison.c"
    break;

  case 509: /* verdict_map_expr: '{' verdict_map_list_expr '}'  */
#line 3134 "parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11491 "parser_bison.c"
    break;

  case 511: /* verdict_map_list_expr: verdict_map_list_member_expr  */
#line 3142 "parser_bison.y"
                        {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 11500 "parser_bison.c"
    break;

  case 512: /* verdict_map_list_expr: verdict_map_list_expr "comma" verdict_map_list_member_expr  */
#line 3147 "parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 11509 "parser_bison.c"
    break;

  case 514: /* verdict_map_list_member_expr: opt_newline set_elem_expr "colon" verdict_expr opt_newline  */
#line 3155 "parser_bison.y"
                        {
				(yyval.expr) = mapping_expr_alloc(&(yylsp[-3]), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 11517 "parser_bison.c"
    break;

  case 515: /* connlimit_stmt: "ct" "count" "number" close_scope_ct  */
#line 3161 "parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 11526 "parser_bison.c"
    break;

  case 516: /* connlimit_stmt: "ct" "count" "over" "number" close_scope_ct  */
#line 3166 "parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 11536 "parser_bison.c"
    break;

  case 519: /* counter_stmt_alloc: "counter"  */
#line 3177 "parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 11544 "parser_bison.c"
    break;

  case 520: /* counter_stmt_alloc: "counter" "name" stmt_expr  */
#line 3181 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_COUNTER;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 11554 "parser_bison.c"
    break;

  case 521: /* counter_args: counter_arg  */
#line 3189 "parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11562 "parser_bison.c"
    break;

  case 523: /* counter_arg: "packets" "number"  */
#line 3196 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->counter.packets = (yyvsp[0].val);
			}
#line 11570 "parser_bison.c"
    break;

  case 524: /* counter_arg: "bytes" "number"  */
#line 3200 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->counter.bytes	 = (yyvsp[0].val);
			}
#line 11578 "parser_bison.c"
    break;

  case 525: /* last_stmt: "last"  */
#line 3206 "parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 11586 "parser_bison.c"
    break;

  case 526: /* last_stmt: "last" "used" "never"  */
#line 3210 "parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 11594 "parser_bison.c"
    break;

  case 527: /* last_stmt: "last" "used" time_spec  */
#line 3214 "parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
				(yyval.stmt)->last.used = (yyvsp[0].val);
				(yyval.stmt)->last.set = true;
			}
#line 11604 "parser_bison.c"
    break;

  case 530: /* log_stmt_alloc: "log"  */
#line 3226 "parser_bison.y"
                        {
				(yyval.stmt) = log_stmt_alloc(&(yyloc));
			}
#line 11612 "parser_bison.c"
    break;

  case 531: /* log_args: log_arg  */
#line 3232 "parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11620 "parser_bison.c"
    break;

  case 533: /* log_arg: "prefix" string  */
#line 3239 "parser_bison.y"
                        {
				struct scope *scope = current_scope(state);
				bool done = false, another_var = false;
				char *start, *end, scratch = '\0';
				struct expr *expr, *item;
				struct symbol *sym;
				enum {
					PARSE_TEXT,
					PARSE_VAR,
				} prefix_state;

				/* No variables in log prefix, skip. */
				if (!strchr((yyvsp[0].string), '$')) {
					expr = constant_expr_alloc(&(yyloc), &string_type,
								   BYTEORDER_HOST_ENDIAN,
								   (strlen((yyvsp[0].string)) + 1) * BITS_PER_BYTE, (yyvsp[0].string));
					xfree((yyvsp[0].string));
					(yyvsp[-2].stmt)->log.prefix = expr;
					(yyvsp[-2].stmt)->log.flags |= STMT_LOG_PREFIX;
					break;
				}

				/* Parse variables in log prefix string using a
				 * state machine parser with two states. This
				 * parser creates list of expressions composed
				 * of constant and variable expressions.
				 */
				expr = compound_expr_alloc(&(yyloc), EXPR_LIST);

				start = (char *)(yyvsp[0].string);

				if (*start != '$') {
					prefix_state = PARSE_TEXT;
				} else {
					prefix_state = PARSE_VAR;
					start++;
				}
				end = start;

				/* Not nice, but works. */
				while (!done) {
					switch (prefix_state) {
					case PARSE_TEXT:
						while (*end != '\0' && *end != '$')
							end++;

						if (*end == '\0')
							done = true;

						*end = '\0';
						item = constant_expr_alloc(&(yyloc), &string_type,
									   BYTEORDER_HOST_ENDIAN,
									   (strlen(start) + 1) * BITS_PER_BYTE,
									   start);
						compound_expr_add(expr, item);

						if (done)
							break;

						start = end + 1;
						end = start;

						/* fall through */
					case PARSE_VAR:
						while (isalnum(*end) || *end == '_')
							end++;

						if (*end == '\0')
							done = true;
						else if (*end == '$')
							another_var = true;
						else
							scratch = *end;

						*end = '\0';

						sym = symbol_get(scope, start);
						if (!sym) {
							sym = symbol_lookup_fuzzy(scope, start);
							if (sym) {
								erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
										 "did you mean identifier ‘%s’?",
										 start, sym->identifier),
									   state->msgs);
							} else {
								erec_queue(error(&(yylsp[0]), "unknown identifier '%s'",
										 start),
									   state->msgs);
							}
							expr_free(expr);
							xfree((yyvsp[0].string));
							YYERROR;
						}
						item = variable_expr_alloc(&(yyloc), scope, sym);
						compound_expr_add(expr, item);

						if (done)
							break;

						/* Restore original byte after
						 * symbol lookup.
						 */
						if (scratch) {
							*end = scratch;
							scratch = '\0';
						}

						start = end;
						if (another_var) {
							another_var = false;
							start++;
							prefix_state = PARSE_VAR;
						} else {
							prefix_state = PARSE_TEXT;
						}
						end = start;
						break;
					}
				}

				xfree((yyvsp[0].string));
				(yyvsp[-2].stmt)->log.prefix	 = expr;
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_PREFIX;
			}
#line 11749 "parser_bison.c"
    break;

  case 534: /* log_arg: "group" "number"  */
#line 3364 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.group	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_GROUP;
			}
#line 11758 "parser_bison.c"
    break;

  case 535: /* log_arg: "snaplen" "number"  */
#line 3369 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.snaplen	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_SNAPLEN;
			}
#line 11767 "parser_bison.c"
    break;

  case 536: /* log_arg: "queue-threshold" "number"  */
#line 3374 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.qthreshold = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_QTHRESHOLD;
			}
#line 11776 "parser_bison.c"
    break;

  case 537: /* log_arg: "level" level_type  */
#line 3379 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.level	= (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_LEVEL;
			}
#line 11785 "parser_bison.c"
    break;

  case 538: /* log_arg: "flags" log_flags  */
#line 3384 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.logflags	|= (yyvsp[0].val);
			}
#line 11793 "parser_bison.c"
    break;

  case 539: /* level_type: string  */
#line 3390 "parser_bison.y"
                        {
				if (!strcmp("emerg", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_EMERG;
				else if (!strcmp("alert", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ALERT;
				else if (!strcmp("crit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_CRIT;
				else if (!strcmp("err", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ERR;
				else if (!strcmp("warn", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_WARNING;
				else if (!strcmp("notice", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_NOTICE;
				else if (!strcmp("info", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_INFO;
				else if (!strcmp("debug", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_DEBUG;
				else if (!strcmp("audit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_AUDIT;
				else {
					erec_queue(error(&(yylsp[0]), "invalid log level"),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 11825 "parser_bison.c"
    break;

  case 540: /* log_flags: "tcp" log_flags_tcp close_scope_tcp  */
#line 3420 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-1].val);
			}
#line 11833 "parser_bison.c"
    break;

  case 541: /* log_flags: "ip" "options" close_scope_ip  */
#line 3424 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_IPOPT;
			}
#line 11841 "parser_bison.c"
    break;

  case 542: /* log_flags: "skuid"  */
#line 3428 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_UID;
			}
#line 11849 "parser_bison.c"
    break;

  case 543: /* log_flags: "ether" close_scope_eth  */
#line 3432 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_MACDECODE;
			}
#line 11857 "parser_bison.c"
    break;

  case 544: /* log_flags: "all"  */
#line 3436 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_MASK;
			}
#line 11865 "parser_bison.c"
    break;

  case 545: /* log_flags_tcp: log_flags_tcp "comma" log_flag_tcp  */
#line 3442 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 11873 "parser_bison.c"
    break;

  case 547: /* log_flag_tcp: "seq"  */
#line 3449 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_TCPSEQ;
			}
#line 11881 "parser_bison.c"
    break;

  case 548: /* log_flag_tcp: "options"  */
#line 3453 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_TCPOPT;
			}
#line 11889 "parser_bison.c"
    break;

  case 549: /* limit_stmt: "limit" "rate" limit_mode limit_rate_pkts limit_burst_pkts close_scope_limit  */
#line 3459 "parser_bison.y"
                        {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "packet limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 11907 "parser_bison.c"
    break;

  case 550: /* limit_stmt: "limit" "rate" limit_mode limit_rate_bytes limit_burst_bytes close_scope_limit  */
#line 3473 "parser_bison.y"
                        {
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 11920 "parser_bison.c"
    break;

  case 551: /* limit_stmt: "limit" "name" stmt_expr close_scope_limit  */
#line 3482 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_LIMIT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11930 "parser_bison.c"
    break;

  case 552: /* quota_mode: "over"  */
#line 3489 "parser_bison.y"
                                                { (yyval.val) = NFT_QUOTA_F_INV; }
#line 11936 "parser_bison.c"
    break;

  case 553: /* quota_mode: "until"  */
#line 3490 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 11942 "parser_bison.c"
    break;

  case 554: /* quota_mode: %empty  */
#line 3491 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 11948 "parser_bison.c"
    break;

  case 555: /* quota_unit: "bytes"  */
#line 3494 "parser_bison.y"
                                                { (yyval.string) = xstrdup("bytes"); }
#line 11954 "parser_bison.c"
    break;

  case 556: /* quota_unit: "string"  */
#line 3495 "parser_bison.y"
                                                { (yyval.string) = (yyvsp[0].string); }
#line 11960 "parser_bison.c"
    break;

  case 557: /* quota_used: %empty  */
#line 3498 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 11966 "parser_bison.c"
    break;

  case 558: /* quota_used: "used" "number" quota_unit  */
#line 3500 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 11983 "parser_bison.c"
    break;

  case 559: /* quota_stmt: "quota" quota_mode "number" quota_unit quota_used close_scope_quota  */
#line 3515 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-2].string), &rate);
				xfree((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-3].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[-1].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-4].val);
			}
#line 12003 "parser_bison.c"
    break;

  case 560: /* quota_stmt: "quota" "name" stmt_expr close_scope_quota  */
#line 3531 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_QUOTA;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 12013 "parser_bison.c"
    break;

  case 561: /* limit_mode: "over"  */
#line 3538 "parser_bison.y"
                                                                { (yyval.val) = NFT_LIMIT_F_INV; }
#line 12019 "parser_bison.c"
    break;

  case 562: /* limit_mode: "until"  */
#line 3539 "parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 12025 "parser_bison.c"
    break;

  case 563: /* limit_mode: %empty  */
#line 3540 "parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 12031 "parser_bison.c"
    break;

  case 564: /* limit_burst_pkts: %empty  */
#line 3543 "parser_bison.y"
                                                                { (yyval.val) = 5; }
#line 12037 "parser_bison.c"
    break;

  case 565: /* limit_burst_pkts: "burst" "number" "packets"  */
#line 3544 "parser_bison.y"
                                                                { (yyval.val) = (yyvsp[-1].val); }
#line 12043 "parser_bison.c"
    break;

  case 566: /* limit_rate_pkts: "number" "/" time_unit  */
#line 3548 "parser_bison.y"
                        {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 12052 "parser_bison.c"
    break;

  case 567: /* limit_burst_bytes: %empty  */
#line 3554 "parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 12058 "parser_bison.c"
    break;

  case 568: /* limit_burst_bytes: "burst" limit_bytes  */
#line 3555 "parser_bison.y"
                                                                { (yyval.val) = (yyvsp[0].val); }
#line 12064 "parser_bison.c"
    break;

  case 569: /* limit_rate_bytes: "number" "string"  */
#line 3559 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[0].string), &rate, &unit);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.limit_rate).rate = rate * (yyvsp[-1].val);
				(yyval.limit_rate).unit = unit;
			}
#line 12082 "parser_bison.c"
    break;

  case 570: /* limit_rate_bytes: limit_bytes "/" time_unit  */
#line 3573 "parser_bison.y"
                        {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 12091 "parser_bison.c"
    break;

  case 571: /* limit_bytes: "number" "bytes"  */
#line 3579 "parser_bison.y"
                                                        { (yyval.val) = (yyvsp[-1].val); }
#line 12097 "parser_bison.c"
    break;

  case 572: /* limit_bytes: "number" "string"  */
#line 3581 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 12114 "parser_bison.c"
    break;

  case 573: /* time_unit: "second"  */
#line 3595 "parser_bison.y"
                                                { (yyval.val) = 1ULL; }
#line 12120 "parser_bison.c"
    break;

  case 574: /* time_unit: "minute"  */
#line 3596 "parser_bison.y"
                                                { (yyval.val) = 1ULL * 60; }
#line 12126 "parser_bison.c"
    break;

  case 575: /* time_unit: "hour"  */
#line 3597 "parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60; }
#line 12132 "parser_bison.c"
    break;

  case 576: /* time_unit: "day"  */
#line 3598 "parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60 * 24; }
#line 12138 "parser_bison.c"
    break;

  case 577: /* time_unit: "week"  */
#line 3599 "parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60 * 24 * 7; }
#line 12144 "parser_bison.c"
    break;

  case 579: /* reject_stmt_alloc: "reject"  */
#line 3606 "parser_bison.y"
                        {
				(yyval.stmt) = reject_stmt_alloc(&(yyloc));
			}
#line 12152 "parser_bison.c"
    break;

  case 580: /* reject_with_expr: "string"  */
#line 3612 "parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state), (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 12162 "parser_bison.c"
    break;

  case 581: /* reject_with_expr: integer_expr  */
#line 3617 "parser_bison.y"
                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12168 "parser_bison.c"
    break;

  case 582: /* reject_opts: %empty  */
#line 3621 "parser_bison.y"
                        {
				(yyvsp[0].stmt)->reject.type = -1;
				(yyvsp[0].stmt)->reject.icmp_code = -1;
			}
#line 12177 "parser_bison.c"
    break;

  case 583: /* reject_opts: "with" "icmp" "type" reject_with_expr close_scope_type close_scope_icmp  */
#line 3626 "parser_bison.y"
                        {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &icmp_code_type);
			}
#line 12188 "parser_bison.c"
    break;

  case 584: /* reject_opts: "with" "icmp" reject_with_expr  */
#line 3633 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmp_code_type);
			}
#line 12199 "parser_bison.c"
    break;

  case 585: /* reject_opts: "with" "icmpv6" "type" reject_with_expr close_scope_type close_scope_icmp  */
#line 3640 "parser_bison.y"
                        {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &icmpv6_code_type);
			}
#line 12210 "parser_bison.c"
    break;

  case 586: /* reject_opts: "with" "icmpv6" reject_with_expr  */
#line 3647 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmpv6_code_type);
			}
#line 12221 "parser_bison.c"
    break;

  case 587: /* reject_opts: "with" "icmpx" "type" reject_with_expr close_scope_type  */
#line 3654 "parser_bison.y"
                        {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-5].stmt)->reject.expr = (yyvsp[-1].expr);
				datatype_set((yyvsp[-5].stmt)->reject.expr, &icmpx_code_type);
			}
#line 12231 "parser_bison.c"
    break;

  case 588: /* reject_opts: "with" "icmpx" reject_with_expr  */
#line 3660 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmpx_code_type);
			}
#line 12241 "parser_bison.c"
    break;

  case 589: /* reject_opts: "with" "tcp" close_scope_tcp "reset" close_scope_reset  */
#line 3666 "parser_bison.y"
                        {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_TCP_RST;
			}
#line 12249 "parser_bison.c"
    break;

  case 591: /* nat_stmt_alloc: "snat"  */
#line 3674 "parser_bison.y"
                                        { (yyval.stmt) = nat_stmt_alloc(&(yyloc), __NFT_NAT_SNAT); }
#line 12255 "parser_bison.c"
    break;

  case 592: /* nat_stmt_alloc: "dnat"  */
#line 3675 "parser_bison.y"
                                        { (yyval.stmt) = nat_stmt_alloc(&(yyloc), __NFT_NAT_DNAT); }
#line 12261 "parser_bison.c"
    break;

  case 593: /* tproxy_stmt: "tproxy" "to" stmt_expr  */
#line 3679 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 12271 "parser_bison.c"
    break;

  case 594: /* tproxy_stmt: "tproxy" nf_key_proto "to" stmt_expr  */
#line 3685 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-2].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 12281 "parser_bison.c"
    break;

  case 595: /* tproxy_stmt: "tproxy" "to" "colon" stmt_expr  */
#line 3691 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12291 "parser_bison.c"
    break;

  case 596: /* tproxy_stmt: "tproxy" "to" stmt_expr "colon" stmt_expr  */
#line 3697 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12302 "parser_bison.c"
    break;

  case 597: /* tproxy_stmt: "tproxy" nf_key_proto "to" stmt_expr "colon" stmt_expr  */
#line 3704 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-4].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12313 "parser_bison.c"
    break;

  case 598: /* tproxy_stmt: "tproxy" nf_key_proto "to" "colon" stmt_expr  */
#line 3711 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-3].val);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12323 "parser_bison.c"
    break;

  case 601: /* synproxy_stmt_alloc: "synproxy"  */
#line 3723 "parser_bison.y"
                        {
				(yyval.stmt) = synproxy_stmt_alloc(&(yyloc));
			}
#line 12331 "parser_bison.c"
    break;

  case 602: /* synproxy_stmt_alloc: "synproxy" "name" stmt_expr  */
#line 3727 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_SYNPROXY;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 12341 "parser_bison.c"
    break;

  case 603: /* synproxy_args: synproxy_arg  */
#line 3735 "parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 12349 "parser_bison.c"
    break;

  case 605: /* synproxy_arg: "mss" "number"  */
#line 3742 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->synproxy.mss = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_MSS;
			}
#line 12358 "parser_bison.c"
    break;

  case 606: /* synproxy_arg: "wscale" "number"  */
#line 3747 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->synproxy.wscale = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_WSCALE;
			}
#line 12367 "parser_bison.c"
    break;

  case 607: /* synproxy_arg: "timestamp"  */
#line 3752 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 12375 "parser_bison.c"
    break;

  case 608: /* synproxy_arg: "sack-permitted"  */
#line 3756 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 12383 "parser_bison.c"
    break;

  case 609: /* synproxy_config: "mss" "number" "wscale" "number" synproxy_ts synproxy_sack  */
#line 3762 "parser_bison.y"
                        {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-6].obj)->synproxy;
				synproxy->mss = (yyvsp[-4].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-2].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 12403 "parser_bison.c"
    break;

  case 610: /* synproxy_config: "mss" "number" stmt_separator "wscale" "number" stmt_separator synproxy_ts synproxy_sack  */
#line 3778 "parser_bison.y"
                        {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-8].obj)->synproxy;
				synproxy->mss = (yyvsp[-6].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-3].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 12423 "parser_bison.c"
    break;

  case 611: /* synproxy_obj: %empty  */
#line 3796 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SYNPROXY;
			}
#line 12432 "parser_bison.c"
    break;

  case 612: /* synproxy_ts: %empty  */
#line 3802 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12438 "parser_bison.c"
    break;

  case 613: /* synproxy_ts: "timestamp"  */
#line 3804 "parser_bison.y"
                        {
				(yyval.val) = NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 12446 "parser_bison.c"
    break;

  case 614: /* synproxy_sack: %empty  */
#line 3809 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12452 "parser_bison.c"
    break;

  case 615: /* synproxy_sack: "sack-permitted"  */
#line 3811 "parser_bison.y"
                        {
				(yyval.val) = NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 12460 "parser_bison.c"
    break;

  case 616: /* primary_stmt_expr: symbol_expr  */
#line 3816 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12466 "parser_bison.c"
    break;

  case 617: /* primary_stmt_expr: integer_expr  */
#line 3817 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12472 "parser_bison.c"
    break;

  case 618: /* primary_stmt_expr: boolean_expr  */
#line 3818 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12478 "parser_bison.c"
    break;

  case 619: /* primary_stmt_expr: meta_expr  */
#line 3819 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12484 "parser_bison.c"
    break;

  case 620: /* primary_stmt_expr: rt_expr  */
#line 3820 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12490 "parser_bison.c"
    break;

  case 621: /* primary_stmt_expr: ct_expr  */
#line 3821 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12496 "parser_bison.c"
    break;

  case 622: /* primary_stmt_expr: numgen_expr  */
#line 3822 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12502 "parser_bison.c"
    break;

  case 623: /* primary_stmt_expr: hash_expr  */
#line 3823 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12508 "parser_bison.c"
    break;

  case 624: /* primary_stmt_expr: payload_expr  */
#line 3824 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12514 "parser_bison.c"
    break;

  case 625: /* primary_stmt_expr: keyword_expr  */
#line 3825 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12520 "parser_bison.c"
    break;

  case 626: /* primary_stmt_expr: socket_expr  */
#line 3826 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12526 "parser_bison.c"
    break;

  case 627: /* primary_stmt_expr: osf_expr  */
#line 3827 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12532 "parser_bison.c"
    break;

  case 628: /* primary_stmt_expr: '(' basic_stmt_expr ')'  */
#line 3828 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 12538 "parser_bison.c"
    break;

  case 630: /* shift_stmt_expr: shift_stmt_expr "<<" primary_stmt_expr  */
#line 3833 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12546 "parser_bison.c"
    break;

  case 631: /* shift_stmt_expr: shift_stmt_expr ">>" primary_stmt_expr  */
#line 3837 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12554 "parser_bison.c"
    break;

  case 633: /* and_stmt_expr: and_stmt_expr "&" shift_stmt_expr  */
#line 3844 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12562 "parser_bison.c"
    break;

  case 635: /* exclusive_or_stmt_expr: exclusive_or_stmt_expr "^" and_stmt_expr  */
#line 3851 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12570 "parser_bison.c"
    break;

  case 637: /* inclusive_or_stmt_expr: inclusive_or_stmt_expr '|' exclusive_or_stmt_expr  */
#line 3858 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12578 "parser_bison.c"
    break;

  case 640: /* concat_stmt_expr: concat_stmt_expr "." primary_stmt_expr  */
#line 3868 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 12591 "parser_bison.c"
    break;

  case 643: /* map_stmt_expr: concat_stmt_expr "map" map_stmt_expr_set  */
#line 3883 "parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12599 "parser_bison.c"
    break;

  case 644: /* map_stmt_expr: concat_stmt_expr  */
#line 3886 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 12605 "parser_bison.c"
    break;

  case 645: /* prefix_stmt_expr: basic_stmt_expr "/" "number"  */
#line 3890 "parser_bison.y"
                        {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 12613 "parser_bison.c"
    break;

  case 646: /* range_stmt_expr: basic_stmt_expr "-" basic_stmt_expr  */
#line 3896 "parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12621 "parser_bison.c"
    break;

  case 652: /* nat_stmt_args: stmt_expr  */
#line 3911 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12629 "parser_bison.c"
    break;

  case 653: /* nat_stmt_args: "to" stmt_expr  */
#line 3915 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12637 "parser_bison.c"
    break;

  case 654: /* nat_stmt_args: nf_key_proto "to" stmt_expr  */
#line 3919 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.family = (yyvsp[-2].val);
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12646 "parser_bison.c"
    break;

  case 655: /* nat_stmt_args: stmt_expr "colon" stmt_expr  */
#line 3924 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12655 "parser_bison.c"
    break;

  case 656: /* nat_stmt_args: "to" stmt_expr "colon" stmt_expr  */
#line 3929 "parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12664 "parser_bison.c"
    break;

  case 657: /* nat_stmt_args: nf_key_proto "to" stmt_expr "colon" stmt_expr  */
#line 3934 "parser_bison.y"
                        {
				(yyvsp[-5].stmt)->nat.family = (yyvsp[-4].val);
				(yyvsp[-5].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12674 "parser_bison.c"
    break;

  case 658: /* nat_stmt_args: "colon" stmt_expr  */
#line 3940 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12682 "parser_bison.c"
    break;

  case 659: /* nat_stmt_args: "to" "colon" stmt_expr  */
#line 3944 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12690 "parser_bison.c"
    break;

  case 660: /* nat_stmt_args: nat_stmt_args nf_nat_flags  */
#line 3948 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12698 "parser_bison.c"
    break;

  case 661: /* nat_stmt_args: nf_key_proto "addr" "." "port" "to" stmt_expr  */
#line 3952 "parser_bison.y"
                        {
				(yyvsp[-6].stmt)->nat.family = (yyvsp[-5].val);
				(yyvsp[-6].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-6].stmt)->nat.type_flags = STMT_NAT_F_CONCAT;
			}
#line 12708 "parser_bison.c"
    break;

  case 662: /* nat_stmt_args: nf_key_proto "interval" "to" stmt_expr  */
#line 3958 "parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12717 "parser_bison.c"
    break;

  case 663: /* nat_stmt_args: "interval" "to" stmt_expr  */
#line 3963 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12725 "parser_bison.c"
    break;

  case 664: /* nat_stmt_args: nf_key_proto "prefix" "to" stmt_expr  */
#line 3967 "parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-4].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-4].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 12737 "parser_bison.c"
    break;

  case 665: /* nat_stmt_args: "prefix" "to" stmt_expr  */
#line 3975 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-3].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-3].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 12748 "parser_bison.c"
    break;

  case 668: /* masq_stmt_alloc: "masquerade"  */
#line 3987 "parser_bison.y"
                                                { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_MASQ); }
#line 12754 "parser_bison.c"
    break;

  case 669: /* masq_stmt_args: "to" "colon" stmt_expr  */
#line 3991 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12762 "parser_bison.c"
    break;

  case 670: /* masq_stmt_args: "to" "colon" stmt_expr nf_nat_flags  */
#line 3995 "parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12771 "parser_bison.c"
    break;

  case 671: /* masq_stmt_args: nf_nat_flags  */
#line 4000 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12779 "parser_bison.c"
    break;

  case 674: /* redir_stmt_alloc: "redirect"  */
#line 4009 "parser_bison.y"
                                                { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_REDIR); }
#line 12785 "parser_bison.c"
    break;

  case 675: /* redir_stmt_arg: "to" stmt_expr  */
#line 4013 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12793 "parser_bison.c"
    break;

  case 676: /* redir_stmt_arg: "to" "colon" stmt_expr  */
#line 4017 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12801 "parser_bison.c"
    break;

  case 677: /* redir_stmt_arg: nf_nat_flags  */
#line 4021 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12809 "parser_bison.c"
    break;

  case 678: /* redir_stmt_arg: "to" stmt_expr nf_nat_flags  */
#line 4025 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-3].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12818 "parser_bison.c"
    break;

  case 679: /* redir_stmt_arg: "to" "colon" stmt_expr nf_nat_flags  */
#line 4030 "parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12827 "parser_bison.c"
    break;

  case 680: /* dup_stmt: "dup" "to" stmt_expr  */
#line 4037 "parser_bison.y"
                        {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[0].expr);
			}
#line 12836 "parser_bison.c"
    break;

  case 681: /* dup_stmt: "dup" "to" stmt_expr "device" stmt_expr  */
#line 4042 "parser_bison.y"
                        {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[-2].expr);
				(yyval.stmt)->dup.dev = (yyvsp[0].expr);
			}
#line 12846 "parser_bison.c"
    break;

  case 682: /* fwd_stmt: "fwd" "to" stmt_expr  */
#line 4050 "parser_bison.y"
                        {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 12855 "parser_bison.c"
    break;

  case 683: /* fwd_stmt: "fwd" nf_key_proto "to" stmt_expr "device" stmt_expr  */
#line 4055 "parser_bison.y"
                        {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.family = (yyvsp[-4].val);
				(yyval.stmt)->fwd.addr = (yyvsp[-2].expr);
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 12866 "parser_bison.c"
    break;

  case 685: /* nf_nat_flags: nf_nat_flags "comma" nf_nat_flag  */
#line 4065 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 12874 "parser_bison.c"
    break;

  case 686: /* nf_nat_flag: "random"  */
#line 4070 "parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM; }
#line 12880 "parser_bison.c"
    break;

  case 687: /* nf_nat_flag: "fully-random"  */
#line 4071 "parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM_FULLY; }
#line 12886 "parser_bison.c"
    break;

  case 688: /* nf_nat_flag: "persistent"  */
#line 4072 "parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PERSISTENT; }
#line 12892 "parser_bison.c"
    break;

  case 690: /* queue_stmt: "queue" "to" queue_stmt_expr close_scope_queue  */
#line 4077 "parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), 0);
			}
#line 12900 "parser_bison.c"
    break;

  case 691: /* queue_stmt: "queue" "flags" queue_stmt_flags "to" queue_stmt_expr close_scope_queue  */
#line 4081 "parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-3].val));
			}
#line 12908 "parser_bison.c"
    break;

  case 692: /* queue_stmt: "queue" "flags" queue_stmt_flags "num" queue_stmt_expr_simple close_scope_queue  */
#line 4085 "parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-3].val));
			}
#line 12916 "parser_bison.c"
    break;

  case 695: /* queue_stmt_alloc: "queue"  */
#line 4095 "parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), NULL, 0);
			}
#line 12924 "parser_bison.c"
    break;

  case 696: /* queue_stmt_args: queue_stmt_arg  */
#line 4101 "parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 12932 "parser_bison.c"
    break;

  case 698: /* queue_stmt_arg: "num" queue_stmt_expr_simple  */
#line 4108 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->queue.queue = (yyvsp[0].expr);
				(yyvsp[-2].stmt)->queue.queue->location = (yyloc);
			}
#line 12941 "parser_bison.c"
    break;

  case 699: /* queue_stmt_arg: queue_stmt_flags  */
#line 4113 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->queue.flags |= (yyvsp[0].val);
			}
#line 12949 "parser_bison.c"
    break;

  case 704: /* queue_stmt_expr_simple: queue_expr "-" queue_expr  */
#line 4125 "parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12957 "parser_bison.c"
    break;

  case 710: /* queue_stmt_flags: queue_stmt_flags "comma" queue_stmt_flag  */
#line 4138 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 12965 "parser_bison.c"
    break;

  case 711: /* queue_stmt_flag: "bypass"  */
#line 4143 "parser_bison.y"
                                        { (yyval.val) = NFT_QUEUE_FLAG_BYPASS; }
#line 12971 "parser_bison.c"
    break;

  case 712: /* queue_stmt_flag: "fanout"  */
#line 4144 "parser_bison.y"
                                        { (yyval.val) = NFT_QUEUE_FLAG_CPU_FANOUT; }
#line 12977 "parser_bison.c"
    break;

  case 715: /* set_elem_expr_stmt_alloc: concat_expr  */
#line 4152 "parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 12985 "parser_bison.c"
    break;

  case 716: /* set_stmt: "set" set_stmt_op set_elem_expr_stmt set_ref_expr  */
#line 4158 "parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-2].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[0].expr);
			}
#line 12996 "parser_bison.c"
    break;

  case 717: /* set_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt '}'  */
#line 4165 "parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-4].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[-3].expr);
			}
#line 13007 "parser_bison.c"
    break;

  case 718: /* set_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt stateful_stmt_list '}'  */
#line 4172 "parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-5].val);
				(yyval.stmt)->set.key = (yyvsp[-2].expr);
				(yyval.stmt)->set.set = (yyvsp[-4].expr);
				list_splice_tail((yyvsp[-1].list), &(yyval.stmt)->set.stmt_list);
				free((yyvsp[-1].list));
			}
#line 13020 "parser_bison.c"
    break;

  case 719: /* set_stmt_op: "add"  */
#line 4182 "parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_ADD; }
#line 13026 "parser_bison.c"
    break;

  case 720: /* set_stmt_op: "update"  */
#line 4183 "parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_UPDATE; }
#line 13032 "parser_bison.c"
    break;

  case 721: /* set_stmt_op: "delete"  */
#line 4184 "parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_DELETE; }
#line 13038 "parser_bison.c"
    break;

  case 722: /* map_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt "colon" set_elem_expr_stmt '}'  */
#line 4188 "parser_bison.y"
                        {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-6].val);
				(yyval.stmt)->map.key = (yyvsp[-3].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-5].expr);
			}
#line 13050 "parser_bison.c"
    break;

  case 723: /* map_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt stateful_stmt_list "colon" set_elem_expr_stmt '}'  */
#line 4196 "parser_bison.y"
                        {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-7].val);
				(yyval.stmt)->map.key = (yyvsp[-4].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-6].expr);
				list_splice_tail((yyvsp[-3].list), &(yyval.stmt)->map.stmt_list);
				free((yyvsp[-3].list));
			}
#line 13064 "parser_bison.c"
    break;

  case 724: /* meter_stmt: flow_stmt_legacy_alloc flow_stmt_opts '{' meter_key_expr stmt '}'  */
#line 4208 "parser_bison.y"
                        {
				(yyvsp[-5].stmt)->meter.key  = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
				(yyval.stmt) = (yyvsp[-5].stmt);
			}
#line 13075 "parser_bison.c"
    break;

  case 725: /* meter_stmt: meter_stmt_alloc  */
#line 4214 "parser_bison.y"
                                                                { (yyval.stmt) = (yyvsp[0].stmt); }
#line 13081 "parser_bison.c"
    break;

  case 726: /* flow_stmt_legacy_alloc: "flow"  */
#line 4218 "parser_bison.y"
                        {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
			}
#line 13089 "parser_bison.c"
    break;

  case 727: /* flow_stmt_opts: flow_stmt_opt  */
#line 4224 "parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 13097 "parser_bison.c"
    break;

  case 729: /* flow_stmt_opt: "table" identifier  */
#line 4231 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->meter.name = (yyvsp[0].string);
			}
#line 13105 "parser_bison.c"
    break;

  case 730: /* meter_stmt_alloc: "meter" identifier '{' meter_key_expr stmt '}'  */
#line 4237 "parser_bison.y"
                        {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-4].string);
				(yyval.stmt)->meter.size = 0;
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 13118 "parser_bison.c"
    break;

  case 731: /* meter_stmt_alloc: "meter" identifier "size" "number" '{' meter_key_expr stmt '}'  */
#line 4246 "parser_bison.y"
                        {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-6].string);
				(yyval.stmt)->meter.size = (yyvsp[-4].val);
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 13131 "parser_bison.c"
    break;

  case 732: /* match_stmt: relational_expr  */
#line 4257 "parser_bison.y"
                        {
				(yyval.stmt) = expr_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 13139 "parser_bison.c"
    break;

  case 733: /* variable_expr: '$' identifier  */
#line 4263 "parser_bison.y"
                        {
				struct scope *scope = current_scope(state);
				struct symbol *sym;

				sym = symbol_get(scope, (yyvsp[0].string));
				if (!sym) {
					sym = symbol_lookup_fuzzy(scope, (yyvsp[0].string));
					if (sym) {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
								      "did you mean identifier ‘%s’?",
								      (yyvsp[0].string), sym->identifier),
							   state->msgs);
					} else {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'", (yyvsp[0].string)),
							   state->msgs);
					}
					xfree((yyvsp[0].string));
					YYERROR;
				}

				(yyval.expr) = variable_expr_alloc(&(yyloc), scope, sym);
				xfree((yyvsp[0].string));
			}
#line 13167 "parser_bison.c"
    break;

  case 735: /* symbol_expr: string  */
#line 4290 "parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 13178 "parser_bison.c"
    break;

  case 738: /* set_ref_symbol_expr: "@" identifier close_scope_at  */
#line 4303 "parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_SET,
						       current_scope(state),
						       (yyvsp[-1].string));
				xfree((yyvsp[-1].string));
			}
#line 13189 "parser_bison.c"
    break;

  case 739: /* integer_expr: "number"  */
#line 4312 "parser_bison.y"
                        {
				char str[64];

				snprintf(str, sizeof(str), "%" PRIu64, (yyvsp[0].val));
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       str);
			}
#line 13202 "parser_bison.c"
    break;

  case 740: /* primary_expr: symbol_expr  */
#line 4322 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13208 "parser_bison.c"
    break;

  case 741: /* primary_expr: integer_expr  */
#line 4323 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13214 "parser_bison.c"
    break;

  case 742: /* primary_expr: payload_expr  */
#line 4324 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13220 "parser_bison.c"
    break;

  case 743: /* primary_expr: exthdr_expr  */
#line 4325 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13226 "parser_bison.c"
    break;

  case 744: /* primary_expr: exthdr_exists_expr  */
#line 4326 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13232 "parser_bison.c"
    break;

  case 745: /* primary_expr: meta_expr  */
#line 4327 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13238 "parser_bison.c"
    break;

  case 746: /* primary_expr: socket_expr  */
#line 4328 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13244 "parser_bison.c"
    break;

  case 747: /* primary_expr: rt_expr  */
#line 4329 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13250 "parser_bison.c"
    break;

  case 748: /* primary_expr: ct_expr  */
#line 4330 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13256 "parser_bison.c"
    break;

  case 749: /* primary_expr: numgen_expr  */
#line 4331 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13262 "parser_bison.c"
    break;

  case 750: /* primary_expr: hash_expr  */
#line 4332 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13268 "parser_bison.c"
    break;

  case 751: /* primary_expr: fib_expr  */
#line 4333 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13274 "parser_bison.c"
    break;

  case 752: /* primary_expr: osf_expr  */
#line 4334 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13280 "parser_bison.c"
    break;

  case 753: /* primary_expr: xfrm_expr  */
#line 4335 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13286 "parser_bison.c"
    break;

  case 754: /* primary_expr: '(' basic_expr ')'  */
#line 4336 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 13292 "parser_bison.c"
    break;

  case 755: /* fib_expr: "fib" fib_tuple fib_result close_scope_fib  */
#line 4340 "parser_bison.y"
                        {
				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) == 0) {
					erec_queue(error(&(yylsp[-2]), "fib: need either saddr or daddr"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) ==
					  (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) {
					erec_queue(error(&(yylsp[-2]), "fib: saddr and daddr are mutually exclusive"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) ==
					  (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) {
					erec_queue(error(&(yylsp[-2]), "fib: iif and oif are mutually exclusive"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = fib_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 13317 "parser_bison.c"
    break;

  case 756: /* fib_result: "oif"  */
#line 4362 "parser_bison.y"
                                        { (yyval.val) =NFT_FIB_RESULT_OIF; }
#line 13323 "parser_bison.c"
    break;

  case 757: /* fib_result: "oifname"  */
#line 4363 "parser_bison.y"
                                        { (yyval.val) =NFT_FIB_RESULT_OIFNAME; }
#line 13329 "parser_bison.c"
    break;

  case 758: /* fib_result: "type" close_scope_type  */
#line 4364 "parser_bison.y"
                                                                { (yyval.val) =NFT_FIB_RESULT_ADDRTYPE; }
#line 13335 "parser_bison.c"
    break;

  case 759: /* fib_flag: "saddr"  */
#line 4367 "parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_SADDR; }
#line 13341 "parser_bison.c"
    break;

  case 760: /* fib_flag: "daddr"  */
#line 4368 "parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_DADDR; }
#line 13347 "parser_bison.c"
    break;

  case 761: /* fib_flag: "mark"  */
#line 4369 "parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_MARK; }
#line 13353 "parser_bison.c"
    break;

  case 762: /* fib_flag: "iif"  */
#line 4370 "parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_IIF; }
#line 13359 "parser_bison.c"
    break;

  case 763: /* fib_flag: "oif"  */
#line 4371 "parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_OIF; }
#line 13365 "parser_bison.c"
    break;

  case 764: /* fib_tuple: fib_flag "." fib_tuple  */
#line 4375 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 13373 "parser_bison.c"
    break;

  case 766: /* osf_expr: "osf" osf_ttl "version" close_scope_osf  */
#line 4382 "parser_bison.y"
                        {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), NFT_OSF_F_VERSION);
			}
#line 13381 "parser_bison.c"
    break;

  case 767: /* osf_expr: "osf" osf_ttl "name" close_scope_osf  */
#line 4386 "parser_bison.y"
                        {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), 0);
			}
#line 13389 "parser_bison.c"
    break;

  case 768: /* osf_ttl: %empty  */
#line 4392 "parser_bison.y"
                        {
				(yyval.val) = NF_OSF_TTL_TRUE;
			}
#line 13397 "parser_bison.c"
    break;

  case 769: /* osf_ttl: "ttl" "string"  */
#line 4396 "parser_bison.y"
                        {
				if (!strcmp((yyvsp[0].string), "loose"))
					(yyval.val) = NF_OSF_TTL_LESS;
				else if (!strcmp((yyvsp[0].string), "skip"))
					(yyval.val) = NF_OSF_TTL_NOCHECK;
				else {
					erec_queue(error(&(yylsp[0]), "invalid ttl option"),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 13415 "parser_bison.c"
    break;

  case 771: /* shift_expr: shift_expr "<<" primary_rhs_expr  */
#line 4413 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13423 "parser_bison.c"
    break;

  case 772: /* shift_expr: shift_expr ">>" primary_rhs_expr  */
#line 4417 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13431 "parser_bison.c"
    break;

  case 774: /* and_expr: and_expr "&" shift_rhs_expr  */
#line 4424 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13439 "parser_bison.c"
    break;

  case 776: /* exclusive_or_expr: exclusive_or_expr "^" and_rhs_expr  */
#line 4431 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13447 "parser_bison.c"
    break;

  case 778: /* inclusive_or_expr: inclusive_or_expr '|' exclusive_or_rhs_expr  */
#line 4438 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13455 "parser_bison.c"
    break;

  case 781: /* concat_expr: concat_expr "." basic_expr  */
#line 4448 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 13468 "parser_bison.c"
    break;

  case 782: /* prefix_rhs_expr: basic_rhs_expr "/" "number"  */
#line 4459 "parser_bison.y"
                        {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 13476 "parser_bison.c"
    break;

  case 783: /* range_rhs_expr: basic_rhs_expr "-" basic_rhs_expr  */
#line 4465 "parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13484 "parser_bison.c"
    break;

  case 786: /* map_expr: concat_expr "map" rhs_expr  */
#line 4475 "parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13492 "parser_bison.c"
    break;

  case 790: /* set_expr: '{' set_list_expr '}'  */
#line 4486 "parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13501 "parser_bison.c"
    break;

  case 791: /* set_list_expr: set_list_member_expr  */
#line 4493 "parser_bison.y"
                        {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 13510 "parser_bison.c"
    break;

  case 792: /* set_list_expr: set_list_expr "comma" set_list_member_expr  */
#line 4498 "parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 13519 "parser_bison.c"
    break;

  case 794: /* set_list_member_expr: opt_newline set_expr opt_newline  */
#line 4506 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13527 "parser_bison.c"
    break;

  case 795: /* set_list_member_expr: opt_newline set_elem_expr opt_newline  */
#line 4510 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13535 "parser_bison.c"
    break;

  case 796: /* set_list_member_expr: opt_newline set_elem_expr "colon" set_rhs_expr opt_newline  */
#line 4514 "parser_bison.y"
                        {
				(yyval.expr) = mapping_expr_alloc(&(yylsp[-3]), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 13543 "parser_bison.c"
    break;

  case 798: /* meter_key_expr: meter_key_expr_alloc set_elem_options  */
#line 4521 "parser_bison.y"
                        {
				(yyval.expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13552 "parser_bison.c"
    break;

  case 799: /* meter_key_expr_alloc: concat_expr  */
#line 4528 "parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 13560 "parser_bison.c"
    break;

  case 802: /* set_elem_key_expr: set_lhs_expr  */
#line 4537 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 13566 "parser_bison.c"
    break;

  case 803: /* set_elem_key_expr: "*"  */
#line 4538 "parser_bison.y"
                                                        { (yyval.expr) = set_elem_catchall_expr_alloc(&(yylsp[0])); }
#line 13572 "parser_bison.c"
    break;

  case 804: /* set_elem_expr_alloc: set_elem_key_expr set_elem_stmt_list  */
#line 4542 "parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[-1]), (yyvsp[-1].expr));
				list_splice_tail((yyvsp[0].list), &(yyval.expr)->stmt_list);
				xfree((yyvsp[0].list));
			}
#line 13582 "parser_bison.c"
    break;

  case 805: /* set_elem_expr_alloc: set_elem_key_expr  */
#line 4548 "parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 13590 "parser_bison.c"
    break;

  case 806: /* set_elem_options: set_elem_option  */
#line 4554 "parser_bison.y"
                        {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 13598 "parser_bison.c"
    break;

  case 808: /* set_elem_option: "timeout" time_spec  */
#line 4561 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 13606 "parser_bison.c"
    break;

  case 809: /* set_elem_option: "expires" time_spec  */
#line 4565 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 13614 "parser_bison.c"
    break;

  case 810: /* set_elem_option: comment_spec  */
#line 4569 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 13626 "parser_bison.c"
    break;

  case 811: /* set_elem_expr_options: set_elem_expr_option  */
#line 4579 "parser_bison.y"
                        {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 13634 "parser_bison.c"
    break;

  case 813: /* set_elem_stmt_list: set_elem_stmt  */
#line 4586 "parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 13644 "parser_bison.c"
    break;

  case 814: /* set_elem_stmt_list: set_elem_stmt_list set_elem_stmt  */
#line 4592 "parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 13653 "parser_bison.c"
    break;

  case 815: /* set_elem_stmt: "counter" close_scope_counter  */
#line 4599 "parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 13661 "parser_bison.c"
    break;

  case 816: /* set_elem_stmt: "counter" "packets" "number" "bytes" "number" close_scope_counter  */
#line 4603 "parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
				(yyval.stmt)->counter.packets = (yyvsp[-3].val);
				(yyval.stmt)->counter.bytes = (yyvsp[-1].val);
			}
#line 13671 "parser_bison.c"
    break;

  case 817: /* set_elem_stmt: "limit" "rate" limit_mode limit_rate_pkts limit_burst_pkts close_scope_limit  */
#line 4609 "parser_bison.y"
                        {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 13689 "parser_bison.c"
    break;

  case 818: /* set_elem_stmt: "limit" "rate" limit_mode limit_rate_bytes limit_burst_bytes close_scope_limit  */
#line 4623 "parser_bison.y"
                        {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[0]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 13707 "parser_bison.c"
    break;

  case 819: /* set_elem_stmt: "ct" "count" "number" close_scope_ct  */
#line 4637 "parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 13716 "parser_bison.c"
    break;

  case 820: /* set_elem_stmt: "ct" "count" "over" "number" close_scope_ct  */
#line 4642 "parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 13726 "parser_bison.c"
    break;

  case 821: /* set_elem_stmt: "quota" quota_mode "number" quota_unit quota_used close_scope_quota  */
#line 4648 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-2].string), &rate);
				xfree((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-3].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[-1].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-4].val);
			}
#line 13746 "parser_bison.c"
    break;

  case 822: /* set_elem_stmt: "last" "used" "never" close_scope_last  */
#line 4664 "parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 13754 "parser_bison.c"
    break;

  case 823: /* set_elem_stmt: "last" "used" time_spec close_scope_last  */
#line 4668 "parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
				(yyval.stmt)->last.used = (yyvsp[-1].val);
				(yyval.stmt)->last.set = true;
			}
#line 13764 "parser_bison.c"
    break;

  case 824: /* set_elem_expr_option: "timeout" time_spec  */
#line 4676 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 13772 "parser_bison.c"
    break;

  case 825: /* set_elem_expr_option: "expires" time_spec  */
#line 4680 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 13780 "parser_bison.c"
    break;

  case 826: /* set_elem_expr_option: comment_spec  */
#line 4684 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 13792 "parser_bison.c"
    break;

  case 832: /* initializer_expr: '{' '}'  */
#line 4702 "parser_bison.y"
                                                { (yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_SET); }
#line 13798 "parser_bison.c"
    break;

  case 833: /* initializer_expr: "-" "number"  */
#line 4704 "parser_bison.y"
                        {
				int32_t num = -(yyvsp[0].val);

				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(num) * BITS_PER_BYTE,
							 &num);
			}
#line 13811 "parser_bison.c"
    break;

  case 834: /* counter_config: "packets" "number" "bytes" "number"  */
#line 4715 "parser_bison.y"
                        {
				struct counter *counter;

				counter = &(yyvsp[-4].obj)->counter;
				counter->packets = (yyvsp[-2].val);
				counter->bytes = (yyvsp[0].val);
			}
#line 13823 "parser_bison.c"
    break;

  case 835: /* counter_obj: %empty  */
#line 4725 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_COUNTER;
			}
#line 13832 "parser_bison.c"
    break;

  case 836: /* quota_config: quota_mode "number" quota_unit quota_used  */
#line 4732 "parser_bison.y"
                        {
				struct error_record *erec;
				struct quota *quota;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				quota = &(yyvsp[-4].obj)->quota;
				quota->bytes	= (yyvsp[-2].val) * rate;
				quota->used	= (yyvsp[0].val);
				quota->flags	= (yyvsp[-3].val);
			}
#line 13854 "parser_bison.c"
    break;

  case 837: /* quota_obj: %empty  */
#line 4752 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_QUOTA;
			}
#line 13863 "parser_bison.c"
    break;

  case 838: /* secmark_config: string  */
#line 4759 "parser_bison.y"
                        {
				int ret;
				struct secmark *secmark;

				secmark = &(yyvsp[-1].obj)->secmark;
				ret = snprintf(secmark->ctx, sizeof(secmark->ctx), "%s", (yyvsp[0].string));
				if (ret <= 0 || ret >= (int)sizeof(secmark->ctx)) {
					erec_queue(error(&(yylsp[0]), "invalid context '%s', max length is %u\n", (yyvsp[0].string), (int)sizeof(secmark->ctx)), state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 13881 "parser_bison.c"
    break;

  case 839: /* secmark_obj: %empty  */
#line 4775 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SECMARK;
			}
#line 13890 "parser_bison.c"
    break;

  case 840: /* ct_obj_type: "helper"  */
#line 4781 "parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_HELPER; }
#line 13896 "parser_bison.c"
    break;

  case 841: /* ct_obj_type: "timeout"  */
#line 4782 "parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_TIMEOUT; }
#line 13902 "parser_bison.c"
    break;

  case 842: /* ct_obj_type: "expectation"  */
#line 4783 "parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_EXPECT; }
#line 13908 "parser_bison.c"
    break;

  case 843: /* ct_cmd_type: "helpers"  */
#line 4786 "parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_HELPERS; }
#line 13914 "parser_bison.c"
    break;

  case 844: /* ct_cmd_type: "timeout"  */
#line 4787 "parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_TIMEOUTS; }
#line 13920 "parser_bison.c"
    break;

  case 845: /* ct_cmd_type: "expectation"  */
#line 4788 "parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_EXPECTATIONS; }
#line 13926 "parser_bison.c"
    break;

  case 846: /* ct_l4protoname: "tcp" close_scope_tcp  */
#line 4791 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_TCP; }
#line 13932 "parser_bison.c"
    break;

  case 847: /* ct_l4protoname: "udp" close_scope_udp  */
#line 4792 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_UDP; }
#line 13938 "parser_bison.c"
    break;

  case 848: /* ct_helper_config: "type" "quoted string" "protocol" ct_l4protoname stmt_separator close_scope_type  */
#line 4796 "parser_bison.y"
                        {
				struct ct_helper *ct;
				int ret;

				ct = &(yyvsp[-6].obj)->ct_helper;

				ret = snprintf(ct->name, sizeof(ct->name), "%s", (yyvsp[-4].string));
				if (ret <= 0 || ret >= (int)sizeof(ct->name)) {
					erec_queue(error(&(yylsp[-4]), "invalid name '%s', max length is %u\n", (yyvsp[-4].string), (int)sizeof(ct->name)), state->msgs);
					YYERROR;
				}
				xfree((yyvsp[-4].string));

				ct->l4proto = (yyvsp[-2].val);
			}
#line 13958 "parser_bison.c"
    break;

  case 849: /* ct_helper_config: "l3proto" family_spec_explicit stmt_separator  */
#line 4812 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_helper.l3proto = (yyvsp[-1].val);
			}
#line 13966 "parser_bison.c"
    break;

  case 850: /* timeout_states: timeout_state  */
#line 4818 "parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail((yyvsp[0].list), (yyval.list));
			}
#line 13976 "parser_bison.c"
    break;

  case 851: /* timeout_states: timeout_states "comma" timeout_state  */
#line 4824 "parser_bison.y"
                        {
				list_add_tail((yyvsp[0].list), (yyvsp[-2].list));
				(yyval.list) = (yyvsp[-2].list);
			}
#line 13985 "parser_bison.c"
    break;

  case 852: /* timeout_state: "string" "colon" time_spec_or_num_s  */
#line 4831 "parser_bison.y"
                        {
				struct timeout_state *ts;

				ts = xzalloc(sizeof(*ts));
				ts->timeout_str = (yyvsp[-2].string);
				ts->timeout_value = (yyvsp[0].val);
				ts->location = (yylsp[-2]);
				init_list_head(&ts->head);
				(yyval.list) = &ts->head;
			}
#line 14000 "parser_bison.c"
    break;

  case 853: /* ct_timeout_config: "protocol" ct_l4protoname stmt_separator  */
#line 4844 "parser_bison.y"
                        {
				struct ct_timeout *ct;
				int l4proto = (yyvsp[-1].val);

				ct = &(yyvsp[-3].obj)->ct_timeout;
				ct->l4proto = l4proto;
			}
#line 14012 "parser_bison.c"
    break;

  case 854: /* ct_timeout_config: "policy" '=' '{' timeout_states '}' stmt_separator close_scope_policy  */
#line 4852 "parser_bison.y"
                        {
				struct ct_timeout *ct;

				ct = &(yyvsp[-7].obj)->ct_timeout;
				list_splice_tail((yyvsp[-3].list), &ct->timeout_list);
				xfree((yyvsp[-3].list));
			}
#line 14024 "parser_bison.c"
    break;

  case 855: /* ct_timeout_config: "l3proto" family_spec_explicit stmt_separator  */
#line 4860 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_timeout.l3proto = (yyvsp[-1].val);
			}
#line 14032 "parser_bison.c"
    break;

  case 856: /* ct_expect_config: "protocol" ct_l4protoname stmt_separator  */
#line 4866 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.l4proto = (yyvsp[-1].val);
			}
#line 14040 "parser_bison.c"
    break;

  case 857: /* ct_expect_config: "dport" "number" stmt_separator  */
#line 4870 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.dport = (yyvsp[-1].val);
			}
#line 14048 "parser_bison.c"
    break;

  case 858: /* ct_expect_config: "timeout" time_spec stmt_separator  */
#line 4874 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.timeout = (yyvsp[-1].val);
			}
#line 14056 "parser_bison.c"
    break;

  case 859: /* ct_expect_config: "size" "number" stmt_separator  */
#line 4878 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.size = (yyvsp[-1].val);
			}
#line 14064 "parser_bison.c"
    break;

  case 860: /* ct_expect_config: "l3proto" family_spec_explicit stmt_separator  */
#line 4882 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.l3proto = (yyvsp[-1].val);
			}
#line 14072 "parser_bison.c"
    break;

  case 861: /* ct_obj_alloc: %empty  */
#line 4888 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
			}
#line 14080 "parser_bison.c"
    break;

  case 862: /* limit_config: "rate" limit_mode limit_rate_pkts limit_burst_pkts  */
#line 4894 "parser_bison.y"
                        {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKTS;
				limit->flags	= (yyvsp[-2].val);
			}
#line 14095 "parser_bison.c"
    break;

  case 863: /* limit_config: "rate" limit_mode limit_rate_bytes limit_burst_bytes  */
#line 4905 "parser_bison.y"
                        {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKT_BYTES;
				limit->flags	= (yyvsp[-2].val);
			}
#line 14110 "parser_bison.c"
    break;

  case 864: /* limit_obj: %empty  */
#line 4918 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_LIMIT;
			}
#line 14119 "parser_bison.c"
    break;

  case 865: /* relational_expr: expr rhs_expr  */
#line 4925 "parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 14127 "parser_bison.c"
    break;

  case 866: /* relational_expr: expr list_rhs_expr  */
#line 4929 "parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 14135 "parser_bison.c"
    break;

  case 867: /* relational_expr: expr basic_rhs_expr "/" list_rhs_expr  */
#line 4933 "parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14143 "parser_bison.c"
    break;

  case 868: /* relational_expr: expr list_rhs_expr "/" list_rhs_expr  */
#line 4937 "parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14151 "parser_bison.c"
    break;

  case 869: /* relational_expr: expr relational_op basic_rhs_expr "/" list_rhs_expr  */
#line 4941 "parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14159 "parser_bison.c"
    break;

  case 870: /* relational_expr: expr relational_op list_rhs_expr "/" list_rhs_expr  */
#line 4945 "parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14167 "parser_bison.c"
    break;

  case 871: /* relational_expr: expr relational_op rhs_expr  */
#line 4949 "parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14175 "parser_bison.c"
    break;

  case 872: /* relational_expr: expr relational_op list_rhs_expr  */
#line 4953 "parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14183 "parser_bison.c"
    break;

  case 873: /* list_rhs_expr: basic_rhs_expr "comma" basic_rhs_expr  */
#line 4959 "parser_bison.y"
                        {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 14193 "parser_bison.c"
    break;

  case 874: /* list_rhs_expr: list_rhs_expr "comma" basic_rhs_expr  */
#line 4965 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 14203 "parser_bison.c"
    break;

  case 875: /* rhs_expr: concat_rhs_expr  */
#line 4972 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14209 "parser_bison.c"
    break;

  case 876: /* rhs_expr: set_expr  */
#line 4973 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14215 "parser_bison.c"
    break;

  case 877: /* rhs_expr: set_ref_symbol_expr  */
#line 4974 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14221 "parser_bison.c"
    break;

  case 879: /* shift_rhs_expr: shift_rhs_expr "<<" primary_rhs_expr  */
#line 4979 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14229 "parser_bison.c"
    break;

  case 880: /* shift_rhs_expr: shift_rhs_expr ">>" primary_rhs_expr  */
#line 4983 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14237 "parser_bison.c"
    break;

  case 882: /* and_rhs_expr: and_rhs_expr "&" shift_rhs_expr  */
#line 4990 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14245 "parser_bison.c"
    break;

  case 884: /* exclusive_or_rhs_expr: exclusive_or_rhs_expr "^" and_rhs_expr  */
#line 4997 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14253 "parser_bison.c"
    break;

  case 886: /* inclusive_or_rhs_expr: inclusive_or_rhs_expr '|' exclusive_or_rhs_expr  */
#line 5004 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14261 "parser_bison.c"
    break;

  case 890: /* concat_rhs_expr: concat_rhs_expr "." multiton_rhs_expr  */
#line 5015 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 14274 "parser_bison.c"
    break;

  case 891: /* concat_rhs_expr: concat_rhs_expr "." basic_rhs_expr  */
#line 5024 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 14287 "parser_bison.c"
    break;

  case 892: /* boolean_keys: "exists"  */
#line 5034 "parser_bison.y"
                                                { (yyval.val8) = true; }
#line 14293 "parser_bison.c"
    break;

  case 893: /* boolean_keys: "missing"  */
#line 5035 "parser_bison.y"
                                                { (yyval.val8) = false; }
#line 14299 "parser_bison.c"
    break;

  case 894: /* boolean_expr: boolean_keys  */
#line 5039 "parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &boolean_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof((yyvsp[0].val8)) * BITS_PER_BYTE, &(yyvsp[0].val8));
			}
#line 14309 "parser_bison.c"
    break;

  case 895: /* keyword_expr: "ether" close_scope_eth  */
#line 5046 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ether"); }
#line 14315 "parser_bison.c"
    break;

  case 896: /* keyword_expr: "ip" close_scope_ip  */
#line 5047 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ip"); }
#line 14321 "parser_bison.c"
    break;

  case 897: /* keyword_expr: "ip6" close_scope_ip6  */
#line 5048 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ip6"); }
#line 14327 "parser_bison.c"
    break;

  case 898: /* keyword_expr: "vlan" close_scope_vlan  */
#line 5049 "parser_bison.y"
                                                         { (yyval.expr) = symbol_value(&(yyloc), "vlan"); }
#line 14333 "parser_bison.c"
    break;

  case 899: /* keyword_expr: "arp" close_scope_arp  */
#line 5050 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "arp"); }
#line 14339 "parser_bison.c"
    break;

  case 900: /* keyword_expr: "dnat" close_scope_nat  */
#line 5051 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "dnat"); }
#line 14345 "parser_bison.c"
    break;

  case 901: /* keyword_expr: "snat" close_scope_nat  */
#line 5052 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "snat"); }
#line 14351 "parser_bison.c"
    break;

  case 902: /* keyword_expr: "ecn"  */
#line 5053 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ecn"); }
#line 14357 "parser_bison.c"
    break;

  case 903: /* keyword_expr: "reset" close_scope_reset  */
#line 5054 "parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "reset"); }
#line 14363 "parser_bison.c"
    break;

  case 904: /* keyword_expr: "destroy" close_scope_destroy  */
#line 5055 "parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "destroy"); }
#line 14369 "parser_bison.c"
    break;

  case 905: /* keyword_expr: "original"  */
#line 5056 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "original"); }
#line 14375 "parser_bison.c"
    break;

  case 906: /* keyword_expr: "reply"  */
#line 5057 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "reply"); }
#line 14381 "parser_bison.c"
    break;

  case 907: /* keyword_expr: "label"  */
#line 5058 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "label"); }
#line 14387 "parser_bison.c"
    break;

  case 908: /* keyword_expr: "last" close_scope_last  */
#line 5059 "parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "last"); }
#line 14393 "parser_bison.c"
    break;

  case 909: /* primary_rhs_expr: symbol_expr  */
#line 5062 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14399 "parser_bison.c"
    break;

  case 910: /* primary_rhs_expr: integer_expr  */
#line 5063 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14405 "parser_bison.c"
    break;

  case 911: /* primary_rhs_expr: boolean_expr  */
#line 5064 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14411 "parser_bison.c"
    break;

  case 912: /* primary_rhs_expr: keyword_expr  */
#line 5065 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14417 "parser_bison.c"
    break;

  case 913: /* primary_rhs_expr: "tcp" close_scope_tcp  */
#line 5067 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_TCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14428 "parser_bison.c"
    break;

  case 914: /* primary_rhs_expr: "udp" close_scope_udp  */
#line 5074 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_UDP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14439 "parser_bison.c"
    break;

  case 915: /* primary_rhs_expr: "udplite" close_scope_udplite  */
#line 5081 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_UDPLITE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14450 "parser_bison.c"
    break;

  case 916: /* primary_rhs_expr: "esp" close_scope_esp  */
#line 5088 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_ESP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14461 "parser_bison.c"
    break;

  case 917: /* primary_rhs_expr: "ah" close_scope_ah  */
#line 5095 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_AH;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14472 "parser_bison.c"
    break;

  case 918: /* primary_rhs_expr: "icmp" close_scope_icmp  */
#line 5102 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_ICMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14483 "parser_bison.c"
    break;

  case 919: /* primary_rhs_expr: "igmp"  */
#line 5109 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_IGMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14494 "parser_bison.c"
    break;

  case 920: /* primary_rhs_expr: "icmpv6" close_scope_icmp  */
#line 5116 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_ICMPV6;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14505 "parser_bison.c"
    break;

  case 921: /* primary_rhs_expr: "gre" close_scope_gre  */
#line 5123 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_GRE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14516 "parser_bison.c"
    break;

  case 922: /* primary_rhs_expr: "comp" close_scope_comp  */
#line 5130 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_COMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14527 "parser_bison.c"
    break;

  case 923: /* primary_rhs_expr: "dccp" close_scope_dccp  */
#line 5137 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_DCCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14538 "parser_bison.c"
    break;

  case 924: /* primary_rhs_expr: "sctp" close_scope_sctp  */
#line 5144 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_SCTP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14549 "parser_bison.c"
    break;

  case 925: /* primary_rhs_expr: "redirect" close_scope_nat  */
#line 5151 "parser_bison.y"
                        {
				uint8_t data = ICMP_REDIRECT;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &icmp_type_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14560 "parser_bison.c"
    break;

  case 926: /* primary_rhs_expr: '(' basic_rhs_expr ')'  */
#line 5157 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 14566 "parser_bison.c"
    break;

  case 927: /* relational_op: "=="  */
#line 5160 "parser_bison.y"
                                                { (yyval.val) = OP_EQ; }
#line 14572 "parser_bison.c"
    break;

  case 928: /* relational_op: "!="  */
#line 5161 "parser_bison.y"
                                                { (yyval.val) = OP_NEQ; }
#line 14578 "parser_bison.c"
    break;

  case 929: /* relational_op: "<"  */
#line 5162 "parser_bison.y"
                                                { (yyval.val) = OP_LT; }
#line 14584 "parser_bison.c"
    break;

  case 930: /* relational_op: ">"  */
#line 5163 "parser_bison.y"
                                                { (yyval.val) = OP_GT; }
#line 14590 "parser_bison.c"
    break;

  case 931: /* relational_op: ">="  */
#line 5164 "parser_bison.y"
                                                { (yyval.val) = OP_GTE; }
#line 14596 "parser_bison.c"
    break;

  case 932: /* relational_op: "<="  */
#line 5165 "parser_bison.y"
                                                { (yyval.val) = OP_LTE; }
#line 14602 "parser_bison.c"
    break;

  case 933: /* relational_op: "!"  */
#line 5166 "parser_bison.y"
                                                { (yyval.val) = OP_NEG; }
#line 14608 "parser_bison.c"
    break;

  case 934: /* verdict_expr: "accept"  */
#line 5170 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_ACCEPT, NULL);
			}
#line 14616 "parser_bison.c"
    break;

  case 935: /* verdict_expr: "drop"  */
#line 5174 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_DROP, NULL);
			}
#line 14624 "parser_bison.c"
    break;

  case 936: /* verdict_expr: "continue"  */
#line 5178 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_CONTINUE, NULL);
			}
#line 14632 "parser_bison.c"
    break;

  case 937: /* verdict_expr: "jump" chain_expr  */
#line 5182 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_JUMP, (yyvsp[0].expr));
			}
#line 14640 "parser_bison.c"
    break;

  case 938: /* verdict_expr: "goto" chain_expr  */
#line 5186 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_GOTO, (yyvsp[0].expr));
			}
#line 14648 "parser_bison.c"
    break;

  case 939: /* verdict_expr: "return"  */
#line 5190 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_RETURN, NULL);
			}
#line 14656 "parser_bison.c"
    break;

  case 941: /* chain_expr: identifier  */
#line 5197 "parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE,
							 (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 14668 "parser_bison.c"
    break;

  case 942: /* meta_expr: "meta" meta_key close_scope_meta  */
#line 5207 "parser_bison.y"
                        {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[-1].val));
			}
#line 14676 "parser_bison.c"
    break;

  case 943: /* meta_expr: meta_key_unqualified  */
#line 5211 "parser_bison.y"
                        {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 14684 "parser_bison.c"
    break;

  case 944: /* meta_expr: "meta" "string" close_scope_meta  */
#line 5215 "parser_bison.y"
                        {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-1].string), &key);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.expr) = meta_expr_alloc(&(yyloc), key);
			}
#line 14702 "parser_bison.c"
    break;

  case 947: /* meta_key_qualified: "length"  */
#line 5234 "parser_bison.y"
                                                { (yyval.val) = NFT_META_LEN; }
#line 14708 "parser_bison.c"
    break;

  case 948: /* meta_key_qualified: "protocol"  */
#line 5235 "parser_bison.y"
                                                { (yyval.val) = NFT_META_PROTOCOL; }
#line 14714 "parser_bison.c"
    break;

  case 949: /* meta_key_qualified: "priority"  */
#line 5236 "parser_bison.y"
                                                { (yyval.val) = NFT_META_PRIORITY; }
#line 14720 "parser_bison.c"
    break;

  case 950: /* meta_key_qualified: "random"  */
#line 5237 "parser_bison.y"
                                                { (yyval.val) = NFT_META_PRANDOM; }
#line 14726 "parser_bison.c"
    break;

  case 951: /* meta_key_qualified: "secmark" close_scope_secmark  */
#line 5238 "parser_bison.y"
                                                            { (yyval.val) = NFT_META_SECMARK; }
#line 14732 "parser_bison.c"
    break;

  case 952: /* meta_key_unqualified: "mark"  */
#line 5241 "parser_bison.y"
                                                { (yyval.val) = NFT_META_MARK; }
#line 14738 "parser_bison.c"
    break;

  case 953: /* meta_key_unqualified: "iif"  */
#line 5242 "parser_bison.y"
                                                { (yyval.val) = NFT_META_IIF; }
#line 14744 "parser_bison.c"
    break;

  case 954: /* meta_key_unqualified: "iifname"  */
#line 5243 "parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFNAME; }
#line 14750 "parser_bison.c"
    break;

  case 955: /* meta_key_unqualified: "iiftype"  */
#line 5244 "parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFTYPE; }
#line 14756 "parser_bison.c"
    break;

  case 956: /* meta_key_unqualified: "oif"  */
#line 5245 "parser_bison.y"
                                                { (yyval.val) = NFT_META_OIF; }
#line 14762 "parser_bison.c"
    break;

  case 957: /* meta_key_unqualified: "oifname"  */
#line 5246 "parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFNAME; }
#line 14768 "parser_bison.c"
    break;

  case 958: /* meta_key_unqualified: "oiftype"  */
#line 5247 "parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFTYPE; }
#line 14774 "parser_bison.c"
    break;

  case 959: /* meta_key_unqualified: "skuid"  */
#line 5248 "parser_bison.y"
                                                { (yyval.val) = NFT_META_SKUID; }
#line 14780 "parser_bison.c"
    break;

  case 960: /* meta_key_unqualified: "skgid"  */
#line 5249 "parser_bison.y"
                                                { (yyval.val) = NFT_META_SKGID; }
#line 14786 "parser_bison.c"
    break;

  case 961: /* meta_key_unqualified: "nftrace"  */
#line 5250 "parser_bison.y"
                                                { (yyval.val) = NFT_META_NFTRACE; }
#line 14792 "parser_bison.c"
    break;

  case 962: /* meta_key_unqualified: "rtclassid"  */
#line 5251 "parser_bison.y"
                                                { (yyval.val) = NFT_META_RTCLASSID; }
#line 14798 "parser_bison.c"
    break;

  case 963: /* meta_key_unqualified: "ibriport"  */
#line 5252 "parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 14804 "parser_bison.c"
    break;

  case 964: /* meta_key_unqualified: "obriport"  */
#line 5253 "parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 14810 "parser_bison.c"
    break;

  case 965: /* meta_key_unqualified: "ibrname"  */
#line 5254 "parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 14816 "parser_bison.c"
    break;

  case 966: /* meta_key_unqualified: "obrname"  */
#line 5255 "parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 14822 "parser_bison.c"
    break;

  case 967: /* meta_key_unqualified: "pkttype"  */
#line 5256 "parser_bison.y"
                                                { (yyval.val) = NFT_META_PKTTYPE; }
#line 14828 "parser_bison.c"
    break;

  case 968: /* meta_key_unqualified: "cpu"  */
#line 5257 "parser_bison.y"
                                                { (yyval.val) = NFT_META_CPU; }
#line 14834 "parser_bison.c"
    break;

  case 969: /* meta_key_unqualified: "iifgroup"  */
#line 5258 "parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFGROUP; }
#line 14840 "parser_bison.c"
    break;

  case 970: /* meta_key_unqualified: "oifgroup"  */
#line 5259 "parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFGROUP; }
#line 14846 "parser_bison.c"
    break;

  case 971: /* meta_key_unqualified: "cgroup"  */
#line 5260 "parser_bison.y"
                                                { (yyval.val) = NFT_META_CGROUP; }
#line 14852 "parser_bison.c"
    break;

  case 972: /* meta_key_unqualified: "ipsec" close_scope_ipsec  */
#line 5261 "parser_bison.y"
                                                          { (yyval.val) = NFT_META_SECPATH; }
#line 14858 "parser_bison.c"
    break;

  case 973: /* meta_key_unqualified: "time"  */
#line 5262 "parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_NS; }
#line 14864 "parser_bison.c"
    break;

  case 974: /* meta_key_unqualified: "day"  */
#line 5263 "parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_DAY; }
#line 14870 "parser_bison.c"
    break;

  case 975: /* meta_key_unqualified: "hour"  */
#line 5264 "parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_HOUR; }
#line 14876 "parser_bison.c"
    break;

  case 976: /* meta_stmt: "meta" meta_key "set" stmt_expr close_scope_meta  */
#line 5268 "parser_bison.y"
                        {
				switch ((yyvsp[-3].val)) {
				case NFT_META_SECMARK:
					switch ((yyvsp[-1].expr)->etype) {
					case EXPR_CT:
						(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
						break;
					default:
						(yyval.stmt) = objref_stmt_alloc(&(yyloc));
						(yyval.stmt)->objref.type = NFT_OBJECT_SECMARK;
						(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
						break;
					}
					break;
				default:
					(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
					break;
				}
			}
#line 14900 "parser_bison.c"
    break;

  case 977: /* meta_stmt: meta_key_unqualified "set" stmt_expr  */
#line 5288 "parser_bison.y"
                        {
				(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
			}
#line 14908 "parser_bison.c"
    break;

  case 978: /* meta_stmt: "meta" "string" "set" stmt_expr close_scope_meta  */
#line 5292 "parser_bison.y"
                        {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-3].string), &key);
				xfree((yyvsp[-3].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.stmt) = meta_stmt_alloc(&(yyloc), key, (yyvsp[-1].expr));
			}
#line 14926 "parser_bison.c"
    break;

  case 979: /* meta_stmt: "notrack"  */
#line 5306 "parser_bison.y"
                        {
				(yyval.stmt) = notrack_stmt_alloc(&(yyloc));
			}
#line 14934 "parser_bison.c"
    break;

  case 980: /* meta_stmt: "flow" "offload" "@" string close_scope_at  */
#line 5310 "parser_bison.y"
                        {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 14942 "parser_bison.c"
    break;

  case 981: /* meta_stmt: "flow" "add" "@" string close_scope_at  */
#line 5314 "parser_bison.y"
                        {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 14950 "parser_bison.c"
    break;

  case 982: /* socket_expr: "socket" socket_key close_scope_socket  */
#line 5320 "parser_bison.y"
                        {
				(yyval.expr) = socket_expr_alloc(&(yyloc), (yyvsp[-1].val), 0);
			}
#line 14958 "parser_bison.c"
    break;

  case 983: /* socket_expr: "socket" "cgroupv2" "level" "number" close_scope_socket  */
#line 5324 "parser_bison.y"
                        {
				(yyval.expr) = socket_expr_alloc(&(yyloc), NFT_SOCKET_CGROUPV2, (yyvsp[-1].val));
			}
#line 14966 "parser_bison.c"
    break;

  case 984: /* socket_key: "transparent"  */
#line 5329 "parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_TRANSPARENT; }
#line 14972 "parser_bison.c"
    break;

  case 985: /* socket_key: "mark"  */
#line 5330 "parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_MARK; }
#line 14978 "parser_bison.c"
    break;

  case 986: /* socket_key: "wildcard"  */
#line 5331 "parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_WILDCARD; }
#line 14984 "parser_bison.c"
    break;

  case 987: /* offset_opt: %empty  */
#line 5334 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 14990 "parser_bison.c"
    break;

  case 988: /* offset_opt: "offset" "number"  */
#line 5335 "parser_bison.y"
                                                { (yyval.val) = (yyvsp[0].val); }
#line 14996 "parser_bison.c"
    break;

  case 989: /* numgen_type: "inc"  */
#line 5338 "parser_bison.y"
                                                { (yyval.val) = NFT_NG_INCREMENTAL; }
#line 15002 "parser_bison.c"
    break;

  case 990: /* numgen_type: "random"  */
#line 5339 "parser_bison.y"
                                                { (yyval.val) = NFT_NG_RANDOM; }
#line 15008 "parser_bison.c"
    break;

  case 991: /* numgen_expr: "numgen" numgen_type "mod" "number" offset_opt close_scope_numgen  */
#line 5343 "parser_bison.y"
                        {
				(yyval.expr) = numgen_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 15016 "parser_bison.c"
    break;

  case 992: /* xfrm_spnum: "spnum" "number"  */
#line 5348 "parser_bison.y"
                                            { (yyval.val) = (yyvsp[0].val); }
#line 15022 "parser_bison.c"
    break;

  case 993: /* xfrm_spnum: %empty  */
#line 5349 "parser_bison.y"
                                            { (yyval.val) = 0; }
#line 15028 "parser_bison.c"
    break;

  case 994: /* xfrm_dir: "in"  */
#line 5352 "parser_bison.y"
                                        { (yyval.val) = XFRM_POLICY_IN; }
#line 15034 "parser_bison.c"
    break;

  case 995: /* xfrm_dir: "out"  */
#line 5353 "parser_bison.y"
                                        { (yyval.val) = XFRM_POLICY_OUT; }
#line 15040 "parser_bison.c"
    break;

  case 996: /* xfrm_state_key: "spi"  */
#line 5356 "parser_bison.y"
                                    { (yyval.val) = NFT_XFRM_KEY_SPI; }
#line 15046 "parser_bison.c"
    break;

  case 997: /* xfrm_state_key: "reqid"  */
#line 5357 "parser_bison.y"
                                      { (yyval.val) = NFT_XFRM_KEY_REQID; }
#line 15052 "parser_bison.c"
    break;

  case 998: /* xfrm_state_proto_key: "daddr"  */
#line 5360 "parser_bison.y"
                                                { (yyval.val) = NFT_XFRM_KEY_DADDR_IP4; }
#line 15058 "parser_bison.c"
    break;

  case 999: /* xfrm_state_proto_key: "saddr"  */
#line 5361 "parser_bison.y"
                                                { (yyval.val) = NFT_XFRM_KEY_SADDR_IP4; }
#line 15064 "parser_bison.c"
    break;

  case 1000: /* xfrm_expr: "ipsec" xfrm_dir xfrm_spnum xfrm_state_key close_scope_ipsec  */
#line 5365 "parser_bison.y"
                        {
				if ((yyvsp[-2].val) > 255) {
					erec_queue(error(&(yylsp[-2]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 15076 "parser_bison.c"
    break;

  case 1001: /* xfrm_expr: "ipsec" xfrm_dir xfrm_spnum nf_key_proto xfrm_state_proto_key close_scope_ipsec  */
#line 5373 "parser_bison.y"
                        {
				enum nft_xfrm_keys xfrmk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_XFRM_KEY_SADDR_IP4)
						xfrmk = NFT_XFRM_KEY_SADDR_IP6;
					else if ((yyvsp[-1].val) == NFT_XFRM_KEY_DADDR_IP4)
						xfrmk = NFT_XFRM_KEY_DADDR_IP6;
					break;
				default:
					YYERROR;
					break;
				}

				if ((yyvsp[-3].val) > 255) {
					erec_queue(error(&(yylsp[-3]), "value too large"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-3].val), xfrmk);
			}
#line 15105 "parser_bison.c"
    break;

  case 1002: /* hash_expr: "jhash" expr "mod" "number" "seed" "number" offset_opt close_scope_hash  */
#line 5400 "parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-4].val), true, (yyvsp[-2].val), (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-6].expr);
			}
#line 15114 "parser_bison.c"
    break;

  case 1003: /* hash_expr: "jhash" expr "mod" "number" offset_opt close_scope_hash  */
#line 5405 "parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-4].expr);
			}
#line 15123 "parser_bison.c"
    break;

  case 1004: /* hash_expr: "symhash" "mod" "number" offset_opt close_scope_hash  */
#line 5410 "parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_SYM);
			}
#line 15131 "parser_bison.c"
    break;

  case 1005: /* nf_key_proto: "ip" close_scope_ip  */
#line 5415 "parser_bison.y"
                                                       { (yyval.val) = NFPROTO_IPV4; }
#line 15137 "parser_bison.c"
    break;

  case 1006: /* nf_key_proto: "ip6" close_scope_ip6  */
#line 5416 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV6; }
#line 15143 "parser_bison.c"
    break;

  case 1007: /* rt_expr: "rt" rt_key close_scope_rt  */
#line 5420 "parser_bison.y"
                        {
				(yyval.expr) = rt_expr_alloc(&(yyloc), (yyvsp[-1].val), true);
			}
#line 15151 "parser_bison.c"
    break;

  case 1008: /* rt_expr: "rt" nf_key_proto rt_key close_scope_rt  */
#line 5424 "parser_bison.y"
                        {
				enum nft_rt_keys rtk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_RT_NEXTHOP4)
						rtk = NFT_RT_NEXTHOP6;
					break;
				default:
					YYERROR;
					break;
				}

				(yyval.expr) = rt_expr_alloc(&(yyloc), rtk, false);
			}
#line 15173 "parser_bison.c"
    break;

  case 1009: /* rt_key: "classid"  */
#line 5443 "parser_bison.y"
                                                { (yyval.val) = NFT_RT_CLASSID; }
#line 15179 "parser_bison.c"
    break;

  case 1010: /* rt_key: "nexthop"  */
#line 5444 "parser_bison.y"
                                                { (yyval.val) = NFT_RT_NEXTHOP4; }
#line 15185 "parser_bison.c"
    break;

  case 1011: /* rt_key: "mtu"  */
#line 5445 "parser_bison.y"
                                                { (yyval.val) = NFT_RT_TCPMSS; }
#line 15191 "parser_bison.c"
    break;

  case 1012: /* rt_key: "ipsec" close_scope_ipsec  */
#line 5446 "parser_bison.y"
                                                          { (yyval.val) = NFT_RT_XFRM; }
#line 15197 "parser_bison.c"
    break;

  case 1013: /* ct_expr: "ct" ct_key close_scope_ct  */
#line 5450 "parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), -1);
			}
#line 15205 "parser_bison.c"
    break;

  case 1014: /* ct_expr: "ct" ct_dir ct_key_dir close_scope_ct  */
#line 5454 "parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 15213 "parser_bison.c"
    break;

  case 1015: /* ct_expr: "ct" ct_dir ct_key_proto_field close_scope_ct  */
#line 5458 "parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 15221 "parser_bison.c"
    break;

  case 1016: /* ct_dir: "original"  */
#line 5463 "parser_bison.y"
                                                { (yyval.val) = IP_CT_DIR_ORIGINAL; }
#line 15227 "parser_bison.c"
    break;

  case 1017: /* ct_dir: "reply"  */
#line 5464 "parser_bison.y"
                                                { (yyval.val) = IP_CT_DIR_REPLY; }
#line 15233 "parser_bison.c"
    break;

  case 1018: /* ct_key: "l3proto"  */
#line 5467 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 15239 "parser_bison.c"
    break;

  case 1019: /* ct_key: "protocol"  */
#line 5468 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTOCOL; }
#line 15245 "parser_bison.c"
    break;

  case 1020: /* ct_key: "mark"  */
#line 5469 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_MARK; }
#line 15251 "parser_bison.c"
    break;

  case 1021: /* ct_key: "state"  */
#line 5470 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_STATE; }
#line 15257 "parser_bison.c"
    break;

  case 1022: /* ct_key: "direction"  */
#line 5471 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_DIRECTION; }
#line 15263 "parser_bison.c"
    break;

  case 1023: /* ct_key: "status"  */
#line 5472 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_STATUS; }
#line 15269 "parser_bison.c"
    break;

  case 1024: /* ct_key: "expiration"  */
#line 5473 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_EXPIRATION; }
#line 15275 "parser_bison.c"
    break;

  case 1025: /* ct_key: "helper"  */
#line 5474 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_HELPER; }
#line 15281 "parser_bison.c"
    break;

  case 1026: /* ct_key: "saddr"  */
#line 5475 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_SRC; }
#line 15287 "parser_bison.c"
    break;

  case 1027: /* ct_key: "daddr"  */
#line 5476 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_DST; }
#line 15293 "parser_bison.c"
    break;

  case 1028: /* ct_key: "proto-src"  */
#line 5477 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 15299 "parser_bison.c"
    break;

  case 1029: /* ct_key: "proto-dst"  */
#line 5478 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_DST; }
#line 15305 "parser_bison.c"
    break;

  case 1030: /* ct_key: "label"  */
#line 5479 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_LABELS; }
#line 15311 "parser_bison.c"
    break;

  case 1031: /* ct_key: "event"  */
#line 5480 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_EVENTMASK; }
#line 15317 "parser_bison.c"
    break;

  case 1032: /* ct_key: "secmark" close_scope_secmark  */
#line 5481 "parser_bison.y"
                                                            { (yyval.val) = NFT_CT_SECMARK; }
#line 15323 "parser_bison.c"
    break;

  case 1033: /* ct_key: "id"  */
#line 5482 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_ID; }
#line 15329 "parser_bison.c"
    break;

  case 1035: /* ct_key_dir: "saddr"  */
#line 5486 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_SRC; }
#line 15335 "parser_bison.c"
    break;

  case 1036: /* ct_key_dir: "daddr"  */
#line 5487 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_DST; }
#line 15341 "parser_bison.c"
    break;

  case 1037: /* ct_key_dir: "l3proto"  */
#line 5488 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 15347 "parser_bison.c"
    break;

  case 1038: /* ct_key_dir: "protocol"  */
#line 5489 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTOCOL; }
#line 15353 "parser_bison.c"
    break;

  case 1039: /* ct_key_dir: "proto-src"  */
#line 5490 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 15359 "parser_bison.c"
    break;

  case 1040: /* ct_key_dir: "proto-dst"  */
#line 5491 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_DST; }
#line 15365 "parser_bison.c"
    break;

  case 1042: /* ct_key_proto_field: "ip" "saddr" close_scope_ip  */
#line 5495 "parser_bison.y"
                                                               { (yyval.val) = NFT_CT_SRC_IP; }
#line 15371 "parser_bison.c"
    break;

  case 1043: /* ct_key_proto_field: "ip" "daddr" close_scope_ip  */
#line 5496 "parser_bison.y"
                                                               { (yyval.val) = NFT_CT_DST_IP; }
#line 15377 "parser_bison.c"
    break;

  case 1044: /* ct_key_proto_field: "ip6" "saddr" close_scope_ip6  */
#line 5497 "parser_bison.y"
                                                                { (yyval.val) = NFT_CT_SRC_IP6; }
#line 15383 "parser_bison.c"
    break;

  case 1045: /* ct_key_proto_field: "ip6" "daddr" close_scope_ip6  */
#line 5498 "parser_bison.y"
                                                                { (yyval.val) = NFT_CT_DST_IP6; }
#line 15389 "parser_bison.c"
    break;

  case 1046: /* ct_key_dir_optional: "bytes"  */
#line 5501 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_BYTES; }
#line 15395 "parser_bison.c"
    break;

  case 1047: /* ct_key_dir_optional: "packets"  */
#line 5502 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PKTS; }
#line 15401 "parser_bison.c"
    break;

  case 1048: /* ct_key_dir_optional: "avgpkt"  */
#line 5503 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_AVGPKT; }
#line 15407 "parser_bison.c"
    break;

  case 1049: /* ct_key_dir_optional: "zone"  */
#line 5504 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_ZONE; }
#line 15413 "parser_bison.c"
    break;

  case 1052: /* list_stmt_expr: symbol_stmt_expr "comma" symbol_stmt_expr  */
#line 5512 "parser_bison.y"
                        {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 15423 "parser_bison.c"
    break;

  case 1053: /* list_stmt_expr: list_stmt_expr "comma" symbol_stmt_expr  */
#line 5518 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 15433 "parser_bison.c"
    break;

  case 1054: /* ct_stmt: "ct" ct_key "set" stmt_expr close_scope_ct  */
#line 5526 "parser_bison.y"
                        {
				switch ((yyvsp[-3].val)) {
				case NFT_CT_HELPER:
					(yyval.stmt) = objref_stmt_alloc(&(yyloc));
					(yyval.stmt)->objref.type = NFT_OBJECT_CT_HELPER;
					(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
					break;
				default:
					(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), -1, (yyvsp[-1].expr));
					break;
				}
			}
#line 15450 "parser_bison.c"
    break;

  case 1055: /* ct_stmt: "ct" "timeout" "set" stmt_expr close_scope_ct  */
#line 5539 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_TIMEOUT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);

			}
#line 15461 "parser_bison.c"
    break;

  case 1056: /* ct_stmt: "ct" "expectation" "set" stmt_expr close_scope_ct  */
#line 5546 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_EXPECT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 15471 "parser_bison.c"
    break;

  case 1057: /* ct_stmt: "ct" ct_dir ct_key_dir_optional "set" stmt_expr close_scope_ct  */
#line 5552 "parser_bison.y"
                        {
				(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].val), (yyvsp[-1].expr));
			}
#line 15479 "parser_bison.c"
    break;

  case 1058: /* payload_stmt: payload_expr "set" stmt_expr  */
#line 5558 "parser_bison.y"
                        {
				if ((yyvsp[-2].expr)->etype == EXPR_EXTHDR)
					(yyval.stmt) = exthdr_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
				else
					(yyval.stmt) = payload_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 15490 "parser_bison.c"
    break;

  case 1081: /* payload_raw_expr: "@" payload_base_spec "comma" "number" "comma" "number" close_scope_at  */
#line 5591 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), NULL, 0);
				payload_init_raw((yyval.expr), (yyvsp[-5].val), (yyvsp[-3].val), (yyvsp[-1].val));
				(yyval.expr)->byteorder		= BYTEORDER_BIG_ENDIAN;
				(yyval.expr)->payload.is_raw	= true;
			}
#line 15501 "parser_bison.c"
    break;

  case 1082: /* payload_base_spec: "ll"  */
#line 5599 "parser_bison.y"
                                                { (yyval.val) = PROTO_BASE_LL_HDR; }
#line 15507 "parser_bison.c"
    break;

  case 1083: /* payload_base_spec: "nh"  */
#line 5600 "parser_bison.y"
                                                { (yyval.val) = PROTO_BASE_NETWORK_HDR; }
#line 15513 "parser_bison.c"
    break;

  case 1084: /* payload_base_spec: "th" close_scope_th  */
#line 5601 "parser_bison.y"
                                                                { (yyval.val) = PROTO_BASE_TRANSPORT_HDR; }
#line 15519 "parser_bison.c"
    break;

  case 1085: /* payload_base_spec: "string"  */
#line 5603 "parser_bison.y"
                        {
				if (!strcmp((yyvsp[0].string), "ih")) {
					(yyval.val) = PROTO_BASE_INNER_HDR;
				} else {
					erec_queue(error(&(yylsp[0]), "unknown raw payload base"), state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 15534 "parser_bison.c"
    break;

  case 1086: /* eth_hdr_expr: "ether" eth_hdr_field close_scope_eth  */
#line 5616 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_eth, (yyvsp[-1].val));
			}
#line 15542 "parser_bison.c"
    break;

  case 1087: /* eth_hdr_field: "saddr"  */
#line 5621 "parser_bison.y"
                                                { (yyval.val) = ETHHDR_SADDR; }
#line 15548 "parser_bison.c"
    break;

  case 1088: /* eth_hdr_field: "daddr"  */
#line 5622 "parser_bison.y"
                                                { (yyval.val) = ETHHDR_DADDR; }
#line 15554 "parser_bison.c"
    break;

  case 1089: /* eth_hdr_field: "type" close_scope_type  */
#line 5623 "parser_bison.y"
                                                                        { (yyval.val) = ETHHDR_TYPE; }
#line 15560 "parser_bison.c"
    break;

  case 1090: /* vlan_hdr_expr: "vlan" vlan_hdr_field close_scope_vlan  */
#line 5627 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_vlan, (yyvsp[-1].val));
			}
#line 15568 "parser_bison.c"
    break;

  case 1091: /* vlan_hdr_field: "id"  */
#line 5632 "parser_bison.y"
                                                { (yyval.val) = VLANHDR_VID; }
#line 15574 "parser_bison.c"
    break;

  case 1092: /* vlan_hdr_field: "cfi"  */
#line 5633 "parser_bison.y"
                                                { (yyval.val) = VLANHDR_CFI; }
#line 15580 "parser_bison.c"
    break;

  case 1093: /* vlan_hdr_field: "dei"  */
#line 5634 "parser_bison.y"
                                                { (yyval.val) = VLANHDR_DEI; }
#line 15586 "parser_bison.c"
    break;

  case 1094: /* vlan_hdr_field: "pcp"  */
#line 5635 "parser_bison.y"
                                                { (yyval.val) = VLANHDR_PCP; }
#line 15592 "parser_bison.c"
    break;

  case 1095: /* vlan_hdr_field: "type" close_scope_type  */
#line 5636 "parser_bison.y"
                                                                        { (yyval.val) = VLANHDR_TYPE; }
#line 15598 "parser_bison.c"
    break;

  case 1096: /* arp_hdr_expr: "arp" arp_hdr_field close_scope_arp  */
#line 5640 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_arp, (yyvsp[-1].val));
			}
#line 15606 "parser_bison.c"
    break;

  case 1097: /* arp_hdr_field: "htype"  */
#line 5645 "parser_bison.y"
                                                { (yyval.val) = ARPHDR_HRD; }
#line 15612 "parser_bison.c"
    break;

  case 1098: /* arp_hdr_field: "ptype"  */
#line 5646 "parser_bison.y"
                                                { (yyval.val) = ARPHDR_PRO; }
#line 15618 "parser_bison.c"
    break;

  case 1099: /* arp_hdr_field: "hlen"  */
#line 5647 "parser_bison.y"
                                                { (yyval.val) = ARPHDR_HLN; }
#line 15624 "parser_bison.c"
    break;

  case 1100: /* arp_hdr_field: "plen"  */
#line 5648 "parser_bison.y"
                                                { (yyval.val) = ARPHDR_PLN; }
#line 15630 "parser_bison.c"
    break;

  case 1101: /* arp_hdr_field: "operation"  */
#line 5649 "parser_bison.y"
                                                { (yyval.val) = ARPHDR_OP; }
#line 15636 "parser_bison.c"
    break;

  case 1102: /* arp_hdr_field: "saddr" "ether" close_scope_eth  */
#line 5650 "parser_bison.y"
                                                                { (yyval.val) = ARPHDR_SADDR_ETHER; }
#line 15642 "parser_bison.c"
    break;

  case 1103: /* arp_hdr_field: "daddr" "ether" close_scope_eth  */
#line 5651 "parser_bison.y"
                                                                { (yyval.val) = ARPHDR_DADDR_ETHER; }
#line 15648 "parser_bison.c"
    break;

  case 1104: /* arp_hdr_field: "saddr" "ip" close_scope_ip  */
#line 5652 "parser_bison.y"
                                                                { (yyval.val) = ARPHDR_SADDR_IP; }
#line 15654 "parser_bison.c"
    break;

  case 1105: /* arp_hdr_field: "daddr" "ip" close_scope_ip  */
#line 5653 "parser_bison.y"
                                                                { (yyval.val) = ARPHDR_DADDR_IP; }
#line 15660 "parser_bison.c"
    break;

  case 1106: /* ip_hdr_expr: "ip" ip_hdr_field close_scope_ip  */
#line 5657 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip, (yyvsp[-1].val));
			}
#line 15668 "parser_bison.c"
    break;

  case 1107: /* ip_hdr_expr: "ip" "option" ip_option_type ip_option_field close_scope_ip  */
#line 5661 "parser_bison.y"
                        {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
				if (!(yyval.expr)) {
					erec_queue(error(&(yylsp[-4]), "unknown ip option type/field"), state->msgs);
					YYERROR;
				}
			}
#line 15680 "parser_bison.c"
    break;

  case 1108: /* ip_hdr_expr: "ip" "option" ip_option_type close_scope_ip  */
#line 5669 "parser_bison.y"
                        {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-1].val), IPOPT_FIELD_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 15689 "parser_bison.c"
    break;

  case 1109: /* ip_hdr_field: "version"  */
#line 5675 "parser_bison.y"
                                                { (yyval.val) = IPHDR_VERSION; }
#line 15695 "parser_bison.c"
    break;

  case 1110: /* ip_hdr_field: "hdrlength"  */
#line 5676 "parser_bison.y"
                                                { (yyval.val) = IPHDR_HDRLENGTH; }
#line 15701 "parser_bison.c"
    break;

  case 1111: /* ip_hdr_field: "dscp"  */
#line 5677 "parser_bison.y"
                                                { (yyval.val) = IPHDR_DSCP; }
#line 15707 "parser_bison.c"
    break;

  case 1112: /* ip_hdr_field: "ecn"  */
#line 5678 "parser_bison.y"
                                                { (yyval.val) = IPHDR_ECN; }
#line 15713 "parser_bison.c"
    break;

  case 1113: /* ip_hdr_field: "length"  */
#line 5679 "parser_bison.y"
                                                { (yyval.val) = IPHDR_LENGTH; }
#line 15719 "parser_bison.c"
    break;

  case 1114: /* ip_hdr_field: "id"  */
#line 5680 "parser_bison.y"
                                                { (yyval.val) = IPHDR_ID; }
#line 15725 "parser_bison.c"
    break;

  case 1115: /* ip_hdr_field: "frag-off"  */
#line 5681 "parser_bison.y"
                                                { (yyval.val) = IPHDR_FRAG_OFF; }
#line 15731 "parser_bison.c"
    break;

  case 1116: /* ip_hdr_field: "ttl"  */
#line 5682 "parser_bison.y"
                                                { (yyval.val) = IPHDR_TTL; }
#line 15737 "parser_bison.c"
    break;

  case 1117: /* ip_hdr_field: "protocol"  */
#line 5683 "parser_bison.y"
                                                { (yyval.val) = IPHDR_PROTOCOL; }
#line 15743 "parser_bison.c"
    break;

  case 1118: /* ip_hdr_field: "checksum"  */
#line 5684 "parser_bison.y"
                                                { (yyval.val) = IPHDR_CHECKSUM; }
#line 15749 "parser_bison.c"
    break;

  case 1119: /* ip_hdr_field: "saddr"  */
#line 5685 "parser_bison.y"
                                                { (yyval.val) = IPHDR_SADDR; }
#line 15755 "parser_bison.c"
    break;

  case 1120: /* ip_hdr_field: "daddr"  */
#line 5686 "parser_bison.y"
                                                { (yyval.val) = IPHDR_DADDR; }
#line 15761 "parser_bison.c"
    break;

  case 1121: /* ip_option_type: "lsrr"  */
#line 5689 "parser_bison.y"
                                                { (yyval.val) = IPOPT_LSRR; }
#line 15767 "parser_bison.c"
    break;

  case 1122: /* ip_option_type: "rr"  */
#line 5690 "parser_bison.y"
                                                { (yyval.val) = IPOPT_RR; }
#line 15773 "parser_bison.c"
    break;

  case 1123: /* ip_option_type: "ssrr"  */
#line 5691 "parser_bison.y"
                                                { (yyval.val) = IPOPT_SSRR; }
#line 15779 "parser_bison.c"
    break;

  case 1124: /* ip_option_type: "ra"  */
#line 5692 "parser_bison.y"
                                                { (yyval.val) = IPOPT_RA; }
#line 15785 "parser_bison.c"
    break;

  case 1125: /* ip_option_field: "type" close_scope_type  */
#line 5695 "parser_bison.y"
                                                                        { (yyval.val) = IPOPT_FIELD_TYPE; }
#line 15791 "parser_bison.c"
    break;

  case 1126: /* ip_option_field: "length"  */
#line 5696 "parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_LENGTH; }
#line 15797 "parser_bison.c"
    break;

  case 1127: /* ip_option_field: "value"  */
#line 5697 "parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_VALUE; }
#line 15803 "parser_bison.c"
    break;

  case 1128: /* ip_option_field: "ptr"  */
#line 5698 "parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_PTR; }
#line 15809 "parser_bison.c"
    break;

  case 1129: /* ip_option_field: "addr"  */
#line 5699 "parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_ADDR_0; }
#line 15815 "parser_bison.c"
    break;

  case 1130: /* icmp_hdr_expr: "icmp" icmp_hdr_field close_scope_icmp  */
#line 5703 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp, (yyvsp[-1].val));
			}
#line 15823 "parser_bison.c"
    break;

  case 1131: /* icmp_hdr_field: "type" close_scope_type  */
#line 5708 "parser_bison.y"
                                                                        { (yyval.val) = ICMPHDR_TYPE; }
#line 15829 "parser_bison.c"
    break;

  case 1132: /* icmp_hdr_field: "code"  */
#line 5709 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_CODE; }
#line 15835 "parser_bison.c"
    break;

  case 1133: /* icmp_hdr_field: "checksum"  */
#line 5710 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_CHECKSUM; }
#line 15841 "parser_bison.c"
    break;

  case 1134: /* icmp_hdr_field: "id"  */
#line 5711 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_ID; }
#line 15847 "parser_bison.c"
    break;

  case 1135: /* icmp_hdr_field: "seq"  */
#line 5712 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_SEQ; }
#line 15853 "parser_bison.c"
    break;

  case 1136: /* icmp_hdr_field: "gateway"  */
#line 5713 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_GATEWAY; }
#line 15859 "parser_bison.c"
    break;

  case 1137: /* icmp_hdr_field: "mtu"  */
#line 5714 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_MTU; }
#line 15865 "parser_bison.c"
    break;

  case 1138: /* igmp_hdr_expr: "igmp" igmp_hdr_field close_scope_igmp  */
#line 5718 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_igmp, (yyvsp[-1].val));
			}
#line 15873 "parser_bison.c"
    break;

  case 1139: /* igmp_hdr_field: "type" close_scope_type  */
#line 5723 "parser_bison.y"
                                                                        { (yyval.val) = IGMPHDR_TYPE; }
#line 15879 "parser_bison.c"
    break;

  case 1140: /* igmp_hdr_field: "checksum"  */
#line 5724 "parser_bison.y"
                                                { (yyval.val) = IGMPHDR_CHECKSUM; }
#line 15885 "parser_bison.c"
    break;

  case 1141: /* igmp_hdr_field: "mrt"  */
#line 5725 "parser_bison.y"
                                                { (yyval.val) = IGMPHDR_MRT; }
#line 15891 "parser_bison.c"
    break;

  case 1142: /* igmp_hdr_field: "group"  */
#line 5726 "parser_bison.y"
                                                { (yyval.val) = IGMPHDR_GROUP; }
#line 15897 "parser_bison.c"
    break;

  case 1143: /* ip6_hdr_expr: "ip6" ip6_hdr_field close_scope_ip6  */
#line 5730 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip6, (yyvsp[-1].val));
			}
#line 15905 "parser_bison.c"
    break;

  case 1144: /* ip6_hdr_field: "version"  */
#line 5735 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_VERSION; }
#line 15911 "parser_bison.c"
    break;

  case 1145: /* ip6_hdr_field: "dscp"  */
#line 5736 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_DSCP; }
#line 15917 "parser_bison.c"
    break;

  case 1146: /* ip6_hdr_field: "ecn"  */
#line 5737 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_ECN; }
#line 15923 "parser_bison.c"
    break;

  case 1147: /* ip6_hdr_field: "flowlabel"  */
#line 5738 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_FLOWLABEL; }
#line 15929 "parser_bison.c"
    break;

  case 1148: /* ip6_hdr_field: "length"  */
#line 5739 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_LENGTH; }
#line 15935 "parser_bison.c"
    break;

  case 1149: /* ip6_hdr_field: "nexthdr"  */
#line 5740 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_NEXTHDR; }
#line 15941 "parser_bison.c"
    break;

  case 1150: /* ip6_hdr_field: "hoplimit"  */
#line 5741 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_HOPLIMIT; }
#line 15947 "parser_bison.c"
    break;

  case 1151: /* ip6_hdr_field: "saddr"  */
#line 5742 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_SADDR; }
#line 15953 "parser_bison.c"
    break;

  case 1152: /* ip6_hdr_field: "daddr"  */
#line 5743 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_DADDR; }
#line 15959 "parser_bison.c"
    break;

  case 1153: /* icmp6_hdr_expr: "icmpv6" icmp6_hdr_field close_scope_icmp  */
#line 5746 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp6, (yyvsp[-1].val));
			}
#line 15967 "parser_bison.c"
    break;

  case 1154: /* icmp6_hdr_field: "type" close_scope_type  */
#line 5751 "parser_bison.y"
                                                                        { (yyval.val) = ICMP6HDR_TYPE; }
#line 15973 "parser_bison.c"
    break;

  case 1155: /* icmp6_hdr_field: "code"  */
#line 5752 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_CODE; }
#line 15979 "parser_bison.c"
    break;

  case 1156: /* icmp6_hdr_field: "checksum"  */
#line 5753 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_CHECKSUM; }
#line 15985 "parser_bison.c"
    break;

  case 1157: /* icmp6_hdr_field: "param-problem"  */
#line 5754 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_PPTR; }
#line 15991 "parser_bison.c"
    break;

  case 1158: /* icmp6_hdr_field: "mtu"  */
#line 5755 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_MTU; }
#line 15997 "parser_bison.c"
    break;

  case 1159: /* icmp6_hdr_field: "id"  */
#line 5756 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_ID; }
#line 16003 "parser_bison.c"
    break;

  case 1160: /* icmp6_hdr_field: "seq"  */
#line 5757 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_SEQ; }
#line 16009 "parser_bison.c"
    break;

  case 1161: /* icmp6_hdr_field: "max-delay"  */
#line 5758 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_MAXDELAY; }
#line 16015 "parser_bison.c"
    break;

  case 1162: /* icmp6_hdr_field: "taddr"  */
#line 5759 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_TADDR; }
#line 16021 "parser_bison.c"
    break;

  case 1163: /* icmp6_hdr_field: "daddr"  */
#line 5760 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_DADDR; }
#line 16027 "parser_bison.c"
    break;

  case 1164: /* auth_hdr_expr: "ah" auth_hdr_field close_scope_ah  */
#line 5764 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ah, (yyvsp[-1].val));
			}
#line 16035 "parser_bison.c"
    break;

  case 1165: /* auth_hdr_field: "nexthdr"  */
#line 5769 "parser_bison.y"
                                                { (yyval.val) = AHHDR_NEXTHDR; }
#line 16041 "parser_bison.c"
    break;

  case 1166: /* auth_hdr_field: "hdrlength"  */
#line 5770 "parser_bison.y"
                                                { (yyval.val) = AHHDR_HDRLENGTH; }
#line 16047 "parser_bison.c"
    break;

  case 1167: /* auth_hdr_field: "reserved"  */
#line 5771 "parser_bison.y"
                                                { (yyval.val) = AHHDR_RESERVED; }
#line 16053 "parser_bison.c"
    break;

  case 1168: /* auth_hdr_field: "spi"  */
#line 5772 "parser_bison.y"
                                                { (yyval.val) = AHHDR_SPI; }
#line 16059 "parser_bison.c"
    break;

  case 1169: /* auth_hdr_field: "seq"  */
#line 5773 "parser_bison.y"
                                                { (yyval.val) = AHHDR_SEQUENCE; }
#line 16065 "parser_bison.c"
    break;

  case 1170: /* esp_hdr_expr: "esp" esp_hdr_field close_scope_esp  */
#line 5777 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_esp, (yyvsp[-1].val));
			}
#line 16073 "parser_bison.c"
    break;

  case 1171: /* esp_hdr_field: "spi"  */
#line 5782 "parser_bison.y"
                                                { (yyval.val) = ESPHDR_SPI; }
#line 16079 "parser_bison.c"
    break;

  case 1172: /* esp_hdr_field: "seq"  */
#line 5783 "parser_bison.y"
                                                { (yyval.val) = ESPHDR_SEQUENCE; }
#line 16085 "parser_bison.c"
    break;

  case 1173: /* comp_hdr_expr: "comp" comp_hdr_field close_scope_comp  */
#line 5787 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_comp, (yyvsp[-1].val));
			}
#line 16093 "parser_bison.c"
    break;

  case 1174: /* comp_hdr_field: "nexthdr"  */
#line 5792 "parser_bison.y"
                                                { (yyval.val) = COMPHDR_NEXTHDR; }
#line 16099 "parser_bison.c"
    break;

  case 1175: /* comp_hdr_field: "flags"  */
#line 5793 "parser_bison.y"
                                                { (yyval.val) = COMPHDR_FLAGS; }
#line 16105 "parser_bison.c"
    break;

  case 1176: /* comp_hdr_field: "cpi"  */
#line 5794 "parser_bison.y"
                                                { (yyval.val) = COMPHDR_CPI; }
#line 16111 "parser_bison.c"
    break;

  case 1177: /* udp_hdr_expr: "udp" udp_hdr_field close_scope_udp  */
#line 5798 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udp, (yyvsp[-1].val));
			}
#line 16119 "parser_bison.c"
    break;

  case 1178: /* udp_hdr_field: "sport"  */
#line 5803 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_SPORT; }
#line 16125 "parser_bison.c"
    break;

  case 1179: /* udp_hdr_field: "dport"  */
#line 5804 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_DPORT; }
#line 16131 "parser_bison.c"
    break;

  case 1180: /* udp_hdr_field: "length"  */
#line 5805 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_LENGTH; }
#line 16137 "parser_bison.c"
    break;

  case 1181: /* udp_hdr_field: "checksum"  */
#line 5806 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_CHECKSUM; }
#line 16143 "parser_bison.c"
    break;

  case 1182: /* udplite_hdr_expr: "udplite" udplite_hdr_field close_scope_udplite  */
#line 5810 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udplite, (yyvsp[-1].val));
			}
#line 16151 "parser_bison.c"
    break;

  case 1183: /* udplite_hdr_field: "sport"  */
#line 5815 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_SPORT; }
#line 16157 "parser_bison.c"
    break;

  case 1184: /* udplite_hdr_field: "dport"  */
#line 5816 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_DPORT; }
#line 16163 "parser_bison.c"
    break;

  case 1185: /* udplite_hdr_field: "csumcov"  */
#line 5817 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_LENGTH; }
#line 16169 "parser_bison.c"
    break;

  case 1186: /* udplite_hdr_field: "checksum"  */
#line 5818 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_CHECKSUM; }
#line 16175 "parser_bison.c"
    break;

  case 1187: /* tcp_hdr_expr: "tcp" tcp_hdr_field  */
#line 5822 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_tcp, (yyvsp[0].val));
			}
#line 16183 "parser_bison.c"
    break;

  case 1188: /* tcp_hdr_expr: "tcp" "option" tcp_hdr_option_type  */
#line 5826 "parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].val), TCPOPT_COMMON_KIND);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 16192 "parser_bison.c"
    break;

  case 1189: /* tcp_hdr_expr: "tcp" "option" tcp_hdr_option_kind_and_field  */
#line 5831 "parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].tcp_kind_field).kind, (yyvsp[0].tcp_kind_field).field);
			}
#line 16200 "parser_bison.c"
    break;

  case 1190: /* tcp_hdr_expr: "tcp" "option" "@" close_scope_at tcp_hdr_option_type "comma" "number" "comma" "number"  */
#line 5835 "parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[-4].val), 0);
				tcpopt_init_raw((yyval.expr), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[0].val), 0);
			}
#line 16209 "parser_bison.c"
    break;

  case 1210: /* vxlan_hdr_expr: "vxlan" vxlan_hdr_field  */
#line 5867 "parser_bison.y"
                        {
				struct expr *expr;

				expr = payload_expr_alloc(&(yyloc), &proto_vxlan, (yyvsp[0].val));
				expr->payload.inner_desc = &proto_vxlan;
				(yyval.expr) = expr;
			}
#line 16221 "parser_bison.c"
    break;

  case 1211: /* vxlan_hdr_expr: "vxlan" inner_expr  */
#line 5875 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->location = (yyloc);
				(yyval.expr)->payload.inner_desc = &proto_vxlan;
			}
#line 16231 "parser_bison.c"
    break;

  case 1212: /* vxlan_hdr_field: "vni"  */
#line 5882 "parser_bison.y"
                                                        { (yyval.val) = VXLANHDR_VNI; }
#line 16237 "parser_bison.c"
    break;

  case 1213: /* vxlan_hdr_field: "flags"  */
#line 5883 "parser_bison.y"
                                                        { (yyval.val) = VXLANHDR_FLAGS; }
#line 16243 "parser_bison.c"
    break;

  case 1214: /* geneve_hdr_expr: "geneve" geneve_hdr_field  */
#line 5887 "parser_bison.y"
                        {
				struct expr *expr;

				expr = payload_expr_alloc(&(yyloc), &proto_geneve, (yyvsp[0].val));
				expr->payload.inner_desc = &proto_geneve;
				(yyval.expr) = expr;
			}
#line 16255 "parser_bison.c"
    break;

  case 1215: /* geneve_hdr_expr: "geneve" inner_expr  */
#line 5895 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->location = (yyloc);
				(yyval.expr)->payload.inner_desc = &proto_geneve;
			}
#line 16265 "parser_bison.c"
    break;

  case 1216: /* geneve_hdr_field: "vni"  */
#line 5902 "parser_bison.y"
                                                        { (yyval.val) = GNVHDR_VNI; }
#line 16271 "parser_bison.c"
    break;

  case 1217: /* geneve_hdr_field: "type"  */
#line 5903 "parser_bison.y"
                                                        { (yyval.val) = GNVHDR_TYPE; }
#line 16277 "parser_bison.c"
    break;

  case 1218: /* gre_hdr_expr: "gre" gre_hdr_field close_scope_gre  */
#line 5907 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_gre, (yyvsp[-1].val));
			}
#line 16285 "parser_bison.c"
    break;

  case 1219: /* gre_hdr_expr: "gre" close_scope_gre inner_inet_expr  */
#line 5911 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->payload.inner_desc = &proto_gre;
			}
#line 16294 "parser_bison.c"
    break;

  case 1220: /* gre_hdr_field: "version"  */
#line 5917 "parser_bison.y"
                                                        { (yyval.val) = GREHDR_VERSION;	}
#line 16300 "parser_bison.c"
    break;

  case 1221: /* gre_hdr_field: "flags"  */
#line 5918 "parser_bison.y"
                                                        { (yyval.val) = GREHDR_FLAGS; }
#line 16306 "parser_bison.c"
    break;

  case 1222: /* gre_hdr_field: "protocol"  */
#line 5919 "parser_bison.y"
                                                        { (yyval.val) = GREHDR_PROTOCOL; }
#line 16312 "parser_bison.c"
    break;

  case 1223: /* gretap_hdr_expr: "gretap" close_scope_gre inner_expr  */
#line 5923 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->payload.inner_desc = &proto_gretap;
			}
#line 16321 "parser_bison.c"
    break;

  case 1224: /* optstrip_stmt: "reset" "tcp" "option" tcp_hdr_option_type close_scope_tcp  */
#line 5930 "parser_bison.y"
                        {
				(yyval.stmt) = optstrip_stmt_alloc(&(yyloc), tcpopt_expr_alloc(&(yyloc),
										(yyvsp[-1].val), TCPOPT_COMMON_KIND));
			}
#line 16330 "parser_bison.c"
    break;

  case 1225: /* tcp_hdr_field: "sport"  */
#line 5936 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_SPORT; }
#line 16336 "parser_bison.c"
    break;

  case 1226: /* tcp_hdr_field: "dport"  */
#line 5937 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_DPORT; }
#line 16342 "parser_bison.c"
    break;

  case 1227: /* tcp_hdr_field: "seq"  */
#line 5938 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_SEQ; }
#line 16348 "parser_bison.c"
    break;

  case 1228: /* tcp_hdr_field: "ackseq"  */
#line 5939 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_ACKSEQ; }
#line 16354 "parser_bison.c"
    break;

  case 1229: /* tcp_hdr_field: "doff"  */
#line 5940 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_DOFF; }
#line 16360 "parser_bison.c"
    break;

  case 1230: /* tcp_hdr_field: "reserved"  */
#line 5941 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_RESERVED; }
#line 16366 "parser_bison.c"
    break;

  case 1231: /* tcp_hdr_field: "flags"  */
#line 5942 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_FLAGS; }
#line 16372 "parser_bison.c"
    break;

  case 1232: /* tcp_hdr_field: "window"  */
#line 5943 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_WINDOW; }
#line 16378 "parser_bison.c"
    break;

  case 1233: /* tcp_hdr_field: "checksum"  */
#line 5944 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_CHECKSUM; }
#line 16384 "parser_bison.c"
    break;

  case 1234: /* tcp_hdr_field: "urgptr"  */
#line 5945 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_URGPTR; }
#line 16390 "parser_bison.c"
    break;

  case 1235: /* tcp_hdr_option_kind_and_field: "mss" tcpopt_field_maxseg  */
#line 5949 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MAXSEG, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16399 "parser_bison.c"
    break;

  case 1236: /* tcp_hdr_option_kind_and_field: tcp_hdr_option_sack tcpopt_field_sack  */
#line 5954 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16408 "parser_bison.c"
    break;

  case 1237: /* tcp_hdr_option_kind_and_field: "window" tcpopt_field_window  */
#line 5959 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_WINDOW, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16417 "parser_bison.c"
    break;

  case 1238: /* tcp_hdr_option_kind_and_field: "timestamp" tcpopt_field_tsopt  */
#line 5964 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_TIMESTAMP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16426 "parser_bison.c"
    break;

  case 1239: /* tcp_hdr_option_kind_and_field: tcp_hdr_option_type "length"  */
#line 5969 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = TCPOPT_COMMON_LENGTH };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16435 "parser_bison.c"
    break;

  case 1240: /* tcp_hdr_option_kind_and_field: "mptcp" tcpopt_field_mptcp  */
#line 5974 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MPTCP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16444 "parser_bison.c"
    break;

  case 1241: /* tcp_hdr_option_sack: "sack"  */
#line 5980 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK; }
#line 16450 "parser_bison.c"
    break;

  case 1242: /* tcp_hdr_option_sack: "sack0"  */
#line 5981 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK; }
#line 16456 "parser_bison.c"
    break;

  case 1243: /* tcp_hdr_option_sack: "sack1"  */
#line 5982 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK1; }
#line 16462 "parser_bison.c"
    break;

  case 1244: /* tcp_hdr_option_sack: "sack2"  */
#line 5983 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK2; }
#line 16468 "parser_bison.c"
    break;

  case 1245: /* tcp_hdr_option_sack: "sack3"  */
#line 5984 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK3; }
#line 16474 "parser_bison.c"
    break;

  case 1246: /* tcp_hdr_option_type: "echo"  */
#line 5987 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_ECHO; }
#line 16480 "parser_bison.c"
    break;

  case 1247: /* tcp_hdr_option_type: "eol"  */
#line 5988 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_EOL; }
#line 16486 "parser_bison.c"
    break;

  case 1248: /* tcp_hdr_option_type: "fastopen"  */
#line 5989 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_FASTOPEN; }
#line 16492 "parser_bison.c"
    break;

  case 1249: /* tcp_hdr_option_type: "md5sig"  */
#line 5990 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MD5SIG; }
#line 16498 "parser_bison.c"
    break;

  case 1250: /* tcp_hdr_option_type: "mptcp"  */
#line 5991 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MPTCP; }
#line 16504 "parser_bison.c"
    break;

  case 1251: /* tcp_hdr_option_type: "mss"  */
#line 5992 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MAXSEG; }
#line 16510 "parser_bison.c"
    break;

  case 1252: /* tcp_hdr_option_type: "nop"  */
#line 5993 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_NOP; }
#line 16516 "parser_bison.c"
    break;

  case 1253: /* tcp_hdr_option_type: "sack-permitted"  */
#line 5994 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_SACK_PERMITTED; }
#line 16522 "parser_bison.c"
    break;

  case 1254: /* tcp_hdr_option_type: "timestamp"  */
#line 5995 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_TIMESTAMP; }
#line 16528 "parser_bison.c"
    break;

  case 1255: /* tcp_hdr_option_type: "window"  */
#line 5996 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_WINDOW; }
#line 16534 "parser_bison.c"
    break;

  case 1256: /* tcp_hdr_option_type: tcp_hdr_option_sack  */
#line 5997 "parser_bison.y"
                                                        { (yyval.val) = (yyvsp[0].val); }
#line 16540 "parser_bison.c"
    break;

  case 1257: /* tcp_hdr_option_type: "number"  */
#line 5998 "parser_bison.y"
                                                        {
				if ((yyvsp[0].val) > 255) {
					erec_queue(error(&(yylsp[0]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[0].val);
			}
#line 16552 "parser_bison.c"
    break;

  case 1258: /* tcpopt_field_sack: "left"  */
#line 6007 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_SACK_LEFT; }
#line 16558 "parser_bison.c"
    break;

  case 1259: /* tcpopt_field_sack: "right"  */
#line 6008 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_SACK_RIGHT; }
#line 16564 "parser_bison.c"
    break;

  case 1260: /* tcpopt_field_window: "count"  */
#line 6011 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_WINDOW_COUNT; }
#line 16570 "parser_bison.c"
    break;

  case 1261: /* tcpopt_field_tsopt: "tsval"  */
#line 6014 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_TS_TSVAL; }
#line 16576 "parser_bison.c"
    break;

  case 1262: /* tcpopt_field_tsopt: "tsecr"  */
#line 6015 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_TS_TSECR; }
#line 16582 "parser_bison.c"
    break;

  case 1263: /* tcpopt_field_maxseg: "size"  */
#line 6018 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_MAXSEG_SIZE; }
#line 16588 "parser_bison.c"
    break;

  case 1264: /* tcpopt_field_mptcp: "subtype"  */
#line 6021 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_MPTCP_SUBTYPE; }
#line 16594 "parser_bison.c"
    break;

  case 1265: /* dccp_hdr_expr: "dccp" dccp_hdr_field close_scope_dccp  */
#line 6025 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_dccp, (yyvsp[-1].val));
			}
#line 16602 "parser_bison.c"
    break;

  case 1266: /* dccp_hdr_expr: "dccp" "option" "number" close_scope_dccp  */
#line 6029 "parser_bison.y"
                        {
				if ((yyvsp[-1].val) > DCCPOPT_TYPE_MAX) {
					erec_queue(error(&(yylsp[-3]), "value too large"),
						   state->msgs);
					YYERROR;
				}
				(yyval.expr) = dccpopt_expr_alloc(&(yyloc), (yyvsp[-1].val));
			}
#line 16615 "parser_bison.c"
    break;

  case 1267: /* dccp_hdr_field: "sport"  */
#line 6039 "parser_bison.y"
                                                { (yyval.val) = DCCPHDR_SPORT; }
#line 16621 "parser_bison.c"
    break;

  case 1268: /* dccp_hdr_field: "dport"  */
#line 6040 "parser_bison.y"
                                                { (yyval.val) = DCCPHDR_DPORT; }
#line 16627 "parser_bison.c"
    break;

  case 1269: /* dccp_hdr_field: "type" close_scope_type  */
#line 6041 "parser_bison.y"
                                                                        { (yyval.val) = DCCPHDR_TYPE; }
#line 16633 "parser_bison.c"
    break;

  case 1270: /* sctp_chunk_type: "data"  */
#line 6044 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_DATA; }
#line 16639 "parser_bison.c"
    break;

  case 1271: /* sctp_chunk_type: "init"  */
#line 6045 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_INIT; }
#line 16645 "parser_bison.c"
    break;

  case 1272: /* sctp_chunk_type: "init-ack"  */
#line 6046 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_INIT_ACK; }
#line 16651 "parser_bison.c"
    break;

  case 1273: /* sctp_chunk_type: "sack"  */
#line 6047 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SACK; }
#line 16657 "parser_bison.c"
    break;

  case 1274: /* sctp_chunk_type: "heartbeat"  */
#line 6048 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT; }
#line 16663 "parser_bison.c"
    break;

  case 1275: /* sctp_chunk_type: "heartbeat-ack"  */
#line 6049 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT_ACK; }
#line 16669 "parser_bison.c"
    break;

  case 1276: /* sctp_chunk_type: "abort"  */
#line 6050 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ABORT; }
#line 16675 "parser_bison.c"
    break;

  case 1277: /* sctp_chunk_type: "shutdown"  */
#line 6051 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN; }
#line 16681 "parser_bison.c"
    break;

  case 1278: /* sctp_chunk_type: "shutdown-ack"  */
#line 6052 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_ACK; }
#line 16687 "parser_bison.c"
    break;

  case 1279: /* sctp_chunk_type: "error"  */
#line 6053 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ERROR; }
#line 16693 "parser_bison.c"
    break;

  case 1280: /* sctp_chunk_type: "cookie-echo"  */
#line 6054 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ECHO; }
#line 16699 "parser_bison.c"
    break;

  case 1281: /* sctp_chunk_type: "cookie-ack"  */
#line 6055 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ACK; }
#line 16705 "parser_bison.c"
    break;

  case 1282: /* sctp_chunk_type: "ecne"  */
#line 6056 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ECNE; }
#line 16711 "parser_bison.c"
    break;

  case 1283: /* sctp_chunk_type: "cwr"  */
#line 6057 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_CWR; }
#line 16717 "parser_bison.c"
    break;

  case 1284: /* sctp_chunk_type: "shutdown-complete"  */
#line 6058 "parser_bison.y"
                                                  { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_COMPLETE; }
#line 16723 "parser_bison.c"
    break;

  case 1285: /* sctp_chunk_type: "asconf-ack"  */
#line 6059 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF_ACK; }
#line 16729 "parser_bison.c"
    break;

  case 1286: /* sctp_chunk_type: "forward-tsn"  */
#line 6060 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_FORWARD_TSN; }
#line 16735 "parser_bison.c"
    break;

  case 1287: /* sctp_chunk_type: "asconf"  */
#line 6061 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF; }
#line 16741 "parser_bison.c"
    break;

  case 1288: /* sctp_chunk_common_field: "type" close_scope_type  */
#line 6064 "parser_bison.y"
                                                                { (yyval.val) = SCTP_CHUNK_COMMON_TYPE; }
#line 16747 "parser_bison.c"
    break;

  case 1289: /* sctp_chunk_common_field: "flags"  */
#line 6065 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_COMMON_FLAGS; }
#line 16753 "parser_bison.c"
    break;

  case 1290: /* sctp_chunk_common_field: "length"  */
#line 6066 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_COMMON_LENGTH; }
#line 16759 "parser_bison.c"
    break;

  case 1291: /* sctp_chunk_data_field: "tsn"  */
#line 6069 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_TSN; }
#line 16765 "parser_bison.c"
    break;

  case 1292: /* sctp_chunk_data_field: "stream"  */
#line 6070 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_STREAM; }
#line 16771 "parser_bison.c"
    break;

  case 1293: /* sctp_chunk_data_field: "ssn"  */
#line 6071 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_SSN; }
#line 16777 "parser_bison.c"
    break;

  case 1294: /* sctp_chunk_data_field: "ppid"  */
#line 6072 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_PPID; }
#line 16783 "parser_bison.c"
    break;

  case 1295: /* sctp_chunk_init_field: "init-tag"  */
#line 6075 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_TAG; }
#line 16789 "parser_bison.c"
    break;

  case 1296: /* sctp_chunk_init_field: "a-rwnd"  */
#line 6076 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_RWND; }
#line 16795 "parser_bison.c"
    break;

  case 1297: /* sctp_chunk_init_field: "num-outbound-streams"  */
#line 6077 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_OSTREAMS; }
#line 16801 "parser_bison.c"
    break;

  case 1298: /* sctp_chunk_init_field: "num-inbound-streams"  */
#line 6078 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_ISTREAMS; }
#line 16807 "parser_bison.c"
    break;

  case 1299: /* sctp_chunk_init_field: "initial-tsn"  */
#line 6079 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_TSN; }
#line 16813 "parser_bison.c"
    break;

  case 1300: /* sctp_chunk_sack_field: "cum-tsn-ack"  */
#line 6082 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_CTSN_ACK; }
#line 16819 "parser_bison.c"
    break;

  case 1301: /* sctp_chunk_sack_field: "a-rwnd"  */
#line 6083 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_RWND; }
#line 16825 "parser_bison.c"
    break;

  case 1302: /* sctp_chunk_sack_field: "num-gap-ack-blocks"  */
#line 6084 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_GACK_BLOCKS; }
#line 16831 "parser_bison.c"
    break;

  case 1303: /* sctp_chunk_sack_field: "num-dup-tsns"  */
#line 6085 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_DUP_TSNS; }
#line 16837 "parser_bison.c"
    break;

  case 1304: /* sctp_chunk_alloc: sctp_chunk_type  */
#line 6089 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[0].val), SCTP_CHUNK_COMMON_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 16846 "parser_bison.c"
    break;

  case 1305: /* sctp_chunk_alloc: sctp_chunk_type sctp_chunk_common_field  */
#line 6094 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 16854 "parser_bison.c"
    break;

  case 1306: /* sctp_chunk_alloc: "data" sctp_chunk_data_field  */
#line 6098 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_DATA, (yyvsp[0].val));
			}
#line 16862 "parser_bison.c"
    break;

  case 1307: /* sctp_chunk_alloc: "init" sctp_chunk_init_field  */
#line 6102 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT, (yyvsp[0].val));
			}
#line 16870 "parser_bison.c"
    break;

  case 1308: /* sctp_chunk_alloc: "init-ack" sctp_chunk_init_field  */
#line 6106 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT_ACK, (yyvsp[0].val));
			}
#line 16878 "parser_bison.c"
    break;

  case 1309: /* sctp_chunk_alloc: "sack" sctp_chunk_sack_field  */
#line 6110 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SACK, (yyvsp[0].val));
			}
#line 16886 "parser_bison.c"
    break;

  case 1310: /* sctp_chunk_alloc: "shutdown" "cum-tsn-ack"  */
#line 6114 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SHUTDOWN,
							   SCTP_CHUNK_SHUTDOWN_CTSN_ACK);
			}
#line 16895 "parser_bison.c"
    break;

  case 1311: /* sctp_chunk_alloc: "ecne" "lowest-tsn"  */
#line 6119 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ECNE,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 16904 "parser_bison.c"
    break;

  case 1312: /* sctp_chunk_alloc: "cwr" "lowest-tsn"  */
#line 6124 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_CWR,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 16913 "parser_bison.c"
    break;

  case 1313: /* sctp_chunk_alloc: "asconf-ack" "seqno"  */
#line 6129 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF_ACK,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 16922 "parser_bison.c"
    break;

  case 1314: /* sctp_chunk_alloc: "forward-tsn" "new-cum-tsn"  */
#line 6134 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_FORWARD_TSN,
							   SCTP_CHUNK_FORWARD_TSN_NCTSN);
			}
#line 16931 "parser_bison.c"
    break;

  case 1315: /* sctp_chunk_alloc: "asconf" "seqno"  */
#line 6139 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 16940 "parser_bison.c"
    break;

  case 1316: /* sctp_hdr_expr: "sctp" sctp_hdr_field close_scope_sctp  */
#line 6146 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_sctp, (yyvsp[-1].val));
			}
#line 16948 "parser_bison.c"
    break;

  case 1317: /* sctp_hdr_expr: "sctp" "chunk" sctp_chunk_alloc close_scope_sctp_chunk close_scope_sctp  */
#line 6150 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 16956 "parser_bison.c"
    break;

  case 1318: /* sctp_hdr_field: "sport"  */
#line 6155 "parser_bison.y"
                                                { (yyval.val) = SCTPHDR_SPORT; }
#line 16962 "parser_bison.c"
    break;

  case 1319: /* sctp_hdr_field: "dport"  */
#line 6156 "parser_bison.y"
                                                { (yyval.val) = SCTPHDR_DPORT; }
#line 16968 "parser_bison.c"
    break;

  case 1320: /* sctp_hdr_field: "vtag"  */
#line 6157 "parser_bison.y"
                                                { (yyval.val) = SCTPHDR_VTAG; }
#line 16974 "parser_bison.c"
    break;

  case 1321: /* sctp_hdr_field: "checksum"  */
#line 6158 "parser_bison.y"
                                                { (yyval.val) = SCTPHDR_CHECKSUM; }
#line 16980 "parser_bison.c"
    break;

  case 1322: /* th_hdr_expr: "th" th_hdr_field close_scope_th  */
#line 6162 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_th, (yyvsp[-1].val));
				if ((yyval.expr))
					(yyval.expr)->payload.is_raw = true;
			}
#line 16990 "parser_bison.c"
    break;

  case 1323: /* th_hdr_field: "sport"  */
#line 6169 "parser_bison.y"
                                                { (yyval.val) = THDR_SPORT; }
#line 16996 "parser_bison.c"
    break;

  case 1324: /* th_hdr_field: "dport"  */
#line 6170 "parser_bison.y"
                                                { (yyval.val) = THDR_DPORT; }
#line 17002 "parser_bison.c"
    break;

  case 1333: /* hbh_hdr_expr: "hbh" hbh_hdr_field close_scope_hbh  */
#line 6184 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_hbh, (yyvsp[-1].val));
			}
#line 17010 "parser_bison.c"
    break;

  case 1334: /* hbh_hdr_field: "nexthdr"  */
#line 6189 "parser_bison.y"
                                                { (yyval.val) = HBHHDR_NEXTHDR; }
#line 17016 "parser_bison.c"
    break;

  case 1335: /* hbh_hdr_field: "hdrlength"  */
#line 6190 "parser_bison.y"
                                                { (yyval.val) = HBHHDR_HDRLENGTH; }
#line 17022 "parser_bison.c"
    break;

  case 1336: /* rt_hdr_expr: "rt" rt_hdr_field close_scope_rt  */
#line 6194 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt, (yyvsp[-1].val));
			}
#line 17030 "parser_bison.c"
    break;

  case 1337: /* rt_hdr_field: "nexthdr"  */
#line 6199 "parser_bison.y"
                                                { (yyval.val) = RTHDR_NEXTHDR; }
#line 17036 "parser_bison.c"
    break;

  case 1338: /* rt_hdr_field: "hdrlength"  */
#line 6200 "parser_bison.y"
                                                { (yyval.val) = RTHDR_HDRLENGTH; }
#line 17042 "parser_bison.c"
    break;

  case 1339: /* rt_hdr_field: "type" close_scope_type  */
#line 6201 "parser_bison.y"
                                                                        { (yyval.val) = RTHDR_TYPE; }
#line 17048 "parser_bison.c"
    break;

  case 1340: /* rt_hdr_field: "seg-left"  */
#line 6202 "parser_bison.y"
                                                { (yyval.val) = RTHDR_SEG_LEFT; }
#line 17054 "parser_bison.c"
    break;

  case 1341: /* rt0_hdr_expr: "rt0" rt0_hdr_field close_scope_rt  */
#line 6206 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt0, (yyvsp[-1].val));
			}
#line 17062 "parser_bison.c"
    break;

  case 1342: /* rt0_hdr_field: "addr" '[' "number" ']'  */
#line 6212 "parser_bison.y"
                        {
				(yyval.val) = RT0HDR_ADDR_1 + (yyvsp[-1].val) - 1;
			}
#line 17070 "parser_bison.c"
    break;

  case 1343: /* rt2_hdr_expr: "rt2" rt2_hdr_field close_scope_rt  */
#line 6218 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt2, (yyvsp[-1].val));
			}
#line 17078 "parser_bison.c"
    break;

  case 1344: /* rt2_hdr_field: "addr"  */
#line 6223 "parser_bison.y"
                                                { (yyval.val) = RT2HDR_ADDR; }
#line 17084 "parser_bison.c"
    break;

  case 1345: /* rt4_hdr_expr: "srh" rt4_hdr_field close_scope_rt  */
#line 6227 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt4, (yyvsp[-1].val));
			}
#line 17092 "parser_bison.c"
    break;

  case 1346: /* rt4_hdr_field: "last-entry"  */
#line 6232 "parser_bison.y"
                                                { (yyval.val) = RT4HDR_LASTENT; }
#line 17098 "parser_bison.c"
    break;

  case 1347: /* rt4_hdr_field: "flags"  */
#line 6233 "parser_bison.y"
                                                { (yyval.val) = RT4HDR_FLAGS; }
#line 17104 "parser_bison.c"
    break;

  case 1348: /* rt4_hdr_field: "tag"  */
#line 6234 "parser_bison.y"
                                                { (yyval.val) = RT4HDR_TAG; }
#line 17110 "parser_bison.c"
    break;

  case 1349: /* rt4_hdr_field: "sid" '[' "number" ']'  */
#line 6236 "parser_bison.y"
                        {
				(yyval.val) = RT4HDR_SID_1 + (yyvsp[-1].val) - 1;
			}
#line 17118 "parser_bison.c"
    break;

  case 1350: /* frag_hdr_expr: "frag" frag_hdr_field close_scope_frag  */
#line 6242 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_frag, (yyvsp[-1].val));
			}
#line 17126 "parser_bison.c"
    break;

  case 1351: /* frag_hdr_field: "nexthdr"  */
#line 6247 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_NEXTHDR; }
#line 17132 "parser_bison.c"
    break;

  case 1352: /* frag_hdr_field: "reserved"  */
#line 6248 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_RESERVED; }
#line 17138 "parser_bison.c"
    break;

  case 1353: /* frag_hdr_field: "frag-off"  */
#line 6249 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_FRAG_OFF; }
#line 17144 "parser_bison.c"
    break;

  case 1354: /* frag_hdr_field: "reserved2"  */
#line 6250 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_RESERVED2; }
#line 17150 "parser_bison.c"
    break;

  case 1355: /* frag_hdr_field: "more-fragments"  */
#line 6251 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_MFRAGS; }
#line 17156 "parser_bison.c"
    break;

  case 1356: /* frag_hdr_field: "id"  */
#line 6252 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_ID; }
#line 17162 "parser_bison.c"
    break;

  case 1357: /* dst_hdr_expr: "dst" dst_hdr_field close_scope_dst  */
#line 6256 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_dst, (yyvsp[-1].val));
			}
#line 17170 "parser_bison.c"
    break;

  case 1358: /* dst_hdr_field: "nexthdr"  */
#line 6261 "parser_bison.y"
                                                { (yyval.val) = DSTHDR_NEXTHDR; }
#line 17176 "parser_bison.c"
    break;

  case 1359: /* dst_hdr_field: "hdrlength"  */
#line 6262 "parser_bison.y"
                                                { (yyval.val) = DSTHDR_HDRLENGTH; }
#line 17182 "parser_bison.c"
    break;

  case 1360: /* mh_hdr_expr: "mh" mh_hdr_field close_scope_mh  */
#line 6266 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_mh, (yyvsp[-1].val));
			}
#line 17190 "parser_bison.c"
    break;

  case 1361: /* mh_hdr_field: "nexthdr"  */
#line 6271 "parser_bison.y"
                                                { (yyval.val) = MHHDR_NEXTHDR; }
#line 17196 "parser_bison.c"
    break;

  case 1362: /* mh_hdr_field: "hdrlength"  */
#line 6272 "parser_bison.y"
                                                { (yyval.val) = MHHDR_HDRLENGTH; }
#line 17202 "parser_bison.c"
    break;

  case 1363: /* mh_hdr_field: "type" close_scope_type  */
#line 6273 "parser_bison.y"
                                                                        { (yyval.val) = MHHDR_TYPE; }
#line 17208 "parser_bison.c"
    break;

  case 1364: /* mh_hdr_field: "reserved"  */
#line 6274 "parser_bison.y"
                                                { (yyval.val) = MHHDR_RESERVED; }
#line 17214 "parser_bison.c"
    break;

  case 1365: /* mh_hdr_field: "checksum"  */
#line 6275 "parser_bison.y"
                                                { (yyval.val) = MHHDR_CHECKSUM; }
#line 17220 "parser_bison.c"
    break;

  case 1366: /* exthdr_exists_expr: "exthdr" exthdr_key  */
#line 6279 "parser_bison.y"
                        {
				const struct exthdr_desc *desc;

				desc = exthdr_find_proto((yyvsp[0].val));

				/* Assume that NEXTHDR template is always
				 * the first one in list of templates.
				 */
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), desc, 1);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 17236 "parser_bison.c"
    break;

  case 1367: /* exthdr_key: "hbh" close_scope_hbh  */
#line 6292 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_HOPOPTS; }
#line 17242 "parser_bison.c"
    break;

  case 1368: /* exthdr_key: "rt" close_scope_rt  */
#line 6293 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_ROUTING; }
#line 17248 "parser_bison.c"
    break;

  case 1369: /* exthdr_key: "frag" close_scope_frag  */
#line 6294 "parser_bison.y"
                                                                { (yyval.val) = IPPROTO_FRAGMENT; }
#line 17254 "parser_bison.c"
    break;

  case 1370: /* exthdr_key: "dst" close_scope_dst  */
#line 6295 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_DSTOPTS; }
#line 17260 "parser_bison.c"
    break;

  case 1371: /* exthdr_key: "mh" close_scope_mh  */
#line 6296 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_MH; }
#line 17266 "parser_bison.c"
    break;


#line 17270 "parser_bison.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken, &yylloc};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (&yylloc, nft, scanner, state, yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          goto yyexhaustedlab;
      }
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= TOKEN_EOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == TOKEN_EOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, nft, scanner, state);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, nft, scanner, state, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, nft, scanner, state);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 6299 "parser_bison.y"

